/* 1.ENGLISH US */
var lang_en_US={
  "menu":"Menu",
  "home":"Home",
  "help":"Help",
  "signout":"Sign out",
  "feedback":"Feedback",
  "support":"Support",
  "welcome":"Welcome",
  "welcomeMsg":"Open a mail to view related CRM details",
  "createNew":"Create a New",
  "add":"Add {{module}}",
  "save":"Save {{module}}",
  "cancel":"cancel",
  "modAdded":"{{module}} has been added",
  "underMsg":"{{module}} has been added under {{module}}",
  "deleteAlertMsg":"Are you sure you want to delete?",
  "yes":"yes",
  "no":"no",
  "ok":"ok",
  "edit":"Edit",
  "delete":"Delete",
  "magicMsg":"Please wait while we work our magic...",
  "summary":"Summary",
  "pinfo":"Primary info",
  "sinfo":"Secondary info",
  "minfo":"more info",
  "reset":"Reset",
  "ppw":"Processing please wait...",
  "addA":"Add a {{module}}",
  "enter":"Enter",
  "note":"Note",
  "title":"Title",
  "contentMan":"Content is mandatory",
  "filter":"Filter",
  "fetchDet":"Fetching Details",
  "noModFound":"No {{module}} found",
  "activites":"Activities",
  "probability":"Probability",
  "amount":"Amount",
  "closingdate":"Closing Date",
  "back":"Back",
  "backtoEmailInfo":"Back to Email info",
  "openinZCRM":"Open in Zoho CRM Webview",
  "by":"By",
  "unsavedMsg":"You have unsaved changes on this page. Do you want to leave?",
  "signOutMsg":"Signing out from your account, please wait!",
  "wegotyouMsg":"We got you... just few more seconds.",
  "letStartMsg":"Let's get started!",
  "authenticate":"Authenticate",
  "googDiscMsg":"This authentication only maps your Google email id to your Zoho account. By authenticating, you can use Zoho CRM extension from anywhere, at anytime using your Google Chrome People account. Zoho does not store any of your Google account data.",
  "almostThereMsg":"We're almost there!",
  "addedSuc":"{{module}} added Successfully",
  "search":"Search",
  "noResultsMsg":"No results found",
  "updateMsg":"{{module}} updated Successfully",
  "oops":"Oops!",
  "accNotMatch":"Chrome and Gmail accounts do not match.To continue, login to Gmail with {{email_id}}!",
  "networkError":"Network Error",
  "retry":"Retry",
  "unFetchData":"Unable to fetch data",
  "updatetoZohoCRM":"Update to Zoho CRM",
  "lcDisabled":"Looks like you have disabled {{module}} and {{module}} modules in Zoho CRM.",
  "clickEnable":"Click here to enable.",
  "step":"step",
  "clicktoview":"Click to view",
  "close":"Close",
  "open":"Open",
  "closed":"Closed",
  "all":"All",
  "success":"success",
  "error":"error",
  "fieldName":"Field Name:",
  "pca":"Please contact your administrator",
  "perDenied":"Oops! You don't have permission",
  "delSuc":"{{module}} deleted successfully",
  "underUpdate":"{{module}} has been Updated under {{module}}",
  "updated":"{{module}} Updated",
  "hasUpdated":"{{module}} has been Updated",
  "underDel":"{{module}} under {{module}} deleted successfully",
  "details":"{{module}} Details",
  "addAs":"Add as",
  "info":"info",
  "due":"due",
  "added":"added {{module}}",
  "edited":"edited {{module}}",
  "convert":"Convert",
  "addToExist":"Add to existing {{module}}",
  "convertCreateNew":"A new {{module}} will be created for the {{module}}",
  "ownerOfRec":"Owner of the records",
  "notifyRecOwner":"Notify Record Owner",
  "noCrmAcc":"Looks like you don't have an active Zoho CRM account",
  "clickActive":"Click here to activate",
  "reqField":"This field cannot be empty",
  "maxChar":"Maximum {{0}} characters allowed",
  "validEmail":"Valid Email required",
  "onlyNum":"Only numeric values allowed",
  "validURL":"Vaild URL required",
  "numWithDec":"Decimal numbers are allowed",
  "maxCharMod":"Maximum {{0}} characters allowed in {{module}}"
};
/* 2.English Britain */
var lang_en_GB=lang_en_US;
/* 3.Chinese-china */
var lang_zh_CN={
  "menu": "菜单",
  "home": "主页",
  "help": "帮助",
  "signout": "退出",
  "feedback": "反馈",
  "support": "支持",
  "welcome": "欢迎",
  "welcomeMsg": "打开邮件以查看相关 CRM 详细信息",
  "createNew": "新建",
  "add": "已添加 {{module}}",
  "save": "保存 {{module}}",
  "cancel": "取消",
  "modAdded": "{{module}} 已添加",
  "underMsg": "{{module}} 已在 {{module}} 下添加",
  "deleteAlertMsg": "是否确定要删除？",
  "yes": "是",
  "no": "否",
  "ok": "确定",
  "edit": "编辑",
  "delete": "删除",
  "magicMsg": "我们在创造我们的魔法，请等待...",
  "summary": "总计",
  "pinfo": "主要信息",
  "sinfo": "辅助信息",
  "minfo": "更多信息",
  "reset": "重置",
  "ppw": "处理中，请等待...",
  "addA": "添加 {{module}}",
  "enter": "输入",
  "note": "记事",
  "title": "标题",
  "contentMan": "内容是必填项",
  "filter": "过滤",
  "fetchDet": "正在访存详细信息",
  "noModFound": "未发现 {{module}}",
  "activites": "活动",
  "probability": "可能性",
  "amount": "总额",
  "closingdate": "截止日期",
  "back": "返回",
  "backtoEmailInfo": "返回至电子邮件信息",
  "openinZCRM": "在 Zoho CRM Web 视图中打开",
  "by": "方式",
  "unsavedMsg": "此页中有未保存的更改。是否要离开？",
  "signOutMsg": "正在从帐户退出，请等待！",
  "wegotyouMsg": "快好了... 只需几秒钟。",
  "letStartMsg": "我们开始吧！",
  "authenticate": "验证",
  "googDiscMsg": "此验证仅将您的 Google 电子邮件映射至 Zoho 帐户。通过验证，您可随时随地通过使用 Google Chrome People 帐户来使用 Zoho CRM 扩展。 Zoho 不会存储任何 Google 帐户数据。",
  "almostThereMsg": "快要完成了！",
  "addedSuc": "{{module}} 已成功添加",
  "search": "搜索",
  "noResultsMsg": "未找到结果",
  "updateMsg": "{{module}} 已成功更新",
  "oops": "噢！",
  "accNotMatch": "Chrome 和 Gmail 帐户不匹配。要继续，请用 {{email_id}} 登录 Gmail！",
  "networkError": "网络错误",
  "retry": "重试",
  "unFetchData": "无法访存数据",
  "updatetoZohoCRM": "更新至 Zoho CRM",
  "lcDisabled": "看起来您已在 Zoho CRM 中禁用 {{module}} 和 {{module}} 模块。",
  "clickEnable": "单击此处以启用。",
  "step": "步骤",
  "clicktoview": "单击以查看",
  "close": "关闭",
  "open": "打开",
  "closed": "已关闭",
  "all": "全部",
  "success": "成功",
  "error": "错误",
  "fieldName": "字段名称：",
  "pca": "请联系您的管理员",
  "perDenied": "噢！您没有权限",
  "delSuc": "{{module}} 已成功删除",
  "underUpdate": "{{module}} 已在 {{module}} 下更新",
  "updated": "{{module}} 已更新",
  "hasUpdated": "{{module}} 已更新",
  "underDel": "{{module}}（在 {{module}} 下）已成功删除",
  "details": "{{module}} 详细信息",
  "addAs": "添加为",
  "info": "信息",
  "due": "到期",
  "added": "已添加 {{module}}",
  "edited": "已编辑 {{module}}",
  "convert": "转换",
  "addToExist": "添加至现有 {{module}}",
  "convertCreateNew": "一个新 {{module}} 将对 {{module}} 创建",
  "ownerOfRec": "记录所有者",
  "notifyRecOwner": "通知记录所有者",
  "noCrmAcc": "看起来您没有有效的 Zoho CRM 帐户",
  "clickActive": "单击此处激活",
  "reqField": "此字段不能为空",
  "maxChar": "最多允许 {{0}} 个字符",
  "validEmail": "要求输入有效的电子邮件",
  "onlyNum": "仅允许数字值",
  "validURL": "要求输入有效的 URL",
  "numWithDec": "允许使用小数",
  "maxCharMod": "{{module}} 中最多允许 {{0}} 个字符"
};
/* 4.chinese-taiwan */
var lang_zh_TW={
  "menu": "功能表",
  "home": "首頁",
  "help": "說明",
  "signout": "登出",
  "feedback": "回饋",
  "support": "支援",
  "welcome": "歡迎",
  "welcomeMsg": "開啟一封電子郵件以檢視相關 CRM 詳細資料",
  "createNew": "新建",
  "add": "新增 {{module}}",
  "save": "儲存 {{module}}",
  "cancel": "取消",
  "modAdded": "{{module}} 已新增",
  "underMsg": "{{module}} 已新增至 {{module}} 下",
  "deleteAlertMsg": "您是否確定要刪除？",
  "yes": "是",
  "no": "無",
  "ok": "確定",
  "edit": "編輯",
  "delete": "刪除",
  "magicMsg": "請稍候，我們正在創造奇跡...",
  "summary": "摘要",
  "pinfo": "主要資訊",
  "sinfo": "備用信息",
  "minfo": "更多資訊",
  "reset": "重設",
  "ppw": "正在處理，請稍候...",
  "addA": "新增一個 {{module}}",
  "enter": "輸入",
  "note": "備註",
  "title": "標題",
  "contentMan": "內容為強制",
  "filter": "篩選器",
  "fetchDet": "正在擷取詳細資料",
  "noModFound": "未找到 {{module}}",
  "activites": "活動",
  "probability": "可能性",
  "amount": "總額",
  "closingdate": "關閉資料",
  "back": "返回",
  "backtoEmailInfo": "返回至電子郵件資訊",
  "openinZCRM": "在 Zoho CRM Web 檢視中開啟",
  "by": "依據",
  "unsavedMsg": "此頁面中您還有未儲存之變更。是否確定要離開？",
  "signOutMsg": "正在從您的帳戶登出，請稍候！",
  "wegotyouMsg": "我們正在為您準備...稍等幾秒鐘就好。",
  "letStartMsg": "讓我們開始吧！",
  "authenticate": "驗證",
  "googDiscMsg": "此驗證僅將您的 Google 電子郵件 ID 對應至您的 Zoho 帳戶。驗證後，您可隨時隨地透過您的 Google Chrome People 來使用 Zoho CRM 擴充功能。Zoho 不會儲存您的任何 Google 帳戶資料。",
  "almostThereMsg": "我們已快實現！",
  "addedSuc": "{{module}} 已成功新增",
  "search": "搜尋",
  "noResultsMsg": "沒有找到結果",
  "updateMsg": "{{module}} 已成功更新",
  "oops": "噢！",
  "accNotMatch": "Chrome 和 Gmail 帳戶不相符。如要繼續，請使用 {{email_id}} 登入 Gmail！",
  "networkError": "網路出錯",
  "retry": "重試",
  "unFetchData": "無法擷取資料",
  "updatetoZohoCRM": "更新至 Zoho CRM",
  "lcDisabled": "似乎您已在 Zoho CRM 中停用了 {{module}} 和 {{module}} 模組。",
  "clickEnable": "按一下此處以啟用。",
  "step": "步",
  "clicktoview": "按一下以查看",
  "close": "關閉",
  "open": "開啟",
  "closed": "已關閉",
  "all": "全部",
  "success": "成功",
  "error": "錯誤",
  "fieldName": "欄位名稱:",
  "pca": "請聯絡您的管理員",
  "perDenied": "噢！您沒有權限！",
  "delSuc": "{{module}} 已成功刪除",
  "underUpdate": "{{module}}（{{module}} 下）已更新",
  "updated": "{{module}} 已更新",
  "hasUpdated": "{{module}} 已更新",
  "underDel": "{{module}}（{{module}} 下）已刪除",
  "details": "{{module}} 詳細資料",
  "addAs": "新增為",
  "info": "資訊",
  "due": "到期",
  "added": "已新增 {{module}}",
  "edited": "已編輯 {{module}}",
  "convert": "轉換",
  "addToExist": "新增至現有 {{module}}",
  "convertCreateNew": "新的 {{module}} 將會針對 {{module}} 建立",
  "ownerOfRec": "記錄所有者",
  "notifyRecOwner": "通知記錄所有者",
  "noCrmAcc": "似乎您沒有作用中的 Zoho CRM 帳戶",
  "clickActive": "按一下這裡來啟動",
  "reqField": "此欄位不能為空",
  "maxChar": "允許的最大 {{0}} 字元數",
  "validEmail": "需要有效的電子郵件",
  "onlyNum": "僅允許數字值",
  "validURL": "需要有效的 URL",
  "numWithDec": "允許小數數字",
  "maxCharMod": "{{module}} 中允許的最大 {{0}} 字元數"
};
/* 5.Danish-dansk */
var lang_da_DK={
  "menu": "Menu",
  "home": "Hjem",
  "help": "Hjælp",
  "signout": "Log ud",
  "feedback": "Feedback",
  "support": "Support",
  "welcome": "Velkommen",
  "welcomeMsg": "Åbn en e-mail for at se relaterede CRM-oplysninger",
  "createNew": "Opret et nyt",
  "add": "Tilføj {{module}}",
  "save": "Gem {{module}}",
  "cancel": "annuller",
  "modAdded": "{{module}} blev tilføjet",
  "underMsg": "{{module}} blev tilføjet under {{module}}",
  "deleteAlertMsg": "Er du sikker på, at du vil slette?",
  "yes": "ja",
  "no": "nej",
  "ok": "OK",
  "edit": "Rediger",
  "delete": "Slet",
  "magicMsg": "Vent et øjeblik, mens udfører vores job...",
  "summary": "Oversigt",
  "pinfo": "Primære oplysninger",
  "sinfo": "Sekundære oplysninger",
  "minfo": "flere oplysninger",
  "reset": "Nulstil",
  "ppw": "Behandler, vent venligst...",
  "addA": "Tilføj en {{module}}",
  "enter": "Indtast",
  "note": "Bemærk",
  "title": "Titel",
  "contentMan": "indhold er obligatorisk",
  "filter": "Filtrer",
  "fetchDet": "Henter oplysninger",
  "noModFound": "Ingen {{module}} fundet",
  "activites": "Aktiviteter",
  "probability": "Sandsynlighed",
  "amount": "Mængde",
  "closingdate": "Afslutningsdato",
  "back": "Tilbage",
  "backtoEmailInfo": "Tilbage til e-mail information",
  "openinZCRM": "Åbn i Zoho CRM webvisning",
  "by": "Af",
  "unsavedMsg": "Du har ikke-gemte ændringer på denne side. Vil du forlade?",
  "signOutMsg": "Logger ud af din konto, vent venligst!",
  "wegotyouMsg": "Vi har dig... vent et øjeblik.",
  "letStartMsg": "Lad os gå i gang!",
  "authenticate": "Godkend",
  "googDiscMsg": "Denne godkendelse tilknytter kun dit Google-e-mail-id til din Zoho-konto. Ved at godkende kan du bruge Zoho CRM-udvidelse fra hvor som helst og når som helst ved at bruge din Google Chrome People-konto. Zoho gemmer ikke nogen af dine Google-kontodata.",
  "almostThereMsg": "Vi er næsten der!",
  "addedSuc": "{{module}} blev tilføjet",
  "search": "Søg",
  "noResultsMsg": "Ingen resultater fundet",
  "updateMsg": "{{module}} blev opdateret",
  "oops": "Ups!",
  "accNotMatch": "Chrome- og Gmail-konti matcher ikke.For at fortsætte, skal du logge ind på Gmail med {{email_id}}!",
  "networkError": "Netværksfejl",
  "retry": "Forsøg igen",
  "unFetchData": "Kan ikke hente data",
  "updatetoZohoCRM": "Opdater til Zoho CRM",
  "lcDisabled": "Ser ud til, at du har deaktiveret {{module}} og {{module}} moduler i Zoho CRM.",
  "clickEnable": "Klik her for at aktivere.",
  "step": "trin",
  "clicktoview": "Klik for at se",
  "close": "Luk",
  "open": "Åbn",
  "closed": "Lukket",
  "all": "Alle",
  "success": "gennemført",
  "error": "fejl",
  "fieldName": "Feltnavn:",
  "pca": "Kontakt din administrator",
  "perDenied": "Hov! Du har ikke tilladelse",
  "delSuc": "{{module}} blev slettet",
  "underUpdate": "{{module}} blev opdateret under {{module}}",
  "updated": "{{module}} opdateret",
  "hasUpdated": "{{module}} blev opdateret",
  "underDel": "{{module}} under {{module}} blev slettet",
  "details": "{{module}}-detaljer",
  "addAs": "Tilføj som",
  "info": "info",
  "due": "forfalder",
  "added": "tilføjede {{module}}",
  "edited": "redigerede {{module}}",
  "convert": "Konverter",
  "addToExist": "Føj til eksisterende {{module}}",
  "convertCreateNew": "En ny {{module}} vil blive oprettet for {{module}}",
  "ownerOfRec": "Ejer af posterne",
  "notifyRecOwner": "Send besked til ejer af post",
  "noCrmAcc": "Det ser ud til, at du ikke har en aktiv Zoho CRM-konto",
  "clickActive": "Klik her for at aktivere",
  "reqField": "Dette felt må ikke være tomt",
  "maxChar": "Maksimalt {{0}} tegn tilladt",
  "validEmail": "Gyldig e-mail er påkrævet",
  "onlyNum": "Kun numeriske værdier er tilladt",
  "validURL": "Gyldig URL we påkrævet",
  "numWithDec": "Decimaltal er tilladt",
  "maxCharMod": "Maksimalt {{0}} tegn tilladt i {{module}}"
};
/* 6. Dutch Netherlands */
var lang_nl_NL={
  "menu": "Menu",
  "home": "Startpagina",
  "help": "Help",
  "signout": "Afmelden",
  "feedback": "Feedback",
  "support": "Ondersteuning",
  "welcome": "Welkom",
  "welcomeMsg": "Open een e-mail voor het weergeven van gerelateerde CRM-gegevens",
  "createNew": "Een nieuw(e) aanmaken",
  "add": "Toevoegen {{module}}",
  "save": "Opslaan {{module}}",
  "cancel": "annuleren",
  "modAdded": "{{module}} is toegevoegd",
  "underMsg": "{{module}} is toegevoegd onder {{module}}",
  "deleteAlertMsg": "Weet u zeker dat u wilt verwijderen?",
  "yes": "ja",
  "no": "nee",
  "ok": "oké",
  "edit": "Bewerken",
  "delete": "Verwijderen",
  "magicMsg": "Een ogenblik geduld a.u.b. en wij zorgen voor de magie...",
  "summary": "Overzicht",
  "pinfo": "Primaire info",
  "sinfo": "Secundaire info",
  "minfo": "meer info",
  "reset": "Opnieuw instellen",
  "ppw": "Bezig met verwerken. Een ogenblik geduld...",
  "addA": "Toevoegen van een {{module}}",
  "enter": "Invoeren",
  "note": "Notitie",
  "title": "Naam",
  "contentMan": "inhoud is verplicht",
  "filter": "Filter",
  "fetchDet": "Bezig met ophalen van gegevens",
  "noModFound": "Geen {{module}} gevonden",
  "activites": "Activiteiten",
  "probability": "Waarschijnlijkheid",
  "amount": "Bedrag",
  "closingdate": "Afsluitdatum",
  "back": "Terug",
  "backtoEmailInfo": "Terug naar e-mailinfo",
  "openinZCRM": "Openen in Zoho CRM-webweergave",
  "by": "Door",
  "unsavedMsg": "U heeft niet-opgeslagen veranderingen op deze pagina. Wilt u afsluiten?",
  "signOutMsg": "Bezig met afmelden van uw account. Een ogenblik geduld!",
  "wegotyouMsg": "We begrijpen u... nog slechts een paar seconden.",
  "letStartMsg": "Aan de slag!",
  "authenticate": "Verifiëren",
  "googDiscMsg": "Door deze verificatie wordt alleen uw e-mail-id bij Google aan uw Zoho-account toegewezen. Door te verifiëren, kunt u de uitbreiding Zoho CRM overal en altijd via uw Google Chrome People-account gebruiken. Zoho slaat geen gegevens van uw Google-account op.",
  "almostThereMsg": "We zijn er bijna!",
  "addedSuc": "{{module}} met succes toegevoegd",
  "search": "Zoeken",
  "noResultsMsg": "Geen resultaten gevonden",
  "updateMsg": "{{module}} met succes bijgewerkt",
  "oops": "Oeps!",
  "accNotMatch": "Chrome- en Gmail-accounts komen niet overeen. Meldt u, om door te gaan, aan bij Gmail met {{email_id}}!",
  "networkError": "Netwerkfout",
  "retry": "Opnieuw proberen",
  "unFetchData": "Kan geen gegevens ophalen",
  "updatetoZohoCRM": "Bijwerken naar Zoho CRM",
  "lcDisabled": "U lijkt erop dat u de modules {{module}} en {{module}} in Zoho CRM heeft uitgeschakeld.",
  "clickEnable": "Klik hier om in te schakelen.",
  "step": "stap",
  "clicktoview": "Klikken voor weergeven",
  "close": "Afsluiten",
  "open": "Openen",
  "closed": "Afgesloten",
  "all": "Alle",
  "success": "gelukt",
  "error": "fout",
  "fieldName": "Veldnaam:",
  "pca": "Neem contact op met uw administrator",
  "perDenied": "Oeps! U bent niet gemachtigd",
  "delSuc": "{{module}} met succes verwijderd",
  "underUpdate": "{{module}} is bijgewerkt onder {{module}}",
  "updated": "{{module}} Bijgewerkt",
  "hasUpdated": "{{module}} is bijgewerkt",
  "underDel": "{{module}} onder {{module}} met succes verwijderd",
  "details": "{{module}} Details",
  "addAs": "Toevoegen als",
  "info": "info",
  "due": "verloopt",
  "added": "toegevoegd {{module}}",
  "edited": "bewerkt {{module}}",
  "convert": "Converteren",
  "addToExist": "Toevoegen aan bestaande {{module}}",
  "convertCreateNew": "Een nieuwe {{module}} wordt gemaakt voor de {{module}}",
  "ownerOfRec": "Eigenaar van de records",
  "notifyRecOwner": "Eigenaar van record waarschuwen",
  "noCrmAcc": "U hebt geen actief Zoho CRM-account",
  "clickActive": "Klik hier om te activeren",
  "reqField": "Dit veld mag niet leeg zijn",
  "maxChar": "Maximum {{0}} tekens toegestaan",
  "validEmail": "Geldig e-mailadres vereist",
  "onlyNum": "Alleen numerieke waarden toegestaan",
  "validURL": "Geldige URL vereist",
  "numWithDec": "Decimale getallen zijn toegestaan",
  "maxCharMod": "Maximum {{0}} tekens toegestaan in {{module}}"
};
/* 7.French- France */
var lang_fr_FR={
  "menu": "Menu",
  "home": "Accueil",
  "help": "Aide",
  "signout": "Se déconnecter",
  "feedback": "Commentaires",
  "support": "Support",
  "welcome": "Bienvenue",
  "welcomeMsg": "Ouvrez un e-mail pour voir les détails liés à CRM",
  "createNew": "Créer un nouveau",
  "add": "Ajouter {{module}}",
  "save": "Enregistrer {{module}}",
  "cancel": "annuler",
  "modAdded": "{{module}} a été ajouté",
  "underMsg": "{{module}} a été ajouté sous {{module}}",
  "deleteAlertMsg": "Êtes-vous sûr de vouloir supprimer ?",
  "yes": "oui",
  "no": "non",
  "ok": "OK",
  "edit": "Modifier",
  "delete": "Supprimer",
  "magicMsg": "Veuillez patienter pendant que nous mettons notre magie à l’œuvre...",
  "summary": "Résumé",
  "pinfo": "Informations principales",
  "sinfo": "Informations secondaires",
  "minfo": "plus d’informations",
  "reset": "Réinitialisation",
  "ppw": "Traitement Veuillez patienter...",
  "addA": "Ajouter un {{module}}",
  "enter": "Entrer",
  "note": "Note",
  "title": "Titre",
  "contentMan": "le champ est obligatoire",
  "filter": "Filtrer",
  "fetchDet": "Obtention des détails",
  "noModFound": "Aucun {{module}} trouvé",
  "activites": "Activités",
  "probability": "Probabilité",
  "amount": "Montant",
  "closingdate": "Date de clôture",
  "back": "Retour",
  "backtoEmailInfo": "Retour aux informations sur l’E-mail",
  "openinZCRM": "Ouvrir dans la vue Web de Zoho CRM",
  "by": "Par",
  "unsavedMsg": "Vous avez des modifications non enregistrées sur cette page. Voulez-vous quitter ?",
  "signOutMsg": "Déconnexion de votre compte, veuillez patienter !",
  "wegotyouMsg": "Nous comprenons... juste quelques secondes.",
  "letStartMsg": "Lançons-nous !",
  "authenticate": "Authentifier",
  "googDiscMsg": "Cette authentification mappe seulement votre ID d’e-mail Google vers votre compte Zoho. En authentifiant, vous pouvez utiliser l’extension Zoho CRM de n’importe où et à tout moment en utilisant votre compte People Google Chrome. Zoho ne stocke aucune information de votre compte Google.",
  "almostThereMsg": "Nous y sommes presque !",
  "addedSuc": "{{module}} ajouté avec succès",
  "search": "Rechercher",
  "noResultsMsg": "Aucun résultat trouvé",
  "updateMsg": "{{module}} mis à jour avec succès",
  "oops": "Oups !",
  "accNotMatch": "Les comptes Chrome et Gmail ne correspondent pas. Pour continuer, connectez-vous à Gmail avec {{email_id}} !",
  "networkError": "Erreur réseau",
  "retry": "Réessayer",
  "unFetchData": "Impossible de récupérer les données",
  "updatetoZohoCRM": "Mise à jour à Zoho CRM",
  "lcDisabled": "Il semble que vous ayez désactivé les modules {{module}} et {{module}} de Zoho CRM.",
  "clickEnable": "Cliquer ici pour activer.",
  "step": "étape",
  "clicktoview": "Cliquez pour afficher",
  "close": "Fermer",
  "open": "Ouvert",
  "closed": "Fermé",
  "all": "Tous",
  "success": "réussite",
  "error": "erreur",
  "fieldName": "Nom du champ :",
  "pca": "Veuillez contacter votre administrateur",
  "perDenied": "Oups ! Vous n’avez pas l'autorisation",
  "delSuc": "{{module}} supprimé avec succès",
  "underUpdate": "{{module}} a été mis à jour sous {{module}}",
  "updated": "{{module}} Mis à jour",
  "hasUpdated": "{{module}} a été mis à jour",
  "underDel": "{{module}} sous {{module}} supprimé avec succès",
  "details": "Détails de {{module}}",
  "addAs": "Ajouter en tant que",
  "info": "info",
  "due": "dû",
  "added": "{{module}} ajouté",
  "edited": "{{module}} édité",
  "convert": "Convertir",
  "addToExist": "Ajouter à(au) {{module}} existant",
  "convertCreateNew": "Un nouveau {{module}} sera créé pour le {{module}}",
  "ownerOfRec": "Propriétaire des enregistrements",
  "notifyRecOwner": "Notifier le propriétaire de l’enregistrement",
  "noCrmAcc": "Vous ne semblez pas avoir de compte Zoho CRM actif",
  "clickActive": "Cliquez ici pour l’activer",
  "reqField": "Ce champ doit être renseigné",
  "maxChar": "Nombre de caractères maximum {{0}} autorisés",
  "validEmail": "Adresse e-mail valide requise",
  "onlyNum": "Seules les valeurs numériques sont autorisées",
  "validURL": "URL valide requise",
  "numWithDec": "Seuls les nombres décimaux sont autorisés",
  "maxCharMod": "Nombre de caractères maximum {{0}} autorisés dans {{module}}"
};
/* 8. German- Germany */
var lang_de_DE={
  "menu": "Menü",
  "home": "Startseite",
  "help": "Hilfe",
  "signout": "Abmelden",
  "feedback": "Rückmeldung",
  "support": "Kundendienst",
  "welcome": "Willkommen",
  "welcomeMsg": "Mail zum Anzeigen relevanter CRM-Details öffnen",
  "createNew": "Neu erstellen –",
  "add": "{{module}} hinzufügen",
  "save": "{{module}} speichern",
  "cancel": "abbrechen",
  "modAdded": "{{module}} wurde hinzugefügt",
  "underMsg": "{{module}} wurde unter {{module}} hinzugefügt",
  "deleteAlertMsg": "Wirklich löschen?",
  "yes": "ja",
  "no": "kein",
  "ok": "OK",
  "edit": "Bearbeiten",
  "delete": "Löschen",
  "magicMsg": "Moment, bitte, wir zaubern für Sie …",
  "summary": "Übersicht",
  "pinfo": "Primäre Informationen",
  "sinfo": "Sekundäre Informationen",
  "minfo": "weitere Informationen",
  "reset": "Rücksetzen",
  "ppw": "Verarbeitung läuft; Moment, bitte …",
  "addA": "{{module}} hinzufügen",
  "enter": "Eingabe",
  "note": "Hinweis",
  "title": "Titel",
  "contentMan": "Inhalt muss angegeben werden",
  "filter": "Filter",
  "fetchDet": "Details abrufen",
  "noModFound": "{{module}} nicht gefunden",
  "activites": "Aktivitäten",
  "probability": "Wahrscheinlichkeit",
  "amount": "Betrag",
  "closingdate": "Schlusstermin",
  "back": "Zurück",
  "backtoEmailInfo": "Zurück zu E-Mail-Info",
  "openinZCRM": "In Zoho-CRM-Webansicht öffnen",
  "by": "Von",
  "unsavedMsg": "Änderungen auf dieser Seite wurden nicht gespeichert. Wirklich verlassen?",
  "signOutMsg": "Sie werden von Ihrem Konto abgemeldet; Moment, bitte!",
  "wegotyouMsg": "Wir haben’s gleich … Noch ein paar Sekunden.",
  "letStartMsg": "Legen wir los!",
  "authenticate": "Authentifizieren",
  "googDiscMsg": "Diese Authentifizierung verknüpft lediglich Ihre Google-E-Mail-Adresse mit Ihrem Zoho-Konto. Durch Authentifizierung können Sie Zoho-CRM-Erweiterungen über Ihr Google-Chrome-People-Konto überall und jederzeit nutzen. Zoho speichert keinerlei Google-Kontendaten.",
  "almostThereMsg": "Fast geschafft!",
  "addedSuc": "{{module}} erfolgreich hinzugefügt",
  "search": "Suche",
  "noResultsMsg": "Keine Ergebnisse gefunden",
  "updateMsg": "{{module}} erfolgreich aktualisiert",
  "oops": "Hoppla!",
  "accNotMatch": "Chrome- und Gmail-Konten passen nicht. Melden Sie sich zum Fortfahren mit {{email_id}} bei Gmail an!",
  "networkError": "Netzwerkfehler",
  "retry": "Wiederholen",
  "unFetchData": "Datenabruf nicht möglich",
  "updatetoZohoCRM": "In Zoho CRM aktualisieren",
  "lcDisabled": "Offenbar haben Sie {{module}}- und {{module}}-Module in Zoho CRM deaktiviert.",
  "clickEnable": "Zum Aktivieren hier klicken.",
  "step": "Schritt",
  "clicktoview": "Zum Anzeigen klicken",
  "close": "Schließen",
  "open": "Öffnen",
  "closed": "Geschlossen",
  "all": "Alle(s)",
  "success": "Erfolg",
  "error": "Fehler",
  "fieldName": "Feldname:",
  "pca": "Bitte wenden Sie sich an Ihren Administrator",
  "perDenied": "Hoppla! Berechtigung fehlt",
  "delSuc": "{{module}} erfolgreich gelöscht",
  "underUpdate": "{{module}} wurde unter {{module}} aktualisiert",
  "updated": "{{module}} aktualisiert",
  "hasUpdated": "{{module}} wurde aktualisiert",
  "underDel": "{{module}} unter {{module}} erfolgreich gelöscht",
  "details": "{{module}}-Details",
  "addAs": "Hinzufügen als",
  "info": "Info",
  "due": "fällig",
  "added": "{{module}} hinzugefügt",
  "edited": "{{module}} bearbeitet",
  "convert": "Umwandeln",
  "addToExist": "Zu vorhandenem {{module}} hinzufügen",
  "convertCreateNew": "Neues {{module}} wird für {{module}} erstellt",
  "ownerOfRec": "Besitzer der Einträge",
  "notifyRecOwner": "Eintragsbesitzer benachrichtigen",
  "noCrmAcc": "Offenbar haben Sie kein aktives Zoho-CRM-Konto",
  "clickActive": "Zum Aktivieren hier klicken",
  "reqField": "Dieses Feld darf nicht leer sein",
  "maxChar": "Maximal {0} Zeichen zulässig",
  "validEmail": "Gültige E-Mail-Adresse erforderlich",
  "onlyNum": "Nur numerische Werte zugelassen",
  "validURL": "Gültige URL erforderlich",
  "numWithDec": "Dezimalzahlen zugelassen",
  "maxCharMod": "Maximal {0} Zeichen in {{module}} zulässig"
};
/* 9. Hungarian-Hungary */
var lang_hu_HU={
  "menu": "Menü",
  "home": "Kezdőlap",
  "help": "Súgó",
  "signout": "Kijelentkezés",
  "feedback": "Visszajelzés",
  "support": "Támogatás",
  "welcome": "Üdvözöljük",
  "welcomeMsg": "A kapcsolódó CRM-adatok megtekintéséhez nyisson meg egy üzenetet",
  "createNew": "Új létrehozása",
  "add": "{{module}} hozzáadása",
  "save": "{{module}} mentése",
  "cancel": "mégse",
  "modAdded": "a(z) {{module}} hozzáadása megtörtént",
  "underMsg": "A(z) {{module}} hozzáadása megtörtént a(z) {{module}} alá",
  "deleteAlertMsg": "Biztosan törli?",
  "yes": "igen",
  "no": "nem",
  "ok": "OK",
  "edit": "Szerkesztés",
  "delete": "Törlés",
  "magicMsg": "Kérjük, várjon, amíg elvégezzük a varázslatot...",
  "summary": "Összefoglalás",
  "pinfo": "Elsődleges információk",
  "sinfo": "Másodlagos információk",
  "minfo": "további információk",
  "reset": "Visszaállítás",
  "ppw": "Feldolgozás, kis türelmet...",
  "addA": "{{module}} hozzáadása",
  "enter": "Bevitel",
  "note": "Megjegyzés",
  "title": "Cím",
  "contentMan": "tartalom kötelező",
  "filter": "Szűrő",
  "fetchDet": "Részletek lekérése",
  "noModFound": "Nem található {{module}}",
  "activites": "Tevékenységek",
  "probability": "Valószínűség",
  "amount": "Összeg",
  "closingdate": "Záró dátum",
  "back": "Vissza",
  "backtoEmailInfo": "Vissza az e-mail adatokhoz",
  "openinZCRM": "Megnyitás a Zoho CRM webes nézetben",
  "by": "A következő által",
  "unsavedMsg": "Az oldalon nem mentett változások vannak. Szeretne kilépni?",
  "signOutMsg": "Kijelentkezés a fiókjából, kis türelmet!",
  "wegotyouMsg": "Megvagyunk... már csak néhány másodperc.",
  "letStartMsg": "Kezdjünk neki!",
  "authenticate": "Hitelesítés",
  "googDiscMsg": "Ez a hitelesítés mindössze Google e-mail címét képezi le Zoho fiókjába. A hitelesítéssel a Google Chrome Személyek fiókja segítségével bárhonnan, bármikor használhatja a Zoho CRM bővítményt. A Zoho semmilyen Google fiókadatot nem tárol.",
  "almostThereMsg": "Majdnem kész!",
  "addedSuc": "{{module}} sikeresen hozzáadva",
  "search": "Keresés",
  "noResultsMsg": "Nincs találat",
  "updateMsg": "A(z) {{module}} frissítése sikerült",
  "oops": "Hoppá!",
  "accNotMatch": "A Chrome és Gmail fiókok nem egyeznek. A folytatáshoz a(z) {{email_id}} címmel jelentkezzen be a Gmail fiókba!",
  "networkError": "Hálózati hiba",
  "retry": "Újra",
  "unFetchData": "Az adatok beolvasása nem sikerült",
  "updatetoZohoCRM": "Frissítés a Zoho CRM rendszerbe",
  "lcDisabled": "Úgy tűnik, hogy Ön letiltotta a(z) {{module}} és {{module}} modult a Zoho CRM rendszerben.",
  "clickEnable": "Az engedélyezéshez kattintson ide.",
  "step": "lépés",
  "clicktoview": "A megtekintéshez kattintson ide",
  "close": "Bezárás",
  "open": "Megnyitás",
  "closed": "Lezárva",
  "all": "Mind",
  "success": "sikerült",
  "error": "hiba",
  "fieldName": "Mező neve:",
  "pca": "Kérjük, forduljon a rendszergazdához",
  "perDenied": "Hoppá! Ön nem rendelkezik megfelelő engedéllyel",
  "delSuc": "{{module}} sikeresen törölve",
  "underUpdate": "A(z) {{module}} alatti {{module}} frissítése megtörtént",
  "updated": "{{module}} frissítve",
  "hasUpdated": "{{module}} frissítve",
  "underDel": "A(z) {{module}} alatti {{module}} törlése sikerült",
  "details": "{{module}} adatai",
  "addAs": "Hozzáadás, mint",
  "info": "információk",
  "due": "esedékesség",
  "added": "hozzáadta a következőt: {{module}}",
  "edited": "szerkesztette a következőt: {{module}}",
  "convert": "Konvertálás",
  "addToExist": "Hozzáadás a következő meglévőhöz: {{module}}",
  "convertCreateNew": "Új {{module}} lesz a következőhöz létrehozva: {{module}}",
  "ownerOfRec": "A bejegyzések tulajdonosa",
  "notifyRecOwner": "Bejegyzés tulajdonosának értesítése",
  "noCrmAcc": "Úgy tűnik, hogy Ön jelenleg nem rendelkezik aktív Zoho CRM-fiókkal",
  "clickActive": "Az aktiváláshoz kattintson ide",
  "reqField": "Ez a mező nem lehet üres",
  "maxChar": "Legfeljebb {{0}} karakter megengedett",
  "validEmail": "Érvényes e-mail címet kell megadni",
  "onlyNum": "Csak számértékek használata megengedett",
  "validURL": "Érvényes URL-címet kell megadni",
  "numWithDec": "Decimális számok használata megengedett",
  "maxCharMod": "Legfeljebb {{0}} karakter megengedett a következőben: {{module}}"
};
/* 10. hindi-india */
var lang_hi_IN=lang_en_US;
/* 11. Italian-Italy */
var lang_it_IT={
  "menu": "Menu",
  "home": "Pagina principale",
  "help": "Guida",
  "signout": "Esci",
  "feedback": "Feedback",
  "support": "Supporto",
  "welcome": "Benvenuto",
  "welcomeMsg": "Apri un messaggio di posta per visualizzare i relativi dettagli di CRM",
  "createNew": "Crea un nuovo",
  "add": "Aggiungi {{module}}",
  "save": "Salva {{module}}",
  "cancel": "annulla",
  "modAdded": "{{module}} è stato aggiunto",
  "underMsg": "{{module}} è stato aggiunto in {{module}}",
  "deleteAlertMsg": "Sei sicuro di eliminare?",
  "yes": "sì",
  "no": "no",
  "ok": "OK",
  "edit": "Modifica",
  "delete": "Elimina",
  "magicMsg": "Attendere mentre facciamo la nostra magia...",
  "summary": "Riepilogo",
  "pinfo": "Info primaria",
  "sinfo": "Info secondaria",
  "minfo": "ulteriori informazioni",
  "reset": "Reimposta",
  "ppw": "Elaborazione in corso. Attendere, prego ...",
  "addA": "Aggiungi {{module}}",
  "enter": "Inserisci",
  "note": "Nota",
  "title": "Titolo",
  "contentMan": "il contenuto è obbligatorio",
  "filter": "Filtro",
  "fetchDet": "Recupero dettagli",
  "noModFound": "Nessun {{module}} trovato",
  "activites": "Attività",
  "probability": "Probabilità",
  "amount": "Importo",
  "closingdate": "Data di chiusura",
  "back": "Indietro",
  "backtoEmailInfo": "Torna alle informazioni e-mail",
  "openinZCRM": "Apri in Zoho CRM Webview",
  "by": "Per",
  "unsavedMsg": "Sono presenti modifiche non salvate in questa pagina. Desideri abbandonare?",
  "signOutMsg": "Uscita dell’account, attendere!",
  "wegotyouMsg": "Siamo con te... attendi solo alcuni secondi.",
  "letStartMsg": "Iniziamo!",
  "authenticate": "Autentica",
  "googDiscMsg": "Questa autenticazione mappa solo il tuo id e-mail Google al tuo account Zoho. Con l’autenticazione, è possibile utilizzare l’estensione di Zoho CRM da ovunque, in qualsiasi momento utilizzando l’account di Google Chrome People. Zoho non memorizza alcun dato del tuo account Google.",
  "almostThereMsg": "L'operazione è quasi conclusa!",
  "addedSuc": "{{module}} aggiunto correttamente",
  "search": "Cerca",
  "noResultsMsg": "Nessun risultato trovato",
  "updateMsg": "{{module}} aggiornato correttamente",
  "oops": "Ops!",
  "accNotMatch": "Gli account Gmail e Chrome non corrispondono, per continuare, eseguire l’accesso a Gmail con {{email_id}}!",
  "networkError": "Errore di rete",
  "retry": "Riprova",
  "unFetchData": "Impossibile recuperare i dati",
  "updatetoZohoCRM": "Aggiorna a Zoho CRM",
  "lcDisabled": "Sembra che hai disabilitato i moduli {{module}} e {{module}} in Zoho CRM.",
  "clickEnable": "Clicca qui per abilitare.",
  "step": "A fasi",
  "clicktoview": "Clicca per visualizzare",
  "close": "Chiudi",
  "open": "Apri",
  "closed": "Chiuso",
  "all": "Tutti",
  "success": "operazione riuscita",
  "error": "errore",
  "fieldName": "Nome campo:",
  "pca": "Contattare l’amministratore",
  "perDenied": "Oops! Non si dispone dell'autorizzazione",
  "delSuc": "{{module}} eliminato correttamente",
  "underUpdate": "il {{module}} è stato aggiornato in {{module}}",
  "updated": "{{module}} aggiornato",
  "hasUpdated": "{{module}} è stato aggiornato",
  "underDel": "{{module}} in {{module}} eliminato correttamente",
  "details": "Dettagli {{module}}",
  "addAs": "Aggiungi come",
  "info": "info",
  "due": "in scadenza",
  "added": "{{module}} aggiunto",
  "edited": "{{module}} modificato",
  "convert": "Converti",
  "addToExist": "Aggiungi al {{module}} esistente",
  "convertCreateNew": "Sarà creato un nuovo  {{module}} per {{module}}",
  "ownerOfRec": "Proprietario dei record",
  "notifyRecOwner": "Notifica proprietario record",
  "noCrmAcc": "Sembra che non si disponga di un account Zoho CRM attivo",
  "clickActive": "Fai clic qui per attivare",
  "reqField": "Questo campo non può essere vuoto",
  "maxChar": "È consentito un massimo di {{0}} caratteri",
  "validEmail": "È necessaria un’e-mail valida",
  "onlyNum": "Sono consentiti solo valori numerici",
  "validURL": "È necessario un URL valido",
  "numWithDec": "Sono consentiti numeri decimali",
  "maxCharMod": "È consentito un massimo di {{0}} caratteri nel {{module}}"
};
/* 12. japanese-japan */
var lang_ja_JP={
  "menu":  "メニュー",
  "home":  "ホーム",
  "help":  "ヘルプ",
  "signout":  "サインアウトする",
  "feedback":  "フィードバック",
  "support":  "サポート",
  "welcome":  "ようこそ",
  "welcomeMsg":  "関連する CRM の詳細を表示するメールを開く",
  "createNew":  "新規作成",
  "add":  "追加する {{module}}",
  "save":  "保存する {{module}}",
  "cancel":  "キャンセル",
  "modAdded":  "{{module}} が追加されました",
  "underMsg":  "{module}} が次の事項の下に追加されました： {{module}}",
  "deleteAlertMsg":  "本当に削除しますか？",
  "yes":  "はい",
  "no":  "いいえ",
  "ok":  "Ok",
  "edit":  "編集",
  "delete":  "削除する",
  "magicMsg":  "解決されるまで少々お待ちください...",
  "summary":  "概要",
  "pinfo":  "プライマリ情報",
  "sinfo":  "セカンダリ情報",
  "minfo":  "詳細情報",
  "reset":  "リセット",
  "ppw":  "処理中です。少々お待ちください…",
  "addA":  "次の事項を追加する： {{module}}",
  "enter":  "～を入力してください",
  "note":  "メモ",
  "title":  "件名",
  "contentMan":  "コンテンツは必須です",
  "filter":  "フィルタ",
  "fetchDet":  "詳細をフェッチしています",
  "noModFound":  "{{module}}が一つも見つかりません",
  "activites":  "アクティビティ",
  "probability":  "確立",
  "amount":  "合計",
  "closingdate":  "締切り日",
  "back":  "戻る",
  "backtoEmailInfo":  "Eメールの情報に戻る",
  "openinZCRM":  "Zoho CRM Webview で開く",
  "by":  "担当者：",
  "unsavedMsg":  "このページで変更内容が保存されていません。脱退しますか？",
  "signOutMsg":  "アカウントからログアウトしています、少々お待ちください！",
  "wegotyouMsg":  "後数秒お待ちください。",
  "letStartMsg":  "始めましょう！",
  "authenticate":  "認証する",
  "googDiscMsg":  "この認証では、Google のEメールIDが Zoho アカウントにのみマッピングされます。認証することで、いつでもどこでも Google Chrome People アカウントを使用して Zoho CRM 拡張機能を使用できます。Zoho には Google アカウントのデータは保存されません。",
  "almostThereMsg":  "あともう少しです!",
  "addedSuc":  "{{module}} が正常に追加されました",
  "search":  "検索",
  "noResultsMsg":  "結果は一つもありませんでした",
  "updateMsg":  "{{module}} が正常に更新されました",
  "oops":  "すみません!",
  "accNotMatch":  "Chrome のアカウントと Gmail のアカウントが一致しません。続行するには {{email_id}}から Gmail にログインしてください!",
  "networkError":  "ネットワークエラー",
  "retry":  "再試行",
  "unFetchData":  "データを取得できません",
  "updatetoZohoCRM":  "Zoho CRM にアップデート",
  "lcDisabled":  "Zoho CRM の {{module}}および {{module}} モジュールを無効にされた模様です。",
  "clickEnable":  "有効にするにはここをクリック。",
  "step":  "ステップ",
  "clicktoview":  "詳細を表示するにはここをクリック",
  "close":  "閉じる",
  "open":  "開く",
  "closed":  "終了済み",
  "all":  "すべて"
};
/* 13. Polish-Poland */
var lang_pl_PL={
  "menu": "Menu",
  "home": "Strona główna",
  "help": "Pomoc",
  "signout": "Wyloguj się",
  "feedback": "Opinia",
  "support": "Wsparcie techniczne",
  "welcome": "Witamy",
  "welcomeMsg": "Otwórz pocztę, aby wyświetlić szczegóły związane z systemem CRM",
  "createNew": "Utwórz nowy",
  "add": "Dodaj {{module}}",
  "save": "Zapisz {{module}}",
  "cancel": "anuluj",
  "modAdded": "{{module}} został dodany",
  "underMsg": "{{module}} został dodany poniżej {{module}}",
  "deleteAlertMsg": "Czy na pewno chcesz usunąć?",
  "yes": "tak",
  "no": "nie",
  "ok": "OK",
  "edit": "Edytuj",
  "delete": "Usuń",
  "magicMsg": "Prosimy czekać, właśnie nad tym pracujemy...",
  "summary": "Podsumowanie",
  "pinfo": "Podstawowe informacje",
  "sinfo": "Dodatkowe informacje",
  "minfo": "więcej informacji",
  "reset": "Resetuj",
  "ppw": "Przetwarzanie, proszę czekać...",
  "addA": "Dodaj {{module}}",
  "enter": "Wprowadź",
  "note": "Uwaga",
  "title": "Tytuł",
  "contentMan": "treść jest obowiązkowa",
  "filter": "Filtruj",
  "fetchDet": "Pobieranie szczegółów",
  "noModFound": "Nie znaleziono modułu {{module}}",
  "activites": "Działania",
  "probability": "Prawdopodobieństwo",
  "amount": "Ilość",
  "closingdate": "Data zamknięcia",
  "back": "Wróć",
  "backtoEmailInfo": "Wróć do informacji na temat wiadomości e-mail",
  "openinZCRM": "Otwórz w widoku strony Zoho CRM",
  "by": "Według",
  "unsavedMsg": "Na stronie znajdują się niezapisane zmiany. Czy chcesz wyjść?",
  "signOutMsg": "Wylogowywanie z konta, proszę czekać!",
  "wegotyouMsg": "Już prawie gotowe... Jeszcze tylko kilka sekund.",
  "letStartMsg": "Zacznijmy już teraz!",
  "authenticate": "Uwierzytelnij",
  "googDiscMsg": "To uwierzytelnianie łączy jedynie identyfikator poczty e-mail na portalu Google z kontem Zoho. Dokonując uwierzytelnienia, możesz korzystać z rozszerzenia Zoho CRM w dowolnym miejscu i czasie za pośrednictwem swojego konta Google Chrome People. Zoho nie przechowuje żadnych danych Twojego konta Google.",
  "almostThereMsg": "Już prawie gotowe!",
  "addedSuc": "{{module}} dodano pomyślnie",
  "search": "Wyszukaj",
  "noResultsMsg": "Brak wyników",
  "updateMsg": "{{module}} pomyślnie zaktualizowan",
  "oops": "Ups!",
  "accNotMatch": "Konta Chrome i Gmail nie pasują do siebie. Aby kontynuować, zaloguj się na konto Gmail za pomocą {{email_id}}!",
  "networkError": "Błąd sieci",
  "retry": "Spróbuj ponownie",
  "unFetchData": "Nie można pobrać danych",
  "updatetoZohoCRM": "Aktualizacja w Zoho CRM",
  "lcDisabled": "Wygląda na to, że wyłączyłeś(-aś) moduły {{module}} oraz {{module}} w Zoho CRM.",
  "clickEnable": "Kliknij tutaj, aby aktywować.",
  "step": "krok",
  "clicktoview": "Kliknij, aby wyświetlić",
  "close": "Zamknij",
  "open": "Otwórz",
  "closed": "Zamknięte",
  "all": "Wszystkie",
  "success": "powodzenie",
  "error": "błąd",
  "fieldName": "Nazwa pola:",
  "pca": "Skontaktuj się z administratorem",
  "perDenied": "Ups! Nie masz uprawnień",
  "delSuc": "{{module}} pomyślnie usunięto",
  "underUpdate": "{{module}} zaktualizowano w {{module}}",
  "updated": "{{module}} Zaktualizowano",
  "hasUpdated": "{{module}} zostało zaktualizowane",
  "underDel": "{{module}} w {{module}} usunięto z powodzeniem",
  "details": "{{module}} Szczegóły",
  "addAs": "Dodaj jako",
  "info": "informacje",
  "due": "z terminem do",
  "added": "dodał(a) {{module}}",
  "edited": "edytował(a) {{module}}",
  "convert": "Konwertuj",
  "addToExist": "Dodaj do istniejących {{module}}",
  "convertCreateNew": "Nowy {{module}} zostanie utworzony dla {{module}}",
  "ownerOfRec": "Właściciel rekordów",
  "notifyRecOwner": "Powiadom właściciela rekordu",
  "noCrmAcc": "Obecnie nie masz aktywnego konta Zoho CRM",
  "clickActive": "Kliknij tutaj, by aktywować",
  "reqField": "To pole nie może być puste",
  "maxChar": "Maks. można użyć {{0}} znaków",
  "validEmail": "Należy podać prawidłowy adres e-mail",
  "onlyNum": "Można podać tylko wartości liczbowe",
  "validURL": "Należy podać prawidłowy adres URL",
  "numWithDec": "Dozwolone są liczby dziesiętne",
  "maxCharMod": "Maks. można użyć {{0}} znaków w {{module}}"
};
/* 14. Portuguese-brazialian */
var lang_pt_BR={
  "menu": "Menu",
  "home": "Página inicial",
  "help": "Ajuda",
  "signout": "Sair",
  "feedback": "Feedback",
  "support": "Suporte",
  "welcome": "Bem-vindo(a)",
  "welcomeMsg": "Abra um e-mail para visualizar os detalhes relacionados ao CRM",
  "createNew": "Criar um novo",
  "add": "Adicionar {{module}}",
  "save": "Salvar {{module}}",
  "cancel": "cancelar",
  "modAdded": "{{module}} foi adicionado",
  "underMsg": "{{module}} foi adicionado no {{module}}",
  "deleteAlertMsg": "Tem certeza de que deseja excluir?",
  "yes": "sim",
  "no": "n.º",
  "ok": "OK",
  "edit": "Editar",
  "delete": "Excluir",
  "magicMsg": "Aguarde enquanto realizamos nossa mágica...",
  "summary": "Resumo",
  "pinfo": "Informações primárias",
  "sinfo": "informações secundárias",
  "minfo": "mais informações",
  "reset": "Redefinir",
  "ppw": "Em processamento, aguarde...",
  "addA": "Adicionar um {{module}}",
  "enter": "Inserir",
  "note": "Observação",
  "title": "Título",
  "contentMan": "o conteúdo é obrigatório",
  "filter": "Filtro",
  "fetchDet": "Buscando detalhes",
  "noModFound": "Nenhum {{module}} encontrado",
  "activites": "Atividades",
  "probability": "Probabilidade",
  "amount": "Montante",
  "closingdate": "Data de fechamento",
  "back": "Voltar",
  "backtoEmailInfo": "Voltar para informações do e-mail",
  "openinZCRM": "Abrir na exibição da web do Zoho CRM",
  "by": "Por",
  "unsavedMsg": "Você possui alterações não salvas nesta página. Deseja sair?",
  "signOutMsg": "Saindo de sua conta, por favor, aguarde!",
  "wegotyouMsg": "Já vamos atendê-lo... aguarde só mais alguns segundos.",
  "letStartMsg": "Vamos começar!",
  "authenticate": "Autenticar",
  "googDiscMsg": "Esta autenticação mapeia apenas sua ID de e-mail do Google para sua conta do Zoho. Ao autenticar, você pode usar a extensão do Zoho CRM a partir de qualquer lugar e a qualquer momento, usando sua conta do Google Chrome People. O Zoho não armazena nenhum dado de sua conta do Google.",
  "almostThereMsg": "Estamos quase lá!",
  "addedSuc": "{{module}} adicionado com êxito",
  "search": "Pesquisar",
  "noResultsMsg": "Nenhum resultado encontrado",
  "updateMsg": "{{module}} atualizado com êxito",
  "oops": "Ops!",
  "accNotMatch": "As contas do Chrome e Gmail não são correspondentes. Para continuar, faça o login no Gmail com {{email_id}}!",
  "networkError": "Erro de rede",
  "retry": "Repetir",
  "unFetchData": "Não foi possível buscar os dados",
  "updatetoZohoCRM": "Atualizar para Zoho CRM",
  "lcDisabled": "Parece que você desabilitou os módulos {{module}} e {{module}} no Zoho CRM.",
  "clickEnable": "Clique aqui para habilitar.",
  "step": "etapa",
  "clicktoview": "Clique para visualizar",
  "close": "Fechar",
  "open": "Abrir",
  "closed": "Fechado",
  "all": "Todos",
  "success": "sucesso",
  "error": "erro",
  "fieldName": "Nome do campo:",
  "pca": "Entre em contato com seu administrador",
  "perDenied": "Ops! Você não tem permissão",
  "delSuc": "{{module}} excluído com êxito",
  "underUpdate": "{{module}} foi atualizado no {{module}}",
  "updated": "{{module}} atualizado",
  "hasUpdated": "O {{module}} foi atualizado",
  "underDel": "{{module}} no {{module}} excluído com êxito",
  "details": "Detalhes do {{module}}",
  "addAs": "Adicionar como",
  "info": "informação",
  "due": "vencimento",
  "added": "adicionou {{module}}",
  "edited": "{{module}} editado",
  "convert": "Converter",
  "addToExist": "Adicionar {{module}} existente",
  "convertCreateNew": "Um novo {{module}} será criado para o {{module}}",
  "ownerOfRec": "Proprietário dos registros",
  "notifyRecOwner": "Notificar o proprietário do registro",
  "noCrmAcc": "Parece que você não tem uma conta ativa do Zoho CRM",
  "clickActive": "Clique aqui para ativar",
  "reqField": "Este campo não pode ficar vazio",
  "maxChar": "São permitidos no máximo {{0}} caracteres",
  "validEmail": "E-mail válido necessário",
  "onlyNum": "Somente valores numéricos são permitidos",
  "validURL": "URL válida necessária",
  "numWithDec": "São permitidos números decimais",
  "maxCharMod": "São permitidos no máximo {{0}} caracteres no {{module}}"
};
/* 15. portuguese-Portugal */
var lang_pt_PT={
  "menu": "Menu",
  "home": "Página principal",
  "help": "Ajuda",
  "signout": "Terminar sessão",
  "feedback": "Comentários",
  "support": "Suporte",
  "welcome": "Bem-vindo(a)",
  "welcomeMsg": "Abrir uma mensagem de correio para ver os detalhes CRM relacionados",
  "createNew": "Criar um novo",
  "add": "Adicionar {{module}}",
  "save": "Guardar {{module}}",
  "cancel": "cancelar",
  "modAdded": "{{module}} foi adicionado",
  "underMsg": "{{module}} foi adicionado em {{module}}",
  "deleteAlertMsg": "Tem a certeza de que pretende eliminar?",
  "yes": "sim",
  "no": "não",
  "ok": "OK",
  "edit": "Editar",
  "delete": "Eliminar",
  "magicMsg": "Aguarde enquanto fazemos a nossa magia...",
  "summary": "Resumo",
  "pinfo": "Info principal",
  "sinfo": "Info secundária",
  "minfo": "mais info",
  "reset": "Repor",
  "ppw": "A processar, aguarde…",
  "addA": "Adicionar um {{module}}",
  "enter": "Introduzir",
  "note": "Nota",
  "title": "Título",
  "contentMan": "o conteúdo é Obrigatório",
  "filter": "Filtro",
  "fetchDet": "A obter detalhes",
  "noModFound": "Não foram encontrados {{module}}",
  "activites": "Atividades",
  "probability": "Probabilidade",
  "amount": "Quantidade",
  "closingdate": "Data de encerramento",
  "back": "Voltar",
  "backtoEmailInfo": "Voltar às informações de e-mail",
  "openinZCRM": "Abrir na vista web do Zoho CRM",
  "by": "Por",
  "unsavedMsg": "Tem alterações não guardadas nesta página. Pretende sair?",
  "signOutMsg": "A terminar sessão da sua conta, aguarde!",
  "wegotyouMsg": "Nós tratamos disso... aguarde apenas alguns segundos.",
  "letStartMsg": "Vamos começar!",
  "authenticate": "Autenticar",
  "googDiscMsg": "Esta autenticação apenas mapeia o seu id de e-mail do Google à sua conta Zoho. Ao autenticar, pode utilizar a extensão do Zoho CRM a qualquer hora, em qualquer lugar utilizando a sua conta pessoal do Google Chrome. Zoho não armazena os seus dados de conta do Google.",
  "almostThereMsg": "Estamos quase lá!",
  "addedSuc": "{{module}} adicionado com êxito",
  "search": "Procurar",
  "noResultsMsg": "Não foram encontrados resultados",
  "updateMsg": "{{module}} atualizado com êxito",
  "oops": "Ups!",
  "accNotMatch": "As contas do Chrome e Gmail não coincidem. Para continuar, inicie sessão no Gmail com {{email_id}}!",
  "networkError": "Erro de rede",
  "retry": "Tentar novamente",
  "unFetchData": "Não foi possível obter dados",
  "updatetoZohoCRM": "Atualizar para o Zoho CRM",
  "lcDisabled": "Parece que desativou os módulos {{module}} e {{module}} no Zoho CRM.",
  "clickEnable": "Clique aqui para ativar.",
  "step": "passo",
  "clicktoview": "Clique para ver",
  "close": "Fechar",
  "open": "Aberto",
  "closed": "Fechado",
  "all": "Tudo",
  "success": "êxito",
  "error": "erro",
  "fieldName": "Nome de campo:",
  "pca": "Por favor, contacte o seu administrador",
  "perDenied": "Ups! Não tem permissão",
  "delSuc": "{{module}} eliminado com êxito",
  "underUpdate": "{{module}} foi atualizado em {{module}}",
  "updated": "{{module}} atualizado",
  "hasUpdated": "{{module}} foi atualizado",
  "underDel": "{{module}} sob {{module}} eliminado com êxito",
  "details": "Detalhes de {{module}}",
  "addAs": "Adicionar como",
  "info": "informação",
  "due": "vencimento",
  "added": "{{module}} adicionado",
  "edited": "{{module}} editado",
  "convert": "Converter",
  "addToExist": "Adicionar a {{module}} existente",
  "convertCreateNew": "Um novo {{module}} será criado para o {{module}}",
  "ownerOfRec": "Proprietário dos registos",
  "notifyRecOwner": "Notificar o proprietário do registo",
  "noCrmAcc": "Pelos vistos não tem uma conta ativa do Zoho CRM",
  "clickActive": "Clicar aqui para ativar",
  "reqField": "Este campo não pode estar vazio",
  "maxChar": "Máximo de {{0}} caracteres permitidos",
  "validEmail": "E-mail válido é obrigatório",
  "onlyNum": "Apenas são permitidos valores numéricos",
  "validURL": "URL válido é obrigatório",
  "numWithDec": "São permitidos números decimais",
  "maxCharMod": "Máximo de {{0}} caracteres  permitidos no {{module}}"
};
/* 16.Russian-Russia */
var lang_ru_RU={
  "menu": "Меню",
  "home": "Главная",
  "help": "Справка",
  "signout": "Выход",
  "feedback": "Отзыв",
  "support": "Поддержка",
  "welcome": "Добро пожаловать",
  "welcomeMsg": "Откройте письмо и ознакомьтесь со сведениями, касающимися CRM",
  "createNew": "Создать",
  "add": "Добавить {{module}}",
  "save": "Сохранить {{module}}",
  "cancel": "отмена",
  "modAdded": "Модуль {{module}} добавлен",
  "underMsg": "Модуль {{module}} добавлен в {{module}}",
  "deleteAlertMsg": "Действительно удалить?",
  "yes": "да",
  "no": "№",
  "ok": "ОК",
  "edit": "Правка",
  "delete": "Удалить",
  "magicMsg": "Дождитесь завершения настройки...",
  "summary": "Сводка",
  "pinfo": "Основные сведения",
  "sinfo": "Дополнительные сведения",
  "minfo": "подробнее",
  "reset": "Сбросить",
  "ppw": "Подождите, выполняется обработка...",
  "addA": "Добавление {{module}}",
  "enter": "Ввод",
  "note": "Примечание",
  "title": "Заголовок",
  "contentMan": "Необходимо указать содержимое",
  "filter": "Фильтр",
  "fetchDet": "Получение сведений",
  "noModFound": "Не удалось найти модуль {{module}}",
  "activites": "Действия",
  "probability": "Вероятность",
  "amount": "Сумма",
  "closingdate": "Дата закрытия",
  "back": "Назад",
  "backtoEmailInfo": "Назад к сведениям об эл. почте",
  "openinZCRM": "Открыть в веб-представлении Zoho CRM",
  "by": "По",
  "unsavedMsg": "На этой странице есть несохраненные изменения. Покинуть страницу?",
  "signOutMsg": "Подождите, выполняется выход из учетной записи.",
  "wegotyouMsg": "Осталось совсем немного.",
  "letStartMsg": "Приступим!",
  "authenticate": "Проверить подлинность",
  "googDiscMsg": "Данная проверка подлинности служит только для сопоставления вашей эл. почты Google с учетной записью Zoho. После проверки подлинности вы сможете использовать расширение Zoho CRM в любое время и из любого места, где бы вы ни находились, с помощью своей учетной записи Google Chrome People. В Zoho не сохраняются никакие данные из вашей учетной записи Google.",
  "almostThereMsg": "Почти готово!",
  "addedSuc": "Модуль {{module}} успешно добавлен",
  "search": "Поиск",
  "noResultsMsg": "Результаты не найдены",
  "updateMsg": "Модуль {{module}} успешно обновлен",
  "oops": "Ой!",
  "accNotMatch": "Учетные записи Chrome и Gmail не совпадают. Для продолжения войдите в Gmail от имени {{email_id}}.",
  "networkError": "Ошибка сети",
  "retry": "Повторить",
  "unFetchData": "Не удалось получить данные",
  "updatetoZohoCRM": "Обновить в Zoho CRM",
  "lcDisabled": "Похоже, вы отключили модули {{module}} и {{module}} в Zoho CRM.",
  "clickEnable": "Щелкните здесь, чтобы активировать.",
  "step": "шаг",
  "clicktoview": "Щелкните для просмотра",
  "close": "Закрыть",
  "open": "Открыть",
  "closed": "Закрыто",
  "all": "Все",
  "success": "успешно",
  "error": "ошибка",
  "fieldName": "Имя поля:",
  "pca": "Обратитесь к администратору",
  "perDenied": "Произошла ошибка. У вас нет разрешения",
  "delSuc": "{{module}} успешно удален",
  "underUpdate": "{{module}} в {{module}} обновлен",
  "updated": "{{module}} обновлен",
  "hasUpdated": "{{module}} обновлен",
  "underDel": "{{module}} в {{module}} успешно удален",
  "details": "Сведения о {{module}}",
  "addAs": "Добавить как",
  "info": "информация",
  "due": "срок",
  "added": "добавил(а) {{module}}",
  "edited": "изменил(а) {{module}}",
  "convert": "Преобразовать",
  "addToExist": "Добавить в существующий {{module}}",
  "convertCreateNew": "Для {{module}} будет создан новый {{module}}",
  "ownerOfRec": "Владелец записей",
  "notifyRecOwner": "Уведомить владельца записи",
  "noCrmAcc": "Похоже, у вас нет активной учетной записи Zoho CRM",
  "clickActive": "Щелкните здесь, чтобы активировать",
  "reqField": "Это поле не должно быть пустым",
  "maxChar": "Допускается не более {{0}} симв.",
  "validEmail": "Укажите допустимый адрес эл. почты",
  "onlyNum": "Допустимы только числовые значения",
  "validURL": "Укажите допустимый URL-адрес",
  "numWithDec": "Десятичные числа не допускаются",
  "maxCharMod": "В {{module}} допускается не более {{0}} симв."
};
/* 17. spanish-spain*/
var lang_es_ES={
  "menu": "Menú",
  "home": "Inicio",
  "help": "Ayuda",
  "signout": "Cerrar sesión",
  "feedback": "Comentarios",
  "support": "Asistencia",
  "welcome": "Le damos la bienvenida",
  "welcomeMsg": "Abre un correo para ver detalles de CRM relacionados",
  "createNew": "Crear uno nuevo",
  "add": "Agregar {{module}}",
  "save": "Guardar {{module}}",
  "cancel": "cancele",
  "modAdded": "{{module}} se ha agregado",
  "underMsg": "{{module}} se ha agregado bajo {{module}}",
  "deleteAlertMsg": "¿Está seguro de que desea eliminar?",
  "yes": "sí",
  "no": "no",
  "ok": "Aceptar",
  "edit": "Editar",
  "delete": "Eliminar",
  "magicMsg": "Espere a que finalice.",
  "summary": "Resumen",
  "pinfo": "Información primaria",
  "sinfo": "Información secundaria",
  "minfo": "más información",
  "reset": "Restablecer",
  "ppw": "Procesando, espere...",
  "addA": "Agregar un {{module}}",
  "enter": "Ingresar",
  "note": "Nota",
  "title": "Cargo",
  "contentMan": "El contenido es obligatorio",
  "filter": "Filtrar",
  "fetchDet": "Capturando detalles",
  "noModFound": "No se ha encontrado {{module}}",
  "activites": "Actividades",
  "probability": "Probabilidad",
  "amount": "Importe",
  "closingdate": "Fecha de cierre",
  "back": "Atrás",
  "backtoEmailInfo": "Volver a la información de correo electrónico",
  "openinZCRM": "Abrir en Zoho CRM Webview",
  "by": "Por",
  "unsavedMsg": "Tiene cambios sin guardar en esta página. ¿Desea salir?",
  "signOutMsg": "Saliendo de su cuenta, espere por favor...",
  "wegotyouMsg": "Lo tenemos... sólo unos pocos segundos más.",
  "letStartMsg": "Empecemos",
  "authenticate": "Autenticar",
  "googDiscMsg": "Esta autenticación sólo asigna su ID de correo electrónico de Google a su cuenta de Zoho. Al autenticarse, puede utilizar la extensión de Zoho CRM desde cualquier lugar y en cualquier momento con su cuenta Google Chrome People. Zoho no almacena ninguno de los datos de su cuenta de Google.",
  "almostThereMsg": "Ya casi estamos.",
  "addedSuc": "{{module}} agregado correctamente",
  "search": "Buscar",
  "noResultsMsg": "No se han encontrado resultados",
  "updateMsg": "{{module}} actualizado correctamente",
  "oops": "¡Vaya!",
  "accNotMatch": "Las cuentas de Chrome y Gmail no coinciden. Para continuar, inicie sesión en Gmail con {{email_id}}.",
  "networkError": "Error de red",
  "retry": "Reintentar",
  "unFetchData": "No es posible obtener datos",
  "updatetoZohoCRM": "Actualizar a Zoho CRM",
  "lcDisabled": "Parece que ha deshabilitado los módulos {{module}} y {{module}} en Zoho CRM.",
  "clickEnable": "Haga clic aquí para habilitar.",
  "step": "paso",
  "clicktoview": "Haga clic para ver",
  "close": "Cerrar",
  "open": "Abrir",
  "closed": "Cerrado",
  "all": "Todo",
  "success": "satisfactorio",
  "error": "error",
  "fieldName": "Nombre del campo:",
  "pca": "Póngase en contacto con el administrador",
  "perDenied": "¡Vaya! No tiene permiso",
  "delSuc": "{{module}} eliminado correctamente",
  "underUpdate": "{{module}} se ha actualizado en {{module}}",
  "updated": "{{module}} actualizado",
  "hasUpdated": "{{module}} se ha actualizado",
  "underDel": "{{module}} bajo {{module}} eliminado correctamente",
  "details": "Detalles de {{module}}",
  "addAs": "Agregar como",
  "info": "información",
  "due": "vencido",
  "added": "agregó {{module}}",
  "edited": "editó {{module}}",
  "convert": "Convertir",
  "addToExist": "Añadir a {{module}} existente",
  "convertCreateNew": "Se creará un nuevo {{module}} para el {{module}}",
  "ownerOfRec": "Propietario de los registros",
  "notifyRecOwner": "Notificar al propietario del registro",
  "noCrmAcc": "Parece que no tienes una cuenta de Zoho CRM activa",
  "clickActive": "Haga clic aquí para activar",
  "reqField": "Este campo no puede estar vacío",
  "maxChar": "Se permiten {0} caracteres como máximo",
  "validEmail": "Se requiere una dirección de correo electrónico válida",
  "onlyNum": "Solo se permiten valores numéricos",
  "validURL": "Se requiere una URL válida",
  "numWithDec": "Se permiten números decimales",
  "maxCharMod": "Se permiten {0} caracteres como máximo en {{module}}"
};
/* 18.swedish-swedan*/
var lang_sv_SE={
  "menu": "Meny",
  "home": "Startsida",
  "help": "Hjälp",
  "signout": "Logga ut",
  "feedback": "Återrapportering",
  "support": "Support",
  "welcome": "Välkommen",
  "welcomeMsg": "Öppna ett meddelande för att visa tillhörande CRM-detaljer",
  "createNew": "Skapa en ny",
  "add": "Lägg till {{module}}",
  "save": "Spara {{module}}",
  "cancel": "avbryt",
  "modAdded": "{{module}} har lagts till",
  "underMsg": "{{module}} har lagts till under {{module}}",
  "deleteAlertMsg": "Vill du verkligen ta bort?",
  "yes": "ja",
  "no": "inga",
  "ok": "OK",
  "edit": "Redigera",
  "delete": "Ta bort",
  "magicMsg": "Vänta medan vi utövar magi!",
  "summary": "Sammanfattning",
  "pinfo": "Primär info",
  "sinfo": "Sekundär info",
  "minfo": "mer information",
  "reset": "Återställ",
  "ppw": "Bearbetar, vänta...",
  "addA": "Lägg till en  {{module}}",
  "enter": "Öppna",
  "note": "Obs",
  "title": "Rubrik",
  "contentMan": "innehållet är Obligatoriskt",
  "filter": "Filter",
  "fetchDet": "Hämta detaljer",
  "noModFound": "Ingen {{module}} hittades",
  "activites": "Aktiviteter",
  "probability": "Sannolikhet",
  "amount": "Belopp",
  "closingdate": "Avslutningsdatum",
  "back": "Tillbaka",
  "backtoEmailInfo": "Tillbaka till e-postinfo",
  "openinZCRM": "Öppna i Zoho CRM Webview",
  "by": "Av",
  "unsavedMsg": "Du har ändringar som inte sparats på den här sidan. Vill du avsluta?",
  "signOutMsg": "Loggar ut från ditt kont. Vänta!",
  "wegotyouMsg": "Vi återkommer. Vänta lite bara.",
  "letStartMsg": "Nu börjar vi.",
  "authenticate": "Autentisera",
  "googDiscMsg": "Den här autentiseringen mappar bara ditt e-post-id för Google till ditt Zoho-konto. Genom att autentisera kan du använda Zoho CRM-tillägget var som helst och när som helst med ditt Google Chrome People-konto. Zoho lagrar inga av dina Google-kontodata.",
  "almostThereMsg": "Vi är nästan klara!",
  "addedSuc": "{{module}} har lagts till",
  "search": "Sök",
  "noResultsMsg": "Inga resultat hittades",
  "updateMsg": "{{module}} har uppdaterats",
  "oops": "Hoppsan!",
  "accNotMatch": "Chrome- och Gmail-kontona överensstämmer inte.För att fortsätta loggar du in på Gmail med {{email_id}}!",
  "networkError": "Nätverksfel",
  "retry": "Prova igen",
  "unFetchData": "Det går inte att hämta data",
  "updatetoZohoCRM": "Uppdatera till Zoho CRM",
  "lcDisabled": "Det verkar som om du har inaktiverat {{module}}- och {{module}}-modulerna i Zoho CRM.",
  "clickEnable": "Klicka här för att aktivera.",
  "step": "steg",
  "clicktoview": "Klicka för att visa",
  "close": "Stäng",
  "open": "Öppen",
  "closed": "Stängd",
  "all": "Alla",
  "success": "lyckades",
  "error": "fel",
  "fieldName": "Fältnamn:",
  "pca": "Kontakta administratören",
  "perDenied": "Hoppsan! Du saknar behörighet",
  "delSuc": "{{module}} har raderats",
  "underUpdate": "{{module}} har uppdaterats under {{module}}",
  "updated": "{{module}} uppdaterad",
  "hasUpdated": "{{module}} har uppdaterats",
  "underDel": "{{module}} under {{module}} raderades",
  "details": "{{module}}-detaljer",
  "addAs": "Lägg till som",
  "info": "info",
  "due": "förfaller",
  "added": "la till {{module}}",
  "edited": "redigerade {{module}}",
  "convert": "Konvertera",
  "addToExist": "Lägg till befintlig {{module}}",
  "convertCreateNew": "En ny {{module}} skapas för {{module}}",
  "ownerOfRec": "Ägare till posterna",
  "notifyRecOwner": "Meddela postägaren",
  "noCrmAcc": "Det verkar som om du saknar ett aktivt Zoho CRM-konto",
  "clickActive": "Klicka här för att aktivera",
  "reqField": "Det här fältet får inte vara tomt",
  "maxChar": "Maximalt {{0}} tecken tillåtna",
  "validEmail": "Giltig e-post krävs",
  "onlyNum": "Enbart numeriska värden tillåts",
  "validURL": "Giltig URL krävs",
  "numWithDec": "Decimalsiffror tillåts",
  "maxCharMod": "Maximalt {{0}} tecken tillåtna i {{module}}"
};
/* 19. turkish-turkey */
var lang_tr_TR={
  "menu": "Menü",
  "home": "Giriş sayfası",
  "help": "Yardım",
  "signout": "Oturumu Kapat",
  "feedback": "Geri bildirim",
  "support": "Destek",
  "welcome": "Hoş Geldiniz",
  "welcomeMsg": "Bağlantılı CRM ayrıntılarınız görüntülemek için bir posta açın",
  "createNew": "Yeni oluştur",
  "add": "{{module}} öğesini ekle",
  "save": "Kaydet {{module}}",
  "cancel": "iptal",
  "modAdded": "{{module}} eklendi",
  "underMsg": "{{module}}, {{module}} altına eklendi",
  "deleteAlertMsg": "Silmek istediğinizden emin misiniz?",
  "yes": "evet",
  "no": "hayır",
  "ok": "tamam",
  "edit": "Düzenle",
  "delete": "Sil",
  "magicMsg": "Sihrimizi hazırlıyoruz, lütfen biraz bekleyin...",
  "summary": "Özet",
  "pinfo": "Önemli bilgiler",
  "sinfo": "Yardımcı bilgiler",
  "minfo": "daha fazla bilgi",
  "reset": "Sıfırla",
  "ppw": "İşlem sürüyor, lütfen bekleyin...",
  "addA": "Bir {{module}} ekle",
  "enter": "Gir",
  "note": "Not",
  "title": "Başlık",
  "contentMan": "içerik Zorunludur",
  "filter": "Filtre Uygula",
  "fetchDet": "Getirme Ayrıntıları",
  "noModFound": "Hiçbir {{module}} bulunamadı",
  "activites": "Aktiviteler",
  "probability": "Olasılık",
  "amount": "Miktar",
  "closingdate": "Kapanış Tarihi",
  "back": "Geri",
  "backtoEmailInfo": "E-posta bilgilerine geri dön",
  "openinZCRM": "Zoho CRM Webview’de aç",
  "by": "İle",
  "unsavedMsg": "Bu sayfada kaydedilmemiş değişiklikler var. Çıkmak istiyor musunuz?",
  "signOutMsg": "Hesap oturumunuz kapatılıyor, lütfen bekleyin!",
  "wegotyouMsg": "Bizimlesiniz... sadece birkaç saniye içinde.",
  "letStartMsg": "Başlayın!",
  "authenticate": "Kimlik Doğrula",
  "googDiscMsg": "Bu kimlik doğrulama sadece Google e-posta kimliğinizi Zoho hesabınıza eşlenir. Kimliği doğrulayarak, Zoho CRM eklentisini Google Chrome People hesabınız ile istediğiniz yerden ve dilediğiniz zaman kullanabilirsiniz. Zoho hiçbir Google hesap verinizi saklamaz.",
  "almostThereMsg": "Çok az kaldı!",
  "addedSuc": "{{module}} Başarıyla eklendi",
  "search": "Ara",
  "noResultsMsg": "Sonuç bulunamadı",
  "updateMsg": "{{module}} Başarıyla güncellendi",
  "oops": "Yanlış oldu!",
  "accNotMatch": "Chrome ve Gmail hesapları eşleşmedi. Devam etmek için {{email_id}} ile Gmail’de oturum açın!",
  "networkError": "Ağ Hatası",
  "retry": "Yeniden Dene",
  "unFetchData": "Veriler getirilemiyor",
  "updatetoZohoCRM": "Zoho CRM’e güncelleştir",
  "lcDisabled": "Zoho CRM’de {{module}} ve {{module}} modülleriniz devre dışı bıraktınız gibi görünüyor.",
  "clickEnable": "Etkinleştirmek için burayı tıkla.",
  "step": "adım",
  "clicktoview": "Görüntülemek için tıklayın",
  "close": "Kapat",
  "open": "Aç",
  "closed": "Kapalı",
  "all": "Tümü",
  "success": "başarılı",
  "error": "hata",
  "fieldName": "Alan Adı:",
  "pca": "Lütfen yöneticinize başvurun",
  "perDenied": "Yanlış oldu! İzniniz yok",
  "delSuc": "{{module}} başarıyla silindi",
  "underUpdate": "{{module}} modülü {{module}} modülü altında Güncellendi",
  "updated": "{{module}} Güncellendi",
  "hasUpdated": "{{module}} Güncellendi",
  "underDel": "{{module}} modülü altındaki {{module}} modülü başarıyla silindi",
  "details": "{{module}} Ayrıntıları",
  "addAs": "Ekleme türü",
  "info": "bilgi",
  "due": "süre dolma tarihi",
  "added": "{{module}} modülünü ekledi",
  "edited": "{{module}} modülünü düzenledi",
  "convert": "Dönüştür",
  "addToExist": "Mevcut öğeye ({{module}}) ekleyin",
  "convertCreateNew": "{{module}} için yeni bir {{module}} oluşturulacak",
  "ownerOfRec": "Kayıtların sahibi",
  "notifyRecOwner": "Kayıt Sahibine Bildir",
  "noCrmAcc": "Etkin bir Zoho CRM hesabınız olmadığı görülüyor",
  "clickActive": "Etkinleştirmek için buraya tıklayın",
  "reqField": "Bu alan boş olamaz",
  "maxChar": "Maksimum {{0}} karaktere izin verilir",
  "validEmail": "Geçerli E-posta gerekli",
  "onlyNum": "Sadece sayısal değerler girilebilir",
  "validURL": "Geçerli URL gerekli",
  "numWithDec": "Ondalık sayılara izin verilir",
  "maxCharMod": "{{module}} modülünde maksimum {{0}} karaktere izin verilir"
};
/* 20. vietnamese-vietnam */
var lang_vi_VN={
  "menu": "Trình đơn",
  "home": "Trang chủ",
  "help": "Trợ giúp",
  "signout": "Đăng xuất",
  "feedback": "Ý kiến phản hồi",
  "support": "Hỗ trợ",
  "welcome": "Chào mừng bạn",
  "welcomeMsg": "Mở mail để xem chi tiết CRM liên quan",
  "createNew": "Tạo Mới",
  "add": "Thêm {{module}}",
  "save": "Lưu {{module}}",
  "cancel": "hủy",
  "modAdded": "{{module}} đã được thêm",
  "underMsg": "{{module}} đã được thêm ở {{module}}",
  "deleteAlertMsg": "Bạn có chắc muốn xóa?",
  "yes": "có",
  "no": "không",
  "ok": "OK",
  "edit": "Sửa",
  "delete": "Xóa",
  "magicMsg": "Vui lòng chờ trong khi chúng tôi thực hiện công việc của mình...",
  "summary": "Tóm tắt",
  "pinfo": "Thông tin chính",
  "sinfo": "Thông tin phụ",
  "minfo": "thông tin bổ sung",
  "reset": "Cài đặt lại",
  "ppw": "Đang xử lý, vui lòng chờ…",
  "addA": "Thêm một {{module}}",
  "enter": "Nhập",
  "note": "Ghi chú",
  "title": "Tiêu đề",
  "contentMan": "nội dung là Bắt Buộc",
  "filter": "Lọc",
  "fetchDet": "Truy Xuất Chi Tiết",
  "noModFound": "Không tìm thấy {{module}}",
  "activites": "Hoạt động",
  "probability": "Khả năng Xảy ra",
  "amount": "Số tiền",
  "closingdate": "Ngày Kết Thúc",
  "back": "Trở lại",
  "backtoEmailInfo": "Trở lại thông tin Email",
  "openinZCRM": "Mở trong giao diện web Zoho CRM",
  "by": "Theo",
  "unsavedMsg": "Bạn có các thay đổi chưa lưu trên trang này. Bạn có muốn rời khỏi hay không?",
  "signOutMsg": "Đang đăng xuất khỏi tài khoản của bạn, vui lòng chờ!",
  "wegotyouMsg": "Chúng tôi đã nhận được... chỉ thêm vài giây.",
  "letStartMsg": "Chúng ta hãy bắt đầu!",
  "authenticate": "Xác thực",
  "googDiscMsg": "Quy trình xác thực này chỉ ánh xạ id email Google của bạn với tài khoản Zoho của bạn. Bằng cách xác thực, bạn có thể sử dụng ứng dụng mở rộng Zoho CRM từ bất kỳ đâu, vào bất kỳ lúc nào dùng tài khoản Google Chrome People của bạn. Zoho không lưu bất kỳ dữ liệu nào về tài khoản Google của bạn.",
  "almostThereMsg": "Gần xong!",
  "addedSuc": "Đã thêm {{module}} thành công",
  "search": "Tìm kiếm",
  "noResultsMsg": "Không tìm thấy kết quả",
  "updateMsg": "Cập Nhật {{module}} Thành Công",
  "oops": "Rất tiếc!",
  "accNotMatch": "Tài khoản Chrome và Gmail không khớp. Để tiếp tục, đăng nhập vào Gmail bằng {{email_id}}!",
  "networkError": "Lỗi Mạng",
  "retry": "Thử lại",
  "unFetchData": "Không thể tìm nạp dữ liệu",
  "updatetoZohoCRM": "Cập nhật lên Zoho CRM",
  "lcDisabled": "Có vẻ như bạn đã vô hiệu các mô-đun {{module}} và {{module}} trong Zoho CRM.",
  "clickEnable": "Nhấp vào đây để bật.",
  "step": "bước",
  "clicktoview": "Nhấp vào để xem",
  "close": "Đóng",
  "open": "Mở",
  "closed": "Đã đóng",
  "all": "Tất cả",
  "success": "thành công",
  "error": "lỗi",
  "fieldName": "Tên Trường:",
  "pca": "Vui lòng liên hệ với quản trị viên của bạn",
  "perDenied": "Rất tiếc! Bạn không được phép",
  "delSuc": "Đã xóa {{module}} thành công",
  "underUpdate": "{{module}} đã được cập nhật ở {{module}}",
  "updated": "{{module}} Đã cập nhật",
  "hasUpdated": "{{module}} đã được cập nhật",
  "underDel": "Đã xóa {{module}} ở {{module}} thành công",
  "details": "{{module}} Chi tiết",
  "addAs": "Thêm dưới dạng",
  "info": "thông tin",
  "due": "đến hạn",
  "added": "đã thêm {{module}}",
  "edited": "đã sửa {{module}}",
  "convert": "Chuyển đổi",
  "addToExist": "Thêm vào {{module}} hiện có",
  "convertCreateNew": "{{module}} mới sẽ được tạo cho {{module}}",
  "ownerOfRec": "Chủ sở hữu các bản ghi",
  "notifyRecOwner": "Thông Báo Cho Chủ Sở Hữu Bản Ghi",
  "noCrmAcc": "Có vẻ như bạn không có tài khoản Zoho CRM có hoạt động",
  "clickActive": "Nhấp vào đây để kích hoạt",
  "reqField": "Không được để trống trường này",
  "maxChar": "Cho phép tối đa {{0}} ký tự",
  "validEmail": "Bắt buộc có Email hợp lệ",
  "onlyNum": "Chỉ được phép sử dụng giá trị chữ số",
  "validURL": "Bắt buộc có URL hợp lệ",
  "numWithDec": "Chỉ được phép sử dụng số thập phân",
  "maxCharMod": "Cho phép tối đa {{0}} ký tự trong{{module}}"
};
/* 21. korean-south korea */
var lang_ko_KR={
  "menu": "메뉴",
  "home": "홈",
  "help": "도움말",
  "signout": "로그아웃",
  "feedback": "피드백",
  "support": "지원",
  "welcome": "시작",
  "welcomeMsg": "메일을 열어 관련 CRM 상세 정보 보기",
  "createNew": "새로 만들기",
  "add": "{{module}} 추가",
  "save": "{{module}} 저장",
  "cancel": "취소",
  "modAdded": "{{module}} 추가됨",
  "underMsg": "{{module}}이 {{module}}에 추가되었습니다.",
  "deleteAlertMsg": "정말 삭제하시겠습니까?",
  "yes": "예",
  "no": "없음",
  "ok": "확인",
  "edit": "편집",
  "delete": "삭제",
  "magicMsg": "준비하는 동안 잠시 기다려 주십시오.",
  "summary": "요약",
  "pinfo": "기본 정보",
  "sinfo": "보조 정보",
  "minfo": "추가 정보",
  "reset": "재설정",
  "ppw": "처리 중입니다. 기다려 주십시오...",
  "addA": "{{module}} 추가",
  "enter": "입력",
  "note": "참고",
  "title": "제목",
  "contentMan": "필수 콘텐츠",
  "filter": "필터",
  "fetchDet": "상세 정보를 가져오는 중",
  "noModFound": "{{module}} 없음",
  "activites": "작업",
  "probability": "가능성",
  "amount": "크기",
  "closingdate": "종료일",
  "back": "뒤로",
  "backtoEmailInfo": "이메일 정보로 돌아가기",
  "openinZCRM": "Zoho CRM 웹 보기로 열기",
  "by": "-",
  "unsavedMsg": "이 페이지에 저장하지 않은 변경 사항이 있습니다. 나가시겠습니까?",
  "signOutMsg": "계정에서 로그아웃하고 있습니다. 기다려 주십시오.",
  "wegotyouMsg": "잠시 기다려 주십시오.",
  "letStartMsg": "이제 시작합니다.",
  "authenticate": "인증",
  "googDiscMsg": "이 인증은 오직 Google 이메일 ID를 Zoho 계정에 연결하기 위한 것입니다. 인증을 통해 언제 어디서나 Google Chrome People 계정을 통해 Zoho CRM 확장 기능을 사용할 수 있습니다. Zoho는 Google 계정 데이터를 저장하지 않습니다.",
  "almostThereMsg": "거의 마쳤습니다.",
  "addedSuc": "{{module}} 추가됨",
  "search": "검색",
  "noResultsMsg": "결과 없음",
  "updateMsg": "{{module}} 업데이트됨",
  "oops": "죄송합니다.",
  "accNotMatch": "Chrome과 Gmail 계정이 일치하지 않습니다. 계속하려면 {{email_id}}(으)로 Gmail에 로그인하십시오.",
  "networkError": "네트워크 오류",
  "retry": "다시 시도",
  "unFetchData": "데이터를 가져올 수 없음",
  "updatetoZohoCRM": "Zoho CRM 업데이트",
  "lcDisabled": "Zoho CRM에서 {{module}} 및 {{module}} 모듈을 비활성화한 것 같습니다.",
  "clickEnable": "활성화하려면 여기를 클릭하십시오.",
  "step": "단계",
  "clicktoview": "클릭하여 보기",
  "close": "닫기",
  "open": "열기",
  "closed": "종료됨",
  "all": "모두",
  "success": "성공",
  "error": "오류",
  "fieldName": "필드 이름:",
  "pca": "관리자에게 문의하십시오.",
  "perDenied": "죄송합니다. 권한이 없습니다.",
  "delSuc": "{{module}} 삭제됨",
  "underUpdate": "{{module}}이(가) {{module}}에서 업데이트됨",
  "updated": "{{module}} 업데이트됨",
  "hasUpdated": "{{module}}이(가) 업데이트되었습니다.",
  "underDel": "{{module}}({{module}}) 삭제됨",
  "details": "{{module}} 상세 정보",
  "addAs": "다음으로 추가",
  "info": "정보",
  "due": "기한",
  "added": "이(가) {{module}} 추가",
  "edited": "이(가) {{module}} 편집",
  "convert": "전환",
  "addToExist": "기존 {{module}}에 추가",
  "convertCreateNew": "새 {{module}}이(가) {{module}}에 대해 생성됩니다.",
  "ownerOfRec": "레코드 소유자",
  "notifyRecOwner": "레코드 소유자에게 알림",
  "noCrmAcc": "활성 상태인 Zoho CRM 계정이 없는 것 같습니다.",
  "clickActive": "활성화하려면 여기를 클릭하십시오.",
  "reqField": "이 필드는 비워둘 수 없습니다.",
  "maxChar": "최대 {{0}}자 허용",
  "validEmail": "유효한 이메일 필요",
  "onlyNum": "숫자 값만 허용됩니다.",
  "validURL": "유효한 URL 필요",
  "numWithDec": "십진수만 허용됩니다.",
  "maxCharMod": "{{module}}에서 최대 {{0}}자 허용"
};
/* 22. hebrew-israel */
var lang_iw_IL={
  "menu": "תפריט",
  "home": "בית",
  "help": "עזרה",
  "signout": "יציאה",
  "feedback": "משוב",
  "support": "תמיכה",
  "welcome": "ברוך הבא",
  "welcomeMsg": "פתח דוא״ל על מנת להציג פרטי CRM קשורים",
  "createNew": "צור חדש",
  "add": "הוסף {{module}}",
  "save": "שמור {{module}}",
  "cancel": "ביטול",
  "modAdded": "{{module}} נוסף",
  "underMsg": "נוסף {{module}} תחת {{module}}",
  "deleteAlertMsg": "האם אתה בטוח שאתה מעוניין למחוק?",
  "yes": "כן",
  "no": "לא",
  "ok": "אישור",
  "edit": "ערוך",
  "delete": "מחק",
  "magicMsg": "אנא המתן בזמן שאנו עושים את הקסם שלנו...",
  "summary": "סיכום",
  "pinfo": "מידע ראשי",
  "sinfo": "מידע משני",
  "minfo": "מידע נוסף",
  "reset": "איפוס",
  "ppw": "בתהליך, נא להמתין...",
  "addA": "הוסף {{module}}",
  "enter": "הזן",
  "note": "הערה",
  "title": "כותרת",
  "contentMan": "תוכן חובה",
  "filter": "מסנן",
  "fetchDet": "מושך פרטים",
  "noModFound": "לא נמצאו {{module}}",
  "activites": "פעילויות",
  "probability": "הסתברות",
  "amount": "סכום",
  "closingdate": "תאריך סגירה",
  "back": "חזרה",
  "backtoEmailInfo": "חזרה למידע דוא״ל",
  "openinZCRM": "פתוח בתצוגת אתר ב-Zoho CRM",
  "by": "על-ידי",
  "unsavedMsg": "יש לך שינויים שלא נשמרו בדף זה. האם ברצונך לעזוב?",
  "signOutMsg": "יציאה מהחשבון, אנא המתן!",
  "wegotyouMsg": "אנחנו איתך...רק עוד כמה שניות.",
  "letStartMsg": "בואו נתחיל!",
  "authenticate": "אמת",
  "googDiscMsg": "אימות זה ממפה אך ורק את מזהה דוא״ל Google לחשבון Zoho. על-ידי אימות, ניתן להשתמש בהרחבת Zoho CRM מכל מקום, בכל זמן עם חשבון Google Chrome People. Zoho אינו שומר כל נתוני חשבון Google שהם.",
  "almostThereMsg": "עוד שנייה מסיימים!",
  "addedSuc": "{{module}} נוסף בהצלחה",
  "search": "חפש",
  "noResultsMsg": "לא נמצאו תוצאות",
  "updateMsg": "{{module}} עודכן בהצלחה",
  "oops": "אוווופס!",
  "accNotMatch": "חשבונות Chrome ו-Gmail אינם תואמים. היכנס ל-Gmail עם {{email_id}} על מנת להמשיך!",
  "networkError": "שגיאת רשת",
  "retry": "נסה שוב",
  "unFetchData": "לא ניתן למשוך נתונים",
  "updatetoZohoCRM": "עדכון ל-Zoho CRM",
  "lcDisabled": "נראה כי השבתת את {{module}} ואת מודולי {{module}} ב-Zoho CRM.",
  "clickEnable": "לחץ כאן כדי להפעיל.",
  "step": "שלב",
  "clicktoview": "לחץ לצפייה",
  "close": "סגור",
  "open": "פתח",
  "closed": "סגור",
  "all": "הכל",
  "success": "הסתיימה בהצלחה",
  "error": "שגיאה",
  "fieldName": "שם שדה:",
  "pca": "אנא צור קשר עם מנהל המערכת",
  "perDenied": "אופס! אין לך הרשאה",
  "delSuc": "{{module}} נמחק בהצלחה",
  "underUpdate": "{{module}} עודכן תחת {{module}}",
  "updated": "{{module}} עודכן",
  "hasUpdated": "{{module}} עודכן",
  "underDel": "{{module}} תחת {{module}} נמחק בהצלחה",
  "details": "פרטי {{module}}",
  "addAs": "הוסף כ",
  "info": "מידע",
  "due": "תאריך יעד",
  "added": "{{module}} התווסף",
  "edited": "{{module}} נערך",
  "convert": "המר",
  "addToExist": "הוסף ל-{{module}} קיים",
  "convertCreateNew": "{{module}}  חדש ייווצר עבור ה-{{module}}",
  "ownerOfRec": "בעל הרשומות",
  "notifyRecOwner": "יידע את בעל הרשומה",
  "noCrmAcc": "נראה שעדיין אין לך חשבון Zoho CRM פעיל",
  "clickActive": "לחץ כאן כדי להפעיל",
  "reqField": "השדה לא יכול להיות ריק",
  "maxChar": "מותר {{0}} תווים לכל היותר",
  "validEmail": "נדרשת כתובת דוא״ל חוקית",
  "onlyNum": "מותרים רק ערכים מספריים",
  "validURL": "נדרש URL חוקי",
  "numWithDec": "ניתן להזין מספרים עשרוניים",
  "maxCharMod": "מותר {{0}} תווים לכל היותר ב{{module}}"
};
var lang_i18n={};
lang_i18n["lang_en_US"]=lang_en_US;
lang_i18n["lang_en_GB"]=lang_en_GB;
lang_i18n["lang_zh_CN"]=lang_zh_CN;
lang_i18n["lang_zh_TW"]=lang_zh_TW;
lang_i18n["lang_da_DK"]=lang_da_DK;
lang_i18n["lang_nl_NL"]=lang_nl_NL;
lang_i18n["lang_fr_FR"]=lang_fr_FR;
lang_i18n["lang_de_DE"]=lang_de_DE;
lang_i18n["lang_hu_HU"]=lang_hu_HU;
lang_i18n["lang_hi_IN"]=lang_hi_IN;
lang_i18n["lang_it_IT"]=lang_it_IT;
lang_i18n["lang_ja_JP"]=lang_ja_JP;
lang_i18n["lang_pl_PL"]=lang_pl_PL;
lang_i18n["lang_pt_BR"]=lang_pt_BR;
lang_i18n["lang_pt_PT"]=lang_pt_PT;
lang_i18n["lang_ru_RU"]=lang_ru_RU;
lang_i18n["lang_es_ES"]=lang_es_ES;
lang_i18n["lang_sv_SE"]=lang_sv_SE;
lang_i18n["lang_tr_TR"]=lang_tr_TR;
lang_i18n["lang_vi_VN"]=lang_vi_VN;
lang_i18n["lang_ko_KR"]=lang_ko_KR;
lang_i18n["lang_iw_IL"]=lang_iw_IL;
