chrome.runtime.onInstalled.addListener(function(details){
    if(details.reason == "install"){
        // console.log("This is a first install!");
        chrome.tabs.query({url:"*://mail.google.com/*"}, function(tabs){
        	if(tabs.length>0){
        		chrome.tabs.update(tabs[0].id,{active:true,url:"https://www.gmail.com/"},function(){
        			setTimeout(function(){ console.log("sending message to content script on first install-update");chrome.tabs.sendRequest(tabs[0].id, {name: "", redirect:"firstinstall",action:""}, function(response) {});  }, 10000);
        			
        		});

        		// chrome.tabs.reload(tabs[0].id, function(){
        		// 	console.log("Hurray!!! its reloaded");
        		// });
        	}else{
        		chrome.tabs.create({url: "https://www.gmail.com/"},function(){
        			setTimeout(function(){ console.log("sending message to content script on first install-create");chrome.tabs.sendRequest(tabs[0].id, {name: "", redirect:"firstinstall",action:""}, function(response) {});  }, 10000);
        			
        		});
        		console.log("Gmail Tab not found- Count:"+tabs.length);
        	}
        	
		});
		chrome.tabs.query({url:"*://inbox.google.com/*"}, function(tabs){
        	if(tabs.length>0){
        		chrome.tabs.update(tabs[0].id,{active:false,url:"https://inbox.google.com/"},function(){
        			setTimeout(function(){ console.log("sending message to content script on first install-update");chrome.tabs.sendRequest(tabs[0].id, {name: "", redirect:"firstinstall",action:""}, function(response) {});  }, 10000);
        			
        		});

        		// chrome.tabs.reload(tabs[0].id, function(){
        		// 	console.log("Hurray!!! its reloaded");
        		// });
        	}
        	
		});
    }else if(details.reason == "update"){
        var thisVersion = chrome.runtime.getManifest().version;
        console.log("Updated from " + details.previousVersion + " to " + thisVersion + "!");
    }
});
chrome.runtime.setUninstallURL("https://www.zoho.com/", function(){
	chrome.tabs.query({url:"*://mail.google.com/*"}, function(tabs){
    	if(tabs.length>0){
    		chrome.tabs.reload(tabs[0].id, function(){
    			console.log("Hurray!!! its reloaded");
    		});
    	}else{
    		console.log("Gmail Tab not found- Count:"+tabs.length);
    	}
    	
	});
	chrome.tabs.query({url:"*://inbox.google.com/*"}, function(tabs){
    	if(tabs.length>0){
    		chrome.tabs.reload(tabs[0].id, function(){
    			console.log("Hurray!!! its reloaded");
    		});
    	}else{
    		console.log("inbox Tab not found- Count:"+tabs.length);
    	}
    	
	});
});

// var createProperties={};
// createProperties.title="pavan";
// createProperties.contexts=["link","selection"];
// chrome.contextMenus.create(createProperties, function(object){
// 	console.log(object);
// });



// chrome.browserAction.onClicked.addListener(function(tab) {
// 	chrome.tabs.query({url:"*://mail.google.com/*"}, function(tabs){
//     	if(tabs.length>0){
//     		chrome.tabs.update(tabs[0].id,{active:true},function(){});
//     	}else{
// 			console.log("Gmail Tab not found- Count:"+tabs.length);
// 			chrome.tabs.create({url: "https://www.gmail.com/"},function(){
// 			});
//     	}
    	
// 	});
// });

chrome.browserAction.onClicked.addListener(function(tab) {
	console.log("IIIINNNNNNNNNNNN ");
	var allPageEnabled=false;
	chrome.storage.sync.get("allPageEnabled", function(op){
        console.log(op.allPageEnabled);
        if(op.allPageEnabled==true){
        	allPageEnabled=true;
      	}
      	if(allPageEnabled==true){
      		chrome.tabs.getSelected(null, function(tab) {
		        var url = tab.url;
		        // console.log(tab.id);
		        // console.log(tab.url);
			    if(url.match("inbox.google.com")||url.match("mail.google.com")){
			    	console.log("Gmail Tab");
			    	chrome.tabs.update(tab.id,{active:true},function(){});
				    chrome.tabs.executeScript(null,{file:"app/commonapp.js"});
			    }else{
			    	chrome.tabs.executeScript(null,{file:"app/commonapp.js"});
			    }
		    });
      	}else{
      		chrome.tabs.query({url:"*://mail.google.com/*"}, function(tabs){
		    	if(tabs.length>0){
		    		console.log("Gmail Tab not found- Count:"+tabs.length);
		    		chrome.tabs.update(tabs[0].id,{active:true},function(){});
		    	}else{
					console.log("Gmail Tab not found- Count:"+tabs.length);
					chrome.tabs.create({url: "https://www.gmail.com/"},function(){
					});
		    	}
    	
			});
      	}
	});
	// chrome.tabs.executeScript(null,{file:"app/app.js"});
	// chrome.tabs.getSelected(null, function(tab) {
 //       var url = tab.url;
 //       console.log(tab.id);
 //       console.log(tab.length);
	//     if(url.match("inbox.google.com")||url.match("mail.google.com")){
	//     	chrome.tabs.update(tab.id,{active:true},function(){});
	//     	// chrome.tabs.executeScript(null,{file:"app/app.js"});
	//     }else{
	//     	chrome.tabs.executeScript(null,{file:"app/commonapp.js"});
	//     }
 //    });
	
});

chrome.extension.onRequest.addListener(function(request, sender, sendResponse) {
	var name = request.name; 
	var redirect =request.redirect;
	tab = sender.tab;
	switch(name) {
		case 'getwebpage': 
		// console.log("insertttingg");
	        chrome.tabs.getSelected(null, function(tab) {
		        var url = tab.url;
			    if(url.match("mail.google.com")){
			    	console.log("Gmail");
			    	sendResponse("Gmail");
			    }else{
			    	console.log("others");
			    	sendResponse("others");
			    }
		    });
		break;
		case 'insert_sidebar_css': 
		// console.log("insertttingg");
	        chrome.tabs.insertCSS(tab.id, {file:'css/sidebar.css'}, function() {
	        	// console.log("insert completed");
	        });
		break;
		case 'insert_sidebar_css_inbox': 
		// console.log("insertttingg");
	        chrome.tabs.insertCSS(tab.id, {file:'css/sidebar_inbox.css'}, function() {
	        	// console.log("insert completed");
	        });
		break;
		case 'getZt':
	        getCookie("IAMAGENTTICKET", function(cookieData){
	            if(cookieData !=""){
                  sendResponse({ticket:cookieData.value});
                  }
                  else{sendResponse({ticket:""});}
            });
		break;
		case 'getOneTimeGat':
			getOneTimeGat(request,function(thisResp){
				sendResponse(thisResp);
			});
		break;
		case 'getAuthGat':
		getAuthGat(request,sender,function(thisResp){
			// console.log(thisResp);
			sendResponse(thisResp);
		});
		break;
		case 'getGat':
			getGat(request,sender,function(thisResp){
				// console.log(thisResp);
				sendResponse(thisResp);
			});
		break;
		case 'getZat':
			// console.log("inside getZat");
			getZat(request,function(thisResp){
				sendResponse(thisResp);
			});
		break;
		case 'checkZatTime':
			// console.log("in checkZatTime");
			checkZatTime(request,function(thisResp){
				// console.log(thisResp);
				sendResponse(thisResp);
			});
		break;
		case 'launchWebAuthFlow':
			launchWebAuthFlow(request,function(thisResp){
				sendResponse(thisResp);
			});
		break;
		case 'apiCall':
			apiCall(request,function(thisResp){
				sendResponse(thisResp);
			});
		break;
		case 'updateUsersList':
			var usersList=[];
			updateUsersList(request,usersList);
		break;
		case 'reload':
			reload_webpage();
		break;
	}
	// console.log(redirect);
	switch(redirect){
		case 'toContent':
			chrome.tabs.sendRequest(tab.id, {name: ""+name, redirect:"fromBg",action:""+request.action}, function(response) {}); 
		break;
		case 'toContentFromContent':
			chrome.tabs.sendRequest(tab.id, {name: ""+name, redirect:"fromBg",action:""+request.action}, function(response) {});  
		break;
		case 'toContentCloseExt':
			chrome.tabs.sendRequest(tab.id, {name: ""+name, redirect:"toContentCloseExt",action:""+request.action}, function(response) {}); 
		break;
		case 'updateInnerPage':
			chrome.tabs.sendRequest(tab.id, {name: ""+name, redirect:"updateInnerPage",action:""+request.action,val:request.val}, function(response) {
		    	sendResponse(response);
		    });
		break;
		case 'getInnerPage':
			chrome.tabs.sendRequest(tab.id, {name: ""+name, redirect:"getInnerPage",action:""+request.action,val:request.val}, function(response) {
			    	sendResponse(response);
			});  
		break;
		case 'isLoggedInPrimaryGmail':
		chrome.tabs.sendRequest(tab.id, {name: ""+name, redirect:"isLoggedInPrimaryGmail",action:""+request.action,val:request.val}, function(response) {
				sendResponse(response);
		});  
		break;
		case 'updateMainPage':
			chrome.tabs.query({active: true, currentWindow: true}, function(tabs){
				// console.log(tabs);
			    chrome.tabs.sendRequest(tabs[0].id, {name: ""+name, redirect:"updateMainPage",action:""+request.action,val:request.val}, function(response) {});  
			    // console.log("sent in bg");
			});
		break;
		case 'getMainPage':
			chrome.tabs.sendRequest(tab.id, {name: ""+name, redirect:"getMainPage",action:""+request.action,val:request.val}, function(response) {
		    	sendResponse(response);
		    });  
		break;
		case 'toIframe':
			// console.log("toIframe");
			chrome.tabs.sendRequest(tab.id, {name: ""+name, redirect:"toIframe",action:""+request.action,val:request.val}, function(response) {
		    	sendResponse(response);
		    });
		break;
		case 'toStore':
			toStore(request,function(thisResp){
				sendResponse(thisResp);
			});
		break;
		case 'openUrlInNewTab':
			chrome.tabs.create({index:(tab.index+1),url: request.url});
		break;
		case 'openGmailComposeWindow':
			chrome.tabs.sendRequest(tab.id, {name: ""+name, redirect:"openGmailComposeWindow",action:""+request.action}, function(response) {});
		break;
		case 'resetWinSize':
			chrome.tabs.sendRequest(tab.id, {name: ""+name, redirect:"resetWinSize",action:+request.action,val:request.val}, function(response) {});  
		break;
		case 'chooseDiffAccount':
			chrome.tabs.sendRequest(tab.id, {name: ""+name, redirect:"chooseDiffAccount",action:+request.action,val:request.val}, function(response) {});  
		break;
		case 'percentageValue':
			chrome.tabs.sendRequest(tab.id, {name: ""+name, redirect:"percentageValue",action:""+request.action,val:request.val}, function(response) {
		    	sendResponse(response);
		    });
		break;
		case 'showHelpDoc':
			chrome.tabs.sendRequest(tab.id, {name: ""+name, redirect:"showHelpDoc",action:""+request.action,url:""+request.url}, function(response) {}); 
		break;
		case 'ShowHideZCRMContextualGadget':
			chrome.tabs.sendRequest(tab.id, {name: ""+name, redirect:"ShowHideZCRMContextualGadget",action:""+request.action,url:""+request.url}, function(response) {}); 
		break;
	}
	return true;
});
function getCookie (cookieName, callback){
    chrome.cookies.get({
        'url':'https://www.zoho.com',
        'name':cookieName
    },
    function(data){
    	// console.log(data);
      if(data ==null){callback("");}
      else{callback(data);}
    });
}
function updateUsersList(request,usersList){
	// console.log(request);
	apiCall(request,function(response){
		// // console.dir(thisResp);
	// var response=JSON.parse(thisResp);
	// console.log(response)
	if(response.status==200){
		// console.log(response.status);
		// // console.dir(response.resp);
		var finalResp=JSON.parse(response.resp);
		// console.dir(finalResp);
		// console.dir(finalResp.users);
		if(finalResp.users!=null){
		  // console.log("users not null");
		  var formattedUsersList=[];
		  for(var userObj=0;userObj<finalResp.users.length;userObj++){
			  formattedUserObj={};
			  // console.log(finalResp.users[userObj].length);
			  for(userObjKey in finalResp.users[userObj]){
				  formattedUserObj['full_name']=finalResp.users[userObj].full_name;
				  formattedUserObj['id']=finalResp.users[userObj].id;
				  formattedUserObj['zuid']=finalResp.users[userObj].zuid;
				  formattedUserObj['email']=finalResp.users[userObj].email;
			  }
			  formattedUsersList.push(formattedUserObj);
		  }
		  usersList=usersList.concat(formattedUsersList);
		  // console.log(finalResp);
		  if(finalResp.info.more_records==false||finalResp.info.more_records=="false"){
			  // console.log("more records for users false");
			  var toStoreObj={key:'usersList',value:usersList};
			  toStore(toStoreObj,function(){});
		  }else{
			  if(request.url.includes("&page="+parseInt(finalResp.info.page))){
				  request["url"]=request.url.replace(("&page="+parseInt(finalResp.info.page)),"");
			  }
			  request["url"]=request.url+"&page="+(parseInt(finalResp.info.page)+1);
			  updateUsersList(request,usersList);
		  }
		}else{
		  var toStoreObj={key:'usersList',value:usersList};
		  toStore(toStoreObj,function(){});
		}
	}else if(response.status==204){
	  // console.log(response.status);
	  var toStoreObj={key:'usersList',value:usersList};
	  toStore(toStoreObj,function(){});
	}else{
		// console.log(response.status);
		// console.dir(response.resp);
		var toStoreObj={key:'usersList',value:usersList};
	  toStore(toStoreObj,function(){});
	}
	});
	
}
// function apiCall(request){
// 	var url=request.url;
// 	var req = new XMLHttpRequest();
// 	req.open(request.action, url, false);
// 	try{
// 		if(request.zat!=null && request.zat!=""){
// 			req.setRequestHeader("Authorization","Zoho-oauthtoken "+request.zat);
// 		}
// 		if(request.body!=null && request.body!=""){
// 			req.send(request.body);
// 		}else{
// 			req.send();
// 		}
		
// 	}catch(error){
// 		var online = navigator.onLine;
// 		// console.log("online:"+online+"  error:"+error);
// 		// console.log("request stat in bg:"+req.status);
// 		var objectA = new Object();
// 		var responseContent="{}";
// 		return {resp: responseContent,status:req.status};
// 	}
// 	if (req.readyState == 4 && req.status == 200) {
// 			var responseContent=""+req.response;
// 			// console.log("inbg:"+responseContent);
// 			return {resp: responseContent,status:req.status};
// 	}else{
// 		// console.log("inbg else part");
// 		var responseContent=""+req.response;
// 		return {resp:responseContent,status:req.status};
// 	}
// }
function apiCall(request,apic){
	var handleResp=function(){
		switch (req.readyState) {
			case 0 : // UNINITIALIZED
			case 1 : // LOADING
			case 2 : // LOADED
			case 3 : // INTERACTIVE
			break;
			case 4 : // COMPLETED
			if ( req.status == 200) {
				var responseContent=""+req.response;
				// console.log("inbg:"+responseContent);
				var returnresp={};
				returnresp["resp"]=responseContent;
				returnresp["status"]=req.status;
				apic(returnresp);
			}else{
				var responseContent=""+req.response;
				var returnresp={};
				returnresp["resp"]=responseContent;
				returnresp["status"]=req.status;
				apic(returnresp);
			}
			break;
		 }
	}
	var url=request.url;
	var req = new XMLHttpRequest();
	req.onreadystatechange=handleResp;
	req.open(request.action, url, true);
	try{
		if(request.zat!=null && request.zat!=""){
			req.setRequestHeader("Authorization","Zoho-oauthtoken "+request.zat);
			if(request.hasOwnProperty("orgId")){
				req.setRequestHeader("X-CRM-ORG",request.orgId);
			}
			req.setRequestHeader("X-ZOHO-SERVICE","gadgets");
		}
		if(request.body!=null && request.body!=""){
			req.send(request.body);
		}else{
			req.send();
		}
		
	}catch(error){
		var online = navigator.onLine;
		// console.log("online:"+online+"  error:"+error);
		// console.log("request stat in bg:"+req.status);
		var objectA = new Object();
		var responseContent="{}";
		var returnresp={};
		returnresp["resp"]=responseContent;
		returnresp["status"]=req.status;
		apic(returnresp);
	}
	
}

function launchWebAuthFlow(request,callback){
	// console.log("in bg in launchWebAuthFlow");
	var client_id = '1000.TMG2M6P6XL7G40580EA52UMPLJAU2D';
    var redirectUri = chrome.identity.getRedirectURL("zohoAuth"); 
    // console.log(redirectUri);    
    var auth_url = "https://accounts.zoho.com/oauth/v2/auth?client_id="+client_id+"&scope=ZohoCrm.modules.ALL,ZohoCrm.settings.ALL,ZohoCrm.users.READ,ZohoCrm.org.READ&state=ZCRMGME&response_type=code&access_type=offline&prompt=consent&redirect_uri="+encodeURI(redirectUri);
    // console.log(auth_url);
    chrome.identity.launchWebAuthFlow({'url':auth_url,'interactive':true}, function(redirect_url){
        // console.log(redirect_url);
        if (chrome.runtime.lastError) {
        	var thisResp = {status: "error",msg:chrome.runtime.lastError};
        	callback(thisResp);
	        return;
	    }
        if(redirect_url!=undefined){
        	var thisResp={status: "success",url:redirect_url};
        	callback(thisResp);
        }else{
        	var thisResp = {status: "error"};
        	callback(thisResp);
        }
    });
}
//100404546356951557204   ->A
//100616281033508861025   ->B
function getOneTimeGat(request,callback){
	chrome.identity.getAuthToken({ 'interactive': false }, function(token) {
	  // Use the token.
	//   console.log("initial call");
	  // console.log("token:"+token);
	  if(token!=undefined){
	  	chrome.identity.removeCachedAuthToken({ token: token }, function(){});
	  	var reqDet={};
	  	reqDet["url"]="https://www.googleapis.com/oauth2/v3/tokeninfo?access_token="+token;
	  	reqDet["action"]="GET";
	  	apiCall(reqDet,function(tokenResp){
			var respJSON=JSON.parse(tokenResp.resp);
			var thisResp={token: token,email:respJSON.email};
			if(respJSON.email==null){
				thisResp={token: null};
			}
			callback(thisResp);
		});
	  }else{
	  	var thisResp={token: null};
	  	callback(thisResp);
	  }
	});
}

function reload_webpage(){
	// console.log("IN reload");
	chrome.tabs.query({active: true, currentWindow: true}, function (arrayOfTabs) {
    var code = 'window.location.reload();';
    chrome.tabs.executeScript(arrayOfTabs[0].id, {code: code});
});
}

function getGatFixForSecAcc(callback){
	// console.log("in getGatFixForSecAcc");
	chrome.identity.getAuthToken({ 'interactive': false }, function(token) {
		// Use the token.
		// console.log("in getGatFixForSecAcc inside getA=uth");
		// console.log("token:"+token);
		if(token!=undefined){
			var thisResp={token: token};
			callback(thisResp);
		}else{
			var thisResp={token: null};
			callback(thisResp);
		}
	  });
}

function getAuthGat(request,sender,callback){
	// console.log("inga sdas");
	chrome.identity.getAuthToken({ 'interactive': true }, function(token) {
	 if (chrome.runtime.lastError) {
        callback(chrome.runtime.lastError);
        return;
      }
	  // Use the token.
	//   console.log("token:"+token);
	  if(token!=undefined){
		// console.log("intoken!=iundefiend");
		chrome.identity.removeCachedAuthToken({ token: token }, function(){});
		getGatFixForSecAcc(function(fixtoken){
			// console.log("fixtoken:"+fixtoken);
			// console.dir(fixtoken);
			if(fixtoken.token!=null){
				// console.log("fixtoken not null");
				var thisResp={token: token};
				callback(thisResp);
			}else{
				// console.log("fixtoken null");
				// chrome.tabs.sendRequest(sender.tab.id, {name: "", redirect:"chooseDiffAccount",action:+request.action,val:request.val}, function(response) {});  
				var thisResp={token: null,message:'googleretry'};
				callback(thisResp);
			}
		});
	  }else{
	  	var thisResp={token: null};
	  	callback(thisResp);
	  }
	});
}

function getGat(request,sender,callback){
	chrome.identity.getAuthToken({ 'interactive': true }, function(token) {
	  // Use the token.
	  if (chrome.runtime.lastError) {
        callback(chrome.runtime.lastError);
        return;
      }
	//   console.log("token:"+token);
	  if(token!=undefined){
	  	chrome.identity.removeCachedAuthToken({ token: token }, function(){});
	  	var thisResp={token: token};
	  	callback(thisResp);
	  }else{
	  	var thisResp={token: null};
	  	callback(thisResp);
	  }
	});
}

function getZat(gatToken,datacenterExt,callback){
	var thisurl="https://gadgets.zoho."+datacenterExt+"/extension/chrome/auth?appId=ZCRMGME&gat="+gatToken;
	// console.log(thisurl);
	var thisReq={url:thisurl,action:'GET'};
	apiCall(thisReq,function(response){
		var resp=JSON.parse(response.resp);
		var zatValue={};var enabledOrg=null;
		var curDate=new Date();
		if(response.status==200 && resp.status=="success"){
			// console.log("apicall success in zat!=null");
			zatValue["time"]=curDate.getTime();
			zatValue["zat"]=resp.zat;
			if(resp.hasOwnProperty("orgId")&&resp.orgId!=null){
				zatValue["orgId"]=resp.orgId;
			}else{
				var thisurl="https://crm.zoho."+datacenterExt+"/crm/v2/organizations?env_type=production";
				var thisReq={url:thisurl,action:'GET',zat:resp.zat};
				apiCall(thisReq,function(response){
					var resp=JSON.parse(response.resp);
					zatValue["orgId"]=resp.organizations[0].domain_name;
					enabledOrg=resp.organizations[0].domain_name;
					for (var i=0 ;i<resp.organizations.length; i++) {
							if(resp.organizations[i].default=="true"){
								zatValue["orgId"]=resp.organizations[i].domain_name;
								enabledOrg=resp.organizations[i].domain_name;
				          }
				    }
				    var thisurl="https://gadgets.zoho."+datacenterExt+"/extension/chrome/auth?appId=ZCRMGME&gat="+gatToken+"&emailMode=changeOrg&orgId="+enabledOrg;
				    var thisReq={url:thisurl,action:'GET'};
					apiCall(thisReq,function(response){
						// console.log(response);
					});
				});
			}
			zatValue["isAuthenticated"]="true";
			zatValue["datacenterExt"]=datacenterExt;
			// console.log(zatValue);
			var toStoreObj={key:'zatAuthenticated',value:zatValue};
			toStore(toStoreObj,function(){});
			// console.log(resp);
			var thisResp={status: "success",zat:resp.zat,orgId:resp.orgId};
			callback(thisResp);
		}else{
			// console.log("apicall fails in zat!=null");
			zatValue["time"]=curDate.getTime();
			zatValue["zat"]=resp.zat;
			if(resp.hasOwnProperty("orgId")){
				zatValue["orgId"]=resp.orgId;
			}else{
				var thisurl="https://crm.zoho."+datacenterExt+"/crm/v2/organizations?env_type=production";
				chrome.extension.sendRequest({name:'apiCall',redirect:'',action:'GET',url:thisurl, body:'',zat:response.zat},function(response){
					var resp=JSON.parse(response.resp);
					zatValue["orgId"]=resp.organizations[0].domain_name;
					enabledOrg=resp.organizations[0].domain_name;
					for (var i=0 ;i<resp.organizations.length; i++) { 
						if(resp.organizations[i].default=="true"){
				            zatValue["orgId"]=resp.organizations[i].domain_name;
				            enabledOrg=resp.organizations[i].domain_name;
				          }
				        }
				    var thisurl="https://gadgets.zoho."+datacenterExt+"/extension/chrome/auth?appId=ZCRMGME&gat="+gatToken+"&emailMode=changeOrg&orgId="+enabledOrg;
				    var thisReq={url:thisurl,action:'GET'};
					apiCall(thisReq,function(response){
						// console.log(response);
					});
				});
			}
			zatValue["isAuthenticated"]="false";
			zatValue["datacenterExt"]=datacenterExt;var toStoreObj={key:'zatAuthenticated',value:zatValue};
			toStore(toStoreObj,function(){});
			var thisResp={status: "error"};
			callback(thisResp);
		}
	});
	
}

function checkZatTime(request,callback){
	chrome.storage.sync.get('zatAuthenticated', function(zatKey) {
		// console.log(zatKey);
		if(zatKey!=undefined && zatKey!=null && zatKey.hasOwnProperty("zatAuthenticated") && zatKey.zatAuthenticated.hasOwnProperty("isAuthenticated") && zatKey.zatAuthenticated.isAuthenticated=="true"){
			var curTime=new Date().getTime();
			if((curTime-zatKey.zatAuthenticated.time)<(50*60*1000)){
				if(zatKey.zatAuthenticated.hasOwnProperty("orgId")){
					var thisResp={status: "success",zat: zatKey.zatAuthenticated.zat,datacenterExt:zatKey.zatAuthenticated.datacenterExt,orgId:zatKey.zatAuthenticated.orgId};
					// console.log(thisResp);
					callback(thisResp);
				}else{
					var thisurl="https://crm.zoho."+zatKey.zatAuthenticated.datacenterExt+"/crm/v2/organizations?env_type=production";
					var thisReq={url:thisurl,action:'GET',zat:zatKey.zatAuthenticated.zat};
					var zatValue={};
					zatValue["datacenterExt"]=zatKey.zatAuthenticated.datacenterExt;
					zatValue["time"]=zatKey.zatAuthenticated.time;
					zatValue["zat"]=zatKey.zatAuthenticated.zat;
					zatValue["orgId"]=zatKey.zatAuthenticated.orgId;
					zatValue["isAuthenticated"]=zatKey.zatAuthenticated.isAuthenticated;
					apiCall(thisReq,function(response){
						var resp=JSON.parse(response.resp);
						zatValue["orgId"]=resp.organizations[0].domain_name;
						enabledOrg=resp.organizations[0].domain_name;
						for (var i=0 ;i<resp.organizations.length; i++) { 
							if(resp.organizations[i].default=="true"){
					            zatValue["orgId"]=resp.organizations[i].domain_name;
					            enabledOrg=resp.organizations[i].domain_name;
					          }
					    }
					    var toStoreObj={key:'zatAuthenticated',value:zatValue};
						toStore(toStoreObj,function(){});
						// console.log(resp);
						// var thisResp={status: "success",zat:resp.zat,orgId:resp.orgId};
						// callback(thisResp);
						var thisResp={status: "success",zat: zatKey.zatAuthenticated.zat,datacenterExt:zatKey.zatAuthenticated.datacenterExt,orgId:enabledOrg};
						// console.log(thisResp);
						callback(thisResp);
						// getGat(null,null,function(getGatResp){
						//     var thisurl="https://gadgets.zoho.com/extension/chrome/auth?appId=ZCRMGME&gat="+getGatResp.token+"&emailMode=changeOrg&orgId="+enabledOrg;
						//     var thisReq={url:thisurl,action:'GET'};
						// 	apiCall(thisReq,function(response){
						// 		console.log(response);
						// 	});
						// });
					});
				}
				// console.log("inside checkZatTime valid time");
				
			}else{
				// console.log("inside checkZatTime invalid time -- so to getZat");
				getGat(null,null,function(getGatResp){
					getZat(getGatResp.token,zatKey.zatAuthenticated.datacenterExt,function(getZatResp){
						console.log("inside checkZatTime response in getZat");
						// console.log(getZatResp);
						if(getZatResp.status=="success"){
							var thisResp={status: "success",zat: getZatResp.zat,datacenterExt:zatKey.zatAuthenticated.datacenterExt,orgId: getZatResp.orgId};
							// console.log(thisResp);
							callback(thisResp);
						}else{
							var thisResp={status: "error"};
							callback(thisResp);
							chrome.extension.sendRequest({name:'html/auth.html',redirect:'toContent',action:''});
						}
					});
				});
			}
		}else{
			var thisResp={status: "error"};
			callback(thisResp);
			chrome.extension.sendRequest({name:'html/auth.html',redirect:'toContent',action:''});
		}
	});
}

function toStore(request,callback){
	// console.log("inStore");
	var keyValObj={};
	// console.log(request.value);
	keyValObj[request.key] = request.value;
	if(request.key=="gatAuthenticated" || request.key=="zatAuthenticated"){
		chrome.storage.sync.set(keyValObj, function(){
			var thisResp={resp:'success'};
			callback(thisResp);
		});
	}else{
		chrome.storage.local.set(keyValObj, function(){
			var thisResp={resp:'success'};
			callback(thisResp);
		});
	}
}
