
mainApp.filter('eleminateFields',function($filter){
    return function(item){
        var result=false;
        var options=["$approved","id","Layout","$approval","First_Name","Last_Name","Full_Name","Email","Company","Account_Name","Mobile","Phone","Title","Mailing_Street","Mailing_City","Mailing_State","Mailing_Zip","Mailing_Country","Designation","Street","City","State","Zip_Code","Country"];
        if(options.indexOf(item)<0){
            result=true;
        }
        return result;
    }
});

mainApp.filter('eleminateLeadFields',function($filter){
    return function(item){
        var result=false;
        var options=["$approved","id","Layout","$approval","First_Name","Last_Name","Full_Name","Email","Company","Mobile","Phone","Designation","Street","City","State","Zip_Code","Country"];
        if(options.indexOf(item)<0){
            result=true;
        }
        return result;
    }
});

mainApp.filter('eleminateContactFields',function($filter){
    return function(item){
        var result=false;
        var options=["$approved","id","Layout","$approval","First_Name","Last_Name","Full_Name","Email","Account_Name","Mobile","Phone","Mailing_Street","Mailing_City","Mailing_State","Mailing_Zip","Mailing_Country","Title"];
        if(options.indexOf(item)<0){
            result=true;
        }
        return result;
    }
});

mainApp.controller('extractDetails', function ($scope, $http, $element, $filter, todoStorage, sharedData,$interval,$timeout) {
	$scope.safeApply = function(fn) {   /* used in todoStorage for data binding */
      var phase = this.$root.$$phase;
      if(phase == '$apply' || phase == '$digest') {
        if(fn && (typeof(fn) === 'function')) {
          fn();
        }
      } else {
        this.$apply(fn);
      }
    };
    $scope.todoStorage = todoStorage;   /* got from a mainApp service used to fetch data from chrome db */
  $scope.exti18n={};
  $scope.todoStorage.currentUserData(function(data){
    if(data!=null){
      $scope.currentUserData=data.users[0];
    }
    // console.log($scope.currentUserData);
    if($scope.currentUserData!=undefined && lang_i18n["lang_"+$scope.currentUserData.language]!=undefined){
      $scope.exti18n=lang_i18n["lang_"+$scope.currentUserData.language];
    }else{
      $scope.exti18n=lang_i18n["lang_en_US"];
    }
    
    $scope.safeApply($scope.exti18n);
  });
  $scope.todoStorage.nameFormat(function(data){
    if(data!=null){
        $scope.nameFormat=data;
    }else{
        $scope.nameFormat="fl";
    }
});
  $scope.safeApply($scope.exti18n);
  $scope.webpage ="Gmail";
  chrome.extension.sendRequest({name:'getwebpage'},function(resp){
    // console.log(resp);
    $scope.webpage=resp;
    $scope.safeApply();
  });
	// console.log("in  extractDetails");
	$scope.showFullScreen=false; /* shows the screen after full html loaded if true*/
	$scope.showSignoutLoading=false;
    $scope.validationMessages=false;
    $scope.addFormToCrmMessages="";/*success to show success message, error to show error message, loading for button loading*/
    $scope.addFormToCrmContent=[];/*content for error or success message*/
    $scope.modulesList=[];
    $scope.quitYesOrNo='hide';
    $scope.currentModule='Extract';
    $scope.nameFormFields=["Full_Name"];
    $scope.commonContactFields=["First_Name","Last_Name","Email","Account_Name","Mobile","Phone","Title","Mailing_Street","Mailing_City","Mailing_State","Mailing_Country","Mailing_Zip"];
    $scope.commonLeadFields=["First_Name","Last_Name","Email","Company","Mobile","Phone","Designation","Street","City","State","Country","Zip_Code"];
    $scope.timeValues=[{"actual_value":"00:00","display_value":"12:00 AM"} ,{"actual_value":"00:30","display_value":"12:30 AM"} ,{"actual_value":"01:00","display_value":"01:00 AM"} ,{"actual_value":"01:30","display_value":"01:30 AM"} ,{"actual_value":"02:00","display_value":"02:00 AM"} ,{"actual_value":"02:30","display_value":"02:30 AM"} ,{"actual_value":"03:00","display_value":"03:00 AM"} ,{"actual_value":"03:30","display_value":"03:30 AM"} ,{"actual_value":"04:00","display_value":"04:00 AM"} ,{"actual_value":"04:30","display_value":"04:30 AM"} ,{"actual_value":"05:00","display_value":"05:00 AM"} ,{"actual_value":"05:30","display_value":"05:30 AM"} ,{"actual_value":"06:00","display_value":"06:00 AM"} ,{"actual_value":"06:30","display_value":"06:30 AM"} ,{"actual_value":"07:00","display_value":"07:00 AM"} ,{"actual_value":"07:30","display_value":"07:30 AM"} ,{"actual_value":"08:00","display_value":"08:00 AM"} ,{"actual_value":"08:30","display_value":"08:30 AM"} ,{"actual_value":"09:00","display_value":"09:00 AM"} ,{"actual_value":"09:30","display_value":"09:30 AM"} ,{"actual_value":"10:00","display_value":"10:00 AM"} ,{"actual_value":"10:30","display_value":"10:30 AM"} ,{"actual_value":"11:00","display_value":"11:00 AM"} ,{"actual_value":"11:30","display_value":"11:30 AM"} ,{"actual_value":"12:00","display_value":"12:00 PM"} ,{"actual_value":"12:30","display_value":"12:30 PM"} ,{"actual_value":"13:00","display_value":"01:00 PM"} ,{"actual_value":"13:30","display_value":"01:30 PM"} ,{"actual_value":"14:00","display_value":"02:00 PM"} ,{"actual_value":"14:30","display_value":"02:30 PM"} ,{"actual_value":"15:00","display_value":"03:00 PM"} ,{"actual_value":"15:30","display_value":"03:30 PM"} ,{"actual_value":"16:00","display_value":"04:00 PM"} ,{"actual_value":"16:30","display_value":"04:30 PM"} ,{"actual_value":"17:00","display_value":"05:00 PM"} ,{"actual_value":"17:30","display_value":"05:30 PM"} ,{"actual_value":"18:00","display_value":"06:00 PM"} ,{"actual_value":"18:30","display_value":"06:30 PM"} ,{"actual_value":"19:00","display_value":"07:00 PM"} ,{"actual_value":"19:30","display_value":"07:30 PM"} ,{"actual_value":"20:00","display_value":"08:00 PM"} ,{"actual_value":"20:30","display_value":"08:30 PM"} ,{"actual_value":"21:00","display_value":"09:00 PM"} ,{"actual_value":"21:30","display_value":"09:30 PM"} ,{"actual_value":"22:00","display_value":"10:00 PM"} ,{"actual_value":"22:30","display_value":"10:30 PM"} ,{"actual_value":"23:00","display_value":"11:00 PM"} ,{"actual_value":"23:30","display_value":"11:30 PM"} ];
    $scope.lookupModules=["Leads","Contacts","Accounts","Campaigns","Deals","Cases","Solutions","Products","Vendors","Price_Books","Quotes","Sales_Orders","Purchase_Orders","Invoices"];
    $scope.nameLeadMetadata={}
    $scope.nameContactMetadata={};
    $scope.commonContactMetadata={};
    $scope.commonLeadMetadata={};
    $scope.addFormLeadData={};
    $scope.addFormContactData={};
    $scope.harcodedFieldsOfLeads={};
    $scope.harcodedFieldsOfContacts={};
	$scope.sharedData = sharedData.getScope();
  	// console.log($scope.sharedData);
	$scope.details={};
	$scope.modulesList={};

	// $scope.todoStorage.leadsMetadata(function(data){
	// 	// console.log("in todoStorage of leadsMetadata in extractDetails");
	// 	$scope.leadsMetadata=data.modules[0];
	// });
	// $scope.todoStorage.contactsMetadata(function(data){
	// 	// console.log("in todoStorage of contactsMetadata in extractDetails");
	// 	$scope.contactsMetadata=data.modules[0];
	// });
	$scope.todoStorage.modulesList(function(data){
      $scope.modulesList=data;
      if($scope.modulesList.hasOwnProperty("Leads") && !$scope.modulesList.hasOwnProperty("Contacts")){
      	$scope.selectedModule="Lead";
      }else if($scope.modulesList.hasOwnProperty("Contacts") && !$scope.modulesList.hasOwnProperty("Leads")){
      	$scope.selectedModule="Contact";
      }
      $scope.safeApply();
      // console.log($scope.modulesList);
    });
	$scope.todoStorage.extractFormData(function(data){
		// console.log("in todoStorage of extractFormData in extractDetails");
       	var phone_regex = /\+?(\+( ))?(\d{1,3}(\s?\-?\s?))?(\()?(\[)?\d{1,4}(\))?()\]?(\s?\-?\.?\s?)?\d{1,4}(\s?\-?\.?\s?)?\d{2,4}(\s?\-?\.?\s?)?\d{2,4}(\s?\-?\.?\s?)?\d{2,4}(?:\s*(?:#|x\.?|ext\.?|extension|ext|ext\:?|x|ext\#?\:?)\s*(\d+))?/gi;
		var jobtitle_regex = /((m|M)anager|(M|m)ember|(d|D)irector|Agent|(d|D)eveloper|(P|p)artner|(F|f)ounder|(P|p)resident|(P|p)resident|(E|e)ngineer|(O|o)fficer|(D|d)esigner|(P|p)rogrammer|(A|a)rchitect|(A|a)nalyst|(A|a)ssurance|(A|a)ssistant|(S|s)upport|(O|o)perator|(E|e)xecutive|(R|r)epresentative|(A|a)dministrator|(M|m)aster|(C|c)onsultant|(S|s)pecialist|(c|C)ommunication|(M|m)odeler|(L|l)eader|services|service|(C|c)oordinator|project lead|Co-Founder|Marketing|desk|Associate|Maintenance|Senior Buyer|Managing|General|lead|contract|Development|Business|Senior|Account|vice|Information|purchasing|sales|systems|system|operation|network|technology|technical|staff|buyer|IT Manager|property|corporate|Director|product|IT Administrator|Software|Engineer|Sr\.|Licensing|representative|programme|Catering|inside|IT Director|Global|Procurement)/gi;
		var jobtitle_regex_abbr = /(VP|CTO|CIO|CO|CEO|MTS|HR|SDE|MLS|MTS|SE)/g;
		// var address_regex=/(\d{1,3}[\.|\,|\:|\;|\-|\–|\_|\\|\/|\||\s|\n|\(|\)]{1})?(((\d){1,4})|([a-zA-Z\d\(\)]{0,15}[\.|\,|\:|\;|\-|\–|\_|\\|\/|\||\s|\n|\(|\)]{1}\s*\(*\)*(court|ct|Village|street|Street|st|St|drive|dr|lane|ln|road|Road|rd|Rd|blvd|avenue|tower|cross|main|nagar|building|center|floor|suite|Apartments|Apartment)))[\.|\,|\:|\;|\-|\–|\_|\\|\/|\||\s|\n|\(|\)]{1}\s*\(*\)*([a-zA-Z\(\)]+[\.|\,|\:|\;|\-|\–|\_|\\|\/|\|\s|\n|\(|\)]{1}\s*\(*\)*)([a-zA-Z\d\(\)]+[\.|\,|\:|\;|\-|\–|\_|\\|\/|\|\s|\n|\(|\)]{2}\s*\(*\)*){1,8}(((\d{2,3}\s?\d{3})|([A-Z]\d[A-Z]( )\d[A-Z]\d)|(\d{4})|([A-Z][A-Z]\d[A-Z]( )\d[A-Z][A-Z])|([A-Z][A-Z]\d\d( )\d[A-Z][A-Z])|([A-Z][A-Z]\d[A-Z]( )\d[A-Z][A-Z])|([A-Z][A-Z]\d( )\d[A-Z][A-Z])|([A-Z]\d[A-Z]\d[A-Z]\d)|([A-Z]\d[A-Z]( )\d[A-Z][A-Z])|(\d{3}\-\d{4})))/gi;
		// var address_regex=/(\d{1,3}[\.|\,|\:|\;|\-|\–|\_|\\|\/|\||\s|\n|\(|\)]{1})?(((\d){1,4})|([a-zA-Z\d\(\)]{0,15}[\.|\,|\:|\;|\-|\–|\_|\\|\/|\||\s|\n|\(|\)]{1}\s*\(*\)*(court|ct|Village|street|Street|st|St|drive|dr|lane|ln|road|Road|rd|Rd|blvd|avenue|tower|cross|main|nagar|building|center|floor|suite|Apartments|Apartment)))[\.|\,|\:|\;|\-|\–|\_|\\|\/|\||\s|\n|\(|\)]{1}\s*\(*\)*([a-zA-Z\d\(\)]+[\.|\,|\:|\;|\-|\–|\_|\\|\/|\|\s|\n|\(|\)]{1}\s*\(*\)*){1,9}(((\d{2,3}\s?\d{3})|([A-Z]\d[A-Z]( )\d[A-Z]\d)|(\d{4})|([A-Z][A-Z]\d[A-Z]( )\d[A-Z][A-Z])|([A-Z][A-Z]\d\d( )\d[A-Z][A-Z])|([A-Z][A-Z]\d[A-Z]( )\d[A-Z][A-Z])|([A-Z][A-Z]\d( )\d[A-Z][A-Z])|([A-Z]\d[A-Z]\d[A-Z]\d)|([A-Z]\d[A-Z]( )\d[A-Z][A-Z])|(\d{3}\-\d{4})))/gi;
		var address_regex=/(\d{1,3}[\.|\,|\:|\;|\-|\–|\_|\\|\/|\||\s|\n|\(|\)]{1})?(((\d){1,4})|([a-zA-Z\d\(\)]{0,15}[\.|\,|\:|\;|\-|\–|\_|\\|\/|\||\s|\n|\(|\)]{1}\s*\(*\)*(court|ct|Village|street|Street|st|St|drive|dr|lane|ln|road|Road|rd|Rd|blvd|avenue|tower|cross|main|nagar|building|center|floor|suite|Apartments|Apartment)))[\.|\,|\:|\;|\-|\–|\_|\\|\/|\||\s|\n|\(|\)]{1}\s*\(*\)*([a-zA-Z\(\)]+[\.|\,|\:|\;|\-|\–|\_|\\|\/|\|\s|\n|\(|\)]{1}\s*\(*\)*)([a-zA-Z\d\(\)]+[\.|\,|\:|\;|\-|\–|\_|\\|\/|\|\s|\n|\(|\)]{1}\s*\(*\)*){1,9}(((\d{2,3}\s?\d{3})|([A-Z]\d[A-Z]( )\d[A-Z]\d)|(\d{5})|([A-Z][A-Z]\d[A-Z]( )\d[A-Z][A-Z])|([A-Z][A-Z]\d\d( )\d[A-Z][A-Z])|([A-Z][A-Z]\d[A-Z]( )\d[A-Z][A-Z])|([A-Z][A-Z]\d( )\d[A-Z][A-Z])|([A-Z]\d[A-Z]\d[A-Z]\d)|([A-Z]\d[A-Z]( )\d[A-Z][A-Z])|(\d{3}\-\d{4})))/gi;
		var doornum_regex=/(\d{1,3}[\.|\,|\:|\;|\-|\–|\_|\\|\/|\||\s|\n|\(|\)]{1})?\d{1,4}/gi;
		var zipcode_regex=/(\d{2,3}\s?\d{3})|([A-Z]\d[A-Z]( )\d[A-Z]\d)|(\d{5})|([A-Z][A-Z]\d[A-Z]( )\d[A-Z][A-Z])|([A-Z][A-Z]\d\d( )\d[A-Z][A-Z])|([A-Z][A-Z]\d[A-Z]( )\d[A-Z][A-Z])|([A-Z][A-Z]\d( )\d[A-Z][A-Z])|([A-Z]\d[A-Z]\d[A-Z]\d)|([A-Z]\d[A-Z]( )\d[A-Z][A-Z])|(\d{3}\-\d{4})/gi;
		var mailTextContent=data.content;
		var nameInMail=data.name;
		// console.log("datacontent:");
		// console.dir(data.content);
		var senderEmail=data.senderEmail;
		$scope.details["Email"]=senderEmail;
		$scope.getTitles(mailTextContent,jobtitle_regex,jobtitle_regex_abbr);
		$scope.getAccount(mailTextContent,senderEmail);
		$scope.getNames(mailTextContent,senderEmail,nameInMail);
		$scope.getNumbers(mailTextContent,phone_regex);
		$scope.getAddress(mailTextContent,address_regex,doornum_regex,zipcode_regex);
		// console.dir($scope.details);
		// chrome.storage.local.set({extractedDetails: $scope.details});
		$scope.sharedData.data=$scope.details;

		$scope.todoStorage.leadsMetadata(function(data){
			// console.log("in todoStorage of leadsMetadata in extractDetails");
			var items=data.modules[0].layouts;
	        // angular.forEach(items,function(item){
	        //     if(item.name=="Standard"){
	        //         $scope.layoutOfLead=item;
	        //     }
	        // });
	        // if($scope.layoutOfLead==undefined && items.length>0){
         //         $scope.layoutOfLead=items[0];
         //    }
         for(var item in items){
            for (var profile in items[item].profiles) {
                if (items[item].profiles[profile].id == $scope.currentUserData.profile.id && items[item].profiles[profile].default == true) {
                    $scope.layoutOfLead = items[item];
                    break;
                }
            }
        }
	        // console.dir($scope.layoutOfLead);
	        $scope.fields=data.modules[0].fields;
	        var resultArray=[];
	        for(var sec=0;sec<$scope.layoutOfLead.sections.length;sec++){
	            for(var fld=0;fld<$scope.layoutOfLead.sections[sec].fields.length;fld++){
	                var result={};
	                var retObj=findAndReturn($scope.fields,'api_name',$scope.layoutOfLead.sections[sec].fields[fld].api_name);
	                for(var key in retObj){
	                    result[key]=retObj[key];
	                }
	                for(var key in $scope.layoutOfLead.sections[sec].fields[fld]){
	                    result[key]=$scope.layoutOfLead.sections[sec].fields[fld][key];
	                }
                        $scope.harcodedFieldsOfLeads[result.api_name]=result;
	                if($scope.commonLeadFields.indexOf(result.api_name)>=0){
	                    	$scope.commonLeadMetadata[result.api_name]=result;
	                }
	                if($scope.nameFormFields.indexOf(result.api_name)>=0){
	                    	$scope.nameLeadMetadata[result.api_name]=result;
	                }
	                // $scope.layout.sections[sec].fields[fld]=result;
	                resultArray.push(result);
	            }
	        }
	        // console.dir($scope.commonLeadMetadata);
	        // console.log("combinedFields:");
	         // console.dir(resultArray);
	        // for(var i=0;i<resultArray.length;i++){
	            // // console.log(resultArray[i].field_label+" : "+resultArray[i].data_type);
	            // console.log(resultArray[i].api_name+" : "+resultArray[i].data_type);
	        // }
	        $scope.combinedFieldsofLeads=resultArray;
	        $scope.safeApply();
	        $scope.todoStorage.currentUserData(function(data){ // console.log("in currentUserData todostorage");
                for(var key in $scope.combinedFieldsofLeads){
                    switch($scope.combinedFieldsofLeads[key].data_type){
                        case "ownerlookup":
                        // console.dir($scope.combinedFieldsofLeads[key]);
                            $scope.addFormLeadData[$scope.combinedFieldsofLeads[key].api_name]={"name":data.users[0].full_name,"id":data.users[0].id};
                        case "userlookup":
                        // console.dir($scope.combinedFieldsofLeads[key]);
                            // $scope.addFormLeadData[$scope.combinedFieldsofLeads[key].api_name]={"name":data.users[0].full_name,"id":data.users[0].id};
                        break;
                    }
                }
                $scope.safeApply();
                // console.log($scope.addFormLeadData);
            });
            $scope.safeApply();
            $scope.leadForm.$setPristine();
	        $scope.$watch("leadForm.$dirty",function(currentValue,previousValue){
	            // console.log($scope.leadForm);
	            if(currentValue!=previousValue){
	                // console.log(currentValue);
	                // console.log(previousValue);
	                // console.log("lform changed");
	                chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:{'parentModule':$scope.selectedModule,'module':'createLead'}});
	            }
	        });

        	$scope.showFullScreen=true;
		});
		$scope.todoStorage.contactsMetadata(function(data){
			// console.log("in todoStorage of contactsMetadata in extractDetails");
			var items=data.modules[0].layouts;
	        // angular.forEach(items,function(item){
	        //     if(item.name=="Standard"){
	        //         $scope.layoutOfContact=item;
	        //     }
	        // });
	        // if($scope.layoutOfContact==undefined && items.length>0){
         //         $scope.layoutOfContact=items[0];
         //    }
         for(var item in items){
            for (var profile in items[item].profiles) {
                if (items[item].profiles[profile].id == $scope.currentUserData.profile.id && items[item].profiles[profile].default == true) {
                    $scope.layoutOfContact = items[item];
                    break;
                }
            }
        }
	        // console.dir($scope.layoutOfContact);
	        $scope.fields=data.modules[0].fields;
	        var resultArray=[];
	        for(var sec=0;sec<$scope.layoutOfContact.sections.length;sec++){
	            for(var fld=0;fld<$scope.layoutOfContact.sections[sec].fields.length;fld++){
	                var result={};
	                var retObj=findAndReturn($scope.fields,'api_name',$scope.layoutOfContact.sections[sec].fields[fld].api_name);
	                for(var key in retObj){
	                    result[key]=retObj[key];
	                }
	                for(var key in $scope.layoutOfContact.sections[sec].fields[fld]){
	                    result[key]=$scope.layoutOfContact.sections[sec].fields[fld][key];
	                }
                        $scope.harcodedFieldsOfContacts[result.api_name]=result;
	                if($scope.commonContactFields.indexOf(result.api_name)>=0){
	                    	$scope.commonContactMetadata[result.api_name]=result;
	                }
	                if($scope.nameFormFields.indexOf(result.api_name)>=0){
	                    	$scope.nameContactMetadata[result.api_name]=result;
	                }
	                // $scope.layout.sections[sec].fields[fld]=result;
	                resultArray.push(result);
	            }
	        }
	        // console.dir($scope.commonContactMetadata);
	        // console.log("combinedFields:");
	        // console.dir(resultArray);
	        for(var i=0;i<resultArray.length;i++){
	            // // console.log(resultArray[i].field_label+" : "+resultArray[i].data_type);
	            // console.log(resultArray[i].api_name+" : "+resultArray[i].data_type);
	        }
	        $scope.combinedFieldsofContacts=resultArray;
	        $scope.safeApply();
	        $scope.todoStorage.currentUserData(function(data){ // console.log("in currentUserData todostorage");
                for(var key in $scope.combinedFieldsofContacts){
                    switch($scope.combinedFieldsofContacts[key].data_type){
                        case "ownerlookup":
                        // console.dir($scope.combinedFieldsofContacts[key]);
                            $scope.addFormContactData[$scope.combinedFieldsofContacts[key].api_name]={"name":data.users[0].full_name,"id":data.users[0].id};
                        case "userlookup":
                        // console.dir($scope.combinedFieldsofContacts[key]);
                            // $scope.addFormContactData[$scope.combinedFieldsofContacts[key].api_name]={"name":data.users[0].full_name,"id":data.users[0].id};
                        break;
                    }
                }
                $scope.safeApply();
                // console.log($scope.addFormContactData);
            });
            $scope.safeApply();
            $scope.contactForm.$setPristine();
	        $scope.$watch("contactForm.$dirty",function(currentValue,previousValue){
	            // console.log($scope.contactForm);
	            if(currentValue!=previousValue){
	                // console.log(currentValue);
	                // console.log(previousValue);
	                // console.log("cform changed");
	                chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:{'parentModule':$scope.selectedModule,'module':'createContact'}});
	            }
	        });

        	$scope.showFullScreen=true;
		});
		$scope.commonForm.$setPristine();
        $scope.$watch("commonForm.$dirty",function(currentValue,previousValue){
            // console.log($scope.commonForm);
            if(currentValue!=previousValue){
                // console.log(currentValue);
                // console.log(previousValue);
                // console.log("cmform changed");
                chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:{'parentModule':$scope.selectedModule,'module':'createContact'}});
            }
        });
        $scope.nameForm.$setPristine();
        $scope.$watch("nameForm.$dirty",function(currentValue,previousValue){
            // console.log($scope.commonForm);
            if(currentValue!=previousValue){
                // console.log(currentValue);
                // console.log(previousValue);
                // console.log("nform changed");
                chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:{'parentModule':$scope.selectedModule,'module':'createContact'}});
            }
        });
		// console.log("*********************************************");
		// console.log($scope.showFullScreen);
		// alert($scope.showFullScreen);
		$scope.safeApply();
    });
	$scope.getTitles=function(mailTextContent,jobtitle_regex,jobtitle_regex_abbr){
		// console.log("in getTitles");
        var jobTitle_full="";
        var jobTitle=mailTextContent.match(jobtitle_regex);
        if (jobTitle != null) {
            var jobTitle_fullTemp = "";
            for (var i = 0; i < jobTitle.length; i++)
            {
                jobTitle_fullTemp = jobTitle_fullTemp + jobTitle[i] + " ";

                var job_index = mailTextContent.search(jobTitle_fullTemp.substring(0, (jobTitle_fullTemp.length - 1)));
                if (job_index >= 0)
                {
                    jobTitle_full = jobTitle_fullTemp;
                }
            }


        }
        // console.log("jobTitle_full1:"+jobTitle_full);
        // console.dir(jobTitle);
        if (jobTitle_full == "")
        {
            jobTitle = mailTextContent.match(jobtitle_regex_abbr);
            if (jobTitle != null) {
                jobTitle_full = jobTitle[0];
            }
        }
         // console.log("jobTitle_full2:"+jobTitle_full);
         // console.dir(jobTitle);
        if(jobTitle_full != ""){
        	$scope.details["Title"]=jobTitle_full;
        }
        $scope.safeApply();
	};

	$scope.getAccount=function(mailTextContent,senderEmail){
		// console.log("in getAccount");
		var comp_url_regex = /(https?:\/\/(?:www\.|(?!www))[^\s\.]+\.[^\s]{2,}|www\.[^\s]+\.[^\s]{2,})/gi;
		var accountName="";
	    mailTextContent = mailTextContent.replace(/\s+/g, " "); //replacing spaces with single space
	    var emailprovider = senderEmail.split("@");
	    emailprovider = emailprovider[1].split(".");
	    if(emailprovider!=null){
	    	switch(emailprovider.length){
	    		case 2://google.com
	    			emailprovider=emailprovider[0];
	    		break;
	    		case 3:
	    			if(emailprovider[1].length<=2){//google.co.in
	    				emailprovider=emailprovider[0];
	    			}else{//plus.google.com
	    				emailprovider=emailprovider[1];
	    			}
	    		break;
	    		case 4://plus.google.co.in
	    			emailprovider=emailprovider[1];
	    		break;
	    	}
	    }
	    // console.log("emailprovider:"+emailprovider);
	    // emailprovider = emailprovider[0];    //getting email provider name
	    var mailTextContent_temp = mailTextContent.replace(/\s+/g, "");//mailTextContent_temp will get the string without spaces
	    mailTextContent_temp = mailTextContent_temp.replace("-", "");     //mailTextContent_temp will get the string without -
	    emailprovider_regex = new RegExp(emailprovider, "i");
	    var provider_index = mailTextContent_temp.match(emailprovider_regex);
	    // console.log("provider_index:"+provider_index)
	    if (emailprovider == "gmail" || emailprovider == "outlook" || emailprovider == "hotmail" || emailprovider == "live" || emailprovider == "aol" || emailprovider == "reddif" || emailprovider == "yahoo" || emailprovider == "zoho")
	    {
	        var comp_url_match = mailTextContent.match(comp_url_regex);
	        if (comp_url_match != null)
	        {
	            var www_find = comp_url_match[0].match(/www\./gi);
	            var http_find_index = comp_url_match[0].search("http://");
	            var https_find_index = comp_url_match[0].search("https://");
	            if (www_find != null)
	            {
	                var url_dot_array = comp_url_match[0].split(".");
	                accountName = url_dot_array[1];
	            }
	            else if (http_find_index >= 0)
	            {
	                var url_dot_array = comp_url_match[0].split(".");
	                accountName = url_dot_array[0].substring((http_find_index + 7), url_dot_array[0].length);
	            }
	            else if (https_find_index >= 0)
	            {
	                var url_dot_array = comp_url_match[0].split(".");
	                accountName = url_dot_array[0].substring((https_find_index + 8), url_dot_array[0].length);
	            }
	        }
	        else
	        {
	            accountName = "";
	        }
	        // console.log("accountName2:"+accountName);
	    }else if (provider_index)
	    {
	        var inc_search = mailTextContent.search("Inc.");
	        if (inc_search == -1)
	        {
	            inc_search = mailTextContent.search("inc.");
	        }
	        var provider_index_search = mailTextContent.search(provider_index);
	        // console.log("provider_index_search:"+provider_index_search);
	        // console.log("inc_search:"+inc_search);
	        if ((inc_search >= 0) && (provider_index_search >= 0) && ((inc_search-provider_index_search)<20) && (inc_search >= provider_index_search))
	        {
	            accountName = mailTextContent.substring(provider_index_search, inc_search);
	            accountName = accountName + "Inc.";
	        }
	        else {
	            accountName = provider_index[0];
	        }
	        // console.log("accountName1:"+accountName);
	    }
	    else if (emailprovider.length == 3)
	    {
	        var ep1 = emailprovider.charAt(0);
	        var ep2 = emailprovider.charAt(1);
	        var ep3 = emailprovider.charAt(2);
	        var ep_str = ep1 + "[a-zA-Z]*" + " " + ep2 + "[a-zA-Z]*" + " " + ep3 + "[a-zA-Z]*";
	        var ep_regex = new RegExp(ep_str, "gi");
	        var ep_match = mailTextContent.match(ep_regex);
	        if (ep_match)
	        {

	            accountName = ep_match[0];
	        }
	        else
	        {
	            accountName = emailprovider;
	        }
	        // console.log("accountName3:"+accountName);
	    }
	    else if (emailprovider.length == 4)
	    {
	        var ep1 = emailprovider.charAt(0);
	        var ep2 = emailprovider.charAt(1);
	        var ep3 = emailprovider.charAt(2);
	        var ep4 = emailprovider.charAt(3);
	        var ep_str = ep1 + "[a-zA-Z]*" + " " + ep2 + "[a-zA-Z]*" + " " + ep3 + "[a-zA-Z]*" + " " + ep4 + "[a-zA-Z]*";
	        var ep_str1 = ep1 + "[a-zA-Z]*" + " " + ep2 + "[a-zA-Z]*" + " " + ep3 + "[a-zA-Z]*";
	        var ep_regex = new RegExp(ep_str, "gi");
	        var ep_regex1 = new RegExp(ep_str1, "gi");
	        var ep_match = mailTextContent.match(ep_regex);
	        var ep_match1 = mailTextContent.match(ep_regex1);
	        if (ep_match)
	        {

	            accountName = ep_match[0];
	        }
	        else if (ep_match1)
	        {
	            accountName = ep_match1[0];
	        }
	        else
	        {
	            accountName = emailprovider;
	        }
	        // console.log("accountName4:"+accountName);
	    }
	    else
	    {
	        accountName = emailprovider;
	    }
	    // console.log("accountName5:"+accountName);
	    if(accountName != ""){
	    	// console.log("1:"+accountName.length);
	    	accountName=accountName.replace(/\,|\-|\_|\+|\[|\]|\{|\}|\||\'|\"|\;|\:/gi,"");
	    	// console.log("2");
	    	$scope.details["Account_Name"]=accountName;
	    }
	    // console.log("accountName in scope:"+$scope.details.Account_Name);
	    $scope.safeApply();
	};

	$scope.getNames=function(mailTextContent,senderEmail,nameInMail){
		// console.log("in getNames");
		// console.log(nameInMail!=null);
		// console.log(nameInMail!="");
		// console.log(nameInMail!=senderEmail);
		if(nameInMail!=null && nameInMail!="" && nameInMail.length>3 && nameInMail!=senderEmail){
			$scope.details["Last_Name"]=nameInMail;
		}else{
			var name_flag1=0;
			var name_flag2=0;
			var m_name="";
			var mailTextContent_temp = mailTextContent.replace(/\s+/g, "");//mailTextContent_temp will get the string without spaces
		    mailTextContent_temp = mailTextContent_temp.replace("-", "");     //mailTextContent_temp will get the string without -
			var email_fpart = senderEmail.split("@");
	        email_fpart = email_fpart[0];          // email_fpart contails just email id
	        email_fpart = email_fpart.replace(/_/g, "");   //removing _
	        email_fpart = email_fpart.replace(/-/g, "");	//removing -
	        email_fpart = email_fpart.replace(/[0-9]/g, "");		//removing numbers
	        var email_fpart_split = "";			//email_fpart_split is a variable array for storing id as two parts seperated with period
	        if (email_fpart.match(/./))			//if condition to find period in email_fpart
	        {									// this if will find "pavan kumar" or "kumar pavan" in mailTextContent if mail is pavan.kumar@zohocorp.com   
	            // console.log("in getNames period case");
	            name_flag1 = 0;
	            email_fpart_split = email_fpart.split(".");
	            var email_fpart_split_regex1 = new RegExp(email_fpart_split[0] + email_fpart_split[1], "i");
	            var name_split_index1 = mailTextContent_temp.match(email_fpart_split_regex1);
	            var email_fpart_split_regex2 = new RegExp(email_fpart_split[1] + email_fpart_split[0], "i");
	            var name_split_index2 = mailTextContent_temp.match(email_fpart_split_regex2);
	            if (name_split_index1)
	            {
	                m_name = email_fpart_split[0] + " " + email_fpart_split[1];
	                name_flag1 = 1;
	            }
	            else if (name_split_index2)
	            {
	                m_name = email_fpart_split[1] + " " + email_fpart_split[0];
	                name_flag1 = 1;
	            }
	            $scope.details["Last_Name"]=m_name;
	            if(m_name.length<5){
	            	$scope.details["Last_Name"]=email_fpart;
	            }
	        }
	        if (name_flag1 == 0)     // if name is found in the above if it will come here
	        {

	        	 // console.log("in getNames not found in period case");
	            var email_fpart_regex = new RegExp(email_fpart, "i");
	            var name_index = mailTextContent_temp.match(email_fpart_regex);
	            email_fpart = email_fpart.replace(".", "");
	            var email_fpart_len = email_fpart.length;


	            if (name_index)
	            {
	                m_name = name_index;
	                var len = m_name[0].length - 1;
	                var last_lett = m_name[0].charAt(len);
	                if (last_lett == last_lett.toUpperCase())
	                {
	                    var name_fpart = m_name[0].substring(0, len);
	                    var name_temp_regex_str = name_fpart + " " + last_lett + "[a-zA-Z]*";
	                    var name_temp_regex = new RegExp(name_temp_regex_str, "gi");
	                    var name_mat = mailTextContent.match(name_temp_regex);
	                    if (name_mat)
	                    {
	                        m_name = name_mat[0];
	                    }
	                }else{
	                	m_name =m_name[0];
	                }
	            }
	            else
	            {
	                for (var i = email_fpart_len - 1; i > 3; i--)//loop to test string in decreasing length from backside
	                {
	                    name_flag2 = 0;
	                    var temp_name = email_fpart.substring(0, i);
	                    var temp_name_regex = new RegExp(temp_name, "i");
	                    var temp_index = mailTextContent_temp.match(temp_name_regex);
	                    if (temp_index)
	                    {
	                        m_name = temp_index[0];
	                        name_flag2 = 1;
	                        break;
	                    }
	                }
	                if (name_flag2 == 1)    // it works if found in above for loop and name is like"pavan kumar" if email is like kumarp@zohocorp.com
	                {
	                    var length = m_name[0].length;
	                    var email_fpart_part1 = email_fpart.substring(0, length);
	                    var email_fpart_part2 = email_fpart.substring(length, email_fpart_len);
	                    var regex_string1 = email_fpart_part1 + " " + email_fpart_part2 + "[a-zA-Z]*";
	                    var regex_tempname1 = new RegExp(regex_string1, "gi");
	                    var regex_match1 = mailTextContent.match(regex_tempname1);
	                    var regex_string2 = email_fpart_part2 + "[a-zA-Z]*" + " " + email_fpart_part1;
	                    var regex_tempname2 = new RegExp(regex_string2, "gi");
	                    var regex_match2 = mailTextContent.match(regex_tempname2);
	                    if (regex_match1)
	                    {
	                        m_name = regex_match1[0];
	                    }
	                    else if (regex_match2)
	                    {
	                        m_name = regex_match2[0];
	                    }
	                }
	                else if (name_flag2 == 0)// comes to here if not found in above for loop....  
	                {
	                    var j = 1;//counter to email_fpart
	                    for (var i = email_fpart_len - 1; i > 3; i--) //loop to test string in decreasing order from frontside
	                    {
	                        name_flag2 = 0;
	                        var temp_name = email_fpart.substring(j, email_fpart_len);
	                        j++;
	                        var temp_name_regex = new RegExp(temp_name, "i");
	                        var temp_index = mailTextContent_temp.match(temp_name_regex);
	                        if (temp_index)
	                        {
	                            m_name = temp_index[0];
	                            name_flag2 = 1;
	                            break;
	                        }
	                    }
	                    if (name_flag2 == 1)  //it works if found in above for loop and name is like"pavan kumar" if email is like pkumar@zohocorp.com
	                    {
	                        var length = m_name[0].length;
	                        var diff_len = email_fpart_len - length;
	                        var email_fpart_part1 = email_fpart.substring(0, diff_len);
	                        var email_fpart_part2 = email_fpart.substring(diff_len, email_fpart_len);
	                        var regex_string1 = email_fpart_part1 + "[a-zA-Z]*" + " " + email_fpart_part2;
	                        var regex_tempname1 = new RegExp(regex_string1, "gi");
	                        var regex_match1 = mailTextContent.match(regex_tempname1);
	                        var regex_string2 = email_fpart_part2 + " " + email_fpart_part1 + "[a-zA-Z]*";
	                        var regex_tempname2 = new RegExp(regex_string2, "gi");
	                        var regex_match2 = mailTextContent.match(regex_tempname2);
	                        if (regex_match1)
	                        {
	                            m_name = regex_match1[0];
	                        }
	                        else if (regex_match2)
	                        {
	                            m_name = regex_match2[0];
	                        }
	                    }
	                }
	                if (name_flag2 == 0) //if not found in above for loop it comes here and process if the email first part length is <3
	                {
	                    if (email_fpart.length == 2)     //finds "pavan kumar" if email is pk123@zohocorp.com or kp123@zohocorp.com
	                    {
	                        var firstchar = email_fpart.charAt(0);
	                        var secondchar = email_fpart.charAt(1);
	                        var regex_str = firstchar + "[a-zA-Z]*" + " " + secondchar + "[a-zA-z]*";
	                        var temp_regex = new RegExp(regex_str, "i");
	                        m_name = mailTextContent.match(temp_regex);
	                        m_name=m_name[0];
	                        if (m_name == null)
	                        {
	                            var firstchar = email_fpart.charAt(0);
	                            var secondchar = email_fpart.charAt(1);
	                            var regex_str = secondchar + "[a-zA-Z]*" + " " + firstchar + "[a-zA-z]*";
	                            var temp_regex = new RegExp(regex_str, "i");
	                            m_name = mailTextContent.match(temp_regex);
	                            m_name=m_name[0];
	                        }
	                    }
	                }
	                if (m_name == null)  //if still not found keep m_name as the email first part(comes here if m_name changes to object in the middle)
	                {
	                    var name_temp = senderEmail.split("@");
	                    name_temp[0] = name_temp[0].replace(/[0-9]/g, "");
	                    m_name = name_temp[0];
	                }
	                if (m_name == "")   //if still not found keep m_name as the email first part(comes here if m_name is still the string
	                {
	                    var name_temp = senderEmail.split("@");
	                    name_temp[0] = name_temp[0].replace(/[0-9]/g, "");
	                    m_name = name_temp[0];
	                }
	            }
	            $scope.details["Last_Name"]=m_name;
	            if(m_name.length<5){
	            	$scope.details["Last_Name"]=email_fpart;
	            }
	        }
		}
        $scope.safeApply();
	};

	$scope.getNumbers=function(mailTextContent,phone_regex){
		// console.log("in getNumbers");
		var phoneNumbers=mailTextContent.match(phone_regex);
		var phonenum_Names=["Mobile","Phone"];
		for(var i=0; phoneNumbers!=null && i<phoneNumbers.length; i++){
			// console.log("rer");
			$scope.details[""+phonenum_Names[i]]=phoneNumbers[i];
		}
		$scope.safeApply();
	};

	$scope.address_list=function(address) {
		// console.log("in address_list");
	    // var fir = address.substring(0, address.lastIndexOf(' '));
	    // var sec = address.substring(address.lastIndexOf(' ') + 1);
	    // address = fir + sec;
	    address = encodeURIComponent(address);
	    var bufferString = "";
	    var req = new XMLHttpRequest();
	    var url = "https://maps.googleapis.com/maps/api/geocode/json?address=" + address + "&sensor=false";
	    req.open('POST', url, false);
	    req.send();// console.log("adsfadsf");
	    if (req.readyState == 4 && req.status == 200) {
	        var country = "";
	        var state = "";
	        var city = "";
	        var street = "";
	        var street1 = "";
	        var street2 = "";
	        var zipcode = "";
	        var city1 = "";
	        var formated_address = "";
	        // console.dir(req.responseText);
	        rd = JSON.parse(req.responseText);
	        if (rd.results.length != 0) {
	            var res = rd.results[0].address_components;
	            formated_address = rd.results[0].formatted_address;
	            $.each(res, function(index, data) {
	                var type = res[index].types[0];
	                if (type == "country") {
	                    country = res[index].long_name;
	                }
	                else if (type == "administrative_area_level_1") {
	                    state = res[index].long_name;
	                }
	                else if (type == "locality") {
	                    city = res[index].long_name;
	                }
	                else if (type == "route" || type == "premise") {
	                    street = res[index].long_name;
	                }
	                else if (type == "postal_code") {
	                    zipcode = res[index].long_name;
	                }
	                else if (type == "locality") {
	                    city1 = res[index].long_name;
	                }
	                else if (type == "sublocality_level_3") {
	                    street1 = res[index].long_name;
	                }
	                else if (type == "sublocality_level_1") {
	                    street2 = res[index].long_name;
	                }

	            });
	            if (city == "") {
	                city = city1
	            }
	        }
	        // console.log("adsfadsf");
	        if (street == "") {
	            bufferString = country + "!q@" + state + "!q@" + city + "!q@" + street + "!q@" + zipcode + "!q@" + formated_address;
	        } else {
	            bufferString = country + "!q@" + state + "!q@" + city + "!q@" + street;
	            if (street1 != "") {
	                bufferString += ", " + street1;
	            }
	            if (street2 != "") {
	                bufferString += ", " + street2;
	            }
	            bufferString += "!q@" + zipcode + "!q@" + formated_address;
	        }
	    }
	    // console.log("adsfadsf");
	    return bufferString;
	}
	$scope.getAddress=function(mailTextContent,address_regex,doornum_regex,zipcode_regex){
		// console.log("in getAddress");
		var doornum="";
		var addressArray=mailTextContent.match(address_regex);
		// console.dir(addressArray);
		if(addressArray!=null && addressArray!=""){
			address=addressArray[0];
			// console.log("in getAddress1");
			doornum=addressArray[0].match(doornum_regex);
			doornum=doornum[0];
			var ads=address;
			var adsList=$scope.address_list(address);
			// console.log(adsList);
			var adsLists = adsList.split("!q@");
	        var country = adsLists[0];
	        var state = adsLists[1];
	        var city = adsLists[2];
	        var street = adsLists[3];
	        var zipcode = adsLists[4];
	        var formated_address = adsLists[5];
	        var gmaps_city = "";
	        // console.log(country+" "+state+" "+city+" "+street+" "+zipcode);
	        // alert("insub");
	        // console.log("adsfadsf");
	        if (country == "" && state == "" && city == "") {
	            var adsads = ads.split(",");
	            adsList = $scope.address_list(adsads[adsads.length - 1]);
	            adsLists = adsList.split("!q@");
	            country = adsLists[0];
	            state = adsLists[1];
	            city = adsLists[2];
	            street = adsLists[3];
	            zipcode = adsLists[4];
	            gmaps_city = city;
	            if (city == "") {
	                var state_index = address.indexOf(adsads[adsads.length - 1]);
	                if (state_index > 0) {
	                    street = address.substring(0, state_index);
	                }
	            }

	        };
	        // console.log("adsfadsf");
	        if (street == '') {
	        	// console.log("adsfadsf");
	            if (city != '') {
	                var city_index = address.indexOf(city);
	                var gmaps_city_index = formated_address.indexOf(gmaps_city);
	                if (city_index > 0) {
	                    street = address.substring(0, city_index);
	                } else if (gmaps_city_index > 0) {
	                    street = address.substring(0, gmaps_city_index);
	                }
	            }
	            if (street == '') {
	                if (state != '') {
	                    var state_index = address.indexOf(state);
	                    if (state_index > 0) {
	                        street = address.substring(0, state_index);
	                    }
	                }
	                if (street == '') {
	                    if (country != '') {
	                        var country_index = address.indexOf(country);
	                        if (country_index > 0) {
	                            street = address.substring(0, country_index);
	                        }
	                    }
	                    if (street == '') {
	                        if (zipcode != '') {
	                            var zipcode_index = address.indexOf(zipcode);
	                            if (zipcode_index > 0) {
	                                street = address.substring(0, zipcode_index);
	                            }
	                        }
	                    }
	                }
	            }
	        }
	        // console.log(country+" "+state+" "+city+" "+street+" "+zipcode);
	        // console.log("adsfadsf");
	        if(street!=null && street!=""){
	        	$scope.details['Street']=doornum+" "+street;
	        }// console.log("adsfadsf");
	        if(city!=null && city!=""){
	        	$scope.details['City']=city;
	        }// console.log("adsfadsf");
	        if(state!=null && state!=""){
	        	$scope.details['State']=state;
	        }// console.log("adsfadsf");
	        if(country!=null && country!=""){
	        	$scope.details['Country']=country;
	        }// console.log("adsfadsf");
	        if(zipcode!=null && zipcode!=""){
	        	$scope.details['Zip']=zipcode;
	        }else{
	        	zipcode=address.match(zipcode_regex);
	        	zipcode=zipcode[0];
	        	if(zipcode!=null && zipcode!=""){
	        	$scope.details['Zip']=zipcode;
	        	}
	        }// console.log("adsfadsf");
	        // console.dir($scope.details);
		}
		// console.log("before safe apply");
		$scope.safeApply();
	}
	$scope.getDetailsById =function(id,module){
  	// console.log("getDetailsById function executing");
        chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
            if(response.status=="success"){
                var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                var url = "https://crm.zoho."+response.datacenterExt+"/crm/v2/"+module+"s/"+id;
                // console.log(module);
                var getDetailsById=$http.get(url,config);
                getDetailsById.success( function(resp, status, headers, config) {
                    if(status==200){
                        // console.log(status);
                        // console.log(resp);
                       	chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'searchByEmailContact',value:resp.data[0]},function(response){
							if(response.resp=="success"){
								var timerCount=0;
								var timer=$interval(function(){
									timerCount++;
									if($scope.addFormToCrmMessages==''){
										$interval.cancel(timer);
										if(module=="Contact"){
											chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:null});
											chrome.extension.sendRequest({name:'html/contact-info.html',redirect:'toContent',action:'Contacts'});
										}else{
											chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:null});
											chrome.extension.sendRequest({name:'html/lead-info.html',redirect:'toContent',action:'Leads'});
										}
									}else{
										if(timerCount==6){
											$interval.cancel(timer);
											if(module=="Contact"){
												chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:null});
												chrome.extension.sendRequest({name:'html/contact-info.html',redirect:'toContent',action:'Contacts'});
											}else{
												chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:null});
												chrome.extension.sendRequest({name:'html/lead-info.html',redirect:'toContent',action:'Leads'});
											}
										}
									}
								},500);
							}
						});
                    }else if(status=204){
                        // console.log(status);
                        // console.log(resp);
                    }else{
                        // console.log(status);
                        // console.log(resp);
                    }
                });
                getDetailsById.error( function(resp, status, headers, config) {
                    // console.log(status);
                    // console.log(resp);
                });
            }
            $scope.safeApply();
        });
  }
	$scope.createQuickContact=function(nameFormError,commonFormError,contactFormError){
		if($scope.modulesList.Contacts!=null && $scope.modulesList.Contacts.creatable==false){
			$scope.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
		    return;
		}
		if($scope.layoutOfContact.visible!=null && $scope.layoutOfContact.visible!=undefined && $scope.layoutOfContact.visible==false){
            $scope.succErrorInit('error',"***"+$scope.modulesList.Contacts.singular_label+" "+$scope.layoutOfContact.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
		// console.log("quick contact clicked");
		if(nameFormError!=null && nameFormError!=undefined && Object.keys(nameFormError).length==0 && commonFormError!=null && commonFormError!=undefined && Object.keys(commonFormError).length==0 && contactFormError!=null && contactFormError!=undefined && Object.keys(contactFormError).length==0){
			// console.log("hurray no error in adding");
			// console.dir($scope.details);
			// console.dir($scope.addFormContactData);
			for (var key in $scope.details) {
			  if ($scope.details.hasOwnProperty(key)) {
			    // console.log(key + " -> " + $scope.details[key]);
			    if(key=='Street'||key=='City'||key=='State'||key=='Country'||key=='Zip'){
			    	$scope.addFormContactData["Mailing_"+key]=$scope.details[key];
			    }else{
			    	$scope.addFormContactData[key]=$scope.details[key];
			    }
			  }
			}
			// console.dir($scope.addFormContactData);
			$scope.addFormToCrm($scope.addFormContactData,$scope.combinedFieldsofContacts,$scope.layoutOfContact);
		}else{
			$scope.validationMessages=true;
			var focusflag=0;
			// console.dir(nameFormError);
			// console.dir(commonFormError);
			// console.dir(contactFormError);
			if(nameFormError!=null && nameFormError!=undefined && Object.keys(nameFormError).length>0 ){
				if(nameFormError.hasOwnProperty("required")){
		            var ele=document.querySelector('#'+nameFormError.required[0].$name);
		            ele.focus();
		            focusflag=1;
		        }else if(nameFormError.hasOwnProperty("pattern")){
		            var ele=document.querySelector('#'+nameFormError.pattern[0].$name);
		            ele.focus();
		            focusflag=1;
		        }else if(nameFormError.hasOwnProperty("maxlength")){
		            offset=$("#"+nameFormError.maxlength[0].$name).offset().top;
		            var ele=document.querySelector('#'+nameFormError.maxlength[0].$name);
		            ele.focus();
		        }
			}
			if(commonFormError!=null && commonFormError!=undefined && Object.keys(commonFormError).length>0 && focusflag==0){
				document.getElementsByClassName("form")[0].scrollTop=0;
		        var offset=0;
		        if(commonFormError.hasOwnProperty("required")){
		            offset=$("#"+commonFormError.required[0].$name).offset().top;
		            var ele=document.querySelector('#'+commonFormError.required[0].$name);
		            ele.focus();
		            focusflag=1;
		        }else if(commonFormError.hasOwnProperty("pattern")){
		            offset=$("#"+commonFormError.pattern[0].$name).offset().top;
		            var ele=document.querySelector('#'+commonFormError.pattern[0].$name);
		            ele.focus();
		            focusflag=1;
		        }else if(commonFormError.hasOwnProperty("maxlength")){
		            offset=$("#"+commonFormError.maxlength[0].$name).offset().top;
		            var ele=document.querySelector('#'+commonFormError.maxlength[0].$name);
		            ele.focus();
		        }
		        document.getElementsByClassName("form")[0].scrollTop=offset-270;
			}
			if(contactFormError!=null && contactFormError!=undefined && Object.keys(contactFormError).length>0 && focusflag==0){
				document.getElementsByClassName("form")[0].scrollTop=0;
		        var offset=0;
		        if(contactFormError.hasOwnProperty("required")){
		            offset=$("#"+contactFormError.required[0].$name).offset().top;
		            var ele=document.querySelector('#'+contactFormError.required[0].$name);
		            ele.focus();
		        }else if(contactFormError.hasOwnProperty("pattern")){
		            offset=$("#"+contactFormError.pattern[0].$name).offset().top;
		            var ele=document.querySelector('#'+contactFormError.pattern[0].$name);
		            ele.focus();
		        }else if(contactFormError.hasOwnProperty("maxlength")){
		            offset=$("#"+contactFormError.maxlength[0].$name).offset().top;
		            var ele=document.querySelector('#'+contactFormError.maxlength[0].$name);
		            ele.focus();
		        }
		        document.getElementsByClassName("form")[0].scrollTop=offset-270;

			}
		}
	}
	$scope.createQuickLead=function(nameFormError,commonFormError,leadFormError){
		if($scope.modulesList.Leads!=null && $scope.modulesList.Leads.creatable==false){
		    $scope.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
		    return;
		}
		if($scope.layoutOfLead.visible!=null && $scope.layoutOfLead.visible!=undefined && $scope.layoutOfLead.visible==false){
            $scope.succErrorInit('error',"***"+$scope.modulesList.Leads.singular_label+" "+$scope.layoutOfLead.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
		// console.log("quick lead clicked");
		if(nameFormError!=null && nameFormError!=undefined && Object.keys(nameFormError).length==0 && commonFormError!=null && commonFormError!=undefined && Object.keys(commonFormError).length==0 && leadFormError!=null && leadFormError!=undefined && Object.keys(leadFormError).length==0){
			// console.log("hurray no error in adding");
			// console.dir($scope.details);
			// console.dir($scope.addFormLeadData);
			for (var key in $scope.details) {
			  if ($scope.details.hasOwnProperty(key)) {
			    // console.log(key + " -> " + $scope.details[key]);
			    ["First_Name","Last_Name","Email","Company","Mobile","Phone","Designation","Street","City","State","Country","Zip_Code"];
			    if(key=='Zip'){
			    	$scope.addFormLeadData["Zip_Code"]=$scope.details[key];
			    }else if(key=="Account_Name"){
			    	$scope.addFormLeadData["Company"]=$scope.details[key];
			    }else if(key=="Title"){
			    	$scope.addFormLeadData["Designation"]=$scope.details[key];
			    }else{
			    	$scope.addFormLeadData[key]=$scope.details[key];
			    }
			  }
			}
			// console.dir($scope.addFormLeadData);
			$scope.addFormToCrm($scope.addFormLeadData,$scope.combinedFieldsofLeads,$scope.layoutOfLead);
		}else{
			// console.dir(nameFormError);
			// console.dir(commonFormError);
			// console.dir(leadFormError);
			$scope.validationMessages=true;
			var focusflag=0;
			if(nameFormError!=null && nameFormError!=undefined && Object.keys(nameFormError).length>0 ){
				if(nameFormError.hasOwnProperty("required")){
		            var ele=document.querySelector('#'+nameFormError.required[0].$name);
		            ele.focus();
		            focusflag=1;
		        }else if(nameFormError.hasOwnProperty("pattern")){
		            var ele=document.querySelector('#'+nameFormError.pattern[0].$name);
		            ele.focus();
		            focusflag=1;
		        }else if(nameFormError.hasOwnProperty("maxlength")){
		            offset=$("#"+nameFormError.maxlength[0].$name).offset().top;
		            var ele=document.querySelector('#'+nameFormError.maxlength[0].$name);
		            ele.focus();
		        }
			}
			if(commonFormError!=null && commonFormError!=undefined && Object.keys(commonFormError).length>0 && focusflag==0){
				document.getElementsByClassName("form")[0].scrollTop=0;
		        var offset=0;
		        if(commonFormError.hasOwnProperty("required")){
		            offset=$("#"+commonFormError.required[0].$name).offset().top;
		            var ele=document.querySelector('#'+commonFormError.required[0].$name);
		            ele.focus();
		            focusflag=1;
		        }else if(commonFormError.hasOwnProperty("pattern")){
		            offset=$("#"+commonFormError.pattern[0].$name).offset().top;
		            var ele=document.querySelector('#'+commonFormError.pattern[0].$name);
		            ele.focus();
		            focusflag=1;
		        }else if(commonFormError.hasOwnProperty("maxlength")){
		            offset=$("#"+commonFormError.maxlength[0].$name).offset().top;
		            var ele=document.querySelector('#'+commonFormError.maxlength[0].$name);
		            ele.focus();
		        }
		        document.getElementsByClassName("form")[0].scrollTop=offset-270;
			}
			if(leadFormError!=null && leadFormError!=undefined && Object.keys(leadFormError).length>0 && focusflag==0){
				// console.log("its in leadFormError");
				document.getElementsByClassName("form")[0].scrollTop=0;
		        var offset=0;
		        if(leadFormError.hasOwnProperty("required")){
		            offset=$("#"+leadFormError.required[0].$name).offset().top;
		            var ele=document.querySelector('#'+leadFormError.required[0].$name);
		            ele.focus();
		        }else if(leadFormError.hasOwnProperty("pattern")){
		            offset=$("#"+leadFormError.pattern[0].$name).offset().top;
		            var ele=document.querySelector('#'+leadFormError.pattern[0].$name);
		            ele.focus();
		        }else if(leadFormError.hasOwnProperty("maxlength")){
		            offset=$("#"+leadFormError.maxlength[0].$name).offset().top;
		            var ele=document.querySelector('#'+leadFormError.maxlength[0].$name);
		            ele.focus();
		        }
		        document.getElementsByClassName("form")[0].scrollTop=offset-270;

			}
		}
	}

	// $scope.createContact=function(item, event){
 //      // console.log("createContact clicked");
 //      var innerEl=document.createElement("iframe");
 //      innerEl.className="inner-form-iframe";
 //      innerEl.id="zc_innerIframePage";
 //      innerEl.name="zc_innerIframePage";
 //      innerEl.src=chrome.extension.getURL('html/create-form.html');
 //      innerEl.setAttribute('frameborder','0');
 //      // console.dir(angular.element('#zc_innerIframeParentDiv'));
 //      angular.element('#zc_innerIframeParentDiv').empty();
 //      angular.element('#zc_innerIframeParentDiv').append(innerEl);
 //      // $scope.sharedData.id=id;
 //      $scope.selectedModule="Contact";
 //      $scope.selectedModuleData=null;
 //      $scope.sharedData.action="extract";
 //      $scope.safeApply();


 //   };
 //   $scope.createLead=function(item, event){
 //      // console.log("createLead clicked");
 //      var innerEl=document.createElement("iframe");
 //      innerEl.className="inner-form-iframe";
 //      innerEl.id="zc_innerIframePage";
 //      innerEl.name="zc_innerIframePage";
 //      innerEl.src=chrome.extension.getURL('html/create-form.html');
 //      innerEl.setAttribute('frameborder','0');
 //      // console.dir(angular.element('#zc_innerIframeParentDiv'));
 //      angular.element('#zc_innerIframeParentDiv').empty();
 //      angular.element('#zc_innerIframeParentDiv').append(innerEl);
 //      // $scope.sharedData.id=id;
 //      $scope.selectedModule="Lead";
 //      $scope.selectedModuleData=null;
 //      $scope.sharedData.action="extract";
 //      $scope.safeApply();
 //   };
	
	$scope.addFormToCrm=function(data,metadata,layout){
	    // console.log("addFormToCrm function called");
	    $scope.addFormData=data;
	    $scope.combinedFields=metadata;
	    $scope.layout=layout;
    	$scope.addFormToCrmMessages="loading";
        $scope.harcodedFields = $scope.harcodedFieldsOfContacts;
        if($scope.selectedModule=="Lead"){
          $scope.harcodedFields = $scope.harcodedFieldsOfLeads;
        }
    	// console.dir($scope.addFormData);
	    var inputObj={};
	    for(var key in $scope.combinedFields){
	    	// console.log(key);
	        switch($scope.combinedFields[key].data_type){
	            case "text":
	            	if($scope.combinedFields[key].api_name=="Last_Name" && $scope.addFormData[$scope.combinedFields[key].api_name]!=null  && ($scope.harcodedFields.First_Name != undefined && $scope.harcodedFields.First_Name != null)){
	            		var fname=$scope.addFormData[$scope.combinedFields[key].api_name].toString().split(" ");
    			    		var fnameLen=fname.length;
    			    		// console.log(fnameLen);
    			    		if(fnameLen==1){
    			    			inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name];
    			    		}else if(fnameLen>=2){
    			    			if(fname[fnameLen-1]==""||fname[fnameLen-1].match(/\s+/gi)){
    			    				fnameLen--;
    			    				
    			    			}
    			    			inputObj[$scope.combinedFields[key].api_name]=fname[fnameLen-1];
    			    			inputObj["First_Name"]="";
    			    			for(var i=0;i<(fnameLen-1);i++){
    			    				inputObj["First_Name"] += fname[i]+" ";
    			    			}
    							inputObj["First_Name"]=inputObj["First_Name"].substring(0,(inputObj["First_Name"].length-1));
    							if($scope.nameFormat=="lf"){
    								var templname=inputObj["Last_Name"];
    								inputObj["Last_Name"]=inputObj["First_Name"];
    								inputObj["First_Name"]=templname;
    							}
    			    		}else{
    			    			inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name];
    			    		}
	              }else if($scope.combinedFields[key].api_name=="Last_Name" && ($scope.harcodedFields.First_Name == undefined || $scope.harcodedFields.First_Name == null)){
                        inputObj["Last_Name"] = $scope.addFormData[$scope.combinedFields[key].api_name];
                        inputObj["First_Name"] = "";
                      }else if($scope.addFormData[$scope.combinedFields[key].api_name]!=null){
                             inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name];
                      }
	            break;
	            case "email":
	            case "phone":
	            case "website":
	            case "boolean":
	            case "textarea":
	                if($scope.addFormData[$scope.combinedFields[key].api_name]!=null){
	                    inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name];
	                }
	            break;
	            case "integer":
	            case "bigint":
	            case "currency":
	            case "double":
	                if($scope.addFormData[$scope.combinedFields[key].api_name]!=null){
	                    inputObj[$scope.combinedFields[key].api_name]=Number($scope.addFormData[$scope.combinedFields[key].api_name]);
	                }
	            break;
	            case "picklist":
		            if($scope.addFormData[$scope.combinedFields[key].api_name]!=null){
		                    var thisobj=$scope.addFormData[$scope.combinedFields[key].api_name];
	                        if(thisobj.selected!="None"){
	                            inputObj[$scope.combinedFields[key].api_name]=thisobj.selected;
	                        }else if(thisobj.selected=="None"){
	                            inputObj[$scope.combinedFields[key].api_name]="";
	                        }
		                }
	            break;
	            case "date":
	                if($scope.addFormData[$scope.combinedFields[key].api_name]!=null){
						            // try{
                  //               inputObj[$scope.combinedFields[key].api_name]=moment.tz($scope.addFormData[$scope.combinedFields[key].api_name], $scope.currentUserData.time_zone).format();
                  //           }catch(e){
                  //               var thisDate=$filter('date')($scope.addFormData[$scope.combinedFields[key].api_name]+" 00:00", "yyyy-MM-dd", $scope.currentUserData.tz_offsetnonformatted);
                  //               inputObj[$scope.combinedFields[key].api_name]=thisDate;
                  //           }
                            // var thisDate=new Date($scope.addFormData[$scope.combinedFields[key].api_name]);
                            // var day=thisDate.getDate();
                            // var month=1;
                            // month=month+thisDate.getMonth();
                            // var year= thisDate.getFullYear();
                            // if(day<10){
                            //     day="0"+day;
                            // }
                            // if(month<10){
                            //     month="0"+month;
                            // }
                            // inputObj[$scope.combinedFields[key].api_name]=year+"-"+month+"-"+day;
	                       try{
                                inputObj[$scope.combinedFields[key].api_name]=moment.tz($scope.addFormData[$scope.combinedFields[key].api_name]+" 11:00", $scope.currentUserData.time_zone).format().substring(0,10);
                            }catch(e){
                                var thisDate=$filter('date')($scope.addFormData[$scope.combinedFields[key].api_name]+" 11:00", "yyyy-MM-dd HH:mm", $scope.currentUserData.tz_offsetnonformatted);
                                inputObj[$scope.combinedFields[key].api_name]=thisDate.replace(" ","T")+":00"+$scope.currentUserData.tz_offsetformatted.substring(0,10);
                            } 
                  }
	            break;
	            case "datetime":
	                if($scope.addFormData[$scope.combinedFields[key].api_name]!=null && $scope.addFormData[$scope.combinedFields[key].api_name].date!=null){
	                    try{
                                inputObj[$scope.combinedFields[key].api_name]=moment.tz($scope.addFormData[$scope.combinedFields[key].api_name].date+" "+$scope.addFormData[$scope.combinedFields[key].api_name].time, $scope.currentUserData.time_zone).format();
                            }catch(e){
                                var thisDate=$filter('date')($scope.addFormData[$scope.combinedFields[key].api_name].date+" "+$scope.addFormData[$scope.combinedFields[key].api_name].time, "yyyy-MM-dd HH:mm", $scope.currentUserData.tz_offsetnonformatted);
                                inputObj[$scope.combinedFields[key].api_name]=thisDate.replace(" ","T")+":00"+$scope.currentUserData.tz_offsetformatted;
                            }
	                }
	            break;
	            case "multiselectpicklist":
	                if($scope.addFormData[$scope.combinedFields[key].api_name]!=null){
	                    inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name].selected;
	                }
	            break;
	            case "lookup":
	                if($scope.combinedFields[key].api_name=="Account_Name" && $scope.addFormData[$scope.combinedFields[key].api_name]!=null){
	                    inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name];
	                }else if($scope.combinedFields[key].api_name!="Account_Name" && $scope.validLookupModule($scope.combinedFields[key].lookup.module) && $scope.addFormData[$scope.combinedFields[key].api_name]!=null){
	                    inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name].id;
	                }
	            break;
	            case "ownerlookup":
	                if($scope.addFormData[$scope.combinedFields[key].api_name]!=null  && $scope.combinedFields[key].api_name!="Created_By" && $scope.combinedFields[key].api_name!="Modified_By"){
	                    inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name].id;
	                }
	            break;
              case "userlookup":
                  if($scope.addFormData[$scope.combinedFields[key].api_name]!=null  && $scope.combinedFields[key].api_name!="Created_By" && $scope.combinedFields[key].api_name!="Modified_By"){
                      inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name].id;
                  }
              break;
	            default:
	                // if ($scope.combinedFields[key].data_type.indexOf("lookup")>-1) {
	                // }
	            break;
	        }
	    }
	    if($scope.layout!=null){
	        inputObj['Layout']=$scope.layout.id;
		}
		if(inputObj.hasOwnProperty("Account_Name") && inputObj.Account_Name==""){
			delete inputObj.Account_Name;
		}
	    // if($scope.sharedData.action=="edit"){
     //    	// console.log("action equal to edit inserting id into obj");
     //    	inputObj['id']=$scope.details.id;
     //    }
	    var reqBody='{"data":['+JSON.stringify(inputObj)+']}';
	    // console.dir(inputObj);
	    // console.log(JSON.stringify(inputObj));
	    chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
	    	var thisurl="https://crm.zoho."+response.datacenterExt+"/crm/v2/Contacts";
		    if($scope.selectedModule=="Lead"){
		    	thisurl="https://crm.zoho."+response.datacenterExt+"/crm/v2/Leads";
		    }
	        if(response.status=="success"){
	            var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
	            // // console.log("action="+$scope.sharedData.action);

	            $scope.addFormToCrmContent=[];
	            // if($scope.sharedData.action=="edit"){
	            // 	// console.log("equal to edit so put");
	            // 	var addForm_api=$http.put(thisurl,reqBody,config);
	            // 	addForm_api.success( function(resp, status, headers, config) {
		           //      if(status==200){
		           //          // console.log(status);
		           //          // console.log(resp);
		           //          if(resp.data!=null && resp.data[0].code=="SUCCESS"){
		           //          	$scope.getDetailsById(resp.data[0].details.id,$scope.selectedModule);
		           //          	$scope.addFormToCrmCreatedId=resp.data[0].details.id;
		           //          	$scope.addFormToCrmContent.push($scope.selectedModule+" has been updated");
		           //          }
		           //          $scope.addFormToCrmMessages="success";
		           //      }else{
		           //          var label_name,fieldErrorMsg;
             //                if(resp.data!=null && resp.data[0].code=="INVALID_DATA"){
             //                    for(var key in resp.data[0].details){
             //                        // console.log(key);
             //                        switch(key){
             //                            case "api_name":
             //                                // console.log("1");
             //                                label_name=findAndReturn($scope.combinedFields,'api_name',resp.data[0].details.api_name);
             //                                $scope.addFormToCrmContent.push($scope.exti18n.fieldName+" "+label_name.field_label);
             //                                // console.log(label_name);
             //                            break;
             //                            default:
             //                                // console.log("2");
             //                                fieldErrorMsg=key.replace(/\_/gi," ")+" : "+resp.data[0].details[key];
             //                                $scope.addFormToCrmContent.push(fieldErrorMsg);
             //                                // console.log(fieldErrorMsg);
             //                            break;
             //                        }
             //                    }
             //                }
             //                // console.log(status);
             //                // console.log(resp);
             //                $scope.addFormToCrmMessages="error";
		           //      }
		           //  });
		           //  addForm_api.error( function(resp, status, headers, config) {
		           //      var label_name,fieldErrorMsg;
             //                if(resp.data!=null && resp.data[0].code=="INVALID_DATA"){
             //                    for(var key in resp.data[0].details){
             //                        // console.log(key);
             //                        switch(key){
             //                            case "api_name":
             //                                // console.log("1");
             //                                label_name=findAndReturn($scope.combinedFields,'api_name',resp.data[0].details.api_name);
             //                                $scope.addFormToCrmContent.push($scope.exti18n.fieldName+" "+label_name.field_label);
             //                                // console.log(label_name);
             //                            break;
             //                            default:
             //                                // console.log("2");
             //                                fieldErrorMsg=key.replace(/\_/gi," ")+" : "+resp.data[0].details[key];
             //                                $scope.addFormToCrmContent.push(fieldErrorMsg);
             //                                // console.log(fieldErrorMsg);
             //                            break;
             //                        }
             //                    }
             //                }
             //                // console.log(status);
             //                // console.log(resp);
             //                $scope.addFormToCrmMessages="error";
		           //  });
	            // }else{
	            	var addForm_api=$http.post(thisurl,reqBody,config);
	            	addForm_api.success( function(resp, status, headers, config) {
		                if(status>=200 && status<400){
		                    // console.log(status);
		                    // console.log(resp);
		                    if(resp.data!=null && resp.data[0].code=="SUCCESS"){
		                    	$scope.getDetailsById(resp.data[0].details.id,$scope.selectedModule);
		                    	$scope.addFormToCrmCreatedId=resp.data[0].details.id;
		                    	$scope.addFormToCrmContent.push($scope.exti18n.modAdded.replace("{{module}}",$scope.modulesList[$scope.selectedModule+"s"].singular_label));
		                    	$scope.addFormToCrmMessages="success";
		                    }else if(resp.data!=null  && (resp.data[0].code=="MAX_RECORDS_LIMIT_REACHED" || resp.data[0].code=="MAX_LIMIT_REACHED")){
                                        $scope.addFormToCrmContent.push(resp.data[0].message);
                                    }else if(resp.data!=null && (resp.data[0].code=="INVALID_DATA" || resp.data[0].status=="error")){
		                		var label_name,fieldErrorMsg;
		                		$scope.addFormToCrmContent.push(resp.data[0].message);
		                		for(var key in resp.data[0].details){
		                			// console.log(key);
		                			switch(key){
		                				case "api_name":
		                					// console.log("1");
		                					label_name=findAndReturn($scope.combinedFields,'api_name',resp.data[0].details.api_name);
		                					$scope.addFormToCrmContent.push($scope.exti18n.fieldName+" "+label_name.field_label);
		                					// console.log(label_name);
		                				break;
		                				default:
		                					// // console.log("2");
		                					// fieldErrorMsg=key.replace(/\_/gi," ")+" : "+resp.data[0].details[key];
		                					// $scope.addFormToCrmContent.push(fieldErrorMsg);
		                					// // console.log(fieldErrorMsg);
		                				break;
		                			}
		                		}
		                		$scope.addFormToCrmMessages="error";
		                	}
		                }else{
		                    var label_name,fieldErrorMsg;
                            if(resp.data!=null  && (resp.data[0].code=="MAX_RECORDS_LIMIT_REACHED" || resp.data[0].code=="MAX_LIMIT_REACHED")){
                                $scope.addFormToCrmContent.push(resp.data[0].message);
                            }else if(resp.data!=null && (resp.data[0].code=="INVALID_DATA" || resp.data[0].status=="error")){
                                $scope.addFormToCrmContent.push(resp.data[0].message);
                                for(var key in resp.data[0].details){
                                    // console.log(key);
                                    switch(key){
                                        case "api_name":
                                            // console.log("1");
                                            label_name=findAndReturn($scope.combinedFields,'api_name',resp.data[0].details.api_name);
                                            $scope.addFormToCrmContent.push($scope.exti18n.fieldName+" "+label_name.field_label);
                                            // console.log(label_name);
                                        break;
                                        default:
                                            // // console.log("2");
                                            // fieldErrorMsg=key.replace(/\_/gi," ")+" : "+resp.data[0].details[key];
                                            // $scope.addFormToCrmContent.push(fieldErrorMsg);
                                            // // console.log(fieldErrorMsg);
                                        break;
                                    }
                                }
                            }else if(resp.code=="NO_PERMISSION"){
                            	$scope.addFormToCrmContent.push($scope.exti18n.perDenied+", "+$scope.exti18n.pca);
                            }
                            // console.log(status);
                            // console.log(resp);
                            $scope.addFormToCrmMessages="error";
		                }
		            });
		            addForm_api.error( function(resp, status, headers, config) {
		                var label_name,fieldErrorMsg;
                            if(resp.data!=null  && (resp.data[0].code=="MAX_RECORDS_LIMIT_REACHED" || resp.data[0].code=="MAX_LIMIT_REACHED")){
                                $scope.addFormToCrmContent.push(resp.data[0].message);
                            }else if(resp.data!=null && (resp.data[0].code=="INVALID_DATA" || resp.data[0].status=="error")){
                                $scope.addFormToCrmContent.push(resp.data[0].message);
                                for(var key in resp.data[0].details){
                                    // console.log(key);
                                    switch(key){
                                        case "api_name":
                                            // console.log("1");
                                            label_name=findAndReturn($scope.combinedFields,'api_name',resp.data[0].details.api_name);
                                            $scope.addFormToCrmContent.push($scope.exti18n.fieldName+" "+label_name.field_label);
                                            // console.log(label_name);
                                        break;
                                        default:
                                            // // console.log("2");
                                            // fieldErrorMsg=key.replace(/\_/gi," ")+" : "+resp.data[0].details[key];
                                            // $scope.addFormToCrmContent.push(fieldErrorMsg);
                                            // // console.log(fieldErrorMsg);
                                        break;
                                    }
                                }
                            }else if(resp.code=="NO_PERMISSION"){
                            	$scope.addFormToCrmContent.push($scope.exti18n.perDenied+", "+$scope.exti18n.pca);
                            }
                            // console.log(status);
                            // console.log(resp);
                            $scope.addFormToCrmMessages="error";

		            });
	            // }
	        }
	        $scope.safeApply();
		});
	    
	}









	$scope.arrowExtract=function(){
		var options=['Phone','Fax','Street','City','State','Country','Zip'];
		var tempval=0;
		for(var i=0;i<options.length;i++){
			if($scope.details[options[i]]!=null && $scope.details[options[i]]!=''){
				tempval=1;
			}
		}
		if(tempval==1){
			return false;
		}else{
			return true;
		}
	}
	$scope.succErrorInit=function(succError,succErrorMsg){
        // console.log(succError+":::::"+succErrorMsg);
        $scope.succError=succError;
        $scope.succErrorMsg=succErrorMsg;
        if(succError!='loading'){
            $timeout(function(){
                $scope.succErrorReset();
            },3*1000);
        }
        $scope.safeApply();
    }
    $scope.succErrorReset=function(){
        $scope.succError='';
        $scope.succErrorMsg='';
        $scope.safeApply();
    }
	$scope.validLookupModule=function(module){
  	var retVal=false;
  	for(var i=0;i<$scope.lookupModules.length;i++){
  		if($scope.lookupModules[i]==module){
  			retVal=true;
  		}
  	}
  	return retVal;
  }
	function findAndReturn(array, property, value) {
    for(var i=0;i<array.length;i++){
      if(array[i][property] === value){
        return array[i];
      }
    }
  }
	$scope.openGmailComposeWindow=function(email){
		chrome.extension.sendRequest({name:'',redirect:'openGmailComposeWindow',action:email,url:'', body:''},function(response){});
	}
	// console.log("out  extractDetails");
});