// window.addEventListener('load', ready, false);
// function ready() {
// 	document.getElementById("magicMsg").innerText=chrome.i18n.getMessage("magicMsg");
// }
mainApp.controller('loadingOperations',function($scope,todoStorage){

  $scope.safeApply = function(fn) {   /* used in todoStorage for data binding */
    var phase = this.$root.$$phase;
    if(phase == '$apply' || phase == '$digest') {
      if(fn && (typeof(fn) === 'function')) {
        fn();
      }
    } else {
      this.$apply(fn);
    }
  };
  $scope.todoStorage = todoStorage;   /* got from a mainApp service used to fetch data from chrome db */
  $scope.exti18n={};
  $scope.todoStorage.currentUserData(function(data){
    if(data!=null){
      $scope.currentUserData=data.users[0];
    }
    // console.log($scope.currentUserData);
    if($scope.currentUserData!=undefined && lang_i18n["lang_"+$scope.currentUserData.language]!=undefined){
      $scope.exti18n=lang_i18n["lang_"+$scope.currentUserData.language];
    }else{
      $scope.exti18n=lang_i18n["lang_en_US"];
    }
    
    $scope.safeApply($scope.exti18n);
    document.getElementById("magicMsg").innerText=$scope.exti18n.magicMsg;
    if(data==null){
    	document.getElementById("magicMsg").innerText=chrome.i18n.getMessage("magicMsg");
    }
  });
});