
mainApp.filter('eleminateFields',function($filter){
    return function(item){
        var result=false;
        var options=["$approved","id","Layout","$approval","First_Name","Last_Name","Full_Name","Email","Company","Account_Name","Mobile","Phone","Title","Mailing_Street","Mailing_City","Mailing_State","Mailing_Zip","Mailing_Country","Designation","Street","City","State","Zip_Code","Country"];
        if(options.indexOf(item)<0){
            result=true;
        }
        return result;
    }
});

mainApp.filter('eleminateLeadFields',function($filter){
    return function(item){
        var result=false;
        var options=["$approved","id","Layout","$approval","First_Name","Last_Name","Full_Name","Email","Company","Mobile","Phone","Designation","Street","City","State","Zip_Code","Country"];
        if(options.indexOf(item)<0){
            result=true;
        }
        return result;
    }
});

mainApp.filter('eleminateContactFields',function($filter){
    return function(item){
        var result=false;
        var options=["$approved","id","Layout","$approval","First_Name","Last_Name","Full_Name","Email","Account_Name","Mobile","Phone","Mailing_Street","Mailing_City","Mailing_State","Mailing_Zip","Mailing_Country","Title"];
        if(options.indexOf(item)<0){
            result=true;
        }
        return result;
    }
});

mainApp.controller('extractDetails', function ($scope, $http, $element, $filter,$window, todoStorage, sharedData,$interval) {
	$scope.safeApply = function(fn) {   /* used in todoStorage for data binding */
      var phase = this.$root.$$phase;
      if(phase == '$apply' || phase == '$digest') {
        if(fn && (typeof(fn) === 'function')) {
          fn();
        }
      } else {
        this.$apply(fn);
      }
    };
    $scope.todoStorage = todoStorage;   /* got from a mainApp service used to fetch data from chrome db */
  $scope.exti18n={};
  $scope.todoStorage.currentUserData(function(data){
    if(data!=null){
      $scope.currentUserData=data.users[0];
    }
    // console.log($scope.currentUserData);
    if($scope.currentUserData!=undefined && lang_i18n["lang_"+$scope.currentUserData.language]!=undefined){
      $scope.exti18n=lang_i18n["lang_"+$scope.currentUserData.language];
    }else{
      $scope.exti18n=lang_i18n["lang_en_US"];
    }
    
    $scope.safeApply($scope.exti18n);
  });
  $scope.todoStorage.nameFormat(function(data){
    if(data!=null){
        $scope.nameFormat=data;
    }else{
        $scope.nameFormat="fl";
    }
});
  $scope.safeApply($scope.exti18n);
    $scope.webpage ="Gmail";
      chrome.extension.sendRequest({name:'getwebpage'},function(resp){
        // console.log(resp);
        $scope.webpage=resp;
        $scope.safeApply();
      });
    // console.log($scope.webpage);
	// console.log("in  extractDetails");
	$scope.showFullScreen=false; /* shows the screen after full html loaded if true*/
	$scope.showSignoutLoading=false;
    $scope.validationMessages=false;
    $scope.addFormToCrmMessages="";/*success to show success message, error to show error message, loading for button loading*/
    $scope.addFormToCrmContent=[];/*content for error or success message*/
    $scope.modulesList=[];
    $scope.quitYesOrNo='hide';
    $scope.currentModule='Extract';
    $scope.nameFormFields=["Full_Name"];
    $scope.commonContactFields=["First_Name","Last_Name","Email","Account_Name","Mobile","Phone","Title","Mailing_Street","Mailing_City","Mailing_State","Mailing_Country","Mailing_Zip"];
    $scope.commonLeadFields=["First_Name","Last_Name","Email","Company","Mobile","Phone","Designation","Street","City","State","Country","Zip_Code"];
    $scope.timeValues=[{"actual_value":"00:00","display_value":"12:00 AM"} ,{"actual_value":"00:30","display_value":"12:30 AM"} ,{"actual_value":"01:00","display_value":"01:00 AM"} ,{"actual_value":"01:30","display_value":"01:30 AM"} ,{"actual_value":"02:00","display_value":"02:00 AM"} ,{"actual_value":"02:30","display_value":"02:30 AM"} ,{"actual_value":"03:00","display_value":"03:00 AM"} ,{"actual_value":"03:30","display_value":"03:30 AM"} ,{"actual_value":"04:00","display_value":"04:00 AM"} ,{"actual_value":"04:30","display_value":"04:30 AM"} ,{"actual_value":"05:00","display_value":"05:00 AM"} ,{"actual_value":"05:30","display_value":"05:30 AM"} ,{"actual_value":"06:00","display_value":"06:00 AM"} ,{"actual_value":"06:30","display_value":"06:30 AM"} ,{"actual_value":"07:00","display_value":"07:00 AM"} ,{"actual_value":"07:30","display_value":"07:30 AM"} ,{"actual_value":"08:00","display_value":"08:00 AM"} ,{"actual_value":"08:30","display_value":"08:30 AM"} ,{"actual_value":"09:00","display_value":"09:00 AM"} ,{"actual_value":"09:30","display_value":"09:30 AM"} ,{"actual_value":"10:00","display_value":"10:00 AM"} ,{"actual_value":"10:30","display_value":"10:30 AM"} ,{"actual_value":"11:00","display_value":"11:00 AM"} ,{"actual_value":"11:30","display_value":"11:30 AM"} ,{"actual_value":"12:00","display_value":"12:00 PM"} ,{"actual_value":"12:30","display_value":"12:30 PM"} ,{"actual_value":"13:00","display_value":"01:00 PM"} ,{"actual_value":"13:30","display_value":"01:30 PM"} ,{"actual_value":"14:00","display_value":"02:00 PM"} ,{"actual_value":"14:30","display_value":"02:30 PM"} ,{"actual_value":"15:00","display_value":"03:00 PM"} ,{"actual_value":"15:30","display_value":"03:30 PM"} ,{"actual_value":"16:00","display_value":"04:00 PM"} ,{"actual_value":"16:30","display_value":"04:30 PM"} ,{"actual_value":"17:00","display_value":"05:00 PM"} ,{"actual_value":"17:30","display_value":"05:30 PM"} ,{"actual_value":"18:00","display_value":"06:00 PM"} ,{"actual_value":"18:30","display_value":"06:30 PM"} ,{"actual_value":"19:00","display_value":"07:00 PM"} ,{"actual_value":"19:30","display_value":"07:30 PM"} ,{"actual_value":"20:00","display_value":"08:00 PM"} ,{"actual_value":"20:30","display_value":"08:30 PM"} ,{"actual_value":"21:00","display_value":"09:00 PM"} ,{"actual_value":"21:30","display_value":"09:30 PM"} ,{"actual_value":"22:00","display_value":"10:00 PM"} ,{"actual_value":"22:30","display_value":"10:30 PM"} ,{"actual_value":"23:00","display_value":"11:00 PM"} ,{"actual_value":"23:30","display_value":"11:30 PM"} ];
    $scope.lookupModules=["Leads","Contacts","Accounts","Campaigns","Deals","Cases","Solutions","Products","Vendors","Price_Books","Quotes","Sales_Orders","Purchase_Orders","Invoices"];
    $scope.nameContactMetadata={};
    $scope.nameLeadMetadata={};
    $scope.commonContactMetadata={};
    $scope.commonLeadMetadata={};
    $scope.addFormLeadData={};
    $scope.addFormContactData={};
    $scope.harcodedFieldsOfLeads={};
    $scope.harcodedFieldsOfContacts={};
	$scope.sharedData = $window.parent.sharedData.getScope();
  	// console.log($scope.sharedData);
	$scope.details={};
	$scope.modulesList={};

	// $scope.todoStorage.leadsMetadata(function(data){
	// 	// console.log("in todoStorage of leadsMetadata in extractDetails");
	// 	$scope.leadsMetadata=data.modules[0];
	// });
	// $scope.todoStorage.contactsMetadata(function(data){
	// 	// console.log("in todoStorage of contactsMetadata in extractDetails");
	// 	$scope.contactsMetadata=data.modules[0];
	// });
	$scope.todoStorage.modulesList(function(data){
      $scope.modulesList=data;
      if($scope.modulesList.hasOwnProperty("Leads") && !$scope.modulesList.hasOwnProperty("Contacts")){
      	$scope.selectedModule="Lead";
      }else if($scope.modulesList.hasOwnProperty("Contacts") && !$scope.modulesList.hasOwnProperty("Leads")){
      	$scope.selectedModule="Contact";
      }
      $scope.safeApply();
      // console.log($scope.modulesList);
    });
	$scope.todoStorage.extractFormData(function(data){
		// console.log("in todoStorage of extractFormData in extractDetails");
		$scope.todoStorage.leadsMetadata(function(data){
			// console.log("in todoStorage of leadsMetadata in extractDetails");
			var items=data.modules[0].layouts;
	        // angular.forEach(items,function(item){
	        //     if(item.name=="Standard"){
	        //         $scope.layoutOfLead=item;
	        //     }
	        // });
	        // if($scope.layoutOfLead==undefined && items.length>0){
         //         $scope.layoutOfLead=items[0];
         //    }
         for(var item in items){
            for (var profile in items[item].profiles) {
                if (items[item].profiles[profile].id == $scope.currentUserData.profile.id && items[item].profiles[profile].default == true) {
                    $scope.layoutOfLead = items[item];
                    break;
                }
            }
        }
	        // console.dir($scope.layoutOfLead);
	        $scope.fields=data.modules[0].fields;
	        var resultArray=[];
	        for(var sec=0;sec<$scope.layoutOfLead.sections.length;sec++){
	            for(var fld=0;fld<$scope.layoutOfLead.sections[sec].fields.length;fld++){
	                var result={};
	                var retObj=findAndReturn($scope.fields,'api_name',$scope.layoutOfLead.sections[sec].fields[fld].api_name);
	                for(var key in retObj){
	                    result[key]=retObj[key];
	                }
	                for(var key in $scope.layoutOfLead.sections[sec].fields[fld]){
	                    result[key]=$scope.layoutOfLead.sections[sec].fields[fld][key];
	                }
                        $scope.harcodedFieldsOfLeads[result.api_name]=result;
	                if($scope.commonLeadFields.indexOf(result.api_name)>=0){
	                    	$scope.commonLeadMetadata[result.api_name]=result;
	                }
	                if($scope.nameFormFields.indexOf(result.api_name)>=0){
	                	$scope.nameLeadMetadata[result.api_name]=result;
	                }
	                // $scope.layout.sections[sec].fields[fld]=result;
	                resultArray.push(result);
	            }
	        }
	        // console.dir($scope.commonLeadMetadata);
	        // console.log("combinedFields:");
	        // console.log(resultArray);
	        for(var i=0;i<resultArray.length;i++){
	            // // console.log(resultArray[i].field_label+" : "+resultArray[i].data_type);
	            // console.log(resultArray[i].api_name+" : "+resultArray[i].data_type);
	        }
	        $scope.combinedFieldsofLeads=resultArray;
	        $scope.safeApply();
	        $scope.todoStorage.currentUserData(function(data){ // console.log("in currentUserData todostorage");
                for(var key in $scope.combinedFieldsofLeads){
                    switch($scope.combinedFieldsofLeads[key].data_type){
                        case "ownerlookup":
                        // console.dir($scope.combinedFieldsofLeads[key]);
                            $scope.addFormLeadData[$scope.combinedFieldsofLeads[key].api_name]={"name":data.users[0].full_name,"id":data.users[0].id};
                        break;
                    }
                }
                $scope.safeApply();
                // console.log($scope.addFormLeadData);
            });
            $scope.safeApply();
            $scope.leadForm.$setPristine();
	        $scope.$watch("leadForm.$dirty",function(currentValue,previousValue){
	            // console.log($scope.leadForm);
	            if(currentValue!=previousValue){
	                // console.log(currentValue);
	                // console.log(previousValue);
	                // console.log("lform changed");
	                chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:{'parentModule':$scope.selectedModule,'module':'createLead'}});
	            }
	        });
	        if($scope.sharedData.module=="Contact"){
		  		$scope.selectedModule="Contact";
		  		$scope.safeApply();
		  	}
        	$scope.showFullScreen=true;
		});
		$scope.todoStorage.contactsMetadata(function(data){
			// console.log("in todoStorage of contactsMetadata in extractDetails");
			var items=data.modules[0].layouts;
	        // angular.forEach(items,function(item){
	        //     if(item.name=="Standard"){
	        //         $scope.layoutOfContact=item;
	        //     }
	        // });
	        // if($scope.layoutOfContact==undefined && items.length>0){
         //         $scope.layoutOfContact=items[0];
         //    }
         for(var item in items){
            for (var profile in items[item].profiles) {
                if (items[item].profiles[profile].id == $scope.currentUserData.profile.id && items[item].profiles[profile].default == true) {
                    $scope.layoutOfContact = items[item];
                    break;
                }
            }
        }
	        // console.dir($scope.layoutOfContact);
	        $scope.fields=data.modules[0].fields;
	        var resultArray=[];
	        for(var sec=0;sec<$scope.layoutOfContact.sections.length;sec++){
	            for(var fld=0;fld<$scope.layoutOfContact.sections[sec].fields.length;fld++){
	                var result={};
	                var retObj=findAndReturn($scope.fields,'api_name',$scope.layoutOfContact.sections[sec].fields[fld].api_name);
	                for(var key in retObj){
	                    result[key]=retObj[key];
	                }
	                for(var key in $scope.layoutOfContact.sections[sec].fields[fld]){
	                    result[key]=$scope.layoutOfContact.sections[sec].fields[fld][key];
	                }
                        $scope.harcodedFieldsOfContacts[result.api_name]=result;
	                if($scope.commonContactFields.indexOf(result.api_name)>=0){
	                    	$scope.commonContactMetadata[result.api_name]=result;
	                }
	                if($scope.nameFormFields.indexOf(result.api_name)>=0){
	                    	$scope.nameContactMetadata[result.api_name]=result;
	                }
	                // $scope.layout.sections[sec].fields[fld]=result;
	                resultArray.push(result);
	            }
	        }
	        // console.dir($scope.commonContactMetadata);
	        // console.log("combinedFields:");
	        // console.dir(resultArray);
	        for(var i=0;i<resultArray.length;i++){
	            // // console.log(resultArray[i].field_label+" : "+resultArray[i].data_type);
	            // console.log(resultArray[i].api_name+" : "+resultArray[i].data_type);
	        }
	        $scope.combinedFieldsofContacts=resultArray;
	        $scope.safeApply();
	        $scope.todoStorage.currentUserData(function(data){ // console.log("in currentUserData todostorage");
                for(var key in $scope.combinedFieldsofContacts){
                    switch($scope.combinedFieldsofContacts[key].data_type){
                        case "ownerlookup":
                        // console.dir($scope.combinedFieldsofContacts[key]);
                            $scope.addFormContactData[$scope.combinedFieldsofContacts[key].api_name]={"name":data.users[0].full_name,"id":data.users[0].id};
                        break;
                    }
                }
                $scope.safeApply();
                // console.log($scope.addFormContactData);
            });
            $scope.safeApply();
            $scope.contactForm.$setPristine();
	        $scope.$watch("contactForm.$dirty",function(currentValue,previousValue){
	            // console.log($scope.contactForm);
	            if(currentValue!=previousValue){
	                // console.log(currentValue);
	                // console.log(previousValue);
	                // console.log("cform changed");
	                chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:{'parentModule':$scope.selectedModule,'module':'createContact'}});
	            }
	        });
	        if($scope.sharedData.module=="Contact"){
		  		$scope.selectedModule="Contact";
		  		$scope.safeApply();
		  	}
        	$scope.showFullScreen=true;
		});
		$scope.commonForm.$setPristine();
        $scope.$watch("commonForm.$dirty",function(currentValue,previousValue){
            // console.log($scope.commonForm);
            if(currentValue!=previousValue){
                // console.log(currentValue);
                // console.log(previousValue);
                // console.log("cmform changed");
                chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:{'parentModule':$scope.selectedModule,'module':'createContact'}});
            }
        });
        $scope.nameForm.$setPristine();
        $scope.$watch("nameForm.$dirty",function(currentValue,previousValue){
            // console.log($scope.commonForm);
            if(currentValue!=previousValue){
                // console.log(currentValue);
                // console.log(previousValue);
                // console.log("nform changed");
                chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:{'parentModule':$scope.selectedModule,'module':'createContact'}});
            }
        });
		// console.log("*********************************************");
		// console.log($scope.showFullScreen);
		// alert($scope.showFullScreen);
		$scope.safeApply();
    });




	$scope.getDetailsById =function(id,module){
  	// console.log("getDetailsById function executing");
        chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
            if(response.status=="success"){
                var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                var url = "https://crm.zoho."+response.datacenterExt+"/crm/v2/"+module+"s/"+id;
                // console.log(module);
                var getDetailsById=$http.get(url,config);
                getDetailsById.success( function(resp, status, headers, config) {
                    if(status==200){
                        // console.log(status);
                        // console.log(resp);
                       	chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'searchByEmailContact',value:resp.data[0]},function(response){
							if(response.resp=="success"){
								var timerCount=0;
								var timer=$interval(function(){
									timerCount++;
									if($scope.addFormToCrmMessages==''){
										$interval.cancel(timer);
										if(module=="Contact"){
											chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:null});
											chrome.extension.sendRequest({name:'html/contact-info.html',redirect:'toContent',action:'Contacts'});
										}else{
											chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:null});
											chrome.extension.sendRequest({name:'html/lead-info.html',redirect:'toContent',action:'Leads'});
										}
									}else{
										if(timerCount==6){
											$interval.cancel(timer);
											if(module=="Contact"){
												chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:null});
												chrome.extension.sendRequest({name:'html/contact-info.html',redirect:'toContent',action:'Contacts'});
											}else{
												chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:null});
												chrome.extension.sendRequest({name:'html/lead-info.html',redirect:'toContent',action:'Leads'});
											}
										}
									}
								},500);
							}
						});
                    }else if(status=204){
                        // console.log(status);
                        // console.log(resp);
                    }else{
                        // console.log(status);
                        // console.log(resp);
                    }
                });
                getDetailsById.error( function(resp, status, headers, config) {
                    // console.log(status);
                    // console.log(resp);
                });
            }
            $scope.safeApply();
        });
  }
	$scope.createQuickContact=function(nameFormError,commonFormError,contactFormError){
		if($scope.layoutOfContact.visible!=null && $scope.layoutOfContact.visible!=undefined && $scope.layoutOfContact.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Contacts.singular_label+" "+$scope.layoutOfContact.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
		// console.log("quick contact clicked");
		if(nameFormError!=null && nameFormError!=undefined && Object.keys(nameFormError).length==0 && commonFormError!=null && commonFormError!=undefined && Object.keys(commonFormError).length==0 && contactFormError!=null && contactFormError!=undefined && Object.keys(contactFormError).length==0){
			// console.log("hurray no error in adding");
			// console.dir($scope.details);
			// console.dir($scope.addFormContactData);
			for (var key in $scope.details) {
			  if ($scope.details.hasOwnProperty(key)) {
			    // console.log(key + " -> " + $scope.details[key]);
			    if(key=='Street'||key=='City'||key=='State'||key=='Country'||key=='Zip'){
			    	$scope.addFormContactData["Mailing_"+key]=$scope.details[key];
			    }else{
			    	$scope.addFormContactData[key]=$scope.details[key];
			    }
			  }
			}
			// console.dir($scope.addFormContactData);
			$scope.addFormToCrm($scope.addFormContactData,$scope.combinedFieldsofContacts,$scope.layoutOfContact);
		}else{
			$scope.validationMessages=true;
			var focusflag=0;
			// console.dir(nameFormError);
			// console.dir(commonFormError);
			// console.dir(contactFormError);
			if(nameFormError!=null && nameFormError!=undefined && Object.keys(nameFormError).length>0 ){
				if(nameFormError.hasOwnProperty("required")){
		            var ele=document.querySelector('#'+nameFormError.required[0].$name);
		            ele.focus();
		            focusflag=1;
		        }else if(nameFormError.hasOwnProperty("pattern")){
		            var ele=document.querySelector('#'+nameFormError.pattern[0].$name);
		            ele.focus();
		            focusflag=1;
		        }else if(nameFormError.hasOwnProperty("maxlength")){
		            offset=$("#"+nameFormError.maxlength[0].$name).offset().top;
		            var ele=document.querySelector('#'+nameFormError.maxlength[0].$name);
		            ele.focus();
		        }
			}
			if(commonFormError!=null && commonFormError!=undefined && Object.keys(commonFormError).length>0 && focusflag==0){
				document.getElementsByClassName("form")[0].scrollTop=0;
		        var offset=0;
		        if(commonFormError.hasOwnProperty("required")){
		            offset=$("#"+commonFormError.required[0].$name).offset().top;
		            var ele=document.querySelector('#'+commonFormError.required[0].$name);
		            ele.focus();
		            focusflag=1;
		        }else if(commonFormError.hasOwnProperty("pattern")){
		            offset=$("#"+commonFormError.pattern[0].$name).offset().top;
		            var ele=document.querySelector('#'+commonFormError.pattern[0].$name);
		            ele.focus();
		            focusflag=1;
		        }else if(commonFormError.hasOwnProperty("maxlength")){
		            offset=$("#"+commonFormError.maxlength[0].$name).offset().top;
		            var ele=document.querySelector('#'+commonFormError.maxlength[0].$name);
		            ele.focus();
		        }
		        document.getElementsByClassName("form")[0].scrollTop=offset-270;
			}
			if(contactFormError!=null && contactFormError!=undefined && Object.keys(contactFormError).length>0 && focusflag==0){
				document.getElementsByClassName("form")[0].scrollTop=0;
		        var offset=0;
		        if(contactFormError.hasOwnProperty("required")){
		            offset=$("#"+contactFormError.required[0].$name).offset().top;
		            var ele=document.querySelector('#'+contactFormError.required[0].$name);
		            ele.focus();
		        }else if(contactFormError.hasOwnProperty("pattern")){
		            offset=$("#"+contactFormError.pattern[0].$name).offset().top;
		            var ele=document.querySelector('#'+contactFormError.pattern[0].$name);
		            ele.focus();
		        }else if(contactFormError.hasOwnProperty("maxlength")){
		            offset=$("#"+contactFormError.maxlength[0].$name).offset().top;
		            var ele=document.querySelector('#'+contactFormError.maxlength[0].$name);
		            ele.focus();
		        }
		        document.getElementsByClassName("form")[0].scrollTop=offset-270;

			}
		}
	}
	$scope.createQuickLead=function(nameFormError,commonFormError,leadFormError){
		if($scope.layoutOfLead.visible!=null && $scope.layoutOfLead.visible!=undefined && $scope.layoutOfLead.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Leads.singular_label+" "+$scope.layoutOfLead.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
		// console.log("quick lead clicked");
		if(nameFormError!=null && nameFormError!=undefined && Object.keys(nameFormError).length==0 && commonFormError!=null && commonFormError!=undefined && Object.keys(commonFormError).length==0 && leadFormError!=null && leadFormError!=undefined && Object.keys(leadFormError).length==0){
			// console.log("hurray no error in adding");
			// console.dir($scope.details);
			// console.dir($scope.addFormLeadData);
			for (var key in $scope.details) {
			  if ($scope.details.hasOwnProperty(key)) {
			    // console.log(key + " -> " + $scope.details[key]);
			    // ["First_Name","Last_Name","Email","Company","Mobile","Phone","Designation","Street","City","State","Country","Zip_Code"];
			    if(key=='Zip'){
			    	$scope.addFormLeadData["Zip_Code"]=$scope.details[key];
			    }else if(key=="Account_Name"){
			    	$scope.addFormLeadData["Company"]=$scope.details[key];
			    }else if(key=="Title"){
			    	$scope.addFormLeadData["Designation"]=$scope.details[key];
			    }else{
			    	$scope.addFormLeadData[key]=$scope.details[key];
			    }
			  }
			}
			// console.dir($scope.addFormLeadData);
			$scope.addFormToCrm($scope.addFormLeadData,$scope.combinedFieldsofLeads,$scope.layoutOfLead);
		}else{
			// console.dir(nameFormError);
			// console.dir(commonFormError);
			// console.dir(leadFormError);
			$scope.validationMessages=true;
			var focusflag=0;
			if(nameFormError!=null && nameFormError!=undefined && Object.keys(nameFormError).length>0 ){
				if(nameFormError.hasOwnProperty("required")){
		            var ele=document.querySelector('#'+nameFormError.required[0].$name);
		            ele.focus();
		            focusflag=1;
		        }else if(nameFormError.hasOwnProperty("pattern")){
		            var ele=document.querySelector('#'+nameFormError.pattern[0].$name);
		            ele.focus();
		            focusflag=1;
		        }else if(nameFormError.hasOwnProperty("maxlength")){
		            offset=$("#"+nameFormError.maxlength[0].$name).offset().top;
		            var ele=document.querySelector('#'+nameFormError.maxlength[0].$name);
		            ele.focus();
		        }
			}
			if(commonFormError!=null && commonFormError!=undefined && Object.keys(commonFormError).length>0 && focusflag==0){
				document.getElementsByClassName("form")[0].scrollTop=0;
		        var offset=0;
		        if(commonFormError.hasOwnProperty("required")){
		            offset=$("#"+commonFormError.required[0].$name).offset().top;
		            var ele=document.querySelector('#'+commonFormError.required[0].$name);
		            ele.focus();
		            focusflag=1;
		        }else if(commonFormError.hasOwnProperty("pattern")){
		            offset=$("#"+commonFormError.pattern[0].$name).offset().top;
		            var ele=document.querySelector('#'+commonFormError.pattern[0].$name);
		            ele.focus();
		            focusflag=1;
		        }else if(commonFormError.hasOwnProperty("maxlength")){
		            offset=$("#"+commonFormError.maxlength[0].$name).offset().top;
		            var ele=document.querySelector('#'+commonFormError.maxlength[0].$name);
		            ele.focus();
		        }
		        document.getElementsByClassName("form")[0].scrollTop=offset-270;
			}
			if(leadFormError!=null && leadFormError!=undefined && Object.keys(leadFormError).length>0 && focusflag==0){
				// console.log("its in leadFormError");
				document.getElementsByClassName("form")[0].scrollTop=0;
		        var offset=0;
		        if(leadFormError.hasOwnProperty("required")){
		            offset=$("#"+leadFormError.required[0].$name).offset().top;
		            var ele=document.querySelector('#'+leadFormError.required[0].$name);
		            ele.focus();
		        }else if(leadFormError.hasOwnProperty("pattern")){
		            offset=$("#"+leadFormError.pattern[0].$name).offset().top;
		            var ele=document.querySelector('#'+leadFormError.pattern[0].$name);
		            ele.focus();
		        }else if(leadFormError.hasOwnProperty("maxlength")){
		            offset=$("#"+leadFormError.maxlength[0].$name).offset().top;
		            var ele=document.querySelector('#'+leadFormError.maxlength[0].$name);
		            ele.focus();
		        }
		        document.getElementsByClassName("form")[0].scrollTop=offset-270;

			}
		}
	}

	// $scope.createContact=function(item, event){
 //      // console.log("createContact clicked");
 //      var innerEl=document.createElement("iframe");
 //      innerEl.className="inner-form-iframe";
 //      innerEl.id="zc_innerIframePage";
 //      innerEl.name="zc_innerIframePage";
 //      innerEl.src=chrome.extension.getURL('html/create-form.html');
 //      innerEl.setAttribute('frameborder','0');
 //      // console.dir(angular.element('#zc_innerIframeParentDiv'));
 //      angular.element('#zc_innerIframeParentDiv').empty();
 //      angular.element('#zc_innerIframeParentDiv').append(innerEl);
 //      // $scope.sharedData.id=id;
 //      $scope.selectedModule="Contact";
 //      $scope.selectedModuleData=null;
 //      $scope.sharedData.action="extract";
 //      $scope.safeApply();


 //   };
 //   $scope.createLead=function(item, event){
 //      // console.log("createLead clicked");
 //      var innerEl=document.createElement("iframe");
 //      innerEl.className="inner-form-iframe";
 //      innerEl.id="zc_innerIframePage";
 //      innerEl.name="zc_innerIframePage";
 //      innerEl.src=chrome.extension.getURL('html/create-form.html');
 //      innerEl.setAttribute('frameborder','0');
 //      // console.dir(angular.element('#zc_innerIframeParentDiv'));
 //      angular.element('#zc_innerIframeParentDiv').empty();
 //      angular.element('#zc_innerIframeParentDiv').append(innerEl);
 //      // $scope.sharedData.id=id;
 //      $scope.selectedModule="Lead";
 //      $scope.selectedModuleData=null;
 //      $scope.sharedData.action="extract";
 //      $scope.safeApply();
 //   };
	
	$scope.addFormToCrm=function(data,metadata,layout){
	    // console.log("addFormToCrm function called");
	    $scope.addFormData=data;
	    $scope.combinedFields=metadata;
	    $scope.layout=layout;
    	$scope.addFormToCrmMessages="loading";
        $scope.harcodedFields = $scope.harcodedFieldsOfContacts;
        if($scope.selectedModule=="Lead"){
            $scope.harcodedFields = $scope.harcodedFieldsOfLeads;
        }

    	// console.dir($scope.addFormData);
	    var inputObj={};
	    for(var key in $scope.combinedFields){
	    	// console.log(key);
	        switch($scope.combinedFields[key].data_type){
	            case "text":
	            	if($scope.combinedFields[key].api_name=="Last_Name" && $scope.addFormData[$scope.combinedFields[key].api_name]!=null && ($scope.harcodedFields.First_Name != undefined && $scope.harcodedFields.First_Name != null)){
                        var fname=$scope.addFormData[$scope.combinedFields[key].api_name].toString().split(" ");
			    		var fnameLen=fname.length;
			    		// console.log(fnameLen);
			    		if(fnameLen==1){
			    			inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name];
			    		}else if(fnameLen>=2){
			    			if(fname[fnameLen-1]==""||fname[fnameLen-1].match(/\s+/gi)){
			    				fnameLen--;
			    				
			    			}
			    			inputObj[$scope.combinedFields[key].api_name]=fname[fnameLen-1];
			    			inputObj["First_Name"]="";
			    			for(var i=0;i<(fnameLen-1);i++){
			    				inputObj["First_Name"] += fname[i]+" ";
			    			}
							inputObj["First_Name"]=inputObj["First_Name"].substring(0,(inputObj["First_Name"].length-1));
							if($scope.nameFormat=="lf"){
								var templname=inputObj["Last_Name"];
								inputObj["Last_Name"]=inputObj["First_Name"];
								inputObj["First_Name"]=templname;
							}
			    		}else{
			    			inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name];
			    		}
	                }else if($scope.combinedFields[key].api_name=="Last_Name" && ($scope.harcodedFields.First_Name == undefined || $scope.harcodedFields.First_Name == null)){
                        inputObj["Last_Name"] = $scope.addFormData[$scope.combinedFields[key].api_name];
                        inputObj["First_Name"] = "";
                    }else if($scope.addFormData[$scope.combinedFields[key].api_name]!=null){
	                    inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name];
	                }
	            break;
	            case "email":
	            case "phone":
	            case "website":
	            case "boolean":
	            case "textarea":
	                if($scope.addFormData[$scope.combinedFields[key].api_name]!=null){
	                    inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name];
	                }
	            break;
	            case "integer":
	            case "bigint":
	            case "currency":
	            case "double":
	                if($scope.addFormData[$scope.combinedFields[key].api_name]!=null){
	                    inputObj[$scope.combinedFields[key].api_name]=Number($scope.addFormData[$scope.combinedFields[key].api_name]);
	                }
	            break;
	            case "picklist":
		            if($scope.addFormData[$scope.combinedFields[key].api_name]!=null){
		                    var thisobj=$scope.addFormData[$scope.combinedFields[key].api_name];
	                        if(thisobj.selected!="None"){
	                            inputObj[$scope.combinedFields[key].api_name]=thisobj.selected;
	                        }else if(thisobj.selected=="None"){
	                            inputObj[$scope.combinedFields[key].api_name]="";
	                        }
		                }
	            break;
	            case "date":
	                if($scope.addFormData[$scope.combinedFields[key].api_name]!=null){
	                    // try{
                     //            inputObj[$scope.combinedFields[key].api_name]=moment.tz($scope.addFormData[$scope.combinedFields[key].api_name], $scope.currentUserData.time_zone).format();
                     //        }catch(e){
                     //            var thisDate=$filter('date')($scope.addFormData[$scope.combinedFields[key].api_name]+" 00:00", "yyyy-MM-dd", $scope.currentUserData.tz_offsetnonformatted);
                     //            inputObj[$scope.combinedFields[key].api_name]=thisDate;
                     //        }
                            // var thisDate=new Date($scope.addFormData[$scope.combinedFields[key].api_name]);
                            // var day=thisDate.getDate();
                            // var month=1;
                            // month=month+thisDate.getMonth();
                            // var year= thisDate.getFullYear();
                            // if(day<10){
                            //     day="0"+day;
                            // }
                            // if(month<10){
                            //     month="0"+month;
                            // }
                            // inputObj[$scope.combinedFields[key].api_name]=year+"-"+month+"-"+day;
	                       try{
                                inputObj[$scope.combinedFields[key].api_name]=moment.tz($scope.addFormData[$scope.combinedFields[key].api_name]+" 11:00", $scope.currentUserData.time_zone).format().substring(0,10);
                            }catch(e){
                                var thisDate=$filter('date')($scope.addFormData[$scope.combinedFields[key].api_name]+" 11:00", "yyyy-MM-dd HH:mm", $scope.currentUserData.tz_offsetnonformatted);
                                inputObj[$scope.combinedFields[key].api_name]=thisDate.replace(" ","T")+":00"+$scope.currentUserData.tz_offsetformatted.substring(0,10);
                            } 
                    }
	            break;
	            case "datetime":
	                if($scope.addFormData[$scope.combinedFields[key].api_name]!=null && $scope.addFormData[$scope.combinedFields[key].api_name].date!=null){
	                    try{
                                inputObj[$scope.combinedFields[key].api_name]=moment.tz($scope.addFormData[$scope.combinedFields[key].api_name].date+" "+$scope.addFormData[$scope.combinedFields[key].api_name].time, $scope.currentUserData.time_zone).format();
                            }catch(e){
                                var thisDate=$filter('date')($scope.addFormData[$scope.combinedFields[key].api_name].date+" "+$scope.addFormData[$scope.combinedFields[key].api_name].time, "yyyy-MM-dd HH:mm", $scope.currentUserData.tz_offsetnonformatted);
                                inputObj[$scope.combinedFields[key].api_name]=thisDate.replace(" ","T")+":00"+$scope.currentUserData.tz_offsetformatted;
                            }
	                }
	            break;
	            case "multiselectpicklist":
	                if($scope.addFormData[$scope.combinedFields[key].api_name]!=null){
	                    inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name].selected;
	                }
	            break;
	            case "lookup":
	                if($scope.combinedFields[key].api_name=="Account_Name" && $scope.addFormData[$scope.combinedFields[key].api_name]!=null){
	                    inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name];
	                }else if($scope.combinedFields[key].api_name!="Account_Name" && $scope.validLookupModule($scope.combinedFields[key].lookup.module) && $scope.addFormData[$scope.combinedFields[key].api_name]!=null){
	                    inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name].id;
	                }
	            break;
	            case "ownerlookup":
	                if($scope.addFormData[$scope.combinedFields[key].api_name]!=null  && $scope.combinedFields[key].api_name!="Created_By" && $scope.combinedFields[key].api_name!="Modified_By"){
	                    inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name].id;
	                }
	            break;
                case "userlookup":
                    if($scope.addFormData[$scope.combinedFields[key].api_name]!=null  && $scope.combinedFields[key].api_name!="Created_By" && $scope.combinedFields[key].api_name!="Modified_By"){
                        inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name].id;
                    }
                break;
	            default:
	                // if ($scope.combinedFields[key].data_type.indexOf("lookup")>-1) {
	                // }
	            break;
	        }
	    }
	    if($scope.layout!=null){
	        inputObj['Layout']=$scope.layout.id;
		}
		if(inputObj.hasOwnProperty("Account_Name") && inputObj.Account_Name==""){
			delete inputObj.Account_Name;
		}
	    // if($scope.sharedData.action=="edit"){
     //    	// console.log("action equal to edit inserting id into obj");
     //    	inputObj['id']=$scope.details.id;
     //    }
	    var reqBody='{"data":['+JSON.stringify(inputObj)+']}';
	    // console.dir(inputObj);
	    // console.log(JSON.stringify(inputObj));
	    chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
	    	var thisurl="https://crm.zoho."+response.datacenterExt+"/crm/v2/Contacts";
		    if($scope.selectedModule=="Lead"){
		    	thisurl="https://crm.zoho."+response.datacenterExt+"/crm/v2/Leads";
		    }
	        if(response.status=="success"){
	            var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
	            // // console.log("action="+$scope.sharedData.action);

	            $scope.addFormToCrmContent=[];
	            // if($scope.sharedData.action=="edit"){
	            // 	// console.log("equal to edit so put");
	            // 	var addForm_api=$http.put(thisurl,reqBody,config);
	            // 	addForm_api.success( function(resp, status, headers, config) {
		           //      if(status==200){
		           //          // console.log(status);
		           //          // console.log(resp);
		           //          if(resp.data!=null && resp.data[0].code=="SUCCESS"){
		           //          	$scope.getDetailsById(resp.data[0].details.id,$scope.selectedModule);
		           //          	$scope.addFormToCrmCreatedId=resp.data[0].details.id;
		           //          	$scope.addFormToCrmContent.push($scope.selectedModule+" has been updated");
		           //          }
		           //          $scope.addFormToCrmMessages="success";
		           //      }else{
		           //          var label_name,fieldErrorMsg;
             //                if(resp.data!=null && resp.data[0].code=="INVALID_DATA"){
             //                    for(var key in resp.data[0].details){
             //                        // console.log(key);
             //                        switch(key){
             //                            case "api_name":
             //                                // console.log("1");
             //                                label_name=findAndReturn($scope.combinedFields,'api_name',resp.data[0].details.api_name);
             //                                $scope.addFormToCrmContent.push($scope.exti18n.fieldName+" "+label_name.field_label);
             //                                // console.log(label_name);
             //                            break;
             //                            default:
             //                                // console.log("2");
             //                                fieldErrorMsg=key.replace(/\_/gi," ")+" : "+resp.data[0].details[key];
             //                                $scope.addFormToCrmContent.push(fieldErrorMsg);
             //                                // console.log(fieldErrorMsg);
             //                            break;
             //                        }
             //                    }
             //                }
             //                // console.log(status);
             //                // console.log(resp);
             //                $scope.addFormToCrmMessages="error";
		           //      }
		           //  });
		           //  addForm_api.error( function(resp, status, headers, config) {
		           //      var label_name,fieldErrorMsg;
             //                if(resp.data!=null && resp.data[0].code=="INVALID_DATA"){
             //                    for(var key in resp.data[0].details){
             //                        // console.log(key);
             //                        switch(key){
             //                            case "api_name":
             //                                // console.log("1");
             //                                label_name=findAndReturn($scope.combinedFields,'api_name',resp.data[0].details.api_name);
             //                                $scope.addFormToCrmContent.push($scope.exti18n.fieldName+" "+label_name.field_label);
             //                                // console.log(label_name);
             //                            break;
             //                            default:
             //                                // console.log("2");
             //                                fieldErrorMsg=key.replace(/\_/gi," ")+" : "+resp.data[0].details[key];
             //                                $scope.addFormToCrmContent.push(fieldErrorMsg);
             //                                // console.log(fieldErrorMsg);
             //                            break;
             //                        }
             //                    }
             //                }
             //                // console.log(status);
             //                // console.log(resp);
             //                $scope.addFormToCrmMessages="error";
		           //  });
	            // }else{
	            	var addForm_api=$http.post(thisurl,reqBody,config);
	            	addForm_api.success( function(resp, status, headers, config) {
		                if(status>=200 && status<400){
		                    // console.log(status);
		                    // console.log(resp);
		                    if(resp.data!=null && resp.data[0].code=="SUCCESS"){
		                    	$scope.getDetailsById(resp.data[0].details.id,$scope.selectedModule);
		                    	$scope.addFormToCrmCreatedId=resp.data[0].details.id;
		                    	$scope.addFormToCrmContent.push($scope.exti18n.modAdded.replace("{{module}}",$scope.modulesList[$scope.selectedModule+"s"].singular_label));
		                    	$scope.addFormToCrmMessages="success";
		                    }else if(resp.data!=null  && (resp.data[0].code=="MAX_RECORDS_LIMIT_REACHED" || resp.data[0].code=="MAX_LIMIT_REACHED")){
                                        $scope.addFormToCrmContent.push(resp.data[0].message);
                                    }else if(resp.data!=null && (resp.data[0].code=="INVALID_DATA" || resp.data[0].status=="error")){
                                        $scope.addFormToCrmContent.push(resp.data[0].message);
		                		var label_name,fieldErrorMsg;
		                		for(var key in resp.data[0].details){
		                			// console.log(key);
		                			switch(key){
		                				case "api_name":
		                					// console.log("1");
		                					label_name=findAndReturn($scope.combinedFields,'api_name',resp.data[0].details.api_name);
		                					$scope.addFormToCrmContent.push($scope.exti18n.fieldName+" "+label_name.field_label);
		                					// console.log(label_name);
		                				break;
		                				default:
		                					// // console.log("2");
		                					// fieldErrorMsg=key.replace(/\_/gi," ")+" : "+resp.data[0].details[key];
		                					// $scope.addFormToCrmContent.push(fieldErrorMsg);
		                					// // console.log(fieldErrorMsg);
		                				break;
		                			}
		                		}
		                		$scope.addFormToCrmMessages="error";
		                	}
		                    
		                }else{
		                    var label_name,fieldErrorMsg;
                            if(resp.data!=null  && (resp.data[0].code=="MAX_RECORDS_LIMIT_REACHED" || resp.data[0].code=="MAX_LIMIT_REACHED")){
                                $scope.addFormToCrmContent.push(resp.data[0].message);
                            }else if(resp.data!=null && (resp.data[0].code=="INVALID_DATA" || resp.data[0].status=="error")){
                                $scope.addFormToCrmContent.push(resp.data[0].message);
                                for(var key in resp.data[0].details){
                                    // console.log(key);
                                    switch(key){
                                        case "api_name":
                                            // console.log("1");
                                            label_name=findAndReturn($scope.combinedFields,'api_name',resp.data[0].details.api_name);
                                            $scope.addFormToCrmContent.push($scope.exti18n.fieldName+" "+label_name.field_label);
                                            // console.log(label_name);
                                        break;
                                        default:
                                            // // console.log("2");
                                            // fieldErrorMsg=key.replace(/\_/gi," ")+" : "+resp.data[0].details[key];
                                            // $scope.addFormToCrmContent.push(fieldErrorMsg);
                                            // // console.log(fieldErrorMsg);
                                        break;
                                    }
                                }
                            }else if(resp.code=="NO_PERMISSION"){
                            	$scope.addFormToCrmContent.push($scope.exti18n.perDenied+", "+$scope.exti18n.pca);
                            }
                            // console.log(status);
                            // console.log(resp);
                            $scope.addFormToCrmMessages="error";
		                }
		            });
		            addForm_api.error( function(resp, status, headers, config) {
		                var label_name,fieldErrorMsg;
                            if(resp.data!=null  && (resp.data[0].code=="MAX_RECORDS_LIMIT_REACHED" || resp.data[0].code=="MAX_LIMIT_REACHED")){
                                $scope.addFormToCrmContent.push(resp.data[0].message);
                            }else if(resp.data!=null && (resp.data[0].code=="INVALID_DATA" || resp.data[0].status=="error")){
                                $scope.addFormToCrmContent.push(resp.data[0].message);
                                for(var key in resp.data[0].details){
                                    // console.log(key);
                                    switch(key){
                                        case "api_name":
                                            // console.log("1");
                                            label_name=findAndReturn($scope.combinedFields,'api_name',resp.data[0].details.api_name);
                                            $scope.addFormToCrmContent.push($scope.exti18n.fieldName+" "+label_name.field_label);
                                            // console.log(label_name);
                                        break;
                                        default:
                                            // // console.log("2");
                                            // fieldErrorMsg=key.replace(/\_/gi," ")+" : "+resp.data[0].details[key];
                                            // $scope.addFormToCrmContent.push(fieldErrorMsg);
                                            // // console.log(fieldErrorMsg);
                                        break;
                                    }
                                }
                            }else if(resp.code=="NO_PERMISSION"){
                            	$scope.addFormToCrmContent.push($scope.exti18n.perDenied+", "+$scope.exti18n.pca);
                            }
                            // console.log(status);
                            // console.log(resp);
                            $scope.addFormToCrmMessages="error";

		            });
	            // }
	        }
	        $scope.safeApply();
		});
	    
	}



	$scope.goBack=function(){
    // console.log("goBack clicked");
    $scope.sharedData.id=null;
    $scope.$applyAsync();
    // console.log($scope.sharedData);
    chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:null},function(){
        window.parent.document.getElementById('zc_innerIframeParentDiv').removeChild(window.parent.document.getElementById('zc_innerIframePage'));
    });
  }





	$scope.arrowExtract=function(){
		var options=['Phone','Fax','Street','City','State','Country','Zip'];
		var tempval=0;
		for(var i=0;i<options.length;i++){
			if($scope.details[options[i]]!=null && $scope.details[options[i]]!=''){
				tempval=1;
			}
		}
		if(tempval==1){
			return false;
		}else{
			return true;
		}
	}
	$scope.validLookupModule=function(module){
  	var retVal=false;
  	for(var i=0;i<$scope.lookupModules.length;i++){
  		if($scope.lookupModules[i]==module){
  			retVal=true;
  		}
  	}
  	return retVal;
  }
	function findAndReturn(array, property, value) {
    for(var i=0;i<array.length;i++){
      if(array[i][property] === value){
        return array[i];
      }
    }
  }
	$scope.openGmailComposeWindow=function(email){
		chrome.extension.sendRequest({name:'',redirect:'openGmailComposeWindow',action:email,url:'', body:''},function(response){});
	}
	// console.log("out  extractDetails");
});