mainApp.controller('settingsCont', function( $scope,$http,todoStorage ,$timeout){


  chrome.extension.sendRequest({name:'',redirect:'isLoggedInPrimaryGmail',action:'isLoggedInPrimaryGmail'},function(isLoggedInPrimaryGmail){
    // console.log(isLoggedInPrimaryGmail);
    // console.log(isLoggedInPrimaryGmail==true);
    // console.log(isLoggedInPrimaryGmail=="true");
    // console.log(chrome.i18n);
    $scope.safeApply = function(fn) {   /* used in todoStorage for data binding */
      var phase = this.$root.$$phase;
      if(phase == '$apply' || phase == '$digest') {
        if(fn && (typeof(fn) === 'function')) {
          fn();
        }
      } else {
        this.$apply(fn);
      }
    };
    $scope.webpage ="Gmail";
    chrome.extension.sendRequest({name:'getwebpage'},function(resp){
      // console.log(resp);
      $scope.webpage=resp;
      $scope.safeApply();
    });
    // console.log($scope.webpage);
    $scope.todoStorage = todoStorage;   /* got from a mainApp service used to fetch data from chrome db */
    $scope.exti18n={};
    $scope.todoStorage.currentUserData(function(data){
      if(data!=null){
        $scope.currentUserData=data.users[0];
      }
      // console.log($scope.currentUserData);
      if($scope.currentUserData!=undefined && lang_i18n["lang_"+$scope.currentUserData.language]!=undefined){
        $scope.exti18n=lang_i18n["lang_"+$scope.currentUserData.language];
      }else{
        $scope.exti18n=lang_i18n["lang_en_US"];
      }
      
      $scope.safeApply($scope.exti18n);
    });
    $scope.todoStorage.organisationMetadata(function(data){
    // console.log(data);
    if(data!=null){
      $scope.organisations=data;
      $scope.safeApply();
      $scope.orgListWithIds=[];
      var enabledOrgId=null;
      var defaultSet=false;
      chrome.storage.sync.get('zatAuthenticated', function(key) {
        // console.log(key);
        if(key.zatAuthenticated.hasOwnProperty("orgId")){
          enabledOrgId = key.zatAuthenticated.orgId;
        }
        console.log(enabledOrgId);
        $scope.safeApply();
        for (var i=0 ;i<data.organizations.length; i++) {
            $scope.orgWithId={};
            $scope.orgWithId["orgId"]=data.organizations[i].domain_name;
            $scope.orgWithId["orgName"]=data.organizations[i].name;
             if(data.organizations[i].domain_name==enabledOrgId){
              $scope.orgWithId["default"]="true";
              $scope.enabledOrg=data.organizations[i].domain_name;
              $scope.setDefault = data.organizations[i].domain_name;
              defaultSet = true;
            }else if(enabledOrgId==null&& data.organizations[i].default=="true"){
              // console.log(enabledOrgId);
              $scope.orgWithId["default"]="true";
              $scope.enabledOrg=data.organizations[i].domain_name;
              $scope.setDefault = data.organizations[i].domain_name;
              defaultSet = true;
            }else{
              $scope.orgWithId["default"]="fasle";
            }
            if(i==data.organizations.length-1 && defaultSet==false){
              $scope.orgWithId["default"]="true";
              $scope.setDefault = data.organizations[0].domain_name;
              $scope.enabledOrg=data.organizations[0].domain_name;
              defaultSet = true;
            }
            $scope.orgListWithIds.push($scope.orgWithId);
        }
        // console.log($scope.orgListWithIds);
      });
      $scope.safeApply();
    }
    $scope.safeApply($scope.exti18n);
  });
    $scope.showFullScreen=false;
    $scope.showSignoutLoading=false;
    $scope.showNetworkError=false;
    $scope.modulesList={};
    $scope.linkedEmailsList=[];
      $scope.quitYesOrNo='hide';
      $scope.mainpage=null;
      $scope.showFullScreen=true;
      $scope.safeApply();
      chrome.extension.sendRequest({name:'',redirect:'getMainPage',action:'getMainPage'},function(resp){
        // console.log(resp);
        $scope.mainpage=resp;
        $scope.safeApply();
      });
      chrome.extension.onRequest.addListener(function(request, sender, sendResponse) {
        // console.log("received in iframe");
        var name = request.name; 
        var redirect =request.redirect;
        switch(redirect){
          case 'toIframe':
          // console.log("inside toIframe");
            $scope.mainpage=request.val;
            $scope.safeApply();
          break;
        }
      });
      $scope.todoStorage.modulesList(function(data){
        $scope.modulesList=data;
        if(!$scope.modulesList.hasOwnProperty("Leads")&& !$scope.modulesList.hasOwnProperty("Contacts")){
          chrome.extension.sendRequest({name:'html/lc-disabled.html',redirect:'toContent',action:''});
        }
        $scope.safeApply();
        // console.log($scope.modulesList);
      });

      chrome.extension.sendRequest({name:'getGat'},function(response){  
        if(response.token!=null){
            chrome.storage.sync.get('zatAuthenticated', function(key) {
                var url = "https://gadgets.zoho."+key.zatAuthenticated.datacenterExt+"/extension/chrome/auth?appId=ZCRMGME&gat="+response.token+"&emailMode=list";
                var addLinkEmailList_api=$http.get(url);
                addLinkEmailList_api.success( function(resp, status, headers, config) {
                    if(status==200 && resp.status=="success"){
                        // console.log(status);
                        // console.log(resp);
                        if(resp.list!=undefined){
                            $scope.linkedEmailsList=resp.list;
                        }
                        if(resp.pemail!=undefined){
                            $scope.pemail=resp.pemail;
                        }
                    }else{
                        // $scope.succErrorInit("error","Uh oh! Something went wrong");
                        // console.log(status);
                        // console.log(resp);
                    }
                });
                addLinkEmailList_api.error( function(resp, status, headers, config) {
                    // $scope.succErrorInit("error","Uh oh! Something went wrong");
                    // console.log(status);
                    // console.log(resp);
                });
            });
        }else{
            chrome.extension.sendRequest({name:'html/auth.html',redirect:'toContent',action:''});
        }
    });
    // chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
    //   if(response.status=="success"){
    //     var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat }};
    //     var url = "https://crm.zoho."+response.datacenterExt+"/crm/v2/users?type=CurrentUser";
    //     var currentUserProfile_api=$http.get(url,config);
    //     currentUserProfile_api.success( function(response, status, headers, config) {
    //       // console.dir(response);
    //       // console.log(response.users[0].full_name);
    //       $scope.currentUsername = response.users[0].full_name; 
    //       $scope.currentUserInfo=response.users[0];
    //       $scope.showFullScreen=true;
    //     });
    //     currentUserProfile_api.error(function(response, status,headers,config){
    //       if(response!=null && response!=undefined && response.hasOwnProperty("code") && response.code=="NO_CRM_ACCOUNT"){
    //         $scope.showNetworkError=false;
    //         $scope.showFullScreen=false;
    //         chrome.extension.sendRequest({name:'html/no-crmacc.html',redirect:'toContent',action:''});
    //       }else{
    //         $scope.showNetworkError=true;
    //         $scope.showFullScreen=true;
    //       }
    //     });
    //   }
    //    $scope.safeApply();
    // });

      $scope.addEmail = function(emailId){
        $scope.succErrorInit('loading',$scope.exti18n.ppw);
        //   console.log(emailId);
          if(isLoggedInPrimaryGmail==false){
            $scope.succErrorInit("error","This action can only be performed in primary gmail account.");
          }else if($scope.linkedEmailsList.length==10){
            $scope.succErrorInit("error","Maximum 10 emails allowed");
          }else if(validateEmail(emailId)){
            chrome.extension.sendRequest({name:'getGat'},function(response){  
                if(response.token!=null){
                    chrome.storage.sync.get('zatAuthenticated', function(key) {
                        var url = "https://gadgets.zoho."+key.zatAuthenticated.datacenterExt+"/extension/chrome/auth?appId=ZCRMGME&gat="+response.token+"&emailId="+emailId+"&emailMode=add";
                        var addLinkEmail_api=$http.get(url);
                        addLinkEmail_api.success( function(resp, status, headers, config) {
                            if(status==200 && resp.status=="success"){
                                
                                // console.log(status);
                                // console.log(resp);
                                $scope.linkEmailId='';
                                $scope.succErrorInit("success","Email added successfully");
                                if($scope.linkedEmailsList.indexOf(emailId.toUpperCase())==-1){
                                    $scope.linkedEmailsList.push(emailId.toUpperCase());
                                }
                            }else{
                                $scope.succErrorInit("error","Uh oh! Something went wrong!");
                                // console.log(status);
                                // console.log(resp);
                            }
                        });
                        addLinkEmail_api.error( function(resp, status, headers, config) {
                            $scope.succErrorInit("error","Uh oh! Something went wrong!");
                            // console.log(status);
                            // console.log(resp);
                        });
                    });
                }else{
                    chrome.extension.sendRequest({name:'html/auth.html',redirect:'toContent',action:''});
                }
            });
          }else{
            $scope.succErrorInit("error","Please enter valid email id");
          }
          $scope.safeApply();
      }

      $scope.orgChange = function(orgDetails){
        chrome.extension.sendRequest({name:'getGat'},function(response){ 
            if(response.token!=null){
                chrome.storage.sync.get('zatAuthenticated', function(key) {
                    // console.log(key);
                    var zatValue={};
                    if(orgDetails.orgId!=key.zatAuthenticated.orgId){
                      $scope.succErrorInit('loading',$scope.exti18n.ppw);
                      var url = "https://gadgets.zoho."+key.zatAuthenticated.datacenterExt+"/extension/chrome/auth?appId=ZCRMGME&gat="+response.token+"&orgId="+orgDetails.orgId+"&emailMode=changeOrg";
                      var changeOrg_api=$http.get(url);
                      changeOrg_api.success( function(resp, status, headers, config) {
                          if(status==200 && resp.status=="success"){
                              zatValue["time"]=key.zatAuthenticated.time;
                              zatValue["zat"]=key.zatAuthenticated.zat;
                              zatValue["orgId"]=orgDetails.orgId;
                              zatValue["isAuthenticated"]="true";
                              zatValue["datacenterExt"]=key.zatAuthenticated.datacenterExt;
                              // console.log(zatValue);
                              var toStoreObj={key:'zatAuthenticated',value:zatValue};
                              $scope.safeApply();
                              $scope.succErrorInit("success","Organisation changed successfully. Refreshing Gmail to get the changes reflected");
                              chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'zatAuthenticated',value:zatValue},function(response){
                                if(response.resp=="success"){
                                  // console.log(resp.status);
                                  chrome.extension.sendRequest({name:'reload'},function(response){});
                                }
                                // chrome.extension.sendRequest({name:'reload'},function(response){});
                              });
                              $scope.safeApply();
                              
                              // document.getElementById("backtomail").style.display = 'none';
                          }else{
                              $scope.succErrorInit("error","Uh oh! Something went wrong!");
                          }
                      });
                      changeOrg_api.error( function(resp, status, headers, config) {
                          $scope.succErrorInit("error","Uh oh! Something went wrong!");
                          // console.log(status);
                          // console.log(resp);
                      });
                    }
                });
            }else{
                chrome.extension.sendRequest({name:'html/auth.html',redirect:'toContent',action:''});
            }
        });
        $scope.safeApply();
      }

      $scope.removeEmailFromList = function(email,pemail){
        $scope.succErrorInit('loading',$scope.exti18n.ppw);
        // console.log(email.toUpperCase()+":"+pemail.toUpperCase());
        if(isLoggedInPrimaryGmail==false){
          $scope.succErrorInit("error","Oops! This action can only be performed in primary Gmail account.");
        }else if(email.toUpperCase()==pemail.toUpperCase()){
            $scope.succErrorInit("error","Oops! Primary email can't be removed");
          }else{
            chrome.extension.sendRequest({name:'getGat'},function(response){ 
                if(response.token!=null){
                    chrome.storage.sync.get('zatAuthenticated', function(key) {
                        var url = "https://gadgets.zoho."+key.zatAuthenticated.datacenterExt+"/extension/chrome/auth?appId=ZCRMGME&gat="+response.token+"&emailId="+email+"&emailMode=remove";
                        var addLinkEmail_api=$http.get(url);
                        addLinkEmail_api.success( function(resp, status, headers, config) {
                            if(status==200 && resp.status=="success"){
                                // console.log(status);
                                // console.log(resp);
                                $scope.succErrorInit("success","Email deleted successfully");
                                findAndRemoveInArray($scope.linkedEmailsList,email);
                            }else{
                                $scope.succErrorInit("error","Uh oh! Something went wrong!");
                                // console.log(status);
                                // console.log(resp);
                            }
                        });
                        addLinkEmail_api.error( function(resp, status, headers, config) {
                            $scope.succErrorInit("error","Uh oh! Something went wrong!");
                            // console.log(status);
                            // console.log(resp);
                        });
                    });
                }else{
                    chrome.extension.sendRequest({name:'html/auth.html',redirect:'toContent',action:''});
                }
            });
          }
          $scope.safeApply();
      }
      
    function validateEmail(email) {
        var re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        return re.test(email);
    }

    $scope.networkRetry=function(){
      $scope.showFullScreen=false;
      $scope.showNetworkError=false;
      chrome.extension.sendRequest({name:'html/welcome.html',redirect:'toContent',action:'getMetadata'});
    }
    function findAndRemoveInArray(array,value) {
        array.forEach(function(result, index) {
          if(result === value) {
            //Remove from array
            array.splice(index, 1);
          }    
        });
      }
    $scope.succErrorInit=function(succError,succErrorMsg){
          // console.log(succError+":::::"+succErrorMsg);
          $scope.succError=succError;
          $scope.succErrorMsg=succErrorMsg;
          if(succError!='loading'){
              $timeout(function(){
                  $scope.succErrorReset();
              },3*1000);
          }else{
            $timeout(function(){
                if($scope.succError=="loading"){
                    $scope.succErrorInit("error","Uh oh! Something went wrong!");
                }
            },10*1000);
          }
          $scope.safeApply();
      }
      $scope.succErrorReset=function(){
          $scope.succError='';
          $scope.succErrorMsg='';
          $scope.safeApply();
      }
  });
    
  });

  $(".opinputs").click(function() {
    saveoptions();
  });
  $(".opinput").click(function() {
    saveoption();
  });
  function saveoptions(){
    chrome.storage.sync.get("optionsval", function(op){
      if(Object.keys(op).length>0){
          var items=JSON.parse(op.optionsval);
          // console.log(items);
          for(var i=0;i<items.length;i++){
            if(items[i].name=="zcrm_allpage"){
              items[i].value=="\""+document.getElementById("zcrm_allpage").checked+"\"";
            }else if(items[i].name=="zcrm_popup"){
              items[i].value=="\""+document.getElementById("zcrm_popup").checked+"\"";
            } 
          }
          // console.log(items);
          chrome.storage.sync.set({"optionsval": items}, function(){});
        }else{
          var optionsval='[{"name":"zcrm_popup","value":'+document.getElementById("zcrm_popup").checked+'}]';
          chrome.storage.sync.set({"optionsval": optionsval}, function(){});
        }
    });
  }
  function saveoption(){
    chrome.storage.sync.get("allPageEnabled", function(op){
      try{
        chrome.storage.sync.set({"allPageEnabled": document.getElementById("zcrm_allpage").checked}, function(){});
      }catch(e){
        chrome.storage.sync.set({"allPageEnabled": false}, function(){});
      }
    });  
  }
    // if(localStorage.getItem(key) != null){
    //   var oldData = JSON.parse(localStorage.getItem(key));
    //   for(keyObj in newData){
    //       oldData[keyObj] = newData[keyObj];
    //   }
    //   var values = JSON.stringify(oldData);
    //   localStorage.setItem(key,values);
    // }else{
    //   return false;
    // } 
    // var optionsval='[{"name":"zcrm_popup","value":'+document.getElementById("zcrm_popup").checked+'}]';
    //   chrome.storage.sync.set({"optionsval": optionsval}, function(){
    // });
    // var optionsval='[{"name":"zcrm_popup","value":'+document.getElementById("zcrm_popup").checked+'}]';
    //   chrome.storage.sync.set({"optionsval": optionsval}, function(){
    // });
  // }
  function getoptions() {
    if(window.location.href.includes("inbox.google.com")||window.location.href.includes("mail.google.com")){
      try{
        $("body").removeClass("zc_allpage");  
      }catch(e){}
    }
    else{
      $("body").addClass("zc_allpage");
    }
    chrome.storage.sync.get("optionsval", function(op){
      try{
        if(!jQuery.isEmptyObject(op)){
          var items=JSON.parse(op.optionsval);
          for(var i=0;i<items.length;i++){
            if(items[i].name=="zcrm_popup" && items[i].value==true){
              $("#"+items[i].name).prop("checked",true);
            }else if(items[i].name=="zcrm_popup" && (items[i].value==false || items[i].value==null)){
              $("#"+items[i].name).prop("checked",false);
            }
          }
        }else{
            $("#zcrm_popup").prop('checked',false);
        }
      }catch(e){
        $("#zcrm_popup").prop('checked',false);
      }
    });
    chrome.storage.sync.get("allPageEnabled", function(op){
      // console.log(op.allPageEnabled);
      try{
        if(op.allPageEnabled==true){
          $("#zcrm_allpage").prop('checked',true);
        }else{
          $("#zcrm_allpage").prop('checked',false);
        }
      }catch(e){
        $("#zcrm_allpage").prop('checked',false);
      }
    });
  }
  document.addEventListener('DOMContentLoaded', getoptions());
  
  