mainApp.filter('eleminateFields',function($filter){
    return function(item){
        var result=false;
        var options=["$approved","id","Who_Id","Description","Subject","Owner","$approved","What_Id","Activity_Type","ActivityStatus","listId"];
        if(options.indexOf(item)<0){
            result=true;
        }
        return result;
    }
});
mainApp.controller('taskViewDetails',function($scope, $element, $window, $http, todoStorage){
  $scope.safeApply = function(fn) {   /* used in todoStorage for data binding */
      var phase = this.$root.$$phase;
      if(phase == '$apply' || phase == '$digest') {
        if(fn && (typeof(fn) === 'function')) {
          fn();
        }
      } else {
        this.$apply(fn);
      }
    };
     $scope.todoStorage = todoStorage;   /* got from a mainApp service used to fetch data from chrome db */
  $scope.exti18n={};
  $scope.todoStorage.currentUserData(function(data){
    if(data!=null){
      $scope.currentUserData=data.users[0];
    }
    // console.log($scope.currentUserData);
    if($scope.currentUserData!=undefined && lang_i18n["lang_"+$scope.currentUserData.language]!=undefined){
      $scope.exti18n=lang_i18n["lang_"+$scope.currentUserData.language];
    }else{
      $scope.exti18n=lang_i18n["lang_en_US"];
    }
    
    $scope.safeApply($scope.exti18n);
  });
  $scope.safeApply($scope.exti18n);
  $scope.webpage ="Gmail";
  chrome.extension.sendRequest({name:'getwebpage'},function(resp){
    // console.log(resp);
    $scope.webpage=resp;
    $scope.safeApply();
  });
   $scope.showFullScreen=false; /* shows the screen after full html loaded if true*/
    $scope.todayDate=new Date().getTime();
  $scope.sharedData = $window.parent.sharedData.getScope();
  // console.log($scope.sharedData);
  // console.log($scope.sharedData.activities);
  // console.log($scope.sharedData.id);
  $scope.details=findAndReturn($scope.sharedData.activities,"id",$scope.sharedData.id);
  // console.dir($scope.details);
  $scope.safeApply();
  $scope.modulesList={};
  $scope.todoStorage.modulesList(function(data){
        $scope.modulesList=data;
        
        $scope.safeApply();
        // console.log($scope.modulesList);
    });
  $scope.todoStorage.tasksMetadata(function(data){
    var items=data.modules[0].layouts;
    // angular.forEach(items,function(item){
    //     if(item.name=="Standard"){
    //         $scope.layout=item;
    //     }
    // });
    // if($scope.layout==undefined && items.length>0){
    //              $scope.layout=items[0];
    //         }
    for(var item in items){
            for (var profile in items[item].profiles) {
                if (items[item].profiles[profile].id == $scope.currentUserData.profile.id && items[item].profiles[profile].default == true) {
                    $scope.layout = items[item];
                    break;
                }
            }
        }
    // console.dir($scope.layout);
    $scope.fields=data.modules[0].fields;
    $scope.harcodedFields={};
    var resultArray=[];
    for(var sec=0;sec<$scope.layout.sections.length;sec++){
        for(var fld=0;fld<$scope.layout.sections[sec].fields.length;fld++){
            var result={};
            var retObj=findAndReturn($scope.fields,'api_name',$scope.layout.sections[sec].fields[fld].api_name);
            for(var key in retObj){
                result[key]=retObj[key];
            }
            for(var key in $scope.layout.sections[sec].fields[fld]){
                result[key]=$scope.layout.sections[sec].fields[fld][key];
            }
            $scope.harcodedFields[result.api_name]=result;
            // $scope.layout.sections[sec].fields[fld]=result;
            resultArray.push(result);
        }
    }
    // console.log("combinedFields:");
    // console.dir(resultArray);
    $scope.combinedFields=resultArray;
    $scope.showFullScreen=true;
     $scope.safeApply();
  });
    function findAndRemove(array, property, value) {
      array.forEach(function(result, index) {
        if(result[property] === value) {
          //Remove from array
          array.splice(index, 1);
        }    
      });
    }
  function findAndReturn(array, property, value) {
    for(var i=0;i<array.length;i++){
      if(array[i][property] === value){
        return array[i];
      }
    }
  }
  $scope.goBack=function(){
    // console.log("goBack clicked");
    $scope.sharedData.id=null;
    $scope.$applyAsync();
    window.parent.document.getElementById('zc_innerIframeParentDiv').removeChild(window.parent.document.getElementById('zc_innerIframePage'));
  }
  $scope.openExternalLink=function(){
      chrome.extension.sendRequest({name:'checkZatTime'},function(response){ 
        var website="https://crm.zoho."+response.datacenterExt+"/crm/"+response.orgId+"/EntityInfo.do?module=Tasks&id="+$scope.details.id;
        chrome.extension.sendRequest({name:'',redirect:'openUrlInNewTab',action:'',url:website},function(response){});
      });
    }
});