
mainApp.service('todoStorage', function ($q) {
    var _this = this;
    this.data = [];
    // console.log("in todoStorage in db_service");
    this.searchByEmailContact = function(callback) {
        chrome.storage.local.get('searchByEmailContact', function(keys) {
            if (keys.searchByEmailContact != null) {
                _this.data = keys.searchByEmailContact;
                // console.log(_this.data);
                callback(_this.data);
            }
        });
    }
    this.modulesList = function(callback) {
        chrome.storage.local.get('modulesList', function(keys) {
            if (keys.modulesList != null) {
                _this.data = keys.modulesList;
                // console.log(_this.data);
                callback(_this.data);
            }
        });
    }
    this.contactsMetadata = function(callback) {
        chrome.storage.local.get('contactsMetadata', function(keys) {
            if (keys.contactsMetadata != null) {
                _this.data = keys.contactsMetadata;
                // console.log(_this.data);
                callback(_this.data);
            }
        });
    }
    this.leadsMetadata = function(callback) {
        chrome.storage.local.get('leadsMetadata', function(keys) {
            if (keys.leadsMetadata != null) {
                _this.data = keys.leadsMetadata;
                // console.log(_this.data);
                callback(_this.data);
            }
        });
    }
    this.campaignsMetadata = function(callback) {
        chrome.storage.local.get('campaignsMetadata', function(keys) {
            if (keys.campaignsMetadata != null) {
                _this.data = keys.campaignsMetadata;
                // console.log(_this.data);
                callback(_this.data);
            }
        });
    }
    this.potentialsMetadata = function(callback) {
        chrome.storage.local.get('potentialsMetadata', function(keys) {
            if (keys.potentialsMetadata != null) {
                _this.data = keys.potentialsMetadata;
                // console.log(_this.data);
                callback(_this.data);
            }
        });
    }
    this.accountsMetadata = function(callback) {
        chrome.storage.local.get('accountsMetadata', function(keys) {
            if (keys.accountsMetadata != null) {
                _this.data = keys.accountsMetadata;
                // console.log(_this.data);
                callback(_this.data);
            }
        });
    }
    this.tasksMetadata = function(callback) {
        chrome.storage.local.get('tasksMetadata', function(keys) {
            if (keys.tasksMetadata != null) {
                _this.data = keys.tasksMetadata;
                // console.log(_this.data);
                callback(_this.data);
            }
        });
    }
    this.eventsMetadata = function(callback) {
        chrome.storage.local.get('eventsMetadata', function(keys) {
            if (keys.eventsMetadata != null) {
                _this.data = keys.eventsMetadata;
                // console.log(_this.data);
                callback(_this.data);
            }
        });
    }
    this.callsMetadata = function(callback) {
        chrome.storage.local.get('callsMetadata', function(keys) {
            if (keys.callsMetadata != null) {
                _this.data = keys.callsMetadata;
                // console.log(_this.data);
                callback(_this.data);
            }
        });
    }
    this.extractFormData = function(callback) {
        chrome.storage.local.get('extractFormData', function(keys) {
            if (keys.extractFormData != null) {
                _this.data = keys.extractFormData;
                // console.log(_this.data);
                callback(_this.data);
            }else{
                callback({});
            }
        });
    }
    this.mailOpened = function(callback) {
        chrome.storage.local.get('mailOpened', function(keys) {
            if (keys.mailOpened != null) {
                _this.data = keys.mailOpened;
                // console.log(_this.data);
                callback(_this.data);
            }else{
                callback("false");
            }
        });
    }
    this.campaignsListFromMenu = function(callback) {
        chrome.storage.local.get('campaignsListFromMenu', function(keys) {
            if (keys.campaignsListFromMenu != null) {
                _this.data = keys.campaignsListFromMenu;
                // console.log(_this.data);
                callback(_this.data);
            }
        });
    }
    this.accountsListFromMenu = function(callback) {
        chrome.storage.local.get('accountsListFromMenu', function(keys) {
            if (keys.accountsListFromMenu != null) {
                _this.data = keys.accountsListFromMenu;
                // console.log(_this.data);
                callback(_this.data);
            }
        });
    }
    this.potentialsListFromMenu = function(callback) {
        chrome.storage.local.get('potentialsListFromMenu', function(keys) {
            if (keys.potentialsListFromMenu != null) {
                _this.data = keys.potentialsListFromMenu;
                // console.log(_this.data);
                callback(_this.data);
            }
        });
    }
    this.currentUserData = function(callback) {
        chrome.storage.local.get('currentUserData', function(keys) {
            if (keys.currentUserData != null) {
                _this.data = keys.currentUserData;
                // console.log(_this.data);
                callback(_this.data||{});
            }else{
                callback(null);
            }
        });
    }
    this.organisationMetadata = function(callback) {
        chrome.storage.local.get('organisationMetadata', function(keys) {
            if (keys.organisationMetadata != null) {
                // console.log(keys);
                _this.data = keys.organisationMetadata;
                console.log(_this.data);
                callback(_this.data||{});
            }else{
                callback(null);
            }
        });
    }
    this.usersList = function(callback) {
        chrome.storage.local.get('usersList', function(keys) {
            if (keys.usersList != null) {
                _this.data = keys.usersList;
                // console.log(_this.data);
                callback(_this.data||{});
            }
        });
    }
    this.rolesList = function(callback) {
        chrome.storage.local.get('rolesList', function(keys) {
            if (keys.rolesList != null) {
                _this.data = keys.rolesList;
                // console.log(_this.data);
                callback(_this.data||{});
            }
        });
    }
    this.gatAuthenticated = function(callback) {
        chrome.storage.sync.get('gatAuthenticated', function(keys) {
            if (keys.gatAuthenticated != null) {
                _this.data = keys.gatAuthenticated;
                // console.log(_this.data);
                callback(_this.data);
            }else{
                callback(null);
            }
        });
    }
    this.nameFormat = function(callback) {
        chrome.storage.local.get('nameFormat', function(keys) {
            if (keys.nameFormat != null) {
                _this.data = keys.nameFormat;
                // console.log(_this.data);
                callback(_this.data);
            }else{
                callback(null);
            }
        });
    }
    // this.sync = function() {
    //     chrome.storage.sync.set({todo: this.data}, function() {
    //         console.log('Data is stored in Chrome storage');
    //     });
    // }

    // this.add = function (newContent) {
    //     var id = this.data.length + 1;
    //     var todo = {
    //         id: id,
    //         content: newContent,
    //         completed: false,
    //         createdAt: new Date()
    //     };
    //     this.data.push(todo);
    //     this.sync();
    // }

    // this.remove = function(todo) {
    //     this.data.splice(this.data.indexOf(todo), 1);
    //     this.sync();
    // }

    // this.removeAll = function() {
    //     this.data = [];
    //     this.sync();
    // }

});

