
mainApp.filter('eleminateFields',function($filter){
    return function(item){
        var result=false;
        var options=["$approved","id","Layout","$approval","Campaign_Name","Description"];
        if(options.indexOf(item)<0){
            result=true;
        }
        return result;
    }
});
mainApp.controller('campaignViewDetails',function($scope, $element, $window, $http, todoStorage){
  $scope.safeApply = function(fn) {   /* used in todoStorage for data binding */
      var phase = this.$root.$$phase;
      if(phase == '$apply' || phase == '$digest') {
        if(fn && (typeof(fn) === 'function')) {
          fn();
        }
      } else {
        this.$apply(fn);
      }
    };
    $scope.todoStorage = todoStorage;   /* got from a mainApp service used to fetch data from chrome db */
  $scope.exti18n={};
  $scope.webpage ="Gmail";
    chrome.extension.sendRequest({name:'getwebpage'},function(resp){
        // console.log(resp);
        $scope.webpage=resp;
        $scope.safeApply();
    });
  $scope.todoStorage.currentUserData(function(data){
    if(data!=null){
      $scope.currentUserData=data.users[0];
    }
    // console.log($scope.currentUserData);
    if($scope.currentUserData!=undefined && lang_i18n["lang_"+$scope.currentUserData.language]!=undefined){
      $scope.exti18n=lang_i18n["lang_"+$scope.currentUserData.language];
    }else{
      $scope.exti18n=lang_i18n["lang_en_US"];
    }
    
    $scope.safeApply($scope.exti18n);
  });
  $scope.safeApply($scope.exti18n);
    $scope.showFullScreen=false; /* shows the screen after full html loaded if true*/
    $scope.deleteYesOrNoInNote='hide';
    // $scope.$watch('todoStorage.data', function() {
    //     $scope.todoList = $scope.todoStorage.data;
    // });
    $scope.Notes=[];
    $scope.noteParams={     /* params for edit Note-Form */
        contactId:'',
        title:'',
        content:'',
        mentions:{}
    }
    $scope.limitNotesStart=0;
    $scope.limitNotesEnd=3;
    $scope.noteTitleShow=false;     /* if false title field is not shown in Note-Form */
    $scope.noteEditMode=false;     /* If false Note-Form in create mode ::::: if true Note-Form in Edit mode */
    $scope.lastNoteEdited=null;     /* contains the last Edited Note */
    $scope.todayDate=new Date().getTime();

  $scope.sharedData = $window.parent.sharedData.getScope();
  // console.log($scope.sharedData);
  // console.log($scope.sharedData.data);
  // console.log($scope.sharedData.id);
  $scope.details=findAndReturn($scope.sharedData.data,"id",$scope.sharedData.id);
  // console.dir($scope.details);
  $scope.modulesList={};
  $scope.todoStorage.modulesList(function(data){
        $scope.modulesList=data;
        
        $scope.safeApply();
        // console.log($scope.modulesList);
    });
  $scope.todoStorage.usersList(function(data){
        $scope.usersList=data;
        $scope.usersListWithId={};
        for (var key in $scope.usersList) {
          $scope.usersListWithId[$scope.usersList[key].id]=$scope.usersList[key];
        }
        $scope.safeApply();
        // console.log($scope.usersList);
    });
  $scope.todoStorage.rolesList(function(data){
        $scope.rolesList=data.roles;
        $scope.rolesListWithId={};
        for (var key in $scope.rolesList) {
          $scope.rolesListWithId[$scope.rolesList[key].id]=$scope.rolesList[key];
        }
        $scope.safeApply();
        // console.log($scope.rolesList);
    });
  $scope.safeApply();
  // $scope.todoStorage.searchByEmailContact(function(data){
        // var result = [];
        // $scope.details=data;
        $scope.metadata={};
        $scope.metadata['id']=$scope.sharedData.id;
        $scope.noteParams.campaignId=$scope.sharedData.id;
        // $scope.getRelatedActivities($scope.sharedData.id);
        $scope.todoStorage.campaignsMetadata(function(data){
            // var items=data.relations;
            // // console.log(data.relations);
            // angular.forEach(items,function(item){
            //     $scope.metadata[item.list_label.replace(/\s|\'/g, "_")]=item.list_relation_id;
            // });    
            var items=data.modules[0].layouts;
            // angular.forEach(items,function(item){
            //     if(item.name=="Standard"){
            //         $scope.layout=item;
            //     }
            // });
            // if($scope.layout==undefined && items.length>0){
            //      $scope.layout=items[0];
            // }
            for(var item in items){
                for (var profile in items[item].profiles) {
                    if (items[item].profiles[profile].id == $scope.currentUserData.profile.id && items[item].profiles[profile].default == true) {
                        $scope.layout = items[item];
                        break;
                    }
                }
            }
            // console.dir($scope.layout);
            $scope.fields=data.modules[0].fields;
            var resultArray=[];
            for(var sec=0;sec<$scope.layout.sections.length;sec++){
                for(var fld=0;fld<$scope.layout.sections[sec].fields.length;fld++){
                    var result={};
                    var retObj=findAndReturn($scope.fields,'api_name',$scope.layout.sections[sec].fields[fld].api_name);
                    for(var key in retObj){
                        result[key]=retObj[key];
                    }
                    for(var key in $scope.layout.sections[sec].fields[fld]){
                        result[key]=$scope.layout.sections[sec].fields[fld][key];
                    }
                    // $scope.layout.sections[sec].fields[fld]=result;
                    resultArray.push(result);
                }
            }
            // console.log("combinedFields:");
            // console.dir(resultArray);
            $scope.combinedFields=resultArray;

            // console.log("metadata");
            // console.log($scope.metadata);
            $scope.getNotes($scope.metadata.id,$scope.metadata.Notes);
            // $scope.getPotentials($scope.metadata.id,$scope.metadata.Potentials);
            // $scope.getCampaigns($scope.metadata.id,$scope.metadata.Campaigns);
            $scope.showFullScreen=true;
             $scope.safeApply();
        });
        $scope.safeApply();
    // });


  $scope.getNotes=function(id,listId){
        // console.log("getNotes function executing");
        // console.log(listId);
        chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
            if(response.status=="success"){
                var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                var url = "https://crm.zoho."+response.datacenterExt+"/crm/v2/Campaigns/"+id+"/Notes";
                var getNotes_api=$http.get(url,config);
                getNotes_api.success( function(resp, status, headers, config) {
                    if(status==200){
                        // console.log(status);
                        // console.log(resp);
                        $scope.Notes=resp.data;
                        for(note in $scope.Notes){
                            $scope.Notes[note].Note_Content_Mention=$scope.Notes[note].Note_Content;
                            var matchedContent=$scope.Notes[note].Note_Content.match(/crm\[user#\d{0,25}#\d{0,15}\]crm/gi);
                            // console.log("matchedContent:"+matchedContent);
                            if(matchedContent!=null){
                                // console.log(matchedContent.length);
                                for(var i=0;i<matchedContent.length;i++){
                                    var idPart=matchedContent[i].match(/#\d{0,25}#/gi);
                                    // console.log(idPart);
                                    if(idPart!=null){
                                        var userId=idPart[0].substring(1,idPart[0].length-1);
                                        if($scope.usersListWithId[userId]!=undefined){
                                            $scope.Notes[note].Note_Content_Mention=$scope.Notes[note].Note_Content_Mention.replace(matchedContent[i],"@"+$scope.usersListWithId[userId].full_name);
                                        }else{
                                            $scope.Notes[note].Note_Content_Mention=$scope.Notes[note].Note_Content_Mention.replace(matchedContent[i],"");
                                        }
                                    }
                                }
                            }
                            var matchedContent=$scope.Notes[note].Note_Content.match(/crm\[role#\d{0,25}#\d{0,25}\]crm/gi);
                            // console.log("matchedContent:"+matchedContent);
                            if(matchedContent!=null){
                                // console.log(matchedContent.length);
                                for(var i=0;i<matchedContent.length;i++){
                                    var idPart=matchedContent[i].match(/#\d{0,25}#/gi);
                                    // console.log(idPart);
                                    if(idPart!=null){
                                        var userId=idPart[0].substring(1,idPart[0].length-1);
                                        if($scope.rolesListWithId[userId]!=undefined){
                                            $scope.Notes[note].Note_Content_Mention=$scope.Notes[note].Note_Content_Mention.replace(matchedContent[i],"@"+$scope.rolesListWithId[userId].name);
                                        }else{
                                            $scope.Notes[note].Note_Content_Mention=$scope.Notes[note].Note_Content_Mention.replace(matchedContent[i],"");
                                        }
                                    }
                                }
                            }
                            
                        }
                    }else if(status=204){
                        // console.log(status);
                        // console.log(resp);
                    }else{
                        // console.log(status);
                        // console.log(resp);
                    }
                });
                getNotes_api.error( function(resp, status, headers, config) {
                    // console.log(status);
                    // console.log(resp);
                });
            }
            $scope.safeApply();
        });
    }
    $scope.getNotesById=function(id){
        // console.log("getNotesById function executing");
        chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
            if(response.status=="success"){
                var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                var url = "https://crm.zoho."+response.datacenterExt+"/crm/v2/Campaigns/"+$scope.metadata.id+"/Notes/"+id;
                var getNotesById_api=$http.get(url,config);
                getNotesById_api.success( function(resp, status, headers, config) {
                    if(status==200){
                        // console.log(status);
                        // console.log(resp);
                        resp.data[0].Note_Content_Mention=resp.data[0].Note_Content;
                        var matchedContent=resp.data[0].Note_Content.match(/crm\[user#\d{0,25}#\d{0,15}\]crm/gi);
                        // console.log("matchedContent:"+matchedContent);
                        if(matchedContent!=null){
                            // console.log(matchedContent.length);
                            for(var i=0;i<matchedContent.length;i++){
                                var idPart=matchedContent[i].match(/#\d{0,25}#/gi);
                                // console.log(idPart);
                                if(idPart!=null){
                                    var userId=idPart[0].substring(1,idPart[0].length-1);
                                    if($scope.usersListWithId[userId]!=undefined){
                                        resp.data[0].Note_Content_Mention=resp.data[0].Note_Content_Mention.replace(matchedContent[i],"@"+$scope.usersListWithId[userId].full_name);
                                    }else{
                                        resp.data[0].Note_Content_Mention=resp.data[0].Note_Content_Mention.replace(matchedContent[i],"");
                                    }
                                }
                            }
                        }
                        var matchedContent=resp.data[0].Note_Content.match(/crm\[role#\d{0,25}#\d{0,25}\]crm/gi);
                        // console.log("matchedContent:"+matchedContent);
                        if(matchedContent!=null){
                            // console.log(matchedContent.length);
                            for(var i=0;i<matchedContent.length;i++){
                                var idPart=matchedContent[i].match(/#\d{0,25}#/gi);
                                // console.log(idPart);
                                if(idPart!=null){
                                    var userId=idPart[0].substring(1,idPart[0].length-1);
                                    if($scope.rolesListWithId[userId]!=undefined){
                                        resp.data[0].Note_Content_Mention=resp.data[0].Note_Content_Mention.replace(matchedContent[i],"@"+$scope.rolesListWithId[userId].name);
                                    }else{
                                        resp.data[0].Note_Content_Mention=resp.data[0].Note_Content_Mention.replace(matchedContent[i],"");
                                    }
                                }
                            }
                        }
                        $scope.Notes.unshift(resp.data[0]);
                        $scope.noteParams.title='';
                        $scope.noteParams.content='';
                        $scope.noteParams.mentions={};
                        $scope.noteTitleShow=false;
                        $scope.noteEditMode=false;
                    }else if(status=204){
                        // console.log(status);
                        // console.log(resp);
                    }else{
                        // console.log(status);
                        // console.log(resp);
                    }
                });
                getNotesById_api.error( function(resp, status, headers, config) {
                    // console.log(status);
                    // console.log(resp);
                });
            }
            $scope.safeApply();
        });
    }
    //*************************Notes mentions code *******************************/
      $scope.atkeyShift=false;  
    $scope.noteContentChangeforTextArea=function($event,caretPos){
        var e=$event;
        // // console.log(e);
        var keyword, node, startOffset, endOffset;

                var key = e.keyCode || e.which;
                var keyContent=e.key;
                var sel = window.getSelection();
                $scope.checkForAnyNoteParamsMentionModification();
                if(key==50 && $scope.atkeyShift==true){
                    $scope.atkeyShift=false;
                    $scope.noteParams.mentioning = true;
                    $scope.noteParams.node = sel.focusNode;
                    $scope.noteParams.startOffset = sel.focusOffset;
                    $scope.mentionInput='';
                }else if(key==16){
                    $scope.atkeyShift=true;
                }else{
                    $scope.atkeyShift=false;
                }
                if(keyContent=="@") {
                    $scope.noteParams.mentioning = true;
                    $scope.noteParams.node = sel.focusNode;
                    $scope.noteParams.startOffset = sel.focusOffset;
                    $scope.mentionInput='';
                }else if ($scope.noteParams.mentioning && key == 13) {
                    // console.dir(sel.anchorNode);
                    var textNode=null;
                    if(sel.anchorNode.previousSibling!=null && sel.anchorNode.previousSibling!="null"){
                        if(sel.anchorNode.previousSibling.nodeName=="#text"){
                            textNode=sel.anchorNode.previousSibling;
                            $scope.noteParams.node=textNode;
                        }else{
                            var thisprechildnodes=sel.anchorNode.previousSibling.childNodes;
                            for(var i=0;i<thisprechildnodes.length;i++){
                                // console.log("got prenode:"+i+":");
                                // console.dir(thisprechildnodes[i]);
                                if(thisprechildnodes[i].nodeName=="#text" && thisprechildnodes[i].nodeValue.includes("@"+$scope.mentionInput)){
                                    textNode=thisprechildnodes[i];
                                    $scope.noteParams.node=textNode;
                                }
                            }
                        }
                    }else if(sel.anchorNode.parentNode.previousSibling!=null && sel.anchorNode.parentNode.previousSibling!="null"){
                        if(sel.anchorNode.parentNode.previousSibling.nodeName=="#text"){
                            textNode=sel.anchorNode.parentNode.previousSibling;
                            $scope.noteParams.node=textNode;
                        }else{
                            var thisprechildnodes=sel.anchorNode.parentNode.previousSibling.childNodes;
                            for(var i=0;i<thisprechildnodes.length;i++){
                                // console.log("got preprenode:"+i+":");
                                // console.dir(thisprechildnodes[i]);
                                if(thisprechildnodes[i].nodeName=="#text" && thisprechildnodes[i].nodeValue.includes("@"+$scope.mentionInput)){
                                    textNode=thisprechildnodes[i];
                                    $scope.noteParams.node=textNode;
                                }
                            }
                        }
                    }else if(sel.anchorNode.parentNode.parentNode.previousSibling!=null && sel.anchorNode.parentNode.parentNode.previousSibling!="null"){
                        if(sel.anchorNode.parentNode.parentNode.previousSibling.nodeName=="#text"){
                            textNode=sel.anchorNode.parentNode.parentNode.previousSibling;
                            $scope.noteParams.node=textNode;
                        }else{
                            var thisprechildnodes=sel.anchorNode.parentNode.parentNode.previousSibling.childNodes;
                            for(var i=0;i<thisprechildnodes.length;i++){
                                // console.log("got preprenode:"+i+":");
                                // console.dir(thisprechildnodes[i]);
                                if(thisprechildnodes[i].nodeName=="#text" && thisprechildnodes[i].nodeValue.includes("@"+$scope.mentionInput)){
                                    textNode=thisprechildnodes[i];
                                    $scope.noteParams.node=textNode;
                                }
                            }
                        }
                    }else{
                        var thischildnodes=sel.anchorNode.parentNode.parentNode.childNodes;
                        // console.log(thischildnodes.length);
                        for(var i=0;i<thischildnodes.length;i++){
                            thischildnodes[i].nodeName;
                            // // console.dir(thischildnodes[i]);
                            if(thischildnodes[i].nodeName=="#text"){
                                // console.log("got node:"+i+":");
                                // console.dir(thischildnodes[i]);
                                if(thischildnodes[i].nodeName=="#text" && thischildnodes[i].nodeValue.includes("@"+$scope.mentionInput)){
                                    textNode=thisprechildnodes[i];
                                    $scope.noteParams.node=textNode;
                                }
                            }
                        }
                    }
                    if(textNode==null){
                        // console.log("########################verify again null i cant do this###################");
                        // return false;
                    }else{
                        // console.dir(textNode);
                        var caret = $scope.noteParams.endOffset; // insert caret after the 10th character say
                        var range = document.createRange();
                        range.setStart(textNode, caret);
                        range.setEnd(textNode, caret);
                        sel.removeAllRanges();
                        sel.addRange(range);
                    }

                    
                    // console.log(sel)
                    // console.log(sel.focusOffset);
                    // console.log($scope.noteParams.content);
                    var firstLiInMentions=angular.element("#mentionsList li");
                    if(firstLiInMentions.length>0){
                        var owner=JSON.parse(firstLiInMentions[0].attributes.firstLiData.value);
                        $scope.liMentionsClicked(owner,"enter",textNode);
                    }
                } else if ($scope.noteParams.mentioning && key == 27) {
                    $scope.noteParams.mentioning = false;
                    $scope.mentionInput=null;
                } else if ($scope.noteParams.mentioning) {
                    // console.log("inmention");
                    $scope.noteParams.endOffset = sel.focusOffset;
                    var range = sel.getRangeAt(0);

                    if($scope.noteParams.endOffset < $scope.noteParams.startOffset) {
                        $scope.noteParams.mentioning = false;
                        $scope.mentionInput=null;
                        return;
                    }

                    range.setStart($scope.noteParams.node, $scope.noteParams.startOffset);
                    range.setEnd($scope.noteParams.node,$scope.noteParams.endOffset);
                    // console.log(range);
                    keyword = range.toString();
                    // console.log(keyword);
                    sel.collapseToEnd();
                    if(keyword.substring(keyword.length-1,keyword.length)==" "){//the space in the condition is some rare space character
                        keyword=keyword.substring(0,keyword.length-1)+" ";
                    }
                    $scope.noteParams.preContent=$scope.noteParams.content;
                    $scope.mentionInput=keyword;
                }
                $scope.noteParams.sel=sel;
    }
    $scope.liMentionsClicked=function(owner,from,textNode){
       $scope.maintainPosition();
        var sel = window.getSelection();
        $scope.noteParams.endOffset = sel.focusOffset;
        $scope.noteParams.mentioning = false;
        var range = sel.getRangeAt(0);
        range.setStart($scope.noteParams.node, $scope.noteParams.startOffset-1);
        range.deleteContents();
        var firstLiInMentions=angular.element("#mentionsList li");
        if(owner.hasOwnProperty("zuid")){
            $scope.pasteHtmlAtCaret("<span class='mention-name' contenteditable='false' ownerId='"+owner.id+"'>"+"@"+owner.full_name+"</span>&nbsp;");
        }else{
            $scope.pasteHtmlAtCaret("<span class='mention-role' contenteditable='false' ownerId='"+owner.id+"'>"+"@"+owner.name+"</span>&nbsp;");
        }
        if(from=="enter" && textNode!=null){
            var sel=window.getSelection();
            // console.dir(sel.focusNode);
            if(sel.focusNode.nextSibling!=null && sel.focusNode.nextSibling!="null" && sel.focusNode.nextSibling.nodeName=="DIV"){
                // console.log("%%%%%%%%%%inside");
                // console.log(sel.focusNode.nextSibling.outerHTML.toString());
                // console.log(sel.focusNode.nextSibling.outerHTML1);
                if(sel.focusNode.nextSibling.outerHTML!=undefined){
                    // console.log("%%%%%%%%%%inside11");
                    var nxtSib=sel.focusNode.nextSibling.outerHTML.replace(/<div>|<\/div>|<br>/g,"");
                    sel.focusNode.nextSibling.outerHTML="";
                    $scope.pasteHtmlAtCaret(nxtSib);
                    $scope.setCaretPosWithOwnerId(owner.id);
                }
            }
        }
        $scope.noteParams.mentions[owner.id]=owner;
        $scope.mentionInput=null;
    }
    $scope.setCaretPosWithOwnerId=function(id) {
        var sel=window.getSelection();
        // console.dir(sel.focusNode);
        var node=null;
        for(var i=0;i<sel.focusNode.childNodes.length;i++){
            // console.log(sel.focusNode.childNodes[i].nodeName);
             // console.log(sel.focusNode.childNodes[i].attributes);
              // // console.log(sel.focusNode.childNodes[i].attributes.ownerid);
            if(sel.focusNode.childNodes[i].nodeName=="SPAN" && sel.focusNode.childNodes[i].attributes!=undefined && sel.focusNode.childNodes[i].attributes.ownerid.value==id){
               // console.log("&&&&&&found");
                node=sel.focusNode.childNodes[i];
            }
        }
        if(node!=null){
            var range=sel.getRangeAt(0);
            range.setStartAfter(node);
            range.collapse(true);
            sel.removeAllRanges();
            sel.addRange(range);
        }
    }
    $scope.maintainPosition=function(){
         var el = document.getElementById("notes");
        var range= document.createRange();
        var sel = $scope.noteParams.sel;
        range.setStart($scope.noteParams.node, $scope.noteParams.endOffset);
        range.collapse(true);
        sel.removeAllRanges();
        sel.addRange(range);
        el.focus();
    }
    $scope.checkForAnyNoteParamsMentionModification=function(){
        var span=$("#notes .mention-name");
        var ownerids=[];
        for(var i=0;i<span.length;i++){
            ownerids.push(span[i].attributes.ownerid.value);
        }
        var span=$("#notes .mention-role");
        for(var i=0;i<span.length;i++){
            ownerids.push(span[i].attributes.ownerid.value);
        }
        for(key in $scope.noteParams.mentions){
            if(!ownerids.includes(key)){
                delete $scope.noteParams.mentions[key];
            }
        }

    }
    $scope.pasteHtmlAtCaret=function(html) {
        var sel, range;
        if (window.getSelection) {
            // IE9 and non-IE
            sel = window.getSelection();
            if (sel.getRangeAt && sel.rangeCount) {
                range = sel.getRangeAt(0);
                range.deleteContents();

                // Range.createContextualFragment() would be useful here but is
                // non-standard and not supported in all browsers (IE9, for one)
                var el = document.createElement("div");
                el.innerHTML = html;
                var frag = document.createDocumentFragment(), node, lastNode;
                while ( (node = el.firstChild) ) {
                    lastNode = frag.appendChild(node);
                }
                range.insertNode(frag);
            //     range.setStart($scope.noteParams.node, $scope.noteParams.startOffset);
            // range.setEnd($scope.noteParams.node,$scope.noteParams.endOffset);
                // Preserve the selection
                if (lastNode) {
                    range = range.cloneRange();
                    range.setStartAfter(lastNode);
                    range.collapse(true);
                    sel.removeAllRanges();
                    sel.addRange(range);
                }
            }
        } else if (document.selection && document.selection.type != "Control") {
            // IE < 9
            document.selection.createRange().pasteHTML(html);
        }
    }
    $scope.replaceNoteContentBeforeApiCall=function(){
        var content=$scope.noteParams.content;
        var span=$("#notes .mention-name");
        var ownerids=[];
        for(var i=0;i<span.length;i++){
            var id=span[i].attributes.ownerid.value;
            content=content.replace(span[i].outerHTML,"crm[user#"+$scope.noteParams.mentions[id].id+"#"+$scope.noteParams.mentions[id].zuid+"]crm");
        }
        var span=$("#notes .mention-role");
        var ownerids=[];
        for(var i=0;i<span.length;i++){
            var id=span[i].attributes.ownerid.value;
            content=content.replace(span[i].outerHTML,"crm[role#"+$scope.noteParams.mentions[id].id+"#"+$scope.noteParams.mentions[id].id+"]crm");
        }
        content=content.replace(/<div>/g,"\n");
        content=content.replace(/<\/div>/g,"");
        var tempDiv= document.createElement('div');
        tempDiv.innerHTML= content;
        content=tempDiv.textContent || tempDiv.innerText;
        content=content.replace(/\ncrm\[user#/g,"crm[user#");
        content=content.trim();
        return content;
    }
    $scope.replaceNoteContentBeforeEdit=function(content){
        $scope.noteParams.mentions={};
        var mentionsBeforeEdit=content.match(/crm\[user#\d{0,25}#\d{0,15}\]crm/gi);
        // console.log(mentionsBeforeEdit);
        if(mentionsBeforeEdit!=null){
            for(var i=0;i<mentionsBeforeEdit.length;i++){
                var idPart=mentionsBeforeEdit[i].match(/#\d{0,25}#/gi);
                if(idPart!=null){
                    var userId=idPart[0].substring(1,idPart[0].length-1);
                    if($scope.usersListWithId[userId]!=undefined){
                        content=content.replace(mentionsBeforeEdit[i],"<span class='mention-name' contenteditable='false' ownerId='"+userId+"'>"+"@"+$scope.usersListWithId[userId].full_name+"</span>");
                        $scope.noteParams.mentions[userId]=$scope.usersListWithId[userId];
                    }else{
                        content=content.replace(mentionsBeforeEdit[i],"");
                    }
                }
            }
        }
        var mentionsBeforeEdit=content.match(/crm\[role#\d{0,25}#\d{0,25}\]crm/gi);
        // console.log(mentionsBeforeEdit);
        if(mentionsBeforeEdit!=null){
            for(var i=0;i<mentionsBeforeEdit.length;i++){
                var idPart=mentionsBeforeEdit[i].match(/#\d{0,25}#/gi);
                if(idPart!=null){
                    var userId=idPart[0].substring(1,idPart[0].length-1);
                    if($scope.rolesListWithId[userId]!=undefined){
                        content=content.replace(mentionsBeforeEdit[i],"<span class='mention-role' contenteditable='false' ownerId='"+userId+"'>"+"@"+$scope.rolesListWithId[userId].name+"</span>");
                        $scope.noteParams.mentions[userId]=$scope.rolesListWithId[userId];
                    }else{
                        content=content.replace(mentionsBeforeEdit[i],"");
                    }
                }
            }
        }
        content=content.replace(/\n/g,"<br>");
        return content;
    }


    /*************************************** New Note insert Functions Start***************************************/
    $scope.addNote=function(){
        if($scope.modulesList.Notes!=null && $scope.modulesList.Notes.creatable==false){
            $scope.sharedData.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layout.visible!=null && $scope.layout.visible!=undefined && $scope.layout.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Campaigns.singular_label+" "+$scope.layout.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        // console.log("addNote clicked");
        $scope.sharedData.succErrorInit('loading',$scope.exti18n.ppw);
        // console.log("id:"+$scope.noteParams.campaignId+" content:"+$scope.noteParams.content);
        if($scope.noteParams.content==null ||$scope.noteParams.content ==""){
            $scope.sharedData.succErrorInit('error',$scope.modulesList.Notes.singular_label+" "+$scope.exti18n.contentMan);
        }else{
            chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
                if(response.status=="success"){
                    var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                    var url="https://crm.zoho."+response.datacenterExt+"/crm/v2/Campaigns/"+$scope.metadata.id+"/Notes";
                    // console.log(":"+$scope.noteParams.title+":");
                    var innerMainObj={};
                    if($scope.noteParams.title!=""){
                        innerMainObj["Note_Title"]=$scope.noteParams.title;
                    }
                    if($scope.noteParams.content!=""){
                        innerMainObj["Note_Content"]=$scope.replaceNoteContentBeforeApiCall();
                    }
                    // console.log(JSON.stringify(innerMainObj));
                    var rawObj='{"data":['+JSON.stringify(innerMainObj)+']}';
                    var addNote_api=$http.post(url,rawObj,config);
                    addNote_api.success(function(resp, status, headers, config){
                        if(status==201){
                            // console.log(status);
                            // console.log(resp);
                            $scope.getNotesById(resp.data[0].details.id);
                            $scope.sharedData.succErrorInit('success',$scope.exti18n.addedSuc.replace("{{module}}",$scope.modulesList.Notes.singular_label));
                            setTimeout(function(){ 
                                var ele=$('#n'+resp.data[0].details.id);
                                ele.focus();
                                ele.addClass("newlyaddedcolor");
                                ele.fadeTo(1500,1,function(){
                                ele.removeClass("newlyaddedcolor");});
                               
                            }, 1000);
                        }else{
                            // console.log(status);
                            // console.log(resp);
                            try{
                                if(resp.data[0].hasOwnProperty("details") && resp.data[0].details.maximum_length!=undefined){
                                    $scope.sharedData.succErrorInit('error',$scope.exti18n.maxCharMod.replace("{{0}}",resp.data[0].details.maximum_length).replace("{{module}}",$scope.modulesList.Notes.singular_label));
                                }else{
                                    $scope.sharedData.succErrorInit('error',resp.data[0].message);
                                }
                            }catch(e){
                                if(resp.data!=null && resp.data[0]!=null){
                                    $scope.sharedData.succErrorInit('error',resp.data[0].message);
                                }else if(resp.message=="the relation name given seems to be invalid"){
                                    $scope.sharedData.succErrorInit('error',"Oops! Something went wrong. Please contact our support.");
                                }else{
                                    $scope.sharedData.succErrorInit('error',resp.message);
                                }
                            }
                        }
                    });
                    addNote_api.error(function(resp, status, headers, config){
                        // console.log(status);
                        // console.log(resp);
                        try{
                            if(resp.data[0].hasOwnProperty("details") && resp.data[0].details.maximum_length!=undefined){
                                $scope.sharedData.succErrorInit('error',$scope.exti18n.maxCharMod.replace("{{0}}",resp.data[0].details.maximum_length).replace("{{module}}",$scope.modulesList.Notes.singular_label));
                            }else{
                                $scope.sharedData.succErrorInit('error',resp.data[0].message);
                            }
                        }catch(e){
                            if(resp.data!=null && resp.data[0]!=null){
                                $scope.sharedData.succErrorInit('error',resp.data[0].message);
                            }else if(resp.message=="the relation name given seems to be invalid"){
                                $scope.sharedData.succErrorInit('error',"Oops! Something went wrong. Please contact our support.");
                            }else{
                                $scope.sharedData.succErrorInit('error',resp.message);
                            }
                        }
                    });
                }else{
                    $scope.sharedData.succErrorReset();
                }
                $scope.safeApply();
            });
        }
    }
    $scope.resetNote=function(){
        $scope.noteTitleShow=false;
        $scope.noteParams.title='';
        $scope.noteParams.content='';
        $scope.noteParams.mentions={};
    }
    /*************************************** New Note insert Functions End ***************************************/

    /*************************************** Edit Note update Functions Start***************************************/
    $scope.saveNote=function(){
        if($scope.modulesList.Notes!=null && $scope.modulesList.Notes.editable==false){
            $scope.sharedData.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layout.visible!=null && $scope.layout.visible!=undefined && $scope.layout.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Campaigns.singular_label+" "+$scope.layout.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        // console.log("saveNote clicked");
        $scope.sharedData.succErrorInit('loading',$scope.exti18n.ppw);
        // console.log("id:"+$scope.noteParams.campaignId+" content:"+$scope.noteParams.content);
        // console.log("noteID:"+$scope.lastNoteEdited.id);
        if($scope.noteParams.content==null ||$scope.noteParams.content ==""){
            $scope.sharedData.succErrorInit('error',$scope.modulesList.Notes.singular_label+" "+$scope.exti18n.contentMan);
        }else{
            chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
                if(response.status=="success"){
                    var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                    var url="https://crm.zoho."+response.datacenterExt+"/crm/v2/Campaigns/"+$scope.metadata.id+"/Notes/"+$scope.lastNoteEdited.id;
                    var innerMainObj={};
                    if($scope.noteParams.title!=""){
                        innerMainObj["Note_Title"]=$scope.noteParams.title;
                    }
                    if($scope.noteParams.content!=""){
                        innerMainObj["Note_Content"]=$scope.replaceNoteContentBeforeApiCall();
                    }
                    // console.log(JSON.stringify(innerMainObj));
                    var rawObj='{"data":['+JSON.stringify(innerMainObj)+']}';
                    // var rawObj='{"data":[{"Note_Title":"'+$scope.noteParams.title+'","Note_Content":"'+$scope.noteParams.content+'"}]}';
                    var saveNote_api=$http.put(url,rawObj,config);
                    saveNote_api.success(function(resp, status, headers, config){
                        if(status==200){
                            // console.log(status);
                            // console.log(resp);
                            if(resp.data[0].code=="SUCCESS"){
                                $scope.getNotesById($scope.lastNoteEdited.id);
                                $scope.sharedData.succErrorInit('success',$scope.exti18n.updateMsg.replace("{{module}}",$scope.modulesList.Notes.singular_label));
                                setTimeout(function(){ 
                                    var ele=$('#n'+resp.data[0].details.id);
                                    ele.focus();
                                    ele.addClass("newlyaddedcolor");
                                    ele.fadeTo(1500,1,function(){
                                    ele.removeClass("newlyaddedcolor");});
                                   
                                }, 1000);
                            }else{
                                // console.log("something went wrong");
                                try{
                                    if(resp.data[0].hasOwnProperty("details") && resp.data[0].details.maximum_length!=undefined){
                                        $scope.sharedData.succErrorInit('error',$scope.exti18n.maxCharMod.replace("{{0}}",resp.data[0].details.maximum_length).replace("{{module}}",$scope.modulesList.Notes.singular_label));
                                    }else{
                                        $scope.sharedData.succErrorInit('error',resp.data[0].message);
                                    }
                                }catch(e){
                                    if(resp.data!=null && resp.data[0]!=null){
                                        $scope.sharedData.succErrorInit('error',resp.data[0].message);
                                    }else if(resp.message=="the relation name given seems to be invalid"){
                                        $scope.sharedData.succErrorInit('error',"Oops! Something went wrong. Please contact our support.");
                                    }else{
                                        $scope.sharedData.succErrorInit('error',resp.message);
                                    }
                                }
                            }
                            
                        }else{
                            // console.log(status);
                            // console.log(resp);
                            try{
                                if(resp.data[0].hasOwnProperty("details") && resp.data[0].details.maximum_length!=undefined){
                                    $scope.sharedData.succErrorInit('error',$scope.exti18n.maxCharMod.replace("{{0}}",resp.data[0].details.maximum_length).replace("{{module}}",$scope.modulesList.Notes.singular_label));
                                }else{
                                    $scope.sharedData.succErrorInit('error',resp.data[0].message);
                                }
                            }catch(e){
                                if(resp.data!=null && resp.data[0]!=null){
                                    $scope.sharedData.succErrorInit('error',resp.data[0].message);
                                }else if(resp.message=="the relation name given seems to be invalid"){
                                    $scope.sharedData.succErrorInit('error',"Oops! Something went wrong. Please contact our support.");
                                }else{
                                    $scope.sharedData.succErrorInit('error',resp.message);
                                }
                            }
                        }
                    });
                    saveNote_api.error(function(resp, status, headers, config){
                        // console.log(status);
                        // console.log(resp);
                        try{
                            if(resp.data[0].hasOwnProperty("details") && resp.data[0].details.maximum_length!=undefined){
                                $scope.sharedData.succErrorInit('error',$scope.exti18n.maxCharMod.replace("{{0}}",resp.data[0].details.maximum_length).replace("{{module}}",$scope.modulesList.Notes.singular_label));
                            }else{
                                $scope.sharedData.succErrorInit('error',resp.data[0].message);
                            }
                        }catch(e){
                            if(resp.data!=null && resp.data[0]!=null){
                                $scope.sharedData.succErrorInit('error',resp.data[0].message);
                            }else if(resp.message=="the relation name given seems to be invalid"){
                                $scope.sharedData.succErrorInit('error',"Oops! Something went wrong. Please contact our support.");
                            }else{
                                $scope.sharedData.succErrorInit('error',resp.message);
                            }
                        }
                    });
                }else{
                    $scope.sharedData.succErrorReset();
                }
                $scope.safeApply();
            });
        }
    }
    $scope.cancelNote=function(){
        $scope.Notes.unshift($scope.lastNoteEdited);
        $scope.noteEditMode=false;
        $scope.noteTitleShow=false;
        $scope.noteParams.title='';
        $scope.noteParams.content='';
        $scope.noteParams.mentions={};

    }

     $scope.prevNotesList=function(){
        // console.log("clicked prevNotesList:"+$scope.limitNotesStart+":"+$scope.limitNotesEnd);
        if($scope.limitNotesStart!=0){
            $scope.limitNotesStart=$scope.limitNotesStart-3;
            $scope.limitNotesEnd=$scope.limitNotesEnd-3;
            // console.log("clicked prevNotesList:"+$scope.limitNotesStart+":"+$scope.limitNotesEnd);
        }
    }
    $scope.nextNotesList=function(){
        // console.log("clicked nextNotesList"+$scope.limitNotesStart+":"+$scope.limitNotesEnd);
        if($scope.limitNotesEnd<$scope.Notes.length){
             $scope.limitNotesStart=$scope.limitNotesStart+3;
            $scope.limitNotesEnd=$scope.limitNotesEnd+3;
            // console.log("clicked prevNotesList:"+$scope.limitNotesStart+":"+$scope.limitNotesEnd);
        }
    }
    /*************************************** Edit Note update Functions Start***************************************/

    /*************************************** List of  Notes Functions Start***************************************/
    $scope.deleteNote=function(id){
        if($scope.modulesList.Notes!=null && $scope.modulesList.Notes.deletable==false){
            $scope.sharedData.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layout.visible!=null && $scope.layout.visible!=undefined && $scope.layout.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Campaigns.singular_label+" "+$scope.layout.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        // console.log("id:"+id);
        $scope.deleteYesOrNoInNote="show";
        $scope.safeApply();
        var unregister = $scope.$watch('deleteYesOrNoInNote', function () {
            if($scope.deleteYesOrNoInNote=='yes'){
                $scope.deleteYesOrNoInNote="hide";
                $scope.sharedData.succErrorInit('loading',$scope.exti18n.ppw);
                chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
                    if(response.status=="success"){
                        var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                        var url="https://crm.zoho."+response.datacenterExt+"/crm/v2/Campaigns/"+$scope.metadata.id+"/Notes/"+id;
                        var deleteNote_api=$http.delete(url,config);
                        deleteNote_api.success( function(resp, status, headers, config) {
                            resp=resp.data[0];
                            if(resp.code=="SUCCESS" && resp.message=="record deleted"){
                                findAndRemove($scope.Notes, 'id', id);
                                $scope.sharedData.succErrorInit('success',$scope.exti18n.delSuc.replace("{{module}}",$scope.modulesList.Notes.singular_label));
                            }else{
                                $scope.sharedData.succErrorInit('error',resp.message);
                            }
                        });
                        deleteNote_api.error(function(resp, status,headers,config){
                            resp=resp.data[0];
                            $scope.sharedData.succErrorInit('error',resp.message);
                        });
                    }else{
                        $scope.sharedData.succErrorReset();
                    }
                    $scope.safeApply();
                });
                unregister();
            }else if($scope.deleteYesOrNoInNote=='no'){
                // console.log("no clicked");
                $scope.deleteYesOrNoInNote="hide";
                unregister();
            }
        });
    }
    
    $scope.editNote=function(thisNote){
        if($scope.modulesList.Notes!=null && $scope.modulesList.Notes.editable==false){
            $scope.sharedData.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layout.visible!=null && $scope.layout.visible!=undefined && $scope.layout.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Campaigns.singular_label+" "+$scope.layout.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        // console.dir(thisNote);
        
        if($scope.noteEditMode==false){
            $scope.lastNoteEdited=thisNote;
            // $scope.noteParams.content=thisNote.Note_Content;
            
            $scope.noteEditMode=true;
            // console.log(thisNote.Note_Title);
            if(thisNote.Note_Title!=null&&thisNote.Note_Title!=""&&thisNote.Note_Title!=undefined){
                $scope.noteParams.content=$scope.replaceNoteContentBeforeEdit(thisNote.Note_Content+" ");
                 $scope.noteParams.title=thisNote.Note_Title;
                 $scope.noteTitleShow=true;
            }else{
                $("#notes").html($scope.replaceNoteContentBeforeEdit(thisNote.Note_Content)+" ");
                // // console.log(angular.element("#note"));
                $scope.noteTitleShow=false;
                // var ele=document.querySelector('#notes');
                // ele.focus();
                var el = document.getElementById("notes");
                var range = document.createRange();
                var sel = window.getSelection();
                var node=el;
                // console.dir(node);
                while ( node.lastChild!=null && node.lastChild!=undefined ) {
                    node=node.lastChild;
                    // console.log("insde:");
                    // console.dir(node);
                }
                range.setStart(node, node.length);
                range.collapse(true);
                sel.removeAllRanges();
                sel.addRange(range);
                el.focus();
            }
            findAndRemove($scope.Notes, 'id', thisNote.id);
            $scope.noteEditMode=true;
        }else if($scope.noteEditMode==true){
            $scope.Notes.unshift($scope.lastNoteEdited);
            $scope.lastNoteEdited=thisNote;
            // $scope.noteParams.content=thisNote.Note_Content;
            
            $scope.noteEditMode=true;
            //  // console.log(thisNote.Note_Title);
            if(thisNote.Note_Title!=null&&thisNote.Note_Title!=""&&thisNote.Note_Title!=undefined){
                $scope.noteParams.content=$scope.replaceNoteContentBeforeEdit(thisNote.Note_Content+" ");
                 $scope.noteParams.title=thisNote.Note_Title;
                 $scope.noteTitleShow=true;
            }else{
                $("#notes").html($scope.replaceNoteContentBeforeEdit(thisNote.Note_Content)+" ");
                // // console.log(angular.element("#note"));
                $scope.noteTitleShow=false;
                // var ele=document.querySelector('#notes');
                // ele.focus();
                var el = document.getElementById("notes");
                var range = document.createRange();
                var sel = window.getSelection();
                var node=el;
                // console.dir(node);
                while ( node.lastChild!=null && node.lastChild!=undefined ) {
                    node=node.lastChild;
                    // console.log("insde:");
                    // console.dir(node);
                }
                range.setStart(node, node.length);
                range.collapse(true);
                sel.removeAllRanges();
                sel.addRange(range);
                el.focus();
            }
            findAndRemove($scope.Notes, 'id', thisNote.id);
        }
        

    }
    /*************************************** List of  Notes Functions End ***************************************/

    /*************************************** Title input field in Note-Form shown Function Start ***************************************/
    $scope.enableNoteTitle=function(){
        // console.log("enableNoteTitle clicked");
        $scope.noteTitleShow=true;
        // console.log(angular.element("#title"));
    }

    // $scope.deleteCampaign=function(id){
    //     // console.log("deleteCampaign function executing");
        // var url='https://crm.zoho.com/crm/v2/Campaigns/'+id+'?ticket=62da170879c20c93bd148e51da7a533a';
        // var deleteCampaign=$http.delete(url);
        // deleteCampaign.success( function(resp, status, headers, config) {
        //     // console.log("deleted response:");
        //     // console.log(status)
        //     // console.dir(resp);
        //     if(status==200){
        //         // console.log("success Campaign deleted");
        //         findAndRemove($scope.sharedData.moduleData.data,'id',id);
        //         chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'campaignsListFromMenu',value:$scope.sharedData.moduleData},function(response){
        //             if(response.resp=="success"){
        //                 chrome.extension.sendRequest({name:'html/campaign.html',redirect:'toContent',action:''});
        //             }
        //         });
        //         $scope.safeApply();

        //     }
        // });
        // deleteCampaign.error(function(resp, status,headers,config){
        //         // console.log("failure Campaign not deleted");
        //         // console.log(status);
        //         // console.dir(resp);
        // });
    //     $scope.sharedData.deleteCampaign(id);
    // }

    function findAndRemove(array, property, value) {
      array.forEach(function(result, index) {
        if(result[property] === value) {
          //Remove from array
          array.splice(index, 1);
        }    
      });
    }
  function findAndReturn(array, property, value) {
    for(var i=0;i<array.length;i++){
      if(array[i][property] === value){
        return array[i];
      }
    }
  }
  $scope.goBack=function(){
    // console.log("goBack clicked1");
    $scope.sharedData.id=null;
    $scope.$applyAsync();
    window.parent.document.getElementById('zc_innerIframeParentDiv').removeChild(window.parent.document.getElementById('zc_innerIframePage'));
  }
  $scope.openExternalLink=function(){
        chrome.extension.sendRequest({name:'checkZatTime'},function(response){ 
            var website="https://crm.zoho."+response.datacenterExt+"/crm/"+response.orgId+"/EntityInfo.do?module=Campaigns&id="+$scope.details.id;
            chrome.extension.sendRequest({name:'',redirect:'openUrlInNewTab',action:'',url:website},function(response){});
        });
    }
});