    
mainApp.filter('eleminateFields',function($filter){
    return function(item){
        var result=false;
        var options=["$approved","id","First_Name","Last_Name","Title","Account_Name","Email","Fax","Mobile","Phone","Full_Name"];
        if(options.indexOf(item)<0){
            result=true;
        }
        return result;
    }
});
mainApp.controller('contactDetails', function ($scope, $http, $element, $interval, $timeout,todoStorage,sharedData) {

    $scope.safeApply = function(fn) {   /* used in todoStorage for data binding */
      var phase = this.$root.$$phase;
      if(phase == '$apply' || phase == '$digest') {
        if(fn && (typeof(fn) === 'function')) {
          fn();
        }
      } else {
        this.$apply(fn);
      }
    };
    $scope.todoStorage = todoStorage;   /* got from a mainApp service used to fetch data from chrome db */
  $scope.exti18n={};
  $scope.todoStorage.currentUserData(function(data){
    if(data!=null){
      $scope.currentUserData=data.users[0];
    }
    // console.log($scope.currentUserData);
    if($scope.currentUserData!=undefined && lang_i18n["lang_"+$scope.currentUserData.language]!=undefined){
      $scope.exti18n=lang_i18n["lang_"+$scope.currentUserData.language];
    }else{
      $scope.exti18n=lang_i18n["lang_en_US"];
    }
    
    $scope.actFilterStatusOpt=[{"display_value":$scope.exti18n.all,"actual_value":""},{"display_value":$scope.exti18n.open,"actual_value":"OPEN"},{"display_value":$scope.exti18n.closed,"actual_value":"CLOSED"}];
    $scope.safeApply($scope.exti18n);
  });
  $scope.todoStorage.nameFormat(function(data){
      if(data!=null){
          $scope.nameFormat=data;
      }else{
          $scope.nameFormat="fl";
      }
  });
  $scope.safeApply($scope.exti18n);
  $scope.webpage ="Gmail";
  chrome.extension.sendRequest({name:'getwebpage'},function(resp){
    // console.log(resp);
    $scope.webpage=resp;
    $scope.safeApply();
  });
  $scope.actFilterStatusOpt={};
    $scope.showFullScreen=false; /* shows the screen after full html loaded if true*/
    $scope.showSignoutLoading=false;
    $scope.showPotentialList="loading"; /* loading for loading, show for show, noresults for noresults, error for api error*/
    $scope.showCampaignList="loading"; /* loading for loading, show for show, noresults for noresults, error for api error*/
    $scope.showActivityListOpen="loading"; /* loading for loading, show for show, noresults for noresults, error for api error*/
    $scope.showActivityListClose="loading"; /* loading for loading, show for show, noresults for noresults, error for api error*/
    $scope.deleteYesOrNo='hide';
    $scope.quitYesOrNo='hide';
    $scope.succError='';/*success for success, error for error,loading for loading */
    $scope.succErrorMsg='';
    $scope.currentModule='Contact';
    $scope.windowPixelChanged=false;
    $scope.sharedData = sharedData.getScope();
    $scope.sharedData.activities=[];
    $scope.toggleAddCampaign=true;
    $scope.fromCampaignsModule=[];
    $scope.statusFieldOptions=[];
    $scope.Potentials=[];
    $scope.Campaigns=[];
    $scope.modulesList={};
    // $scope.$watch('todoStorage.data', function() {
    //     $scope.todoList = $scope.todoStorage.data;
    // });
    $scope.Notes=[];
    $scope.noteParams={     /* params for edit Note-Form */
        contactId:'',
        title:'',
        content:'',
        mentions:{}
    }
    $scope.limitNotesStart=0;
    $scope.limitNotesEnd=3;
    $scope.activityDetails=[];
    $scope.noteTitleShow=false;     /* if false title field is not shown in Note-Form */
    $scope.noteEditMode=false;     /* If false Note-Form in create mode ::::: if true Note-Form in Edit mode */
    $scope.lastNoteEdited=null;     /* contains the last Edited Note */
    $scope.todayDate=new Date().getTime();
    $scope.todoStorage.modulesList(function(data){
        $scope.modulesList=data;
        if($scope.modulesList.hasOwnProperty("Activities") && $scope.modulesList.hasOwnProperty("Tasks") && $scope.modulesList.hasOwnProperty("Events")&& $scope.modulesList.hasOwnProperty("Calls")){
            $scope.actFilterModOpt=[{"display_value":$scope.modulesList.Activities.plural_label,"actual_value":""},{"display_value":$scope.modulesList.Tasks.plural_label,"actual_value":"Tasks"},{"display_value":$scope.modulesList.Events.plural_label,"actual_value":"Events"},{"display_value":$scope.modulesList.Calls.plural_label,"actual_value":"Calls"}];
        }else{
            $scope.actFilterModOpt=[{"display_value":"Activites","actual_value":""}];
        }
        $scope.safeApply();
        // console.log($scope.modulesList);
    });
    $scope.todoStorage.usersList(function(data){
        $scope.usersList=data;
        $scope.usersListWithId={};
        for (var key in $scope.usersList) {
          $scope.usersListWithId[$scope.usersList[key].id]=$scope.usersList[key];
        }
        $scope.safeApply();
        // console.log($scope.usersList);
    });
    $scope.todoStorage.rolesList(function(data){
        $scope.rolesList=data.roles;
        $scope.rolesListWithId={};
        for (var key in $scope.rolesList) {
          $scope.rolesListWithId[$scope.rolesList[key].id]=$scope.rolesList[key];
        }
        $scope.safeApply();
        // console.log($scope.rolesList);
    });
    /*************************************** Get details from db if contact is already present($scope.todoStorage.findAll) Start***************************************/
    $scope.todoStorage.searchByEmailContact(function(data){
        var result = [];
        $scope.details=data;
        // console.log($scope.details);
        $scope.metadata={};
        $scope.metadata['id']=data.id;
        $scope.noteParams.contactId=data.id;
        // $scope.getRelatedActivities(data.id);
        $scope.todoStorage.contactsMetadata(function(data){
            // var items=data.modules[0].relations;
            // // console.log(data.modules[0].relations);
            // angular.forEach(items,function(item){
            //     $scope.metadata[item.list_label.replace(/\s|\'/g, "_")]=item.list_relation_id;
            // });    
            var items=data.modules[0].layouts;
            // angular.forEach(items,function(item){
            //     if(item.name=="Standard"){
            //         $scope.layout=item;
            //     }
            // });
            // if($scope.layout==undefined && items.length>0){
            //      $scope.layout=items[0];
            // }
            for(var item in items){
                for (var profile in items[item].profiles) {
                    if (items[item].profiles[profile].id == $scope.currentUserData.profile.id && items[item].profiles[profile].default == true) {
                        $scope.layout = items[item];
                        break;
                    }
                }
            }
            // console.dir($scope.layout);
            $scope.fields=data.modules[0].fields;
            $scope.bcardFields=data.modules[0].business_card_fields;
            var resultArray=[];
            $scope.harcodedFields={};
            for(var sec=0;sec<$scope.layout.sections.length;sec++){
                for(var fld=0;fld<$scope.layout.sections[sec].fields.length;fld++){
                    var result={};
                    var retObj=findAndReturn($scope.fields,'api_name',$scope.layout.sections[sec].fields[fld].api_name);
                    for(var key in retObj){
                        result[key]=retObj[key];
                    }
                    for(var key in $scope.layout.sections[sec].fields[fld]){
                        result[key]=$scope.layout.sections[sec].fields[fld][key];
                    }
                    $scope.harcodedFields[result.api_name]=result;
                    // $scope.layout.sections[sec].fields[fld]=result;
                    resultArray.push(result);
                }
            }
            // console.log("combinedFields:");
            // console.dir(resultArray);
            $scope.combinedFields=resultArray;

            // console.log("metadata");
            // console.log($scope.metadata);
            chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
                if(response.status=="success"){
                    $scope.getNotes($scope.metadata.id,$scope.metadata.Notes);
                    $scope.getPotentials($scope.metadata.id,$scope.metadata.Potentials);
                    $scope.getCampaigns($scope.metadata.id,$scope.metadata.Campaigns);
                    $scope.getRelatedActivities($scope.metadata.id,$scope.metadata.Open_Activities,"OPEN","Activities");
                    $scope.getRelatedActivities($scope.metadata.id,$scope.metadata.Closed_Activities,"CLOSED","Activities_History");
                }
                $scope.safeApply();
            });
            
        });
        $scope.todoStorage.potentialsMetadata(function(data){
            var items=data.modules[0].layouts;
            //     angular.forEach(items,function(item){
            //         if(item.name=="Standard"){
            //             $scope.layoutPotential=item;
            //         }
            //     });
            //     if($scope.layoutPotential==undefined && items.length>0){
            //      $scope.layoutPotential=items[0];
            // }
            for(var item in items){
                for (var profile in items[item].profiles) {
                    if (items[item].profiles[profile].id == $scope.currentUserData.profile.id && items[item].profiles[profile].default == true) {
                        $scope.layoutPotential = items[item];
                        break;
                    }
                }
            }
                // console.dir($scope.layoutPotential);
                $scope.fieldsPotential=data.modules[0].fields;
                $scope.harcodedFieldsPotential={};
                var resultArray=[];
                for(var sec=0;sec<$scope.layoutPotential.sections.length;sec++){
                    for(var fld=0;fld<$scope.layoutPotential.sections[sec].fields.length;fld++){
                        var result={};
                        var retObj=findAndReturn($scope.fieldsPotential,'api_name',$scope.layoutPotential.sections[sec].fields[fld].api_name);
                        for(var key in retObj){
                            result[key]=retObj[key];
                        }
                        for(var key in $scope.layoutPotential.sections[sec].fields[fld]){
                            result[key]=$scope.layoutPotential.sections[sec].fields[fld][key];
                        }
                        $scope.harcodedFieldsPotential[result.api_name]=result;
                        // $scope.layout.sections[sec].fields[fld]=result;
                        resultArray.push(result);
                    }
                }
                // console.log("combinedFields:");
                // console.dir(resultArray);
                $scope.combinedFieldsPotential=resultArray;
                $scope.safeApply();
          });
        $scope.todoStorage.campaignsMetadata(function(data){
            var items=data.modules[0].layouts;
                // angular.forEach(items,function(item){
                //     if(item.name=="Standard"){
                //         $scope.layoutCampaign=item;
                //     }
                //     if($scope.layoutCampaign==undefined && items.length>0){
                //          $scope.layoutCampaign=items[0];
                //     }
                // });
                for(var item in items){
                        for (var profile in items[item].profiles) {
                            if (items[item].profiles[profile].id == $scope.currentUserData.profile.id && items[item].profiles[profile].default == true) {
                                $scope.layoutCampaign = items[item];
                                break;
                            }
                        }
                    }
                // console.dir($scope.layoutCampaign);
                $scope.fieldsCampaign=data.modules[0].fields;
                $scope.harcodedFieldsCampaign={};
                var resultArray=[];
                for(var sec=0;sec<$scope.layoutCampaign.sections.length;sec++){
                    for(var fld=0;fld<$scope.layoutCampaign.sections[sec].fields.length;fld++){
                        var result={};
                        var retObj=findAndReturn($scope.fieldsCampaign,'api_name',$scope.layoutCampaign.sections[sec].fields[fld].api_name);
                        for(var key in retObj){
                            result[key]=retObj[key];
                        }
                        for(var key in $scope.layoutCampaign.sections[sec].fields[fld]){
                            result[key]=$scope.layoutCampaign.sections[sec].fields[fld][key];
                        }
                        $scope.harcodedFieldsCampaign[result.api_name]=result;
                        // $scope.layout.sections[sec].fields[fld]=result;
                        resultArray.push(result);
                    }
                }
                // console.log("combinedFields:");
                // console.dir(resultArray);
                $scope.combinedFieldsCampaign=resultArray;
                $scope.safeApply();
          });
        $scope.showFullScreen=true; 
        $scope.safeApply();
    });
    

    function findAndReturn(array, property, value) {
        for(var i=0;i<array.length;i++){
          if(array[i][property] === value){
            return array[i];
          }
        }
      }
    $scope.editContact=function(){
        if($scope.modulesList.Contacts!=null && $scope.modulesList.Contacts.editable==false){
            $scope.sharedData.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layout.visible!=null && $scope.layout.visible!=undefined && $scope.layout.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Contacts.singular_label+" "+$scope.layout.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
         // console.log("editContact clicked");
      var innerEl=document.createElement("iframe");
      innerEl.className="inner-form-iframe";
      innerEl.id="zc_innerIframePage";
      innerEl.name="zc_innerIframePage";
      innerEl.src="create-form.html";//chrome.extension.getURL('html/create-form.html');
      innerEl.setAttribute('frameborder','0');
      // console.dir(angular.element('#zc_innerIframeParentDiv'));
      angular.element('#zc_innerIframeParentDiv').empty();
      angular.element('#zc_innerIframeParentDiv').append(innerEl);
      $scope.sharedData.id=null;
      $scope.sharedData.module="Contact";
      $scope.sharedData.moduleData=null;
      $scope.sharedData.data=$scope.details;
      $scope.sharedData.action="edit";
      $scope.safeApply();
      if($scope.windowPixelChanged==false){
        chrome.extension.sendRequest({name:'',redirect:'resetWinSize',action:'resetWinSize'},function(resp){});
        $scope.windowPixelChanged=true;
        $scope.safeApply();
      }
    }
    $scope.deleteContact=function(){
        if($scope.modulesList.Contacts!=null && $scope.modulesList.Contacts.deletable==false){
            $scope.sharedData.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layout.visible!=null && $scope.layout.visible!=undefined && $scope.layout.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Contacts.singular_label+" "+$scope.layout.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        // console.log("delete contact clicked");
        $scope.deleteYesOrNo="show";
        $scope.safeApply();
        var unregister = $scope.$watch('deleteYesOrNo', function () {
            if($scope.deleteYesOrNo=='yes'){
                $scope.deleteYesOrNo="hide";
                $scope.sharedData.succErrorInit('loading',$scope.exti18n.ppw);
                chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
                    if(response.status=="success"){
                        var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                        var url='https://crm.zoho.'+response.datacenterExt+'/crm/v2/Contacts/'+$scope.metadata.id;
                        var deleteContact=$http.delete(url,config);
                        deleteContact.success( function(resp, status, headers, config) {
                            // console.log("deleted response:");
                            // console.dir(resp);
                            resp=resp.data[0];
                            if(resp.code=="SUCCESS" && resp.status=="success"){
                                // console.log("success Contact deleted");
                                chrome.extension.sendRequest({name:'html/extract.html',redirect:'toContent',action:''});
                                $scope.sharedData.succErrorInit('success',$scope.exti18n.delSuc.replace("{{module}}",$scope.modulesList.Contacts.singular_label));
                            }else{
                                $scope.sharedData.succErrorInit('error',resp.message);
                            }
                        });
                        deleteContact.error(function(resp, status,headers,config){
                                // console.log("failure contact not deleted");
                                $scope.sharedData.succErrorInit('error',resp.message);
                        });
                    }else{
                        $scope.sharedData.succErrorReset();
                    }
                    $scope.safeApply();
                });
                unregister();
            }else if($scope.deleteYesOrNo=='no'){
                // console.log("no clicked");
                $scope.deleteYesOrNo="hide";
                unregister();
            }
        });
        $scope.safeApply();
    }
    $scope.getNotes=function(id,listId){
        // console.log("getNotes function executing");
        chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
            if(response.status=="success"){
                var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                var url = "https://crm.zoho."+response.datacenterExt+"/crm/v2/Contacts/"+id+"/Notes";
                var getNotes_api=$http.get(url,config);
                getNotes_api.success( function(resp, status, headers, config) {
                    if(status==200){
                        // console.log(status);
                        // console.log(resp);
                        $scope.Notes=resp.data;
                        for(note in $scope.Notes){
                            $scope.Notes[note].Note_Content_Mention=$scope.Notes[note].Note_Content;
                            var matchedContent=$scope.Notes[note].Note_Content.match(/crm\[user#\d{0,25}#\d{0,15}\]crm/gi);
                            // console.log("matchedContent:"+matchedContent);
                            if(matchedContent!=null){
                                // console.log(matchedContent.length);
                                for(var i=0;i<matchedContent.length;i++){
                                    var idPart=matchedContent[i].match(/#\d{0,25}#/gi);
                                    // console.log(idPart);
                                    if(idPart!=null){
                                        var userId=idPart[0].substring(1,idPart[0].length-1);
                                        if($scope.usersListWithId[userId]!=undefined){
                                            $scope.Notes[note].Note_Content_Mention=$scope.Notes[note].Note_Content_Mention.replace(matchedContent[i],"@"+$scope.usersListWithId[userId].full_name);
                                        }else{
                                            $scope.Notes[note].Note_Content_Mention=$scope.Notes[note].Note_Content_Mention.replace(matchedContent[i],"");
                                        }
                                    }
                                }
                            }
                            var matchedContent=$scope.Notes[note].Note_Content.match(/crm\[role#\d{0,25}#\d{0,25}\]crm/gi);
                            // console.log("matchedContent:"+matchedContent);
                            if(matchedContent!=null){
                                // console.log(matchedContent.length);
                                for(var i=0;i<matchedContent.length;i++){
                                    var idPart=matchedContent[i].match(/#\d{0,25}#/gi);
                                    // console.log(idPart);
                                    if(idPart!=null){
                                        var userId=idPart[0].substring(1,idPart[0].length-1);
                                        if($scope.rolesListWithId[userId]!=undefined){
                                            $scope.Notes[note].Note_Content_Mention=$scope.Notes[note].Note_Content_Mention.replace(matchedContent[i],"@"+$scope.rolesListWithId[userId].name);
                                        }else{
                                            $scope.Notes[note].Note_Content_Mention=$scope.Notes[note].Note_Content_Mention.replace(matchedContent[i],"");
                                        }
                                    }
                                }
                            }
                            
                        }
                    }else if(status=204){
                        // console.log(status);
                        // console.log(resp);
                    }else{
                        // console.log(status);
                        // console.log(resp);
                    }
                });
                getNotes_api.error( function(resp, status, headers, config) {
                    // console.log(status);
                    // console.log(resp);
                });
                $scope.safeApply();
            }
        });
    }
    $scope.getNotesById=function(id){
        // console.log("getNotesById function executing");
        chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
            if(response.status=="success"){
                var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                var url = "https://crm.zoho."+response.datacenterExt+"/crm/v2/Contacts/"+$scope.metadata.id+"/Notes/"+id;
                var getNotesById_api=$http.get(url,config);
                getNotesById_api.success( function(resp, status, headers, config) {
                    if(status==200){
                        // console.log(status);
                        // console.log(resp);
                        resp.data[0].Note_Content_Mention=resp.data[0].Note_Content;
                        var matchedContent=resp.data[0].Note_Content.match(/crm\[user#\d{0,25}#\d{0,15}\]crm/gi);
                        // console.log("matchedContent:"+matchedContent);
                        if(matchedContent!=null){
                            // console.log(matchedContent.length);
                            for(var i=0;i<matchedContent.length;i++){
                                var idPart=matchedContent[i].match(/#\d{0,25}#/gi);
                                // console.log(idPart);
                                if(idPart!=null){
                                    var userId=idPart[0].substring(1,idPart[0].length-1);
                                    if($scope.usersListWithId[userId]!=undefined){
                                        resp.data[0].Note_Content_Mention=resp.data[0].Note_Content_Mention.replace(matchedContent[i],"@"+$scope.usersListWithId[userId].full_name);
                                    }else{
                                        resp.data[0].Note_Content_Mention=resp.data[0].Note_Content_Mention.replace(matchedContent[i],"");
                                    }
                                }
                            }
                        }
                        var matchedContent=resp.data[0].Note_Content.match(/crm\[role#\d{0,25}#\d{0,25}\]crm/gi);
                        // console.log("matchedContent:"+matchedContent);
                        if(matchedContent!=null){
                            // console.log(matchedContent.length);
                            for(var i=0;i<matchedContent.length;i++){
                                var idPart=matchedContent[i].match(/#\d{0,25}#/gi);
                                // console.log(idPart);
                                if(idPart!=null){
                                    var userId=idPart[0].substring(1,idPart[0].length-1);
                                    if($scope.rolesListWithId[userId]!=undefined){
                                        resp.data[0].Note_Content_Mention=resp.data[0].Note_Content_Mention.replace(matchedContent[i],"@"+$scope.rolesListWithId[userId].name);
                                    }else{
                                        resp.data[0].Note_Content_Mention=resp.data[0].Note_Content_Mention.replace(matchedContent[i],"");
                                    }
                                }
                            }
                        }
                        $scope.Notes.unshift(resp.data[0]);
                        $scope.noteParams.title='';
                        $scope.noteParams.content='';
                        $scope.noteParams.mentions={};
                        $scope.noteTitleShow=false;
                        $scope.noteEditMode=false;
                    }else if(status=204){
                        // console.log(status);
                        // console.log(resp);
                    }else{
                        // console.log(status);
                        // console.log(resp);
                    }
                });
                getNotesById_api.error( function(resp, status, headers, config) {
                    // console.log(status);
                    // console.log(resp);
                });
            }
            $scope.safeApply();
        });
    }

    //*************************Notes mentions code *******************************/
      $scope.atkeyShift=false;  
    $scope.noteContentChangeforTextArea=function($event,caretPos){
        var e=$event;
        // // console.log(e);
        var keyword, node, startOffset, endOffset;

                var key = e.keyCode || e.which;
                var keyContent=e.key;
                var sel = window.getSelection();
                $scope.checkForAnyNoteParamsMentionModification();
                if(key==50 && $scope.atkeyShift==true){
                    $scope.atkeyShift=false;
                    $scope.noteParams.mentioning = true;
                    $scope.noteParams.node = sel.focusNode;
                    $scope.noteParams.startOffset = sel.focusOffset;
                    $scope.mentionInput='';
                }else if(key==16){
                    $scope.atkeyShift=true;
                }else{
                    $scope.atkeyShift=false;
                }
                if(keyContent=="@") {
                    $scope.noteParams.mentioning = true;
                    $scope.noteParams.node = sel.focusNode;
                    $scope.noteParams.startOffset = sel.focusOffset;
                    $scope.mentionInput='';
                }else if ($scope.noteParams.mentioning && key == 13) {
                    // console.dir(sel.anchorNode);
                    var textNode=null;
                    if(sel.anchorNode.previousSibling!=null && sel.anchorNode.previousSibling!="null"){
                        if(sel.anchorNode.previousSibling.nodeName=="#text"){
                            textNode=sel.anchorNode.previousSibling;
                            $scope.noteParams.node=textNode;
                        }else{
                            var thisprechildnodes=sel.anchorNode.previousSibling.childNodes;
                            for(var i=0;i<thisprechildnodes.length;i++){
                                // console.log("got prenode:"+i+":");
                                // console.dir(thisprechildnodes[i]);
                                if(thisprechildnodes[i].nodeName=="#text" && thisprechildnodes[i].nodeValue.includes("@"+$scope.mentionInput)){
                                    textNode=thisprechildnodes[i];
                                    $scope.noteParams.node=textNode;
                                }
                            }
                        }
                    }else if(sel.anchorNode.parentNode.previousSibling!=null && sel.anchorNode.parentNode.previousSibling!="null"){
                        if(sel.anchorNode.parentNode.previousSibling.nodeName=="#text"){
                            textNode=sel.anchorNode.parentNode.previousSibling;
                            $scope.noteParams.node=textNode;
                        }else{
                            var thisprechildnodes=sel.anchorNode.parentNode.previousSibling.childNodes;
                            for(var i=0;i<thisprechildnodes.length;i++){
                                // console.log("got preprenode:"+i+":");
                                // console.dir(thisprechildnodes[i]);
                                if(thisprechildnodes[i].nodeName=="#text" && thisprechildnodes[i].nodeValue.includes("@"+$scope.mentionInput)){
                                    textNode=thisprechildnodes[i];
                                    $scope.noteParams.node=textNode;
                                }
                            }
                        }
                    }else if(sel.anchorNode.parentNode.parentNode.previousSibling!=null && sel.anchorNode.parentNode.parentNode.previousSibling!="null"){
                        if(sel.anchorNode.parentNode.parentNode.previousSibling.nodeName=="#text"){
                            textNode=sel.anchorNode.parentNode.parentNode.previousSibling;
                            $scope.noteParams.node=textNode;
                        }else{
                            var thisprechildnodes=sel.anchorNode.parentNode.parentNode.previousSibling.childNodes;
                            for(var i=0;i<thisprechildnodes.length;i++){
                                // console.log("got preprenode:"+i+":");
                                // console.dir(thisprechildnodes[i]);
                                if(thisprechildnodes[i].nodeName=="#text" && thisprechildnodes[i].nodeValue.includes("@"+$scope.mentionInput)){
                                    textNode=thisprechildnodes[i];
                                    $scope.noteParams.node=textNode;
                                }
                            }
                        }
                    }else{
                        var thischildnodes=sel.anchorNode.parentNode.parentNode.childNodes;
                        // console.log(thischildnodes.length);
                        for(var i=0;i<thischildnodes.length;i++){
                            thischildnodes[i].nodeName;
                            // // console.dir(thischildnodes[i]);
                            if(thischildnodes[i].nodeName=="#text"){
                                // console.log("got node:"+i+":");
                                // console.dir(thischildnodes[i]);
                                if(thischildnodes[i].nodeName=="#text" && thischildnodes[i].nodeValue.includes("@"+$scope.mentionInput)){
                                    textNode=thisprechildnodes[i];
                                    $scope.noteParams.node=textNode;
                                }
                            }
                        }
                    }
                    if(textNode==null){
                        // console.log("########################verify again null i cant do this###################");
                        // return false;
                    }else{
                        // console.dir(textNode);
                        var caret = $scope.noteParams.endOffset; // insert caret after the 10th character say
                        var range = document.createRange();
                        range.setStart(textNode, caret);
                        range.setEnd(textNode, caret);
                        sel.removeAllRanges();
                        sel.addRange(range);
                    }

                    
                    // console.log(sel)
                    // console.log(sel.focusOffset);
                    // console.log($scope.noteParams.content);
                    var firstLiInMentions=angular.element("#mentionsList li");
                    if(firstLiInMentions.length>0){
                        var owner=JSON.parse(firstLiInMentions[0].attributes.firstLiData.value);
                        $scope.liMentionsClicked(owner,"enter",textNode);
                    }
                } else if ($scope.noteParams.mentioning && key == 27) {
                    $scope.noteParams.mentioning = false;
                    $scope.mentionInput=null;
                } else if ($scope.noteParams.mentioning) {
                    // console.log("inmention");
                    $scope.noteParams.endOffset = sel.focusOffset;
                    var range = sel.getRangeAt(0);

                    if($scope.noteParams.endOffset < $scope.noteParams.startOffset) {
                        $scope.noteParams.mentioning = false;
                        $scope.mentionInput=null;
                        return;
                    }

                    range.setStart($scope.noteParams.node, $scope.noteParams.startOffset);
                    range.setEnd($scope.noteParams.node,$scope.noteParams.endOffset);
                    // console.log(range);
                    keyword = range.toString();
                    // console.log(keyword);
                    sel.collapseToEnd();
                    if(keyword.substring(keyword.length-1,keyword.length)==" "){//the space in the condition is some rare space character
                        keyword=keyword.substring(0,keyword.length-1)+" ";
                    }
                    $scope.noteParams.preContent=$scope.noteParams.content;
                    $scope.mentionInput=keyword;
                }
                $scope.noteParams.sel=sel;
    }
    $scope.liMentionsClicked=function(owner,from,textNode){
       $scope.maintainPosition();
        var sel = window.getSelection();
        $scope.noteParams.endOffset = sel.focusOffset;
        $scope.noteParams.mentioning = false;
        var range = sel.getRangeAt(0);
        range.setStart($scope.noteParams.node, $scope.noteParams.startOffset-1);
        range.deleteContents();
        var firstLiInMentions=angular.element("#mentionsList li");
        if(owner.hasOwnProperty("zuid")){
            $scope.pasteHtmlAtCaret("<span class='mention-name' contenteditable='false' ownerId='"+owner.id+"'>"+"@"+owner.full_name+"</span>&nbsp;");
        }else{
            $scope.pasteHtmlAtCaret("<span class='mention-role' contenteditable='false' ownerId='"+owner.id+"'>"+"@"+owner.name+"</span>&nbsp;");
        }
        if(from=="enter" && textNode!=null){
            var sel=window.getSelection();
            // console.dir(sel.focusNode);
            if(sel.focusNode.nextSibling!=null && sel.focusNode.nextSibling!="null" && sel.focusNode.nextSibling.nodeName=="DIV"){
                // console.log("%%%%%%%%%%inside");
                // console.log(sel.focusNode.nextSibling.outerHTML.toString());
                // console.log(sel.focusNode.nextSibling.outerHTML1);
                if(sel.focusNode.nextSibling.outerHTML!=undefined){
                    // console.log("%%%%%%%%%%inside11");
                    var nxtSib=sel.focusNode.nextSibling.outerHTML.replace(/<div>|<\/div>|<br>/g,"");
                    sel.focusNode.nextSibling.outerHTML="";
                    $scope.pasteHtmlAtCaret(nxtSib);
                    $scope.setCaretPosWithOwnerId(owner.id);
                }
            }
        }
        $scope.noteParams.mentions[owner.id]=owner;
        $scope.mentionInput=null;
    }
    $scope.setCaretPosWithOwnerId=function(id) {
        var sel=window.getSelection();
        // console.dir(sel.focusNode);
        var node=null;
        for(var i=0;i<sel.focusNode.childNodes.length;i++){
            // console.log(sel.focusNode.childNodes[i].nodeName);
             // console.log(sel.focusNode.childNodes[i].attributes);
              // // console.log(sel.focusNode.childNodes[i].attributes.ownerid);
            if(sel.focusNode.childNodes[i].nodeName=="SPAN" && sel.focusNode.childNodes[i].attributes!=undefined && sel.focusNode.childNodes[i].attributes.ownerid.value==id){
               // console.log("&&&&&&found");
                node=sel.focusNode.childNodes[i];
            }
        }
        if(node!=null){
            var range=sel.getRangeAt(0);
            range.setStartAfter(node);
            range.collapse(true);
            sel.removeAllRanges();
            sel.addRange(range);
        }
    }
    // $scope.liMentionsClicked=function(owner,from,textNode){
    //    $scope.maintainPosition();
    //     var sel = window.getSelection();
    //     $scope.noteParams.endOffset = sel.focusOffset;
    //     $scope.noteParams.mentioning = false;
    //     var range = sel.getRangeAt(0);
    //     range.setStart($scope.noteParams.node, $scope.noteParams.startOffset-1);
    //     range.deleteContents();
    //     var firstLiInMentions=angular.element("#mentionsList li");
    //     $scope.pasteHtmlAtCaret("<span class='mention-name' contenteditable='false' ownerId='"+owner.id+"'>"+"@"+owner.full_name+"</span>&nbsp;");
    //     if(from=="enter" && textNode!=null){
    //         var sel=window.getSelection();
    //         // console.dir(sel.focusNode);
    //         if(sel.focusNode.nextSibling!=null && sel.focusNode.nextSibling!="null" && sel.focusNode.nextSibling.nextSibling!=null && sel.focusNode.nextSibling.nextSibling!="null"){
    //             if(sel.focusNode.nextSibling.nextSibling.hasOwnProperty("outerHTML")){
    //                 sel.focusNode.nextSibling.nextSibling.outerHTML=sel.focusNode.nextSibling.nextSibling.outerHTML.replace(/<div>|<\/div>|<br>/g,"");
    //             }else{
    //                 sel.focusNode.nextSibling.parentNode.nextSibling.outerHTML=sel.focusNode.nextSibling.parentNode.nextSibling.outerHTML.replace(/<div>|<\/div>|<br>/g,"");
    //             }
    //         }else if(sel.focusNode.nextSibling!=null && sel.focusNode.nextSibling!="null"){
    //             // console.log(sel.focusNode.nextSibling.hasOwnProperty("outerHTML"));
    //             if(sel.focusNode.nextSibling.hasOwnProperty("outerHTML")){
    //                 sel.focusNode.nextSibling.outerHTML=sel.focusNode.nextSibling.outerHTML.replace(/<div>|<\/div>|<br>/g,"");
    //             }else{
    //                 // console.dir(sel.focusNode.nextSibling.parentNode.nextSibling);
    //                 sel.focusNode.nextSibling.parentNode.nextSibling.outerHTML=sel.focusNode.nextSibling.parentNode.nextSibling.outerHTML.replace(/<div>|<\/div>|<br>/g,"");
    //             }
                
    //         }
    //     }
    //     $scope.noteParams.mentions[owner.id]=owner;
    //     $scope.mentionInput=null;
    // }
    $scope.maintainPosition=function(){
         var el = document.getElementById("notes");
        var range= document.createRange();
        var sel = $scope.noteParams.sel;
        range.setStart($scope.noteParams.node, $scope.noteParams.endOffset);
        range.collapse(true);
        sel.removeAllRanges();
        sel.addRange(range);
        el.focus();
    }
    $scope.checkForAnyNoteParamsMentionModification=function(){
        var span=$("#notes .mention-name");
        var ownerids=[];
        for(var i=0;i<span.length;i++){
            ownerids.push(span[i].attributes.ownerid.value);
        }
        var span=$("#notes .mention-role");
        for(var i=0;i<span.length;i++){
            ownerids.push(span[i].attributes.ownerid.value);
        }
        for(key in $scope.noteParams.mentions){
            if(!ownerids.includes(key)){
                delete $scope.noteParams.mentions[key];
            }
        }

    }
    $scope.pasteHtmlAtCaret=function(html) {
        var sel, range;
        if (window.getSelection) {
            // IE9 and non-IE
            sel = window.getSelection();
            if (sel.getRangeAt && sel.rangeCount) {
                range = sel.getRangeAt(0);
                range.deleteContents();

                // Range.createContextualFragment() would be useful here but is
                // non-standard and not supported in all browsers (IE9, for one)
                var el = document.createElement("div");
                el.innerHTML = html;
                var frag = document.createDocumentFragment(), node, lastNode;
                while ( (node = el.firstChild) ) {
                    lastNode = frag.appendChild(node);
                }
                range.insertNode(frag);
            //     range.setStart($scope.noteParams.node, $scope.noteParams.startOffset);
            // range.setEnd($scope.noteParams.node,$scope.noteParams.endOffset);
                // Preserve the selection
                if (lastNode) {
                    range = range.cloneRange();
                    range.setStartAfter(lastNode);
                    range.collapse(true);
                    sel.removeAllRanges();
                    sel.addRange(range);
                }
            }
        } else if (document.selection && document.selection.type != "Control") {
            // IE < 9
            document.selection.createRange().pasteHTML(html);
        }
    }
    $scope.replaceNoteContentBeforeApiCall=function(){
        var content=$scope.noteParams.content;
        var span=$("#notes .mention-name");
        var ownerids=[];
        for(var i=0;i<span.length;i++){
            var id=span[i].attributes.ownerid.value;
            content=content.replace(span[i].outerHTML,"crm[user#"+$scope.noteParams.mentions[id].id+"#"+$scope.noteParams.mentions[id].zuid+"]crm");
        }
        var span=$("#notes .mention-role");
        var ownerids=[];
        for(var i=0;i<span.length;i++){
            var id=span[i].attributes.ownerid.value;
            content=content.replace(span[i].outerHTML,"crm[role#"+$scope.noteParams.mentions[id].id+"#"+$scope.noteParams.mentions[id].id+"]crm");
        }
        content=content.replace(/<div>/g,"\n");
        content=content.replace(/<\/div>/g,"");
        var tempDiv= document.createElement('div');
        tempDiv.innerHTML= content;
        content=tempDiv.textContent || tempDiv.innerText;
        content=content.replace(/\ncrm\[user#/g,"crm[user#");
        content=content.trim();
        return content;
    }
    $scope.replaceNoteContentBeforeEdit=function(content){
        $scope.noteParams.mentions={};
        var mentionsBeforeEdit=content.match(/crm\[user#\d{0,25}#\d{0,15}\]crm/gi);
        // console.log(mentionsBeforeEdit);
        if(mentionsBeforeEdit!=null){
            for(var i=0;i<mentionsBeforeEdit.length;i++){
                var idPart=mentionsBeforeEdit[i].match(/#\d{0,25}#/gi);
                if(idPart!=null){
                    var userId=idPart[0].substring(1,idPart[0].length-1);
                    if($scope.usersListWithId[userId]!=undefined){
                        content=content.replace(mentionsBeforeEdit[i],"<span class='mention-name' contenteditable='false' ownerId='"+userId+"'>"+"@"+$scope.usersListWithId[userId].full_name+"</span>");
                        $scope.noteParams.mentions[userId]=$scope.usersListWithId[userId];
                    }else{
                        content=content.replace(mentionsBeforeEdit[i],"");
                    }
                }
            }
        }
        var mentionsBeforeEdit=content.match(/crm\[role#\d{0,25}#\d{0,25}\]crm/gi);
        // console.log(mentionsBeforeEdit);
        if(mentionsBeforeEdit!=null){
            for(var i=0;i<mentionsBeforeEdit.length;i++){
                var idPart=mentionsBeforeEdit[i].match(/#\d{0,25}#/gi);
                if(idPart!=null){
                    var userId=idPart[0].substring(1,idPart[0].length-1);
                    if($scope.rolesListWithId[userId]!=undefined){
                        content=content.replace(mentionsBeforeEdit[i],"<span class='mention-role' contenteditable='false' ownerId='"+userId+"'>"+"@"+$scope.rolesListWithId[userId].name+"</span>");
                        $scope.noteParams.mentions[userId]=$scope.rolesListWithId[userId];
                    }else{
                        content=content.replace(mentionsBeforeEdit[i],"");
                    }
                }
            }
        }
        content=content.replace(/\n/g,"<br>");
        return content;
    }

    /*************************************** New Note insert Functions Start***************************************/
    $scope.addNote=function(){
        if($scope.modulesList.Notes!=null && $scope.modulesList.Notes.creatable==false){
            $scope.sharedData.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layout.visible!=null && $scope.layout.visible!=undefined && $scope.layout.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Contacts.singular_label+" "+$scope.layout.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        // console.log("addNote clicked");
        $scope.sharedData.succErrorInit('loading',$scope.exti18n.ppw);
        // console.log("id:"+$scope.noteParams.contactId+" content:"+$scope.noteParams.content);
        if($scope.noteParams.content==null ||$scope.noteParams.content ==""){
            $scope.sharedData.succErrorInit('error',$scope.modulesList.Notes.singular_label+" "+$scope.exti18n.contentMan);
        }else{
            chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
                if(response.status=="success"){
                    var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                    var url="https://crm.zoho."+response.datacenterExt+"/crm/v2/Contacts/"+$scope.metadata.id+"/Notes";
                    // console.log(":"+$scope.noteParams.title+":");
                    var innerMainObj={};
                    if($scope.noteParams.title!=""){
                        innerMainObj["Note_Title"]=$scope.noteParams.title;
                    }
                    if($scope.noteParams.content!=""){
                        innerMainObj["Note_Content"]=$scope.replaceNoteContentBeforeApiCall();
                    }
                    // console.log(JSON.stringify(innerMainObj));
                    var rawObj='{"data":['+JSON.stringify(innerMainObj)+']}';
                    // var rawObj='{"data":[{"Note_Title":"'+$scope.noteParams.title+'","Note_Content":"'+$scope.noteParams.content+'"}]}';
                    var addNote_api=$http.post(url,rawObj,config);
                    addNote_api.success(function(resp, status, headers, config){
                        if(status==201){
                            // console.log(status);
                            // console.log(resp);
                            $scope.getNotesById(resp.data[0].details.id);
                            $scope.sharedData.succErrorInit('success',$scope.exti18n.addedSuc.replace("{{module}}",$scope.modulesList.Notes.singular_label));
                             $scope.safeApply();
                            // // console.log($("tab-content1").scrollTop());
                            setTimeout(function(){ 
                                var ele=$('#n'+resp.data[0].details.id);
                                ele.focus();
                                ele.addClass("newlyaddedcolor");
                                ele.fadeTo(1500,1,function(){
                                ele.removeClass("newlyaddedcolor");});
                               
                            }, 1000);
                            
                          


                        }else{
                            // console.log(status);
                            // console.log(resp);
                            try{
                                if(resp.data[0].hasOwnProperty("details") && resp.data[0].details.maximum_length!=undefined){
                                    $scope.sharedData.succErrorInit('error',$scope.exti18n.maxCharMod.replace("{{0}}",resp.data[0].details.maximum_length).replace("{{module}}",$scope.modulesList.Notes.singular_label));
                                }else{
                                    $scope.sharedData.succErrorInit('error',resp.data[0].message);
                                }
                            }catch(e){
                                if(resp.data!=null && resp.data[0]!=null){
                                    $scope.sharedData.succErrorInit('error',resp.data[0].message);
                                }else if(resp.message=="the relation name given seems to be invalid"){
                                    $scope.sharedData.succErrorInit('error',"Oops! Something went wrong. Please contact our support.");
                                }else{
                                    $scope.sharedData.succErrorInit('error',resp.message);
                                }
                            }
                        }
                    });
                    addNote_api.error(function(resp, status, headers, config){
                        // console.log(status);
                        // console.log(resp);
                        try{
                            if(resp.data[0].hasOwnProperty("details") && resp.data[0].details.maximum_length!=undefined){
                                $scope.sharedData.succErrorInit('error',$scope.exti18n.maxCharMod.replace("{{0}}",resp.data[0].details.maximum_length).replace("{{module}}",$scope.modulesList.Notes.singular_label));
                            }else{
                                $scope.sharedData.succErrorInit('error',resp.data[0].message);
                            }
                        }catch(e){
                            if(resp.data!=null && resp.data[0]!=null){
                                $scope.sharedData.succErrorInit('error',resp.data[0].message);
                            }else if(resp.message=="the relation name given seems to be invalid"){
                                $scope.sharedData.succErrorInit('error',"Oops! Something went wrong. Please contact our support.");
                            }else{
                                $scope.sharedData.succErrorInit('error',resp.message);
                            }
                        }
                    });
                }else{
                    $scope.sharedData.succErrorReset();
                }
                $scope.safeApply();
            });
        }
    }
    $scope.resetNote=function(){
        $scope.noteTitleShow=false;
        $scope.noteParams.title='';
        $scope.noteParams.content='';
        $scope.noteParams.mentions={};
    }
    /*************************************** New Note insert Functions End ***************************************/

    /*************************************** Edit Note update Functions Start***************************************/
    $scope.saveNote=function(){
        if($scope.modulesList.Notes!=null && $scope.modulesList.Notes.editable==false){
            $scope.sharedData.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layout.visible!=null && $scope.layout.visible!=undefined && $scope.layout.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Contacts.singular_label+" "+$scope.layout.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        // console.log("saveNote clicked");
        $scope.sharedData.succErrorInit('loading',$scope.exti18n.ppw);
        // console.log("id:"+$scope.noteParams.contactId+" content:"+$scope.noteParams.content);
        // console.log("noteID:"+$scope.lastNoteEdited.id);
        if($scope.noteParams.content==null ||$scope.noteParams.content ==""){
            $scope.sharedData.succErrorInit('error',$scope.modulesList.Notes.singular_label+" "+$scope.exti18n.contentMan);
        }else{
            chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
                if(response.status=="success"){
                    var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                    var url="https://crm.zoho."+response.datacenterExt+"/crm/v2/Contacts/"+$scope.metadata.id+"/Notes/"+$scope.lastNoteEdited.id;
                    var innerMainObj={};
                    if($scope.noteParams.title!=""){
                        innerMainObj["Note_Title"]=$scope.noteParams.title;
                    }
                    if($scope.noteParams.content!=""){
                        innerMainObj["Note_Content"]=$scope.replaceNoteContentBeforeApiCall();
                    }
                    // console.log(JSON.stringify(innerMainObj));
                    var rawObj='{"data":['+JSON.stringify(innerMainObj)+']}';
                    // var rawObj='{"data":[{"Note_Title":"'+$scope.noteParams.title+'","Note_Content":"'+$scope.noteParams.content+'"}]}';
                    var saveNote_api=$http.put(url,rawObj,config);
                    saveNote_api.success(function(resp, status, headers, config){
                        if(status==200){
                            // console.log(status);
                            // console.log(resp);
                            if(resp.data[0].code=="SUCCESS"){
                                $scope.getNotesById($scope.lastNoteEdited.id);
                                $scope.sharedData.succErrorInit('success',$scope.exti18n.updateMsg.replace("{{module}}",$scope.modulesList.Notes.singular_label));
                            }else{
                                // console.log("something went wrong");
                                try{
                                    if(resp.data[0].hasOwnProperty("details") && resp.data[0].details.maximum_length!=undefined){
                                        $scope.sharedData.succErrorInit('error',$scope.exti18n.maxCharMod.replace("{{0}}",resp.data[0].details.maximum_length).replace("{{module}}",$scope.modulesList.Notes.singular_label));
                                    }else{
                                        $scope.sharedData.succErrorInit('error',resp.data[0].message);
                                    }
                                }catch(e){
                                    if(resp.data!=null && resp.data[0]!=null){
                                        $scope.sharedData.succErrorInit('error',resp.data[0].message);
                                    }else if(resp.message=="the relation name given seems to be invalid"){
                                        $scope.sharedData.succErrorInit('error',"Oops! Something went wrong. Please contact our support.");
                                    }else{
                                        $scope.sharedData.succErrorInit('error',resp.message);
                                    }
                                }
                            }
                            
                        }else{
                            // console.log(status);
                            // console.log(resp);
                            try{
                                if(resp.data[0].hasOwnProperty("details") && resp.data[0].details.maximum_length!=undefined){
                                    $scope.sharedData.succErrorInit('error',$scope.exti18n.maxCharMod.replace("{{0}}",resp.data[0].details.maximum_length).replace("{{module}}",$scope.modulesList.Notes.singular_label));
                                }else{
                                    $scope.sharedData.succErrorInit('error',resp.data[0].message);
                                }
                            }catch(e){
                                if(resp.data!=null && resp.data[0]!=null){
                                    $scope.sharedData.succErrorInit('error',resp.data[0].message);
                                }else if(resp.message=="the relation name given seems to be invalid"){
                                    $scope.sharedData.succErrorInit('error',"Oops! Something went wrong. Please contact our support.");
                                }else{
                                    $scope.sharedData.succErrorInit('error',resp.message);
                                }
                            }
                        }
                    });
                    saveNote_api.error(function(resp, status, headers, config){
                        // console.log(status);
                        // console.log(resp);
                        try{
                            if(resp.data[0].hasOwnProperty("details") && resp.data[0].details.maximum_length!=undefined){
                                $scope.sharedData.succErrorInit('error',$scope.exti18n.maxCharMod.replace("{{0}}",resp.data[0].details.maximum_length).replace("{{module}}",$scope.modulesList.Notes.singular_label));
                            }else{
                                $scope.sharedData.succErrorInit('error',resp.data[0].message);
                            }
                        }catch(e){
                            if(resp.data!=null && resp.data[0]!=null){
                                $scope.sharedData.succErrorInit('error',resp.data[0].message);
                            }else if(resp.message=="the relation name given seems to be invalid"){
                                $scope.sharedData.succErrorInit('error',"Oops! Something went wrong. Please contact our support.");
                            }else{
                                $scope.sharedData.succErrorInit('error',resp.message);
                            }
                        }
                    });
                }else{
                    $scope.sharedData.succErrorReset();
                }
                $scope.safeApply();
            });
        }
    }
    $scope.cancelNote=function(){
        $scope.Notes.unshift($scope.lastNoteEdited);
        $scope.noteEditMode=false;
        $scope.noteTitleShow=false;
        $scope.noteParams.title='';
        $scope.noteParams.content='';
        $scope.noteParams.mentions={};

    }
    $scope.prevNotesList=function(){
        // console.log("clicked prevNotesList:"+$scope.limitNotesStart+":"+$scope.limitNotesEnd);
        if($scope.limitNotesStart!=0){
            $scope.limitNotesStart=$scope.limitNotesStart-3;
            $scope.limitNotesEnd=$scope.limitNotesEnd-3;
            // console.log("clicked prevNotesList:"+$scope.limitNotesStart+":"+$scope.limitNotesEnd);
        }
    }
    $scope.nextNotesList=function(){
        // console.log("clicked nextNotesList"+$scope.limitNotesStart+":"+$scope.limitNotesEnd);
        if($scope.limitNotesEnd<$scope.Notes.length){
             $scope.limitNotesStart=$scope.limitNotesStart+3;
            $scope.limitNotesEnd=$scope.limitNotesEnd+3;
            // console.log("clicked prevNotesList:"+$scope.limitNotesStart+":"+$scope.limitNotesEnd);
        }
    }
    /*************************************** Edit Note update Functions Start***************************************/

    /*************************************** List of  Notes Functions Start***************************************/
    $scope.deleteNote=function(id){
        if($scope.modulesList.Notes!=null && $scope.modulesList.Notes.deletable==false){
            $scope.sharedData.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layout.visible!=null && $scope.layout.visible!=undefined && $scope.layout.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Contacts.singular_label+" "+$scope.layout.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        // console.log("id:"+id);
        $scope.deleteYesOrNo="show";
        $scope.safeApply();
        var unregister = $scope.$watch('deleteYesOrNo', function () {
            if($scope.deleteYesOrNo=='yes'){
                $scope.deleteYesOrNo="hide";
                $scope.sharedData.succErrorInit('loading',$scope.exti18n.ppw);
                chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
                    if(response.status=="success"){
                        var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                        var url="https://crm.zoho."+response.datacenterExt+"/crm/v2/Contacts/"+$scope.metadata.id+"/Notes/"+id;
                        var deleteNote_api=$http.delete(url,config);
                        deleteNote_api.success( function(resp, status, headers, config) {
                           resp=resp.data[0];
                            if(resp.code=="SUCCESS" && resp.message=="record deleted"){
                                findAndRemove($scope.Notes, 'id', id);
                                $scope.sharedData.succErrorInit('success',$scope.exti18n.delSuc.replace("{{module}}",$scope.modulesList.Notes.singular_label));
                            }else{
                                $scope.sharedData.succErrorInit('error',resp.message);
                            }
                        });
                        deleteNote_api.error(function(resp, status,headers,config){
                            resp=resp.data[0];
                            $scope.sharedData.succErrorInit('error',resp.message);
                        });
                    }else{
                        $scope.sharedData.succErrorReset();
                    }
                    $scope.safeApply();
                });
                unregister();
            }else if($scope.deleteYesOrNo=='no'){
                // console.log("no clicked");
                $scope.deleteYesOrNo="hide";
                unregister();
            }
        });
    }
    
    $scope.editNote=function(thisNote){
        if($scope.modulesList.Notes!=null && $scope.modulesList.Notes.editable==false){
            $scope.sharedData.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layout.visible!=null && $scope.layout.visible!=undefined && $scope.layout.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Contacts.singular_label+" "+$scope.layout.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        // console.dir(thisNote);
        
        if($scope.noteEditMode==false){
            $scope.lastNoteEdited=thisNote;
            // 
            
            $scope.noteEditMode=true;
            // console.log(thisNote.Note_Title);
            if(thisNote.Note_Title!=null&&thisNote.Note_Title!=""&&thisNote.Note_Title!=undefined){
                $scope.noteParams.content=$scope.replaceNoteContentBeforeEdit(thisNote.Note_Content+" ");
                 $scope.noteParams.title=thisNote.Note_Title;
                 $scope.noteTitleShow=true;
            }else{
                $("#notes").html($scope.replaceNoteContentBeforeEdit(thisNote.Note_Content)+" ");
                // // console.log(angular.element("#note"));
                $scope.noteTitleShow=false;
                // var ele=document.querySelector('#notes');
                // ele.focus();
                var el = document.getElementById("notes");
                var range = document.createRange();
                var sel = window.getSelection();
                var node=el;
                // console.dir(node);
                while ( node.lastChild!=null && node.lastChild!=undefined ) {
                    node=node.lastChild;
                    // console.log("insde:");
                    // console.dir(node);
                }
                range.setStart(node, node.length);
                range.collapse(true);
                sel.removeAllRanges();
                sel.addRange(range);
                el.focus();
            }
            findAndRemove($scope.Notes, 'id', thisNote.id);
            $scope.noteEditMode=true;
        }else if($scope.noteEditMode==true){
            $scope.Notes.unshift($scope.lastNoteEdited);
            $scope.lastNoteEdited=thisNote;
            // $scope.noteParams.content=$scope.replaceNoteContentBeforeEdit(thisNote.Note_Content);
            
            $scope.noteEditMode=true;
            //  // console.log(thisNote.Note_Title);
            if(thisNote.Note_Title!=null&&thisNote.Note_Title!=""&&thisNote.Note_Title!=undefined){
                $scope.noteParams.content=$scope.replaceNoteContentBeforeEdit(thisNote.Note_Content+" ");
                 $scope.noteParams.title=thisNote.Note_Title;
                 $scope.noteTitleShow=true;
            }else{
                $("#notes").html($scope.replaceNoteContentBeforeEdit(thisNote.Note_Content)+" ");
                // // console.log(angular.element("#note"));
                $scope.noteTitleShow=false;
                // var ele=document.querySelector('#notes');
                // ele.focus();
                var el = document.getElementById("notes");
                var range = document.createRange();
                var sel = window.getSelection();
                var node=el;
                // console.dir(node);
                while ( node.lastChild!=null && node.lastChild!=undefined ) {
                    node=node.lastChild;
                    // console.log("insde:");
                    // console.dir(node);
                }
                range.setStart(node, node.length);
                range.collapse(true);
                sel.removeAllRanges();
                sel.addRange(range);
                el.focus();
            }
            findAndRemove($scope.Notes, 'id', thisNote.id);
        }
        

    }
    $scope.createNote=function(){
       // console.log("create note clicked");
        var ele=document.querySelector('#notes');
                ele.focus();
    }
    /*************************************** List of  Notes Functions End ***************************************/

    /*************************************** Title input field in Note-Form shown Function Start ***************************************/
    $scope.enableNoteTitle=function(){
        // console.log("enableNoteTitle clicked");
        // var offset=$(".add_btn").offset().top;
        // document.getElementById("tab-content1 style-3").scrollTop=offset-30;
        $scope.noteTitleShow=true;
        // console.log(angular.element("#title"));
    }
    /*************************************** Title input field in Note-Form shown Function End ***************************************/

    $scope.getRelatedActivities= function(id,listId,ActivityStatus,apiName){
        /*************************************** Get all activities API Call Start ***************************************/
        // console.log("allRelatedActivities api running:"+ActivityStatus);
        chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
            if(response.status=="success"){
                var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                var url = "https://crm.zoho."+response.datacenterExt+"/crm/v2/Contacts/"+id+"/"+apiName;
                var getRelatedActivities_api=$http.get(url,config);
                getRelatedActivities_api.success( function(resp, status, headers, config) {
                    if(status==200){
                        // console.log(status);
                        // console.log(resp);
                        angular.forEach(resp.data,function(item){
                            item["ActivityStatus"]=ActivityStatus;
                            // item["listId"]=listId;
                            $scope.activityDetails.push(item);
                            $scope.sharedData.activities.push(item);
                        });
                        // console.dir($scope.activityDetails);
                        if(ActivityStatus=="OPEN"){
                            $scope.showActivityListOpen="show";
                        }else{
                            $scope.showActivityListClose="show";
                        }
                    }else if(status=204){
                        // console.log(status);
                        // console.log(resp);
                        if(ActivityStatus=="OPEN"){
                            $scope.showActivityListOpen="noresults";
                        }else{
                            $scope.showActivityListClose="noresults";
                        }
                    }else{
                        // console.log(status);
                        // console.log(resp);
                        if(ActivityStatus=="OPEN"){
                            $scope.showActivityListOpen="error";
                        }else{
                            $scope.showActivityListClose="error";
                        }
                    }
                });
                getRelatedActivities_api.error(function(resp, status,headers,config){
                   if(ActivityStatus=="OPEN"){
                        $scope.showActivityListOpen="error";
                    }else{
                        $scope.showActivityListClose="error";
                    }
                });
            }else{
                if(ActivityStatus=="OPEN"){
                    $scope.showActivityListOpen="error";
                }else{
                    $scope.showActivityListClose="error";
                }
            }
            $scope.safeApply();
        });
        /*************************************** Get all activities API Call End ***************************************/
    }
    $scope.createActivity=function(activity_type){
        if($scope.modulesList.Activities!=null && $scope.modulesList.Activities.creatable==false){
            $scope.sharedData.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layout.visible!=null && $scope.layout.visible!=undefined && $scope.layout.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Contacts.singular_label+" "+$scope.layout.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        // console.log("createActivity clicked");
      var innerEl=document.createElement("iframe");
      innerEl.className="inner-activity-iframe";
      innerEl.id="zc_innerIframePage";
      innerEl.name="zc_innerIframePage";
      if(activity_type=="Tasks"){
        innerEl.src=chrome.extension.getURL('html/add-task.html');
      }else if(activity_type=="Events"){
        innerEl.src=chrome.extension.getURL('html/create-event.html');
      }else if(activity_type=="Calls"){
        innerEl.src=chrome.extension.getURL('html/loga-call.html?action=create');
      }
      innerEl.setAttribute('frameborder','0');
      // console.dir(angular.element('#zc_innerIframeParentDiv'));
      angular.element('#zc_innerIframeParentDiv').empty();
      angular.element('#zc_innerIframeParentDiv').append(innerEl);
      $scope.sharedData.data=$scope.sharedData.activities;
      $scope.sharedData.id=null;
      $scope.sharedData.module="Contact";
      $scope.sharedData.moduleData=$scope.details;
      $scope.sharedData.action="create";
      $scope.safeApply();
      if($scope.windowPixelChanged==false){
        chrome.extension.sendRequest({name:'',redirect:'resetWinSize',action:'resetWinSize'},function(resp){});
        $scope.windowPixelChanged=true;
        $scope.safeApply();
      }
    }
    $scope.sharedData.editActivity=function(id,activity_type){
        if($scope.modulesList.Activities!=null && $scope.modulesList.Activities.editable==false){
            $scope.sharedData.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layout.visible!=null && $scope.layout.visible!=undefined && $scope.layout.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Contacts.singular_label+" "+$scope.layout.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        // console.log("editTask clicked");
      var innerEl=document.createElement("iframe");
      innerEl.className="inner-activity-iframe";
      innerEl.id="zc_innerIframePage";
      innerEl.name="zc_innerIframePage";
      if(activity_type=="Tasks"){
        innerEl.src=chrome.extension.getURL('html/add-task.html');
      }else if(activity_type=="Events"){
        innerEl.src=chrome.extension.getURL('html/create-event.html');
      }else if(activity_type=="Calls"){
        innerEl.src=chrome.extension.getURL('html/loga-call.html?action=edit');
      }
      innerEl.setAttribute('frameborder','0');
      // console.dir(angular.element('#zc_innerIframeParentDiv'));
      angular.element('#zc_innerIframeParentDiv').empty();
      angular.element('#zc_innerIframeParentDiv').append(innerEl);
      $scope.sharedData.data=$scope.sharedData.activities;
      $scope.sharedData.id=id;
      $scope.sharedData.module="Contact";
      $scope.sharedData.moduleData=$scope.details;
      $scope.sharedData.action="edit";
      $scope.safeApply();
      if($scope.windowPixelChanged==false){
        chrome.extension.sendRequest({name:'',redirect:'resetWinSize',action:'resetWinSize'},function(resp){});
        $scope.windowPixelChanged=true;
        $scope.safeApply();
      }
    }
    $scope.refreshActivity=function(){
        $scope.showActivityListOpen="loading"; 
        $scope.showActivityListClose="loading";
        $scope.activityDetails=[];
        $scope.sharedData.activities=[];
        $scope.getRelatedActivities($scope.metadata.id,$scope.metadata.Open_Activities,"OPEN","Activities");
        $scope.getRelatedActivities($scope.metadata.id,$scope.metadata.Closed_Activities,"CLOSED","Activities_History");
    }
    $scope.sharedData.deleteActivity=function(id,activity){
        if($scope.modulesList.Activities!=null && $scope.modulesList.Activities.deletable==false){
            $scope.sharedData.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layout.visible!=null && $scope.layout.visible!=undefined && $scope.layout.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Contacts.singular_label+" "+$scope.layout.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        // console.log("id:"+id+" activity:"+activity);
        $scope.deleteYesOrNo="show";
        $scope.safeApply();
        var unregister = $scope.$watch('deleteYesOrNo', function () {
            if($scope.deleteYesOrNo=='yes'){
                $scope.deleteYesOrNo="hide";
                $scope.sharedData.succErrorInit('loading',$scope.exti18n.ppw);
                chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
                    if(response.status=="success"){
                        var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                        var url="https://crm.zoho."+response.datacenterExt+"/crm/v2/"+activity+"/"+id;
                        var deleteActivity_api=$http.delete(url,config);
                        deleteActivity_api.success( function(resp, status, headers, config) {
                            if(status==200){
                                // console.log(status);
                                // console.log(resp);
                                findAndRemove($scope.activityDetails, 'id', id);
                                if($scope.activityDetails.length<=0){
                                    $scope.showActivityListOpen='noresults';
                                    $scope.showActivityListClose='noresults';
                                }
                                // console.log("goBack code is executing in sharedData.deletePotentail");
                                $scope.sharedData.id=null;
                                $scope.$applyAsync();
                                //removed due to angular error
                                // document.getElementById('zc_innerIframeParentDiv').removeChild(document.getElementById('zc_innerIframePage'));
                                if(activity=="Tasks"){
                                    $scope.sharedData.succErrorInit('success',$scope.exti18n.delSuc.replace("{{module}}",$scope.modulesList.Tasks.singular_label));
                                }else if(activity=="Events"){
                                    $scope.sharedData.succErrorInit('success',$scope.exti18n.delSuc.replace("{{module}}",$scope.modulesList.Events.singular_label));
                                }else if(activity=="Calls"){
                                    $scope.sharedData.succErrorInit('success',$scope.exti18n.delSuc.replace("{{module}}",$scope.modulesList.Calls.singular_label));
                                }
                                try{
                                    window.document.getElementById('zc_innerIframeParentDiv').removeChild(window.document.getElementById('zc_innerIframePage'));
                                }catch(e){}
                            }else{
                                // console.log(status);
                                // console.log(resp);
                                $scope.sharedData.succErrorInit('error',resp.message);
                            }
                        });
                        deleteActivity_api.error(function(resp, status,headers,config){
                            // console.log(status);
                            // console.log(resp);
                            $scope.sharedData.succErrorInit('error',resp.message);
                        });
                    }else{
                        $scope.sharedData.succErrorReset();
                    }
                    $scope.safeApply();
                });
                unregister();
            }else if($scope.deleteYesOrNo=='no'){
                // console.log("no clicked");
                $scope.deleteYesOrNo="hide";
                unregister();
            }
        });
        
    }
    $scope.sharedData.updatedActivityListAfterActivityAdded=function(addedActivity,activity_type){
      // console.log(addedActivity);
      // console.log($scope.activityDetails);
      // console.log($scope.sharedData);
      // console.log($scope.sharedData.activities);
      $scope.activityDetails.unshift(addedActivity);
      $scope.sharedData.activities=$scope.activityDetails;
      $scope.safeApply();
      $scope.goBackChild();
      if(activity_type=="Tasks"){
        $scope.getFullTask(addedActivity.id);
      }else if(activity_type=="Events"){
         $scope.getFullEvent(addedActivity.id);
      }else if(activity_type=="Calls"){
         $scope.getFullCall(addedActivity.id);
      }
      $scope.showActivityListOpen="show";
      $scope.showActivityListClose="show";
      $scope.safeApply();

    }
    $scope.sharedData.updatedActivityListAfterActivityUpdated=function(addedActivity,activity_type){
      // console.log(addedActivity);
      // console.log($scope.activityDetails);
      // console.log($scope.sharedData);
      // console.log($scope.sharedData.activities);
      findAndRemove($scope.activityDetails,'id',addedActivity.id);
      $scope.activityDetails.unshift(addedActivity);
      $scope.sharedData.activities=$scope.activityDetails;
      $scope.safeApply();
      $scope.goBackChild();
      // console.log("#################################activeitytype:"+activity_type);
      if(activity_type=="Tasks"){
        $scope.getFullTask(addedActivity.id);
      }else if(activity_type=="Events"){
         $scope.getFullEvent(addedActivity.id);
      }else if(activity_type=="Calls"){
         $scope.getFullCall(addedActivity.id);
      }
      $scope.showActivityListOpen="show";
      $scope.showActivityListClose="show";
      $scope.safeApply();
    }

    /*************************************** Potentials function start ***************************************/
    $scope.createPotential=function(item, event){
        if($scope.modulesList.Deals!=null && $scope.modulesList.Deals.creatable==false){
            $scope.sharedData.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layout.visible!=null && $scope.layout.visible!=undefined && $scope.layout.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Contacts.singular_label+" "+$scope.layout.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layoutPotential.visible!=null && $scope.layoutPotential.visible!=undefined && $scope.layoutPotential.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Deals.singular_label+" "+$scope.layoutPotential.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        // console.log(item);
        // console.log(event);
      // console.log("createPotential clicked");
      var innerEl=document.createElement("iframe");
      innerEl.className="inner-potential-iframe";
      innerEl.id="zc_innerIframePage";
      innerEl.name="zc_innerIframePage";
      innerEl.src=chrome.extension.getURL('html/create-potential.html');
      innerEl.setAttribute('frameborder','0');
      // console.dir(angular.element('#zc_innerIframeParentDiv'));
      angular.element('#zc_innerIframeParentDiv').empty();
      angular.element('#zc_innerIframeParentDiv').append(innerEl);
      // $scope.sharedData.id=id;
      $scope.sharedData.module="Contact";
      $scope.sharedData.moduleData=$scope.details;
      $scope.sharedData.action="create";
      $scope.safeApply();
      if($scope.windowPixelChanged==false){
        chrome.extension.sendRequest({name:'',redirect:'resetWinSize',action:'resetWinSize'},function(resp){});
        $scope.windowPixelChanged=true;
        $scope.safeApply();
      }

   };
    $scope.getPotentials=function(id,listId){
        // console.log("getPotentials function executing");
        chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
            if(response.status=="success"){
                var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                var url = "https://crm.zoho."+response.datacenterExt+"/crm/v2/Contacts/"+id+"/Deals?per_page=10";
                var getPotentials_api=$http.get(url,config);
                getPotentials_api.success( function(resp, status, headers, config) {
                    if(status==200){
                        // console.log(status);
                        // console.log(resp);
                        $scope.showPotentialList="show";
                        // $scope.infoOfDetails=data.info;
                        // $scope.currentListPageNumber=1;
                        $scope.Potentials=resp.data;
                        $scope.InfoOfPotentials=resp.info;
                        $scope.currentListPageNumberOfPotential=1;
                    }else if(status=204){
                        // console.log(status);
                        // console.log(resp);
                        $scope.showPotentialList="noresults";
                    }else{
                        // console.log(status);
                        // console.log(resp);
                        $scope.showPotentialList="error";
                    }
                });
                getPotentials_api.error( function(resp, status, headers, config) {
                    // console.log(status);
                    // console.log(resp);
                     $scope.showPotentialList="error";
                });
            }else{
                $scope.showPotentialList="error";
            }
            $scope.safeApply();
        });
    }
    $scope.deletePotential=function(id){
        if($scope.modulesList.Deals!=null && $scope.modulesList.Deals.deletable==false){
            $scope.sharedData.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layout.visible!=null && $scope.layout.visible!=undefined && $scope.layout.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Contacts.singular_label+" "+$scope.layout.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layoutPotential.visible!=null && $scope.layoutPotential.visible!=undefined && $scope.layoutPotential.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Deals.singular_label+" "+$scope.layoutPotential.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        // console.log("deletePotentials function executing");
        // console.log("id:"+id+" contactid:"+$scope.metadata.id+" listid:"+$scope.metadata.Potentials);
        // console.log("delete contact clicked");
        $scope.deleteYesOrNo="show";
        $scope.safeApply();
        var unregister = $scope.$watch('deleteYesOrNo', function () {
            if($scope.deleteYesOrNo=='yes'){
                $scope.deleteYesOrNo="hide";
                $scope.sharedData.succErrorInit('loading',$scope.exti18n.ppw);
                chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
                    if(response.status=="success"){
                        var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                        var url='https://crm.zoho.'+response.datacenterExt+'/crm/v2/Contacts/'+$scope.metadata.id+'/Deals/'+id;
                        var deletePotential=$http.delete(url,config);
                        deletePotential.success( function(resp, status, headers, config) {
                            // console.log("deleted response:");
                            // console.dir(resp);
                            if(resp.data[0].code=="SUCCESS" && resp.data[0].status=="success"){
                                // console.log("success potentail deleted");
                                findAndRemove($scope.Potentials, 'id', id);
                                if($scope.Potentials.length<=0){
                                    $scope.showPotentialList='noresults';
                                }
                                $scope.sharedData.succErrorInit('success',$scope.exti18n.delSuc.replace("{{module}}",$scope.modulesList.Deals.singular_label));
                            }else{
                                $scope.sharedData.succErrorInit('error',resp.data[0].message);
                            }   
                        });
                        deletePotential.error(function(resp, status,headers,config){
                                // console.log("failure potentail not deleted");
                                 $scope.sharedData.succErrorInit('error',resp.data[0].message);
                        });
                    }else{
                        $scope.sharedData.succErrorReset();
                    }
                    $scope.safeApply();
                });
                unregister();
            }else if($scope.deleteYesOrNo=='no'){
                // console.log("no clicked");
                $scope.deleteYesOrNo="hide";
                unregister();
            }
        });
    }
    $scope.sharedData.deletePotential=function(id){
        if($scope.modulesList.Deals!=null && $scope.modulesList.Deals.deletable==false){
            $scope.sharedData.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layout.visible!=null && $scope.layout.visible!=undefined && $scope.layout.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Contacts.singular_label+" "+$scope.layout.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layoutPotential.visible!=null && $scope.layoutPotential.visible!=undefined && $scope.layoutPotential.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Deals.singular_label+" "+$scope.layoutPotential.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        // console.log("sharedData.deletePotential function executing");
        // console.log("id:"+id+" contactid:"+$scope.metadata.id+" listid:"+$scope.metadata.Potentials);
        $scope.deleteYesOrNo="show";
        $scope.safeApply();
        var unregister = $scope.$watch('deleteYesOrNo', function () {
            if($scope.deleteYesOrNo=='yes'){
                $scope.deleteYesOrNo="hide";
                $scope.sharedData.succErrorInit('loading',$scope.exti18n.ppw);
                chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
                    if(response.status=="success"){
                        var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                        var url='https://crm.zoho.'+response.datacenterExt+'/crm/v2/Contacts/'+$scope.metadata.id+'/Deals/'+id;
                        var deletePotential=$http.delete(url,config);
                        deletePotential.success( function(resp, status, headers, config) {
                            // var notesobject={};
                            // if(resp.response.result!=null && resp.response.result.code==5000){
                            //     findAndRemove($scope.Notes, 'id', id);
                            // }
                            // $scope.Notes.unshift(notesobject);
                            // $scope.$apply();
                            // console.log("deleted response:");
                            // console.dir(resp);
                            if(resp.data[0].code=="SUCCESS" && resp.data[0].status=="success"){
                                // console.log("success potentail deleted");
                                findAndRemove($scope.Potentials, 'id', id);
                                if($scope.Potentials.length<=0){
                                    $scope.showPotentialList='noresults';
                                }
                                // console.log("goBack code is executing in sharedData.deletePotentail");
                                $scope.sharedData.id=null;
                                $scope.$applyAsync();
                                document.getElementById('zc_innerIframeParentDiv').removeChild(document.getElementById('zc_innerIframePage'));
                                $scope.sharedData.succErrorInit('success',$scope.exti18n.delSuc.replace("{{module}}",$scope.modulesList.Deals.singular_label));
                            }else{
                                 $scope.sharedData.succErrorInit('error',res.data[0].message);
                            }
                        });
                        deletePotential.error(function(resp, status,headers,config){
                                // console.log("failure potentail not deleted");
                                 $scope.sharedData.succErrorInit('error',resp.data[0].message);
                        });
                    }else{
                         $scope.sharedData.succErrorReset();
                    }
                    $scope.safeApply();
                });
                unregister();
            }else if($scope.deleteYesOrNo=='no'){
                // console.log("no clicked");
                $scope.deleteYesOrNo="hide";
                unregister();
            }
        });
    }

    $scope.sharedData.editPotential=function(id){
        if($scope.modulesList.Deals!=null && $scope.modulesList.Deals.editable==false){
            $scope.sharedData.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layout.visible!=null && $scope.layout.visible!=undefined && $scope.layout.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Contacts.singular_label+" "+$scope.layout.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layoutPotential.visible!=null && $scope.layoutPotential.visible!=undefined && $scope.layoutPotential.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Deals.singular_label+" "+$scope.layoutPotential.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        // console.log("editPotential clicked");
      var innerEl=document.createElement("iframe");
      innerEl.className="inner-potential-iframe";
      innerEl.id="zc_innerIframePage";
      innerEl.name="zc_innerIframePage";
      innerEl.src=chrome.extension.getURL('html/create-potential.html');
      innerEl.setAttribute('frameborder','0');
      // console.dir(angular.element('#zc_innerIframeParentDiv'));
      angular.element('#zc_innerIframeParentDiv').empty();
      angular.element('#zc_innerIframeParentDiv').append(innerEl);
      $scope.sharedData.data=$scope.Potentials;
      $scope.sharedData.id=id;
      $scope.sharedData.module="Contact";
      $scope.sharedData.moduleData=$scope.details;
      $scope.sharedData.action="edit";
      $scope.safeApply();
      if($scope.windowPixelChanged==false){
        chrome.extension.sendRequest({name:'',redirect:'resetWinSize',action:'resetWinSize'},function(resp){});
        $scope.windowPixelChanged=true;
        $scope.safeApply();
      }
    }
    $scope.sharedData.updatedPotentialListAfterPotentialAdded=function(addedPotential){
      // console.log(addedPotential);
      $scope.Potentials.unshift(addedPotential);
      $scope.goBackChild();
      $scope.getFullPotential(addedPotential.id);
      $scope.showPotentialList="show";
      $scope.safeApply();
    }
    $scope.sharedData.updatedPotentialListAfterPotentialUpdated=function(addedPotential){
      // console.log(addedPotential);
      findAndRemove($scope.Potentials,'id',addedPotential.id);
      $scope.Potentials.unshift(addedPotential);
      $scope.goBackChild();
      $scope.getFullPotential(addedPotential.id);
      $scope.showPotentialList="show";
      $scope.safeApply();
    }
    /*************************************** Get Potentials function End ***************************************/

    /*************************************** Get Campaigns function start ***************************************/
    $scope.getCampaigns=function(id,listId){
        // console.log("getCampaigns function executing");
        chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
            if(response.status=="success"){
                var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                var url = "https://crm.zoho."+response.datacenterExt+"/crm/v2/Contacts/"+id+"/Campaigns?per_page=10";
                var getCampaigns_api=$http.get(url,config);
                getCampaigns_api.success( function(resp, status, headers, config) {
                    if(status==200){
                        // console.log(status);
                        // console.log(resp);
                        $scope.Campaigns=resp.data;
                        $scope.InfoOfCampaigns=resp.info;
                        $scope.currentListPageNumberOfCampaign=1;
                        $scope.showCampaignList="show";
                    }else if(status=204){
                        // console.log(status);
                        // console.log(resp);
                        $scope.showCampaignList="noresults";
                    }else{
                        // console.log(status);
                        // console.log(resp);
                        $scope.showCampaignList="error";
                    }
                });
                getCampaigns_api.error( function(resp, status, headers, config) {
                    // console.log(status);
                    // console.log(resp);
                    $scope.showCampaignList="error";
                });
            }else{
                $scope.showCampaignList="error";
            }
            $scope.safeApply();
        });
    }
    $scope.refreshCampaigns=function(){
        $scope.showCampaignList="loading";
        $scope.Campaigns=[];
        $scope.getCampaigns($scope.details.id,null);
    }
    $scope.deleteCampaign=function(id){
        if($scope.modulesList.Campaigns!=null && $scope.modulesList.Campaigns.deletable==false){
            $scope.sharedData.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layout.visible!=null && $scope.layout.visible!=undefined && $scope.layout.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Contacts.singular_label+" "+$scope.layout.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layoutCampaign.visible!=null && $scope.layoutCampaign.visible!=undefined && $scope.layoutCampaign.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Campaigns.singular_label+" "+$scope.layoutCampaign.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        // console.log("deleteCampaign function executing");
        // console.log("id:"+id+" contactid:"+$scope.metadata.id+" listid:"+$scope.metadata.Potentials);
        $scope.deleteYesOrNo="show";
        $scope.safeApply();
        var unregister = $scope.$watch('deleteYesOrNo', function () {
            if($scope.deleteYesOrNo=='yes'){
                $scope.deleteYesOrNo="hide";
                $scope.sharedData.succErrorInit('loading',$scope.exti18n.ppw);
                chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
                    if(response.status=="success"){
                        var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                        var url='https://crm.zoho.'+response.datacenterExt+'/crm/v2/Contacts/'+$scope.metadata.id+'/Campaigns/'+id;
                        var deleteCampaign=$http.delete(url,config);
                        deleteCampaign.success( function(resp, status, headers, config) {
                            // console.log("deleted response:");
                            // console.dir(resp);
                            if(resp.data[0].code=="SUCCESS" && resp.data[0].status=="success"){
                                // console.log("success Campaign deleted");
                                findAndRemove($scope.Campaigns, 'id', id);
                                if($scope.Campaigns.length<=0){
                                    $scope.showCampaignList='noresults';
                                }
                                $scope.sharedData.succErrorInit('success',$scope.exti18n.delSuc.replace("{{module}}",$scope.modulesList.Campaigns.singular_label));
                            }else{
                                $scope.sharedData.succErrorInit('error',resp.message);
                            }
                        });
                        deleteCampaign.error(function(resp, status,headers,config){
                                // console.log("failure Campaign not deleted");
                                 $scope.sharedData.succErrorInit('error',resp.message);
                        });
                    }else{
                        $scope.sharedData.succErrorReset();
                    }
                    $scope.safeApply();
                });
                unregister();
            }else if($scope.deleteYesOrNo=='no'){
                // console.log("no clicked");
                $scope.deleteYesOrNo="hide";
                unregister();
            }
        });
    }
    $scope.sharedData.deleteCampaign=function(id){
        if($scope.modulesList.Campaigns!=null && $scope.modulesList.Campaigns.deletable==false){
            $scope.sharedData.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layout.visible!=null && $scope.layout.visible!=undefined && $scope.layout.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Contacts.singular_label+" "+$scope.layout.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layoutCampaign.visible!=null && $scope.layoutCampaign.visible!=undefined && $scope.layoutCampaign.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Campaigns.singular_label+" "+$scope.layoutCampaign.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        // console.log("deleteCampaign function executing");
        // console.log("id:"+id+" contactid:"+$scope.metadata.id+" listid:"+$scope.metadata.Potentials);
        $scope.deleteYesOrNo="show";
        $scope.safeApply();
        var unregister = $scope.$watch('deleteYesOrNo', function () {
            if($scope.deleteYesOrNo=='yes'){
                $scope.deleteYesOrNo="hide";
                 $scope.sharedData.succErrorInit('loading',$scope.exti18n.ppw);
                chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
                    if(response.status=="success"){
                        var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                        var url='https://crm.zoho.'+response.datacenterExt+'/crm/v2/Contacts/'+$scope.metadata.id+'/Campaigns/'+id;
                        var deleteCampaign=$http.delete(url,config);
                        deleteCampaign.success( function(resp, status, headers, config) {
                            // console.log("deleted response:");
                            // console.dir(resp);
                            if(resp.data[0].code=="SUCCESS" && resp.data[0].status=="success"){
                                // console.log("success Campaign deleted");
                                findAndRemove($scope.Campaigns, 'id', id);
                                if($scope.Campaigns.length<=0){
                                    $scope.showCampaignList='noresults';
                                }
                                // console.log("goBack code is executing in sharedData.deleteCampaign");
                                $scope.sharedData.id=null;
                                $scope.$applyAsync();
                                document.getElementById('zc_innerIframeParentDiv').removeChild(document.getElementById('zc_innerIframePage'));
                                 $scope.sharedData.succErrorInit('success',$scope.exti18n.delSuc.replace("{{module}}",$scope.modulesList.Campaigns.singular_label));
                            }else{
                                 $scope.sharedData.succErrorInit('error',resp.message);
                            }
                        });
                        deleteCampaign.error(function(resp, status,headers,config){
                                // console.log("failure Campaign not deleted");
                                 $scope.sharedData.succErrorInit('error',resp.message);
                        });
                    }
                    $scope.safeApply();
                });
                unregister();
            }else if($scope.deleteYesOrNo=='no'){
                // console.log("no clicked");
                $scope.deleteYesOrNo="hide";
                unregister();
            }
        });
    }
    $scope.sharedData.editCampaign=function(id){
        if($scope.modulesList.Campaigns!=null && $scope.modulesList.Campaigns.editable==false){
            $scope.sharedData.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layout.visible!=null && $scope.layout.visible!=undefined && $scope.layout.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Contacts.singular_label+" "+$scope.layout.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        if($scope.layoutCampaign.visible!=null && $scope.layoutCampaign.visible!=undefined && $scope.layoutCampaign.visible==false){
            $scope.sharedData.succErrorInit('error',"***"+$scope.modulesList.Campaigns.singular_label+" "+$scope.layoutCampaign.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
            return;
        }
        // console.log("editPotential clicked");
      var innerEl=document.createElement("iframe");
      innerEl.className="inner-campaign-iframe";
      innerEl.id="zc_innerIframePage";
      innerEl.name="zc_innerIframePage";
      innerEl.src=chrome.extension.getURL('html/create-campaign.html');
      innerEl.setAttribute('frameborder','0');
      // console.dir(angular.element('#zc_innerIframeParentDiv'));
      angular.element('#zc_innerIframeParentDiv').empty();
      angular.element('#zc_innerIframeParentDiv').append(innerEl);
      $scope.sharedData.data=$scope.Campaigns;
      $scope.sharedData.id=id;
      $scope.sharedData.module="Contact";
      $scope.sharedData.moduleData=$scope.details;
      $scope.sharedData.action="edit";
      $scope.safeApply();
      if($scope.windowPixelChanged==false){
        chrome.extension.sendRequest({name:'',redirect:'resetWinSize',action:'resetWinSize'},function(resp){});
        $scope.windowPixelChanged=true;
        $scope.safeApply();
      }
    }
    $scope.getFromCampaignsModule=function(){
        // console.log("getFromCampaignsModule function executing");
        chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
            if(response.status=="success"){
                var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                var url = "https://crm.zoho."+response.datacenterExt+"/crm/v2/Campaigns?fields=Campaign_Name,Status,Expected_Revenue";
                var getFromCampaignsModule_api=$http.get(url,config);
                getFromCampaignsModule_api.success( function(resp, status, headers, config) {
                    if(status==200){
                        // console.log(status);
                        // console.log(resp);
                        $scope.fromCampaignsModule=resp.data;
                    }else if(status=204){
                        // console.log(status);
                        // console.log(resp);
                    }else{
                        // console.log(status);
                        // console.log(resp);
                    }
                });
                getFromCampaignsModule_api.error( function(resp, status, headers, config) {
                    // console.log(status);
                    // console.log(resp);
                });
            }
            $scope.safeApply();
        });
    }
    $scope.toggleAddCampaignfunc=function(){
        $scope.todoStorage.campaignsMetadata(function(data){
            // console.log("in toggleAddCampaignfunc in campaignsMetadata");
            var fields=data.modules[0].fields;
            // console.log(data.modules[0].fields);
            angular.forEach(fields,function(field){
                if(field.api_name=="Status"){
                    // console.log(field);
                    $scope.statusFieldOptions=field.pick_list_values;
                }
            });  
            // console.log($scope.statusFieldOptions);
            $scope.safeApply();
        });
        $scope.safeApply();
        if($scope.toggleAddCampaign==true){
            $scope.toggleAddCampaign=false;
        }else{
            $scope.toggleAddCampaign=true;
        }
    }
    $scope.sharedData.updatedCampaignListAfterCampaignAdded=function(addedCampaign){
      // console.log(addedCampaign);
      $scope.Campaigns.unshift(addedCampaign);
      $scope.goBackChild();
      $scope.getFullCampaign(addedCampaign.id);
      $scope.showCampaignList="show";
      $scope.safeApply();
    }
    $scope.sharedData.updatedCampaignListAfterCampaignUpdated=function(addedCampaign){
      // console.log(addedCampaign);
      findAndRemove($scope.Campaigns,'id',addedCampaign.id);
      $scope.Campaigns.unshift(addedCampaign);
      $scope.goBackChild();
      $scope.getFullCampaign(addedCampaign.id);
      $scope.showCampaignList="show";
      $scope.safeApply();
    }
    /*************************************** Get Campaigns function End ***************************************/
     $scope.getFullPotential=function(id){
        var innerEl=document.createElement("iframe");
        innerEl.className="inner-potential-iframe";
        innerEl.id="zc_innerIframePage";
        innerEl.name="zc_innerIframePage";
        innerEl.src=chrome.extension.getURL('html/potential-inner.html');
        innerEl.setAttribute('frameborder','0');
        // console.dir(angular.element('#zc_innerIframeParentDiv'));
        angular.element('#zc_innerIframeParentDiv').append(innerEl);
        $scope.sharedData.id=id;
        $scope.sharedData.module="Contact";
        $scope.sharedData.moduleData=$scope.details;
        $scope.sharedData.data=$scope.Potentials;
        $scope.sharedData.harcodedFields=$scope.harcodedFieldsPotential;
        $scope.safeApply();
        if($scope.windowPixelChanged==false){
            chrome.extension.sendRequest({name:'',redirect:'resetWinSize',action:'resetWinSize'},function(resp){});
            $scope.windowPixelChanged=true;
            $scope.safeApply();
          }
    }
    $scope.getFullCampaign=function(id){
        var innerEl=document.createElement("iframe");
        innerEl.className="inner-campaign-iframe";
        innerEl.id="zc_innerIframePage";
        innerEl.name="zc_innerIframePage";
        innerEl.src=chrome.extension.getURL('html/campaign-inner.html');
        innerEl.setAttribute('frameborder','0');
        // console.dir(angular.element('#zc_innerIframeParentDiv'));
        angular.element('#zc_innerIframeParentDiv').append(innerEl);
        $scope.sharedData.id=id;
        $scope.sharedData.module="Contact";
        $scope.sharedData.moduleData=$scope.details;
        $scope.sharedData.data=$scope.Campaigns;
        $scope.sharedData.harcodedFields=$scope.harcodedFieldsCampaign;
        $scope.safeApply();
        if($scope.windowPixelChanged==false){
        chrome.extension.sendRequest({name:'',redirect:'resetWinSize',action:'resetWinSize'},function(resp){});
        $scope.windowPixelChanged=true;
        $scope.safeApply();
      }
    }
    $scope.getFullTask=function(id){
        var innerEl=document.createElement("iframe");
        innerEl.className="inner-task-iframe";
        innerEl.id="zc_innerIframePage";
        innerEl.name="zc_innerIframePage";
        innerEl.src=chrome.extension.getURL('html/task-inner.html');
        innerEl.setAttribute('frameborder','0');
        // console.dir(angular.element('#zc_innerIframeParentDiv'));
        angular.element('#zc_innerIframeParentDiv').append(innerEl);
        $scope.sharedData.id=id;
        $scope.sharedData.module="Contact";
        $scope.sharedData.moduleData=$scope.details;
        $scope.sharedData.harcodedFieldsModule=$scope.harcodedFields;
        $scope.safeApply();
        if($scope.windowPixelChanged==false){
        chrome.extension.sendRequest({name:'',redirect:'resetWinSize',action:'resetWinSize'},function(resp){});
        $scope.windowPixelChanged=true;
        $scope.safeApply();
      }
    }
    $scope.getFullEvent=function(id){
        var innerEl=document.createElement("iframe");
        innerEl.className="inner-event-iframe";
        innerEl.id="zc_innerIframePage";
        innerEl.name="zc_innerIframePage";
        innerEl.src=chrome.extension.getURL('html/event-inner.html');
        innerEl.setAttribute('frameborder','0');
        // console.dir(angular.element('#zc_innerIframeParentDiv'));
        angular.element('#zc_innerIframeParentDiv').append(innerEl);
        $scope.sharedData.id=id;
        $scope.sharedData.module="Contact";
        $scope.sharedData.moduleData=$scope.details;
        $scope.sharedData.harcodedFieldsModule=$scope.harcodedFields;
        $scope.safeApply();
        if($scope.windowPixelChanged==false){
        chrome.extension.sendRequest({name:'',redirect:'resetWinSize',action:'resetWinSize'},function(resp){});
        $scope.windowPixelChanged=true;
        $scope.safeApply();
      }
    }
    $scope.getFullCall=function(id){
        var innerEl=document.createElement("iframe");
        innerEl.className="inner-call-iframe";
        innerEl.id="zc_innerIframePage";
        innerEl.name="zc_innerIframePage";
        innerEl.src=chrome.extension.getURL('html/call-inner.html');
        innerEl.setAttribute('frameborder','0');
        // console.dir(angular.element('#zc_innerIframeParentDiv'));
        angular.element('#zc_innerIframeParentDiv').append(innerEl);
        $scope.sharedData.id=id;
        $scope.sharedData.module="Contact";
        $scope.sharedData.moduleData=$scope.details;
        $scope.sharedData.harcodedFieldsModule=$scope.harcodedFields;
        $scope.safeApply();
        if($scope.windowPixelChanged==false){
        chrome.extension.sendRequest({name:'',redirect:'resetWinSize',action:'resetWinSize'},function(resp){});
        $scope.windowPixelChanged=true;
        $scope.safeApply();
      }
    }

    $scope.c_timeToSec = function(item) {
        var result = new Date(item.Created_Time).getTime();
        return result || '';
    };
    $scope.m_timeToSec = function(item) {
        var result = new Date(item.Modified_Time).getTime();
        return result || '';
    };
    $scope.timeToSec = function(item) {
        var result = new Date(item).getTime();
        return result || '';
    };
    $scope.containsValue = function(item,val) {
        if(item.indexOf(val)>=0){
            return true;
        }else{
            return false;
        }
    };
    $scope.eleminateFields =function(item){
        var result=false;
        var options=["$approved","id","First_Name","Last_Name","Title","Account_Name","Email","Fax","Mobile","Phone","Mailing_City","Mailing_State","Mailing_Country"];
        if(options.indexOf(item)<0){
            result=true;
        }
        return result;
    }
    function findAndRemove(array, property, value) {
      array.forEach(function(result, index) {
        if(result[property] === value) {
          //Remove from array
          array.splice(index, 1);
        }    
      });
    }
    $scope.scrollMoving=function(module,direction){
      // // console.log("inscrollmoving");
      if(module=="Deals"){
        if(direction=="UP"){
            $scope.showBottomButtonofPotential='hide';
        }else if(direction=="DOWN"){
            $scope.showBottomButtonofPotential='show';
        }
      }else if(module=="Activities"){
        if(direction=="UP"){
            $scope.showBottomButtonofActivities='hide';
        }else if(direction=="DOWN"){
            $scope.showBottomButtonofActivities='show';
        }
      }
      $scope.safeApply();
    }
    $scope.moreItemsOnScroll=function(module){
      // console.log("now it is scrolled to down");
      // // console.log($scope.currentListPageNumber);
      // // console.log($scope.infoOfDetails.page+1);
      if(module=="Deals"){
        $scope.infoOfModuleDynamic=$scope.InfoOfPotentials;
        $scope.currentListPageNumberDynamic=$scope.currentListPageNumberOfPotential;
      }else if(module=="Campaigns"){
        $scope.infoOfModuleDynamic=$scope.InfoOfCampaigns;
        $scope.currentListPageNumberDynamic=$scope.currentListPageNumberOfCampaign;
      }
      if($scope.infoOfModuleDynamic.more_records==true && ($scope.infoOfModuleDynamic.page==$scope.currentListPageNumberDynamic)){
        // console.log("Hurrayyyy its more_records===true");
        $scope.currentListPageNumberDynamic=parseInt($scope.infoOfModuleDynamic.page)+1;
        $scope.safeApply();
        chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
            var url = "https://crm.zoho."+response.datacenterExt+"/crm/v2/Contacts/"+$scope.details.id+"/"+module+"?per_page=10&page="+(parseInt($scope.infoOfModuleDynamic.page)+1);
            if(response.status=="success"){
                var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                var getPotentials_api=$http.get(url,config);
                getPotentials_api.success( function(resp, status, headers, config) {
                    if(status==200){
                        // console.log(status);
                        // console.log(resp);
                        if(module=="Deals"){
                            $scope.Potentials=$scope.Potentials.concat(resp.data);
                            $scope.InfoOfPotentials=resp.info;
                            $scope.currentListPageNumberOfPotential=$scope.currentListPageNumberDynamic;
                        }else if(module=="Campaigns"){
                            $scope.Campaigns=$scope.Campaigns.concat(resp.data);
                            $scope.InfoOfCampaigns=resp.info;
                            $scope.currentListPageNumberOfCampaign=$scope.currentListPageNumberDynamic;
                        }
                        $scope.safeApply();
                        // chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'potentialsListFromMenu',value:resp},function(response){
                        //     if(response.resp=="success"){
                        //         chrome.extension.sendRequest({name:'html/potential.html',redirect:'toContent',action:''});
                        //     }
                        // });
                    }else if(status==204){
                        // console.log(status);
                        // console.log(resp);
                        // chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'potentialsListFromMenu',value:{'data':[]}},function(response){
                        //     if(response.resp=="success"){
                        //         chrome.extension.sendRequest({name:'html/potential.html',redirect:'toContent',action:''});
                        //     }
                        // });
                    }else{
                        // console.log(status);
                        // console.log(resp);
                        // chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'potentialsListFromMenu',value:{}},function(response){
                        //     if(response.resp=="success"){
                        //         chrome.extension.sendRequest({name:'html/potential.html',redirect:'toContent',action:''});
                        //     }
                        // });
                    }
                });
                getPotentials_api.error( function(resp, status, headers, config) {
                    // console.log(status);
                    // console.log(resp);
                    // chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'potentialsListFromMenu',value:{}},function(response){
                    //     if(response.resp=="success"){
                    //         // chrome.extension.sendRequest({name:'html/potential.html',redirect:'toContent',action:''});
                    //     }
                    // });
                });
            }
        });
      }
    }
    $scope.goBackChild=function(){
      // console.log("goBackChild clicked");
      $scope.sharedData.id=null;
      $scope.$applyAsync();
      chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:null});
      window.document.getElementById('zc_innerIframeParentDiv').removeChild(window.document.getElementById('zc_innerIframePage'));
    }
    $scope.sharedData.succErrorInit=function(succError,succErrorMsg){
        // console.log(succError+":::::"+succErrorMsg);
        $scope.succError=succError;
        $scope.succErrorMsg=succErrorMsg;
        if(succError!='loading'){
            $timeout(function(){
                $scope.sharedData.succErrorReset();
            },3*1000);
        }
        $scope.safeApply();
    }
    $scope.sharedData.succErrorReset=function(){
        $scope.succError='';
        $scope.succErrorMsg='';
        $scope.safeApply();
    }
    $scope.openExternalLink=function(){
        chrome.extension.sendRequest({name:'checkZatTime'},function(response){ 
            var website="https://crm.zoho."+response.datacenterExt+"/crm/"+response.orgId+"/EntityInfo.do?module=Contacts&id="+$scope.details.id;
            chrome.extension.sendRequest({name:'',redirect:'openUrlInNewTab',action:'',url:website},function(response){});
        });
    }
    $scope.openGmailComposeWindow=function(email){
        chrome.extension.sendRequest({name:'',redirect:'openGmailComposeWindow',action:email,url:'', body:''},function(response){});
    }
    $scope.safeApply();

});