mainApp.filter('eleminateFields',function($filter){
    return function(item){
        var result=false;
        var options=["$approved","id","Layout","$approval","Event_Title"];
        if(options.indexOf(item)<0){
            result=true;
        }
        return result;
    }
});
mainApp.controller('eventViewDetails',function($scope, $element,$filter, $window,$interval, $http, todoStorage){
  $scope.safeApply = function(fn) {   /* used in todoStorage for data binding */
      var phase = this.$root.$$phase;
      if(phase == '$apply' || phase == '$digest') {
        if(fn && (typeof(fn) === 'function')) {
          fn();
        }
      } else {
        this.$apply(fn);
      }
    };
    $scope.todoStorage = todoStorage;   /* got from a mainApp service used to fetch data from chrome db */
  $scope.exti18n={};
  $scope.webpage ="Gmail";
  chrome.extension.sendRequest({name:'getwebpage'},function(resp){
    // console.log(resp);
    $scope.webpage=resp;
    $scope.safeApply();
  });
  $scope.todoStorage.currentUserData(function(data){
    if(data!=null){
      $scope.currentUserData=data.users[0];
    }
    // console.log($scope.currentUserData);
    if($scope.currentUserData!=undefined && lang_i18n["lang_"+$scope.currentUserData.language]!=undefined){
      $scope.exti18n=lang_i18n["lang_"+$scope.currentUserData.language];
    }else{
      $scope.exti18n=lang_i18n["lang_en_US"];
    }
    
    $scope.safeApply($scope.exti18n);
  });
  $scope.safeApply($scope.exti18n);
    $scope.validationMessages=false;
    $scope.addFormToCrmMessages="";/*success to show success message, error to show error message, loading for button loading*/
    $scope.addFormToCrmContent=[];/*content for error or success message*/
    $scope.addFormToCrmCreatedId=null;/* id of the newly created contact or lead */
    $scope.showFullScreen=false; /* shows the screen after full html loaded if true*/
    $scope.timeValues=[{"actual_value":"00:00","display_value":"12:00 AM"} ,{"actual_value":"00:30","display_value":"12:30 AM"} ,{"actual_value":"01:00","display_value":"01:00 AM"} ,{"actual_value":"01:30","display_value":"01:30 AM"} ,{"actual_value":"02:00","display_value":"02:00 AM"} ,{"actual_value":"02:30","display_value":"02:30 AM"} ,{"actual_value":"03:00","display_value":"03:00 AM"} ,{"actual_value":"03:30","display_value":"03:30 AM"} ,{"actual_value":"04:00","display_value":"04:00 AM"} ,{"actual_value":"04:30","display_value":"04:30 AM"} ,{"actual_value":"05:00","display_value":"05:00 AM"} ,{"actual_value":"05:30","display_value":"05:30 AM"} ,{"actual_value":"06:00","display_value":"06:00 AM"} ,{"actual_value":"06:30","display_value":"06:30 AM"} ,{"actual_value":"07:00","display_value":"07:00 AM"} ,{"actual_value":"07:30","display_value":"07:30 AM"} ,{"actual_value":"08:00","display_value":"08:00 AM"} ,{"actual_value":"08:30","display_value":"08:30 AM"} ,{"actual_value":"09:00","display_value":"09:00 AM"} ,{"actual_value":"09:30","display_value":"09:30 AM"} ,{"actual_value":"10:00","display_value":"10:00 AM"} ,{"actual_value":"10:30","display_value":"10:30 AM"} ,{"actual_value":"11:00","display_value":"11:00 AM"} ,{"actual_value":"11:30","display_value":"11:30 AM"} ,{"actual_value":"12:00","display_value":"12:00 PM"} ,{"actual_value":"12:30","display_value":"12:30 PM"} ,{"actual_value":"13:00","display_value":"01:00 PM"} ,{"actual_value":"13:30","display_value":"01:30 PM"} ,{"actual_value":"14:00","display_value":"02:00 PM"} ,{"actual_value":"14:30","display_value":"02:30 PM"} ,{"actual_value":"15:00","display_value":"03:00 PM"} ,{"actual_value":"15:30","display_value":"03:30 PM"} ,{"actual_value":"16:00","display_value":"04:00 PM"} ,{"actual_value":"16:30","display_value":"04:30 PM"} ,{"actual_value":"17:00","display_value":"05:00 PM"} ,{"actual_value":"17:30","display_value":"05:30 PM"} ,{"actual_value":"18:00","display_value":"06:00 PM"} ,{"actual_value":"18:30","display_value":"06:30 PM"} ,{"actual_value":"19:00","display_value":"07:00 PM"} ,{"actual_value":"19:30","display_value":"07:30 PM"} ,{"actual_value":"20:00","display_value":"08:00 PM"} ,{"actual_value":"20:30","display_value":"08:30 PM"} ,{"actual_value":"21:00","display_value":"09:00 PM"} ,{"actual_value":"21:30","display_value":"09:30 PM"} ,{"actual_value":"22:00","display_value":"10:00 PM"} ,{"actual_value":"22:30","display_value":"10:30 PM"} ,{"actual_value":"23:00","display_value":"11:00 PM"} ,{"actual_value":"23:30","display_value":"11:30 PM"} ];
    $scope.lookupModules=["Leads","Contacts","Accounts","Campaigns","Deals","Cases","Solutions","Products","Vendors","Price_Books","Quotes","Sales_Orders","Purchase_Orders","Invoices","se_module"];
    $scope.todayDate=new Date().getTime();
    $scope.sharedData = $window.parent.sharedData.getScope();
    // console.log($scope.sharedData);
    // console.log($scope.sharedData.data);
    // console.log($scope.sharedData.action);
    $scope.metadata={};
    $scope.addFormData={};
    // console.log("camehere");
    $scope.todoStorage.modulesList(function(data){
      $scope.modulesList=data;
      $scope.safeApply();
      // console.log($scope.modulesList);
    });
    Date.prototype.addHours= function(h){
        this.setHours(this.getHours()+h);
        return this;
    }
    Date.prototype.addDays = function(days) {
        this.setDate(this.getDate() + parseInt(days));
        return this;
    };
    $scope.todoStorage.eventsMetadata(function(data){
     // console.log("intodoStorage");
        // var items=data.relations;
        // // console.log(data.relations);
        // angular.forEach(items,function(item){
        //     $scope.metadata[item.list_label.replace(/\s|\'/g, "_")]=item.list_relation_id;
        // });    
        // // console.log("metadata");
        // // console.log($scope.metadata);
        // $scope.safeApply();
        var items=data.modules[0].layouts;
        // angular.forEach(items,function(item){
        //     if(item.name=="Standard"){
        //         $scope.layout=item;
        //     }
        // });
        // if($scope.layout==undefined && items.length>0){
        //          $scope.layout=items[0];
        //     }
        for(var item in items){
            for (var profile in items[item].profiles) {
                if (items[item].profiles[profile].id == $scope.currentUserData.profile.id && items[item].profiles[profile].default == true) {
                    $scope.layout = items[item];
                    break;
                }
            }
        }
        // console.dir($scope.layout);
        $scope.fields=data.modules[0].fields;
        $scope.harcodedFields={};
        var resultArray=[];
        for(var sec=0;sec<$scope.layout.sections.length;sec++){
            for(var fld=0;fld<$scope.layout.sections[sec].fields.length;fld++){
                var result={};
                var retObj=findAndReturn($scope.fields,'api_name',$scope.layout.sections[sec].fields[fld].api_name);
                for(var key in retObj){
                    result[key]=retObj[key];
                }
                for(var key in $scope.layout.sections[sec].fields[fld]){
                    result[key]=$scope.layout.sections[sec].fields[fld][key];
                }
                $scope.harcodedFields[result.api_name]=result;
                // $scope.layout.sections[sec].fields[fld]=result;
                resultArray.push(result);
            }
        }
        // console.log("combinedFields:");
        // console.dir(resultArray);
        $scope.combinedFields=resultArray;
        $scope.safeApply();
        
        // console.log(resultArray);
        for(var i=0;i<resultArray.length;i++){
            // // console.log(resultArray[i].field_label+" : "+resultArray[i].data_type);
            // console.log(resultArray[i].api_name+" : "+resultArray[i].data_type);
        }
        // setTimeout(function(){ // console.log("exectued");$(".singleselect").chosen(); }, 15000);
        
        // var result={};
        // var obj1=$scope.layout.sections[0].fields[0];
        // var obj2=$scope.fields[0];
        // for(var key in obj1) result[key]=obj1[key];
        // for(var key in obj2) result[key]=obj2[key];
        // // console.dir(result);
        if($scope.sharedData.action=="create"){
            $scope.todoStorage.currentUserData(function(data){
             // console.log("in currentUserData todostorage");
                for(var key in $scope.combinedFields){
                    switch($scope.combinedFields[key].data_type){
                        case "ownerlookup":
                            $scope.addFormData[$scope.combinedFields[key].api_name]={"name":data.users[0].full_name,"id":data.users[0].id};
                        break;
                    }
                }
                $scope.safeApply();
                // console.log($scope.addFormData);
            });
            // console.log($scope.sharedData.module);
            if($scope.sharedData.module=="Lead"){
                $scope.addFormData['What_Id']={"name":$scope.sharedData.moduleData.Full_Name,"id":$scope.sharedData.moduleData.id};
                $scope.addFormData['se_module']="Leads";
            }else{
                $scope.addFormData['Who_Id']={"name":$scope.sharedData.moduleData.Full_Name,"id":$scope.sharedData.moduleData.id};
            }
            // console.log($scope.addFormData['Who_Id']);
            
            var fromDate=new Date().addHours(1);
            var toDate=new Date().addHours(1);
            toDate.setMinutes(toDate.getMinutes() + 30);
            var fromDay=fromDate.getDate();
            var toDay=toDate.getDate();
            var fromMonth=1;
            var toMonth=1;
            fromMonth=fromMonth+fromDate.getMonth();
            toMonth=toMonth+toDate.getMonth();
            fromYear=fromDate.getFullYear();
            toYear=toDate.getFullYear();
            if(fromDay<10){
                fromDay="0"+fromDay;
            }
            if(toDay<10){
                toDay="0"+toDay;
            }
            if(fromMonth<10){
                fromMonth="0"+fromMonth;
            }
            if(toMonth<10){
                toMonth="0"+toMonth;
            }
            var fromHours=fromDate.getHours();
            var toHours=toDate.getHours();
            var fromMin=fromDate.getMinutes();
            var toMin=toDate.getMinutes();
            if(fromHours<10){
                fromHours="0"+fromHours;
            }
            if(toHours<10){
                toHours="0"+toHours;
            }
            if(fromMin<30){
                fromMin="00";
            }else{
                fromMin="30";
            }
            if(toMin<30){
                toMin="00";
            }else{
                toMin="30";
            }
            // var thisDate=newDate();
            // var day=thisDate.getDate();
            // var month=1;
            // month=month+thisDate.getMonth();
            // var year= thisDate.getFullYear();
            // if(day<10){
            //     day="0"+day;
            // }
            // if(month<10){
            //     month="0"+month;
            // }
            // var hours=thisDate.getHours();
            // var formattedDateFrom=null;
            // var formattedDateTo=null;
            // var formattedTimeFrom=null;
            // var formattedTimeTo=null;
            // if(hours<10){
            //     hours="0"+hours;
            // }
            // if(hours==23){
            //     formattedDateFrom=year+"-"+month+"-"+date;
            //     formattedDateTo=year+"-"+month+"-"+date;
            //     formattedTimeFrom=hours+":00";
            //     formattedTimeTo=Number(Number(hours)+1)+":00";
            // }else if(hours==22){
            //     formattedDateFrom=year+"-"+month+"-"+date;
            //     formattedDateTo=year+"-"+month+"-"+date;
            //     formattedTimeFrom=Number(Number(hours)+1)+":00";
            //     formattedTimeTo=Number(Number(hours)+2)+":00";
            // }else{
            //     formattedDateFrom=year+"-"+month+"-"+date;
            //     formattedDateTo=year+"-"+month+"-"+date;
            //     formattedTimeFrom=Number(Number(hours)+1)+":00";
            //     formattedTimeTo=Number(Number(hours)+2)+":00";
            // }
            $scope.addFormData['Start_DateTime']={"date":fromYear+"-"+fromMonth+"-"+fromDay,"time":fromHours+":"+fromMin};
            $scope.addFormData['End_DateTime']={"date":toYear+"-"+toMonth+"-"+toDay,"time":toHours+":"+toMin};
            //  console.log($scope.addFormData);
            $scope.safeApply();
        }else if($scope.sharedData.action=="edit"){
            $scope.detailsTemp=findAndReturn($scope.sharedData.data,"id",$scope.sharedData.id);
            // console.dir($scope.details);
            // console.log($scope.combinedFields.length);
            
            chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
                var url = "https://crm.zoho."+response.datacenterExt+"/crm/v2/Events/"+$scope.detailsTemp.id;
                if(response.status=="success"){
                    var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                    var getTasksById_api=$http.get(url,config);
                    getTasksById_api.success( function(resp, status, headers, config) {
                        if(status==200){
                            // console.log(status);
                            // console.log(resp);
                            $scope.details=resp.data[0];
                            for(var key in $scope.combinedFields){
                                switch($scope.combinedFields[key].data_type){
                                    case "text":
                                    case "email":
                                    case "phone":
                                    case "integer":
                                    case "currency":
                                    case "double":
                                    case "bigint":
                                    case "website":
                                    case "textarea":
                                        if($scope.details[$scope.combinedFields[key].api_name]!=null && $scope.combinedFields[key].api_name!="Participants"){
                                            // console.log(1);
                                            $scope.addFormData[$scope.combinedFields[key].api_name]=$scope.details[$scope.combinedFields[key].api_name]+'';
                                        }
                                    break;
                                    case "boolean":
                                        if($scope.details[$scope.combinedFields[key].api_name]!=null){
                                            // console.log(1);
                                            $scope.addFormData[$scope.combinedFields[key].api_name]=$scope.details[$scope.combinedFields[key].api_name];
                                            try{
                                                if($scope.combinedFields[key].api_name=="All_day" && $scope.details[$scope.combinedFields[key].api_name]==true){
                                                    setTimeout(function(){
                                                        $scope.hideST_DT();
                                                    },500);
                                                }
                                            }catch(e){}
                                            
                                        }
                                    break;
                                    case "date":
                                        if($scope.details[$scope.combinedFields[key].api_name]!=null){
                                            // var thisDate= new Date($scope.details[$scope.combinedFields[key].api_name]);
                                            // var day=thisDate.getDate();
                                            // var month=1;
                                            // month=month+thisDate.getMonth();
                                            // var year= thisDate.getFullYear();
                                            // if(day<10){
                                            //     day="0"+day;
                                            // }
                                            // if(month<10){
                                            //     month="0"+month;
                                            // }
                                            $scope.addFormData[$scope.combinedFields[key].api_name]=moment.tz($scope.details[$scope.combinedFields[key].api_name]+" 11:00", $scope.currentUserData.time_zone).format().substring(0,10);
                                            // $scope.addFormData[$scope.combinedFields[key].api_name]=$scope.details[$scope.combinedFields[key].api_name].substring(0,10);
                                        }
                                    break;
                                    case "datetime":
                                        if($scope.details[$scope.combinedFields[key].api_name]!=null && $scope.combinedFields[key].api_name!="Created_Time" && $scope.combinedFields[key].api_name!="Modified_Time" && $scope.combinedFields[key].api_name!="Last_Activity_Time"){
                                            // alert($scope.details[$scope.combinedFields[key].api_name]);
                                            $scope.addFormData[$scope.combinedFields[key].api_name]={};
                                            // var thisDate= new Date($scope.details[$scope.combinedFields[key].api_name]);
                                            // // var thisDateLocalTime = thisDate.getTime();
                                            // // var thisDateLocalOffset = thisDate.getTimezoneOffset() * 60000;
                                            // // var thisDateUTC = thisDateLocalTime + thisDateLocalOffset;
                                            // // var thisDateAccounts = thisDateUTC+$scope.currentUserData.offset;
                                            // // thisDate=new Date(thisDateAccounts).toLocaleString();

                                            // thisDate = new Date(thisDate.getTime()+(thisDate.getTimezoneOffset() * 60000)+$scope.currentUserData.offset).toLocaleString(); 
                                            // console.log(thisDate);


                                            // var day=thisDate.getDate();
                                            // var month=1;
                                            // month=month+thisDate.getMonth();
                                            // var year= thisDate.getFullYear();
                                            // if(day<10){
                                            //     day="0"+day;
                                            // }
                                            // if(month<10){
                                            //     month="0"+month;
                                            // }
                                            // var hour=thisDate.getHours();
                                            //  if(hour<10){
                                            //     hour="0"+hour;
                                            // }
                                            // var min=thisDate.getMinutes();
                                            //  if(min<10){
                                            //     min="0"+min;
                                            // }
                                            $scope.addFormData[$scope.combinedFields[key].api_name].date = $scope.details[$scope.combinedFields[key].api_name].substring(0,10);
                                            $scope.addFormData[$scope.combinedFields[key].api_name].time = $scope.details[$scope.combinedFields[key].api_name].substring(11,16);
                                            if(($scope.combinedFields[key].api_name=="Start_DateTime" || $scope.combinedFields[key].api_name=="End_DateTime") && $scope.details.hasOwnProperty("All_day") && $scope.details.All_day==true){
                                                thisDate=$filter('date')($scope.addFormData[$scope.combinedFields[key].api_name].date, "yyyy-MM-dd");
                                                $scope.addFormData[$scope.combinedFields[key].api_name].date=$scope.details[$scope.combinedFields[key].api_name].substring(0,10);
                                                $scope.addFormData[$scope.combinedFields[key].api_name].time=$scope.details[$scope.combinedFields[key].api_name].substring(11,16);
                                                if($scope.combinedFields[key].api_name=="End_DateTime"){
                                                    $scope.addFormData[$scope.combinedFields[key].api_name].time="23:30";
                                                }
                                            }
                                        }
                                    break;
                                    case "picklist":
                                        if($scope.details[$scope.combinedFields[key].api_name]!=null){
                                            $scope.addFormData[$scope.combinedFields[key].api_name]={};
                                            $scope.addFormData[$scope.combinedFields[key].api_name].selected=$scope.details[$scope.combinedFields[key].api_name];
                                            if($scope.addFormData[$scope.combinedFields[key].api_name].selected!=null && $scope.addFormData[$scope.combinedFields[key].api_name].selected!='' && $scope.addFormData[$scope.combinedFields[key].api_name].selected!="None"){
                                                $scope.addFormData[$scope.combinedFields[key].api_name].validation=$scope.addFormData[$scope.combinedFields[key].api_name].selected;
                                            }
                                        }
                                    break;
                                    case "multiselectpicklist":
                                        // console.log(3);
                                        if($scope.details[$scope.combinedFields[key].api_name]!=null){
                                            // var thisSplitArray=$scope.details[$scope.combinedFields[key].api_name].split(";");
                                            // var thisArray=[];
                                            // // console.log("splitarray:"+thisSplitArray.length);
                                            // for(var i=0;i<thisSplitArray.length;i++){
                                            //     thisArray.push(thisSplitArray[i]);
                                            // }
                                            // // console.log(thisArray);
                                            $scope.addFormData[$scope.combinedFields[key].api_name].selected=$scope.details[$scope.combinedFields[key].api_name];
                                            if($scope.addFormData[$scope.combinedFields[key].api_name].selected!=null && $scope.addFormData[$scope.combinedFields[key].api_name].selected!='' && $scope.addFormData[$scope.combinedFields[key].api_name].selected.length>0){
                                                $scope.addFormData[$scope.combinedFields[key].api_name].validation='hasValue';
                                            }
                                        }
                                        // console.log("final statement");
                                    break;
                                    case "lookup":
                                    if($scope.combinedFields[key].api_name=="Account_Name" && $scope.details[$scope.combinedFields[key].api_name]!=null){
                                        $scope.addFormData[$scope.combinedFields[key].api_name] = $scope.details[$scope.combinedFields[key].api_name].name;
                                    }else if($scope.combinedFields[key].api_name!="Account_Name" && ($scope.validLookupModule($scope.combinedFields[key].lookup.module)|| $scope.combinedFields[key].lookup.module=='se_module') && $scope.details[$scope.combinedFields[key].api_name]!=null){
                                        $scope.addFormData[$scope.combinedFields[key].api_name] = $scope.details[$scope.combinedFields[key].api_name];
                                        if($scope.combinedFields[key].lookup.module=="se_module"){
                                            $scope.addFormData["se_module"]=$scope.details["$se_module"];
                                        }
                                    }
                                    break;
                                    case "ownerlookup":
                                        // console.log("ownerlookup:"+$scope.combinedFields[key].api_name);
                                        if($scope.details[$scope.combinedFields[key].api_name]!=null && $scope.combinedFields[key].api_name!="Created_By" && $scope.combinedFields[key].api_name!="Modified_By"){
                                            $scope.addFormData[$scope.combinedFields[key].api_name] = $scope.details[$scope.combinedFields[key].api_name];
                                        }
                                    break;
                                    case "userlookup":
                                        // console.log("ownerlookup:"+$scope.combinedFields[key].api_name);
                                        if($scope.details[$scope.combinedFields[key].api_name]!=null && $scope.combinedFields[key].api_name!="Created_By" && $scope.combinedFields[key].api_name!="Modified_By"){
                                            $scope.addFormData[$scope.combinedFields[key].api_name] = $scope.details[$scope.combinedFields[key].api_name];
                                        }
                                    break;
                                    default:
                                    // console.log(4);
                                    // // console.log($scope.combinedFields[key].data_type);
                                        // if ($scope.combinedFields[key].data_type.indexOf("lookup")>-1) {
                                        //     // alert($scope.combinedFields[key].api_name+" "+$scope.combinedFields[key].data_type)
                                        // }
                                    break;


                                }
                                    // $scope.addFormData[$scope.combinedFields[key].api_name]=$scope.details[$scope.combinedFields[key].api_name];
                            }
                        }else if(status=204){
                            // console.log(status);
                            // console.log(resp);
                        }else{
                            // console.log(status);
                            // console.log(resp);
                        }
                    });
                    getTasksById_api.error( function(resp, status, headers, config) {
                        // console.log(status);
                        // console.log(resp);
                    });
                }
                $scope.safeApply();
            });
            
            // console.dir($scope.addFormData);
            $scope.safeApply();
        }
        $scope.showFullScreen=true;
        $scope.thisForm.$setPristine();
        $scope.$watch("thisForm.$dirty",function(currentValue,previousValue){
            // console.log($scope.thisForm);
            if(currentValue!=previousValue){
                // console.log("form changed");
                chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:{'parentModule':$scope.sharedData.module,'module':'createEvent'}});
            }
        });
        // try{
        //     $('#End_DateTime').Zebra_DatePicker({
        //         direction: [$scope.addFormData.Start_DateTime.date, false]
        //     });
        // }catch(e){}
        $scope.safeApply();
    });
    // console.log("ager");
    $scope.safeApply();


    function findAndRemove(array, property, value) {
      array.forEach(function(result, index) {
        if(result[property] === value) {
          //Remove from array
          array.splice(index, 1);
        }    
      });
    }
  function findAndReturn(array, property, value) {
    for(var i=0;i<array.length;i++){
      if(array[i][property] === value){
        return array[i];
      }
    }
  }
  $scope.goBack=function(){
    // console.log("goBack clicked");
    $scope.sharedData.id=null;
    $scope.$applyAsync();
    chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:null},function(){
        window.parent.document.getElementById('zc_innerIframeParentDiv').removeChild(window.parent.document.getElementById('zc_innerIframePage'));
    });
  }
  $scope.lookupFunc=function(field){
    // console.log("lookup clicked");
    // // console.dir(field);
    // if(field.data_type=="lookup"){
    //      var reqBody='{"data":['+JSON.stringify(inputObj)+']}';
    //     // console.dir(inputObj);
    //     // console.log(JSON.stringify(inputObj));
    //     var thisurl="https://crm.zoho.com/crm/v2/Potentials?ticket=62da170879c20c93bd148e51da7a533a";
    //     // console.log(thisurl);
    //     // chrome.extension.sendRequest({name:'apiCall',redirect:'',action:'POST',url:thisurl, body:reqBody},function(response){
    //     //     if(response.status==201){
    //     //         // console.log(response.status);
    //     //         contact.dir(response.resp);
    //     //     }else{
    //     //         // console.log(response.status);
    //     //         contact.dir(response.resp);
    //     //     }
    //     // });
    // }
  }
  $scope.validLookupModule=function(module){
    var retVal=false;
    for(var i=0;i<$scope.lookupModules.length;i++){
        if($scope.lookupModules[i]==module){
            retVal=true;
        }
    }
    return retVal;
  }
  setTimeout(function(){
    $scope.$watch("addFormData.Start_DateTime.time",function(currentValue,previousValue){
        // if(currentValue!=previousValue){
        try{
            var fromdt= new Date($scope.addFormData.Start_DateTime.date+"T"+$scope.addFormData.Start_DateTime.time+":00").getTime();
            var todt= new Date($scope.addFormData.End_DateTime.date+"T"+$scope.addFormData.End_DateTime.time+":00").getTime();
            if(fromdt>=todt){
                if(currentValue=="23:30"){
                    $scope.addFormData.End_DateTime.time="00:00";
                    var tempcurDate=new Date($scope.addFormData.Start_DateTime.date+"T"+$scope.addFormData.Start_DateTime.time+":00");
                    var tempcurDate=tempcurDate.addDays(1);
                    var tempcurDateYear=tempcurDate.getFullYear();
                    var tempcurDateMon=1+tempcurDate.getMonth();
                    var tempcurDateDay=tempcurDate.getDate();
                    if(tempcurDateMon<10){
                        tempcurDateMon="0"+tempcurDateMon;
                    }
                    if(tempcurDateDay<10){
                        tempcurDateDay="0"+tempcurDateDay;
                    }
                    $scope.addFormData.End_DateTime.date=tempcurDateYear+"-"+tempcurDateMon+"-"+tempcurDateDay;
                }else{
                    var tempCurVal=currentValue.split(":");
                    tempCurVal[0]=parseInt(tempCurVal[0]);
                    tempCurVal[1]=parseInt(tempCurVal[1]);
                    if(tempCurVal[1]==30){
                        tempCurVal[1]="00";
                        tempCurVal[0]=tempCurVal[0]+1;
                        if(tempCurVal[0]<10){
                            tempCurVal[0]="0"+tempCurVal[0];
                        }
                    }else{
                        tempCurVal[1]="30";
                        if(tempCurVal[0]<10){
                            tempCurVal[0]="0"+tempCurVal[0];
                        }
                    }
                    $scope.addFormData.End_DateTime.time=tempCurVal[0]+":"+tempCurVal[1];
                }
            }
        }catch(e){console.log(e)}
        $scope.safeApply();
        // }
    });
    $scope.$watch("addFormData.Start_DateTime.date",function(currentValue,previousValue){
        // try{
        //     $('#End_DateTime').Zebra_DatePicker({
        //         direction: [$scope.addFormData.Start_DateTime.date, false]
        //     });
        // }catch(e){}
        // if(currentValue!=previousValue){
        try{
            var fromdt= new Date($scope.addFormData.Start_DateTime.date+"T"+$scope.addFormData.Start_DateTime.time+":00").getTime();
            var todt= new Date($scope.addFormData.End_DateTime.date+"T"+$scope.addFormData.End_DateTime.time+":00").getTime();
            if($scope.addFormData.Start_DateTime.time=="23:30"){
                if(fromdt>=todt){
                    $scope.addFormData.End_DateTime.time="00:00";
                    var tempcurDate=new Date($scope.addFormData.Start_DateTime.date+"T"+$scope.addFormData.Start_DateTime.time+":00");
                    var tempcurDate=tempcurDate.addDays(1);
                    var tempcurDateYear=tempcurDate.getFullYear();
                    var tempcurDateMon=1+tempcurDate.getMonth();
                    var tempcurDateDay=tempcurDate.getDate();
                    if(tempcurDateMon<10){
                        tempcurDateMon="0"+tempcurDateMon;
                    }
                    if(tempcurDateDay<10){
                        tempcurDateDay="0"+tempcurDateDay;
                    }
                    $scope.addFormData.End_DateTime.date=tempcurDateYear+"-"+tempcurDateMon+"-"+tempcurDateDay;
                }
            }else{
                if(fromdt>=todt){
                    $scope.addFormData.End_DateTime.date=$scope.addFormData.Start_DateTime.date;
                    var tempCurVal=$scope.addFormData.Start_DateTime.time.split(":");
                    tempCurVal[0]=parseInt(tempCurVal[0]);
                    tempCurVal[1]=parseInt(tempCurVal[1]);
                    if(tempCurVal[1]==30){
                        tempCurVal[1]="00";
                        tempCurVal[0]=tempCurVal[0]+1;
                        if(tempCurVal[0]<10){
                            tempCurVal[0]="0"+tempCurVal[0];
                        }
                    }else{
                        tempCurVal[1]="30";
                        if(tempCurVal[0]<10){
                            tempCurVal[0]="0"+tempCurVal[0];
                        }
                    }
                    $scope.addFormData.End_DateTime.time=tempCurVal[0]+":"+tempCurVal[1];
                }
            }
        }catch(e){console.log(e)}
        $scope.safeApply();
        // }
    });
},1000);
  $scope.getDetailsById =function(id,module){
    // console.log("getDetailsById function executing");
        chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
            if(response.status=="success"){
                var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                var urlOpen = "https://crm.zoho."+response.datacenterExt+"/crm/v2/"+module+"s/"+$scope.sharedData.moduleData.id+"/Activities/"+id;
                var getOpenDetailsById=$http.get(urlOpen,config);
                getOpenDetailsById.success( function(resp, status, headers, config) {
                    if(status==200){
                        // console.log(status);
                        // console.log(resp);
                        resp.data[0]["ActivityStatus"]="OPEN";
                        // chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'searchByEmailContact',value:resp.data[0]},function(response){
                        //     if(response.resp=="success"){
                        var timerCount=0;
                        var timer=$interval(function(){
                            timerCount++;
                            if($scope.addFormToCrmMessages==''){
                                $interval.cancel(timer);
                                if($scope.sharedData.action=='create'){
                                    $scope.sharedData.updatedActivityListAfterActivityAdded(resp.data[0],"Events");
                                }else{
                                    $scope.sharedData.updatedActivityListAfterActivityUpdated(resp.data[0],"Events");
                                }
                            }else{
                                if(timerCount==10){
                                    $interval.cancel(timer);
                                    if($scope.sharedData.action=='create'){
                                        $scope.sharedData.updatedActivityListAfterActivityAdded(resp.data[0],"Events");
                                    }else{
                                        $scope.sharedData.updatedActivityListAfterActivityUpdated(resp.data[0],"Events");
                                    }
                                }
                            }
                        },500);
                        //     }
                        // });
                    }else if(status=204){
                        // console.log(status);
                        // console.log(resp);
                    }else{
                        // console.log(status);
                        // console.log(resp);
                    }
                });
                getOpenDetailsById.error( function(resp, status, headers, config) {
                    // console.log(status);
                    // console.log(resp);
                });
                var urlClose = "https://crm.zoho."+response.datacenterExt+"/crm/v2/"+module+"s/"+$scope.sharedData.moduleData.id+"/Activities_History/"+id;
                var getCloseDetailsById=$http.get(urlClose,config);
                getCloseDetailsById.success( function(resp, status, headers, config) {
                    if(status==200){
                        // console.log(status);
                        // console.log(resp);
                        resp.data[0]["ActivityStatus"]="CLOSED";
                        // chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'searchByEmailContact',value:resp.data[0]},function(response){
                        //     if(response.resp=="success"){
                        var timerCount=0;
                        var timer=$interval(function(){
                            timerCount++;
                            if($scope.addFormToCrmMessages==''){
                                $interval.cancel(timer);
                                if($scope.sharedData.action=='create'){
                                    $scope.sharedData.updatedActivityListAfterActivityAdded(resp.data[0],"Events");
                                }else{
                                    $scope.sharedData.updatedActivityListAfterActivityUpdated(resp.data[0],"Events");
                                }
                            }else{
                                if(timerCount==10){
                                    $interval.cancel(timer);
                                    if($scope.sharedData.action=='create'){
                                        $scope.sharedData.updatedActivityListAfterActivityAdded(resp.data[0],"Events");
                                    }else{
                                        $scope.sharedData.updatedActivityListAfterActivityUpdated(resp.data[0],"Events");
                                    }
                                }
                            }
                        },500);
                        //     }
                        // });
                    }else if(status=204){
                        // console.log(status);
                        // console.log(resp);
                    }else{
                        // console.log(status);
                        // console.log(resp);
                    }
                });
                getCloseDetailsById.error( function(resp, status, headers, config) {
                    // console.log(status);
                    // console.log(resp);
                });
            }
            $scope.safeApply();
        });
  }
  $scope.hideST_DT=function(){
    if($(".Start_DateTime_zcppk_time")[0].nextSibling.className.includes("chosen-container")){
        $(".Start_DateTime_zcppk_time")[0].nextSibling.style.display="none";
    }
    if($(".End_DateTime_zcppk_time")[0].nextSibling.className.includes("chosen-container")){
        $(".End_DateTime_zcppk_time")[0].nextSibling.style.display="none";
    }
}
  $scope.showST_DT=function(){
    if($(".Start_DateTime_zcppk_time")[0].nextSibling.className.includes("chosen-container")){
        $(".Start_DateTime_zcppk_time")[0].nextSibling.style.display="block";
    }
    if($(".End_DateTime_zcppk_time")[0].nextSibling.className.includes("chosen-container")){
        $(".End_DateTime_zcppk_time")[0].nextSibling.style.display="block";
    }
  }
  
  $scope.addEventToCrm=function(thisFormError){
    // console.log("clicked add Event");
    // console.log(thisFormError);
    if(thisFormError!=null && thisFormError!=undefined && Object.keys(thisFormError).length==0){
        var checktime=1;
        try{
            var fromdt=new Date($scope.addFormData.Start_DateTime.date+"T"+$scope.addFormData.Start_DateTime.time+":00");
            var todt=new Date($scope.addFormData.End_DateTime.date+"T"+$scope.addFormData.End_DateTime.time+":00");
            if(fromdt.getTime()>todt.getTime()){
                checktime=0;
            }
        }catch(e){console.log(e)}
        if(checktime==1){
            $scope.addFormToCrmMessages="loading";
            // console.dir($scope.addFormData);
            var inputObj={};
            for(var key in $scope.combinedFields){
                switch($scope.combinedFields[key].data_type){
                    case "text":
                    case "email":
                    case "phone":
                    case "website":
                    case "boolean":
                    case "textarea":
                        if($scope.addFormData[$scope.combinedFields[key].api_name]!=null){
                            inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name];
                        }
                    break;
                    case "integer":
                    case "bigint":
                    case "currency":
                    case "double":
                        if($scope.addFormData[$scope.combinedFields[key].api_name]!=null){
                            inputObj[$scope.combinedFields[key].api_name]=Number($scope.addFormData[$scope.combinedFields[key].api_name]);
                        }
                    break;
                    case "picklist":
                        if($scope.addFormData[$scope.combinedFields[key].api_name]!=null){
                                // var thisSplitArray=$scope.details[$scope.combinedFields[key].api_name].split(";");
                                // var thisArray=$scope.addFormData[$scope.combinedFields[key].api_name];
                                // // console.log("thisArray:");
                                // // console.dir(thisArray);
    
                                // var thisVal="";
                                // // // console.log("splitarray:"+thisSplitArray.length);
                                // for(var i=0;i<thisArray.length;i++){
                                //     if(i==thisArray.length-1){
                                //         thisVal=thisVal+thisArray[i];
                                //     }else{
                                //         thisVal=thisVal+thisArray[i]+";";
                                //     }
                                // }
                                var thisobj=$scope.addFormData[$scope.combinedFields[key].api_name];
                                // if(thisobj.selected!="None"){
                                    inputObj[$scope.combinedFields[key].api_name]=thisobj.selected;
                                // }else if(thisobj.selected=="None"){
                                //     inputObj[$scope.combinedFields[key].api_name]="";
                                // }
                            }
                    break;
                    case "date":
                        if($scope.addFormData[$scope.combinedFields[key].api_name]!=null){
                            // try{
                            //     inputObj[$scope.combinedFields[key].api_name]=moment.tz($scope.addFormData[$scope.combinedFields[key].api_name], $scope.currentUserData.time_zone).format();
                            // }catch(e){
                            //     var thisDate=$filter('date')($scope.addFormData[$scope.combinedFields[key].api_name]+" 00:00", "yyyy-MM-dd", $scope.currentUserData.tz_offsetnonformatted);
                            //     inputObj[$scope.combinedFields[key].api_name]=thisDate;
                            // }
                            // var thisDate=new Date($scope.addFormData[$scope.combinedFields[key].api_name]);
                            // var day=thisDate.getDate();
                            // var month=1;
                            // month=month+thisDate.getMonth();
                            // var year= thisDate.getFullYear();
                            // if(day<10){
                            //     day="0"+day;
                            // }
                            // if(month<10){
                            //     month="0"+month;
                            // }
                            // inputObj[$scope.combinedFields[key].api_name]=year+"-"+month+"-"+day;
                            try{
                                inputObj[$scope.combinedFields[key].api_name]=moment.tz($scope.addFormData[$scope.combinedFields[key].api_name]+" 11:00", $scope.currentUserData.time_zone).format().substring(0,10);
                            }catch(e){
                                var thisDate=$filter('date')($scope.addFormData[$scope.combinedFields[key].api_name]+" 11:00", "yyyy-MM-dd HH:mm", $scope.currentUserData.tz_offsetnonformatted);
                                inputObj[$scope.combinedFields[key].api_name]=thisDate.replace(" ","T")+":00"+$scope.currentUserData.tz_offsetformatted.substring(0,10);
                            } 
                        }
                    break;
                    case "datetime":

                        if($scope.addFormData[$scope.combinedFields[key].api_name]!=null && $scope.addFormData[$scope.combinedFields[key].api_name].date!=null){
                            console.log($scope.addFormData[$scope.combinedFields[key].api_name].date+" "+$scope.addFormData[$scope.combinedFields[key].api_name].time);
                            try{
                                inputObj[$scope.combinedFields[key].api_name]=moment.tz($scope.addFormData[$scope.combinedFields[key].api_name].date+" "+$scope.addFormData[$scope.combinedFields[key].api_name].time, $scope.currentUserData.time_zone).format();
                                console.log(moment.tz($scope.addFormData[$scope.combinedFields[key].api_name].date+" "+$scope.addFormData[$scope.combinedFields[key].api_name].time, $scope.currentUserData.time_zone).format());
                            }catch(e){
                                var thisDate=$filter('date')($scope.addFormData[$scope.combinedFields[key].api_name].date+" "+$scope.addFormData[$scope.combinedFields[key].api_name].time, "yyyy-MM-dd HH:mm", $scope.currentUserData.tz_offsetnonformatted);
                                inputObj[$scope.combinedFields[key].api_name]=thisDate.replace(" ","T")+":00"+$scope.currentUserData.tz_offsetformatted;
                            }
                            


                            if(($scope.combinedFields[key].api_name=="Start_DateTime" || $scope.combinedFields[key].api_name=="End_DateTime") && $scope.addFormData.hasOwnProperty("All_day") && $scope.addFormData.All_day==true){
                                try{
                                    inputObj[$scope.combinedFields[key].api_name]=moment.tz($scope.addFormData[$scope.combinedFields[key].api_name].date, $scope.currentUserData.time_zone).format();
                                }catch(e){
                                    inputObj[$scope.combinedFields[key].api_name]=$filter('date')($scope.addFormData[$scope.combinedFields[key].api_name].date, "yyyy-MM-dd")+"T00:00:00"+$scope.currentUserData.tz_offsetformatted; 
                                }
                                                           
                            }
                        }
                    break;
                    case "multiselectpicklist":
                        if($scope.addFormData[$scope.combinedFields[key].api_name]!=null){
                            // var thisSplitArray=$scope.details[$scope.combinedFields[key].api_name].split(";");
                            // var thisArray=$scope.addFormData[$scope.combinedFields[key].api_name];
                            // // console.log("thisArray:");
                            // // console.dir(thisArray);
    
                            // var thisVal="";
                            // // // console.log("splitarray:"+thisSplitArray.length);
                            // for(var i=0;i<thisArray.selected.length;i++){
                            //     if(i==thisArray.selected.length-1){
                            //         thisVal=thisVal+thisArray.selected[i];
                            //     }else{
                            //         thisVal=thisVal+thisArray.selected[i]+";";
                            //     }
                            // }
                            inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name].selected;
                        }
                    break;
                    case "lookup":
                        if($scope.combinedFields[key].api_name=="Account_Name" && $scope.addFormData[$scope.combinedFields[key].api_name]!=null){
                            inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name];
                        }else if($scope.combinedFields[key].api_name!="Account_Name" && ($scope.validLookupModule($scope.combinedFields[key].lookup.module)|| $scope.combinedFields[key].lookup.module=='se_module') && $scope.addFormData[$scope.combinedFields[key].api_name]!=null){
                            inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name].id;
                            if($scope.combinedFields[key].lookup.module=="se_module"){
                                inputObj["se_module"]=$scope.addFormData["se_module"];
                            }
                        }
                    break;
                    case "ownerlookup":
                        if($scope.addFormData[$scope.combinedFields[key].api_name]!=null && $scope.combinedFields[key].api_name!="Created_By" && $scope.combinedFields[key].api_name!="Modified_By"){
                            inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name].id;
                        }
                    break;
                    case "userlookup":
                        if($scope.addFormData[$scope.combinedFields[key].api_name]!=null && $scope.combinedFields[key].api_name!="Created_By" && $scope.combinedFields[key].api_name!="Modified_By"){
                            inputObj[$scope.combinedFields[key].api_name]=$scope.addFormData[$scope.combinedFields[key].api_name].id;
                        }
                    break;
                    default:
                    // console.log(4);
                    // // console.log($scope.combinedFields[key].data_type);
                        // if ($scope.combinedFields[key].data_type.indexOf("lookup")>-1) {
                        //     // alert($scope.combinedFields[key].api_name+" "+$scope.combinedFields[key].data_type)
                        // }
                    break;
    
    
                }
            }
    
    
    
    
            if($scope.layout!=null){
                inputObj['Layout']=$scope.layout.id;
            }
            inputObj["Remind_At"]=undefined;
            if($scope.sharedData.action=="edit"){
                // console.log("action equal to edit inserting id into obj");
                inputObj['id']=$scope.details.id;
            }
            var reqBody='{"data":['+JSON.stringify(inputObj)+']}';
            // console.dir(inputObj);
            // console.log(JSON.stringify(inputObj));
            
            // chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
            //     if(response.status=="success"){
            //         var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat }};
            //         var addEvent_api=$http.post(thisurl,config);
            //         addEvent_api.success( function(resp, status, headers, config) {
            //             if(status==201){
            //                 // console.log(status);
            //                 // console.log(resp);
            //             }else{
            //                 // console.log(status);
            //                 // console.log(resp);
            //             }
            //         });
            //         addEvent_api.error( function(resp, status, headers, config) {
            //             // console.log(status);
            //             // console.log(resp);
            //         });
            //     }
            //     $scope.safeApply();
            // });
            chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
                var thisurl="https://crm.zoho."+response.datacenterExt+"/crm/v2/Events";
                // console.log(thisurl);
                if(response.status=="success"){
                    var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                    // var addPotential_api=$http.post(thisurl,config);
                    // addPotential_api.success( function(resp, status, headers, config) {
                    //     if(status==201){
                    //         // console.log(status);
                    //         // console.log(resp);
                    //     }else{
                    //         // console.log(status);
                    //         // console.log(resp);
                    //     }
                    // });
                    // addPotential_api.error( function(resp, status, headers, config) {
                    //     // console.log(status);
                    //     // console.log(resp);
                    // });
                    $scope.addFormToCrmContent=[];
                    if($scope.sharedData.action=="edit"){
                        // console.log("equal to edit so put");
                        var addForm_api=$http.put(thisurl,reqBody,config);
                        addForm_api.success( function(resp, status, headers, config) {
                            if(status==200){
                               // console.log(status);
                                // console.log(resp);
                                if(resp.data!=null && resp.data[0].code=="SUCCESS"){
                                    $scope.getDetailsById(resp.data[0].details.id,$scope.sharedData.module);
                                    $scope.addFormToCrmCreatedId=resp.data[0].details.id;
                                    if($scope.sharedData.module=="Contact"||$scope.sharedData.module=="Lead"){
                                        $scope.addFormToCrmContent.push($scope.exti18n.underUpdate.replace("{{module}}",$scope.modulesList.Events.singular_label).replace("{{module}}",$scope.modulesList[$scope.sharedData.module+"s"].singular_label));
                                    }else{
                                        $scope.addFormToCrmContent.push($scope.exti18n.hasUpdated.replace("{{module}}",$scope.modulesList.Events.singular_label));
                                    }
                                    $scope.addFormToCrmMessages="success";
                                }else if(resp.data!=null  && (resp.data[0].code=="MAX_RECORDS_LIMIT_REACHED" || resp.data[0].code=="MAX_LIMIT_REACHED")){
                                    $scope.addFormToCrmContent.push(resp.data[0].message);
                                }else if(resp.data!=null && (resp.data[0].code=="INVALID_DATA" || resp.data[0].status=="error")){
                                    $scope.addFormToCrmContent.push(resp.data[0].message);
                                    var label_name,fieldErrorMsg;
                                    // console.log(resp.data[0].code);
                                    for(var key in resp.data[0].details){
                                        // console.log(key);
                                        switch(key){
                                            case "api_name":
                                                // console.log("1");
                                                label_name=findAndReturn($scope.combinedFields,'api_name',resp.data[0].details.api_name);
                                                $scope.addFormToCrmContent.push($scope.exti18n.fieldName+" "+label_name.field_label);
                                                // console.log(label_name);
                                            break;
                                            default:
                                                // // console.log("2");
                                                // fieldErrorMsg=key.replace(/\_/gi," ")+" : "+resp.data[0].details[key];
                                                // $scope.addFormToCrmContent.push(fieldErrorMsg);
                                                // // console.log(fieldErrorMsg);
                                            break;
                                        }
                                    }
                                $scope.addFormToCrmMessages="error";
                                }
                            }else{
                                var label_name,fieldErrorMsg;
                                if(resp.data!=null  && (resp.data[0].code=="MAX_RECORDS_LIMIT_REACHED" || resp.data[0].code=="MAX_LIMIT_REACHED")){
                                    $scope.addFormToCrmContent.push(resp.data[0].message);
                                }else if(resp.data!=null  && (resp.data[0].code=="INVALID_DATA" || resp.data[0].status=="error")){
                                    $scope.addFormToCrmContent.push(resp.data[0].message);
                                    for(var key in resp.data[0].details){
                                        // console.log(key);
                                        switch(key){
                                            case "api_name":
                                                // console.log("1");
                                                label_name=findAndReturn($scope.combinedFields,'api_name',resp.data[0].details.api_name);
                                                $scope.addFormToCrmContent.push($scope.exti18n.fieldName+" "+label_name.field_label);
                                                // console.log(label_name);
                                            break;
                                            default:
                                                // // console.log("2");
                                                // fieldErrorMsg=key.replace(/\_/gi," ")+" : "+resp.data[0].details[key];
                                                // $scope.addFormToCrmContent.push(fieldErrorMsg);
                                                // // console.log(fieldErrorMsg);
                                            break;
                                        }
                                    }
                                }else if(resp.code=="NO_PERMISSION"){
                                    $scope.addFormToCrmContent.push($scope.exti18n.perDenied+", "+$scope.exti18n.pca);
                                    $scope.addFormToCrmMessages="error";
                                }
                                // console.log(status);
                                // console.log(resp);
                                $scope.addFormToCrmMessages="error";
                            }
                        });
                        addForm_api.error( function(resp, status, headers, config) {
                            var label_name,fieldErrorMsg;
                                if(resp.data!=null  && (resp.data[0].code=="MAX_RECORDS_LIMIT_REACHED" || resp.data[0].code=="MAX_LIMIT_REACHED")){
                                    $scope.addFormToCrmContent.push(resp.data[0].message);
                                }else if(resp.data!=null  && (resp.data[0].code=="INVALID_DATA" || resp.data[0].status=="error")){
                                        $scope.addFormToCrmContent.push(resp.data[0].message);
                                    for(var key in resp.data[0].details){
                                        // console.log(key);
                                        switch(key){
                                            case "api_name":
                                                // console.log("1");
                                                label_name=findAndReturn($scope.combinedFields,'api_name',resp.data[0].details.api_name);
                                                $scope.addFormToCrmContent.push($scope.exti18n.fieldName+" "+label_name.field_label);
                                                // console.log(label_name);
                                            break;
                                            default:
                                                // // console.log("2");
                                                // fieldErrorMsg=key.replace(/\_/gi," ")+" : "+resp.data[0].details[key];
                                                // $scope.addFormToCrmContent.push(fieldErrorMsg);
                                                // // console.log(fieldErrorMsg);
                                            break;
                                        }
                                    }
                                }else if(resp.code=="NO_PERMISSION"){
                                    $scope.addFormToCrmContent.push($scope.exti18n.perDenied+", "+$scope.exti18n.pca);
                                    $scope.addFormToCrmMessages="error";
                                }
                                // console.log(status);
                                // console.log(resp);
                                $scope.addFormToCrmMessages="error";
                        });
                    }else{
                        // console.log("not equal to edit so post");
                        var addForm_api=$http.post(thisurl,reqBody,config);
                        addForm_api.success( function(resp, status, headers, config) {
                            if(status>=200 && status<400){
                                // console.log(status);
                                // console.log(resp);
                                if(resp.data!=null && resp.data[0].code=="SUCCESS"){
                                    $scope.getDetailsById(resp.data[0].details.id,$scope.sharedData.module);
                                    $scope.addFormToCrmCreatedId=resp.data[0].details.id;
                                    if($scope.sharedData.module=="Contact"||$scope.sharedData.module=="Lead"){
                                        $scope.addFormToCrmContent.push($scope.exti18n.underMsg.replace("{{module}}",$scope.modulesList.Events.singular_label).replace("{{module}}",$scope.modulesList[$scope.sharedData.module+"s"].singular_label));
                                    }else{
                                        $scope.addFormToCrmContent.push($scope.exti18n.modAdded.replace("{{module}}",$scope.modulesList.Events.singular_label));
                                    }
                                    $scope.addFormToCrmMessages="success";
                                }else if(resp.data!=null  && (resp.data[0].code=="MAX_RECORDS_LIMIT_REACHED" || resp.data[0].code=="MAX_LIMIT_REACHED")){
                                    $scope.addFormToCrmContent.push(resp.data[0].message);
                                }else if(resp.data!=null  && (resp.data[0].code=="INVALID_DATA" || resp.data[0].status=="error")){
                                    // console.log(resp);
                                        $scope.addFormToCrmContent.push(resp.data[0].message);
                                    var label_name,fieldErrorMsg;
                                    for(var key in resp.data[0].details){
                                        // console.log(key);
                                        // $scope.addFormToCrmContent.push(resp.data[0].message);
                                        switch(key){
                                            case "api_name":
                                                // console.log("1");
                                                label_name=findAndReturn($scope.combinedFields,'api_name',resp.data[0].details.api_name);
                                                $scope.addFormToCrmContent.push($scope.exti18n.fieldName+" "+label_name.field_label);
                                                // console.log(label_name);
                                            break;
                                            default:
                                                // // console.log("2");
                                                // fieldErrorMsg=key.replace(/\_/gi," ")+" : "+resp.data[0].details[key];
                                                // $scope.addFormToCrmContent.push(fieldErrorMsg);
                                                // // console.log(fieldErrorMsg);
                                            break;
                                        }
                                    }
                                    $scope.addFormToCrmMessages="error";
                                }
                            }else{
                                var label_name,fieldErrorMsg;
                                if(resp.data!=null  && (resp.data[0].code=="MAX_RECORDS_LIMIT_REACHED" || resp.data[0].code=="MAX_LIMIT_REACHED")){
                                    $scope.addFormToCrmContent.push(resp.data[0].message);
                                }else if(resp.data!=null  && (resp.data[0].code=="INVALID_DATA" || resp.data[0].status=="error")){
                                        $scope.addFormToCrmContent.push(resp.data[0].message);
                                    for(var key in resp.data[0].details){
                                        // console.log(key);
                                        switch(key){
                                            case "api_name":
                                                // console.log("1");
                                                label_name=findAndReturn($scope.combinedFields,'api_name',resp.data[0].details.api_name);
                                                $scope.addFormToCrmContent.push($scope.exti18n.fieldName+" "+label_name.field_label);
                                                // console.log(label_name);
                                            break;
                                            default:
                                                // // console.log("2");
                                                // fieldErrorMsg=key.replace(/\_/gi," ")+" : "+resp.data[0].details[key];
                                                // $scope.addFormToCrmContent.push(fieldErrorMsg);
                                                // // console.log(fieldErrorMsg);
                                            break;
                                        }
                                    }
                                }else if(resp.code=="NO_PERMISSION"){
                                    $scope.addFormToCrmContent.push($scope.exti18n.perDenied+", "+$scope.exti18n.pca);
                                    $scope.addFormToCrmMessages="error";
                                }
                                // console.log(status);
                                // console.log(resp);
                                $scope.addFormToCrmMessages="error";
                            }
                        });
                        addForm_api.error( function(resp, status, headers, config) {
                            var label_name,fieldErrorMsg;
                                if(resp.data!=null  && (resp.data[0].code=="MAX_RECORDS_LIMIT_REACHED" || resp.data[0].code=="MAX_LIMIT_REACHED")){
                                    $scope.addFormToCrmContent.push(resp.data[0].message);
                                }else if(resp.data!=null  && (resp.data[0].code=="INVALID_DATA" || resp.data[0].status=="error")){
                                        $scope.addFormToCrmContent.push(resp.data[0].message);
                                    for(var key in resp.data[0].details){
                                        // console.log(key);
                                        switch(key){
                                            case "api_name":
                                                // console.log("1");
                                                label_name=findAndReturn($scope.combinedFields,'api_name',resp.data[0].details.api_name);
                                                $scope.addFormToCrmContent.push($scope.exti18n.fieldName+" "+label_name.field_label);
                                                // console.log(label_name);
                                            break;
                                            default:
                                                // // console.log("2");
                                                // fieldErrorMsg=key.replace(/\_/gi," ")+" : "+resp.data[0].details[key];
                                                // $scope.addFormToCrmContent.push(fieldErrorMsg);
                                                // // console.log(fieldErrorMsg);
                                            break;
                                        }
                                    }
                                }else if(resp.code=="NO_PERMISSION"){
                                    $scope.addFormToCrmContent.push($scope.exti18n.perDenied+", "+$scope.exti18n.pca);
                                    $scope.addFormToCrmMessages="error";
                                }
                                // console.log(status);
                                // console.log(resp);
                                $scope.addFormToCrmMessages="error";
                        });
                    }
                }
                $scope.safeApply();
            });
        }else{
            $scope.addFormToCrmContent.push('"To" Date should be greater than or equal to "From" Date.');
            $scope.addFormToCrmMessages="error";
        }
        
    }else{
        $scope.validationMessages=true;
        document.getElementsByClassName("form")[0].scrollTop=0;
        var offset=0;
        if(thisFormError.hasOwnProperty("required")){
            offset=$("#"+thisFormError.required[0].$name).offset().top;
            var ele=document.querySelector('#'+thisFormError.required[0].$name);
            ele.focus();
        }else if(thisFormError.hasOwnProperty("pattern")){
            offset=$("#"+thisFormError.pattern[0].$name).offset().top;
            var ele=document.querySelector('#'+thisFormError.pattern[0].$name);
            ele.focus();
        }else if(thisFormError.hasOwnProperty("maxlength")){
            offset=$("#"+thisFormError.maxlength[0].$name).offset().top;
            var ele=document.querySelector('#'+thisFormError.maxlength[0].$name);
            ele.focus();
        }
        document.getElementsByClassName("form")[0].scrollTop=offset-10;
    }
    // chrome.extension.sendRequest({name:'apiCall',redirect:'',action:'POST',url:thisurl, body:reqBody},function(response){
    //     if(response.status==201){
    //         // console.log(response.status);
    //         contact.dir(response.resp);
    //     }else{
    //         // console.log(response.status);
    //         contact.dir(response.resp);
    //     }
    // });
  }
});






