mainApp.controller('menuOperations',function($scope, $element, $window, $http, todoStorage){
    $scope.todoStorage = todoStorage;   /* got from a mainApp service used to fetch data from chrome db */
    $scope.todoStorage.currentUserData(function(data){ 
        if(data!=null){
            $scope.currentUserData=data.users[0];
        }
    });
    $scope.safeApply = function(fn) {   /* used in todoStorage for data binding */
    var phase = this.$root.$$phase;
    if(phase == '$apply' || phase == '$digest') {
      if(fn && (typeof(fn) === 'function')) {
        fn();
      }
    } else {
      this.$apply(fn);
    }
  };
  $scope.menuClickTrigger=function(userdata){
    if($scope.$parent.showNetworkError!=undefined && $scope.$parent.showNetworkError!=null && $scope.$parent.showNetworkError==true){
         $scope.$parent.succErrorInit("error",$scope.$parent.exti18n.networkError);
        $("#toggle").click();

    }else if($scope.$parent.showFullScreen==false){
        $("#toggle").click();
    }
    if(userdata==true){
        $scope.todoStorage.currentUserData(function(data){ 
            if(data!=null){
                $scope.currentUserData=data.users[0];
                $scope.safeApply();
            } 
        });
    }
  }
    $scope.home=function(){
        // console.log("home in menu clicked");
         $("#menuUl").css('display','none');
        // console.log("accounts in menu clicked");
        $scope.todoStorage.mailOpened(function(data){ 
            $scope.mailOpened=data;
            chrome.extension.sendRequest({name:'',redirect:'getInnerPage',action:'getInnerPage'},function(resp){
                // console.log('&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&');
                // console.log(resp);
                // console.log("mailOpened:"+$scope.mailOpened);
                if(resp!=null){
                    $scope.$parent.quitYesOrNo="show";
                    var unregister = $scope.$watch('$parent.quitYesOrNo', function () {
                    if($scope.$parent.quitYesOrNo=='yes'){
                            // console.log("yes clicked");
                            $scope.$parent.quitYesOrNo="hide";
                            $scope.$parent.showFullScreen=false;
                            chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:null});
                            if(($scope.$parent.currentModule=='Lead'||$scope.$parent.currentModule=='Contact'||$scope.$parent.currentModule=='Extract') && $scope.mailOpened=="true"){
                                chrome.extension.sendRequest({name:'',redirect:'updateMainPage',action:'updateMainPage',val:{'parentModule':$scope.$parent.currentModule}});
                            }
                            chrome.extension.sendRequest({name:'html/welcome.html',redirect:'toContent',action:''});
                            unregister();
                        }else if($scope.quitYesOrNo=='no'){
                            // console.log("no clicked");
                            $scope.$parent.quitYesOrNo="hide";
                            $("#menuUl").removeAttr('style');
                            $("#toggle").removeClass('on');
                            unregister();
                        }
                    });
                }else{
                    $scope.$parent.showFullScreen=false;
                    if(($scope.$parent.currentModule=='Lead'||$scope.$parent.currentModule=='Contact'||$scope.$parent.currentModule=='Extract') && $scope.mailOpened=="true"){
                        chrome.extension.sendRequest({name:'',redirect:'updateMainPage',action:'updateMainPage',val:{'parentModule':$scope.$parent.currentModule}});
                    }
                    chrome.extension.sendRequest({name:'html/welcome.html',redirect:'toContent',action:''});
                }
                $scope.safeApply();
            });
        });
    }
    $scope.campaigns=function(){
        $scope.todoStorage.mailOpened(function(data){ 
            $scope.mailOpened=data;
            $("#menuUl").css('display','none');
            // console.log("campaingns in menu clicked");
            chrome.extension.sendRequest({name:'',redirect:'getInnerPage',action:'getInnerPage'},function(resp){
                // console.log('&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&');
                // console.log(resp);
                if(resp!=null){
                    $scope.$parent.quitYesOrNo="show";
                    var unregister = $scope.$watch('$parent.quitYesOrNo', function () {
                    if($scope.$parent.quitYesOrNo=='yes'){
                            // console.log("yes clicked");
                            $scope.$parent.quitYesOrNo="hide";
                            $scope.$parent.showFullScreen=false;
                            chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:null});
                            getCampaigns();
                            unregister();
                        }else if($scope.quitYesOrNo=='no'){
                            // console.log("no clicked");
                            $scope.$parent.quitYesOrNo="hide";
                            $("#menuUl").removeAttr('style');
                            $("#toggle").removeClass('on');
                            unregister();
                        }
                    });
                }else{
                    $scope.$parent.showFullScreen=false;
                    getCampaigns();
                }
                $scope.safeApply();
            });  
        }); 
    }
    $scope.campaignsRetry=function(){
        $scope.$parent.showFullScreen=false;
        // console.log("campaingns in menu clicked");
        getCampaigns();
    }
    getCampaigns=function(){
        if(($scope.$parent.currentModule=='Lead'||$scope.$parent.currentModule=='Contact'||$scope.$parent.currentModule=='Extract') && $scope.mailOpened=="true"){
            chrome.extension.sendRequest({name:'',redirect:'updateMainPage',action:'updateMainPage',val:{'parentModule':$scope.$parent.currentModule}});
        }
        // console.log("getCampaigns function executing");
        chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
            var url = "https://crm.zoho."+response.datacenterExt+"/crm/v2/Campaigns?per_page=20";
            if(response.status=="success"){
                var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                var getCampaigns_api=$http.get(url,config);
                getCampaigns_api.success( function(resp, status, headers, config) {
                    if(status==200){
                        // console.log(status);
                        // console.log(resp);
                        chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'campaignsListFromMenu',value:resp},function(response){
                            if(response.resp=="success"){
                                chrome.extension.sendRequest({name:'html/campaign.html',redirect:'toContent',action:''});
                            }
                        });
                    }else if(status==204){
                        // console.log(status);
                        // console.log(resp);
                        chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'campaignsListFromMenu',value:{'data':[]}},function(response){
                            if(response.resp=="success"){
                                chrome.extension.sendRequest({name:'html/campaign.html',redirect:'toContent',action:''});
                            }
                        });
                    }else{
                        // console.log(status);
                        // console.log(resp);
                        chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'campaignsListFromMenu',value:{}},function(response){
                            if(response.resp=="success"){
                                chrome.extension.sendRequest({name:'html/campaign.html',redirect:'toContent',action:''});
                            }
                        });
                    }
                });
                getCampaigns_api.error( function(resp, status, headers, config) {
                    // console.log(status);
                    // console.log(resp);
                    chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'campaignsListFromMenu',value:{}},function(response){
                        if(response.resp=="success"){
                            chrome.extension.sendRequest({name:'html/campaign.html',redirect:'toContent',action:''});
                        }
                    });
                });
            }
        });
    }
    $scope.accounts=function(){
        $scope.todoStorage.mailOpened(function(data){ 
            $scope.mailOpened=data;
             $("#menuUl").css('display','none');
            // console.log("accounts in menu clicked");
            chrome.extension.sendRequest({name:'',redirect:'getInnerPage',action:'getInnerPage'},function(resp){
                // console.log('&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&');
                // console.log(resp);
                if(resp!=null){
                    $scope.$parent.quitYesOrNo="show";
                    var unregister = $scope.$watch('$parent.quitYesOrNo', function () {
                    if($scope.$parent.quitYesOrNo=='yes'){
                            // console.log("yes clicked");
                            $scope.$parent.quitYesOrNo="hide";
                            $scope.$parent.showFullScreen=false;
                            chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:null});
                            getAccounts();
                            unregister();
                        }else if($scope.quitYesOrNo=='no'){
                            // console.log("no clicked");
                            $scope.$parent.quitYesOrNo="hide";
                            $("#menuUl").removeAttr('style');
                            $("#toggle").removeClass('on');
                            unregister();
                        }
                    });
                }else{
                    $scope.$parent.showFullScreen=false;
                    getAccounts();
                }
                $scope.safeApply();
            }); 
        }); 
    }
    $scope.accountsRetry=function(){
        $scope.$parent.showFullScreen=false;
        // console.log("accounts in menu clicked");
        getAccounts();
        
    }
    getAccounts=function(){
        // console.log("getAccounts function executing");
        if(($scope.$parent.currentModule=='Lead'||$scope.$parent.currentModule=='Contact'||$scope.$parent.currentModule=='Extract') && $scope.mailOpened=="true"){
            chrome.extension.sendRequest({name:'',redirect:'updateMainPage',action:'updateMainPage',val:{'parentModule':$scope.$parent.currentModule}});
        }
        chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
            var url = "https://crm.zoho."+response.datacenterExt+"/crm/v2/Accounts?sort_by=Modified_Time&sort_order=desc&per_page=20";
            if(response.status=="success"){
                var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                var getAccounts_api=$http.get(url,config);
                getAccounts_api.success( function(resp, status, headers, config) {
                    if(status==200){
                        // console.log(status);
                        // console.log(resp);
                        chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'accountsListFromMenu',value:resp},function(response){
                            if(response.resp=="success"){
                                chrome.extension.sendRequest({name:'html/account.html',redirect:'toContent',action:''});
                            }
                        });
                    }else if(status==204){
                        // console.log(status);
                        // console.log(resp);
                        chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'accountsListFromMenu',value:{'data':[]}},function(response){
                            if(response.resp=="success"){
                                chrome.extension.sendRequest({name:'html/account.html',redirect:'toContent',action:''});
                            }
                        });
                    }else{
                        // console.log(status);
                        // console.log(resp);
                        chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'accountsListFromMenu',value:{}},function(response){
                            if(response.resp=="success"){
                                chrome.extension.sendRequest({name:'html/account.html',redirect:'toContent',action:''});
                            }
                        });
                    }
                });
                getAccounts_api.error( function(resp, status, headers, config) {
                    // console.log(status);
                    // console.log(resp);
                    chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'accountsListFromMenu',value:{}},function(response){
                        if(response.resp=="success"){
                            chrome.extension.sendRequest({name:'html/account.html',redirect:'toContent',action:''});
                        }
                    });
                });
            }
        });
    }
   

    $scope.potentials=function(){
        console.log("potentials");
        $scope.todoStorage.mailOpened(function(data){ 
            console.log("data");
            $scope.mailOpened=data;
            console.log($scope.mailOpened);
             $("#menuUl").css('display','none');
            console.log("potentials in menu clicked");
            chrome.extension.sendRequest({name:'',redirect:'getInnerPage',action:'getInnerPage'},function(resp){
                // console.log('&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&');
                // console.log(resp);
                if(resp!=null){
                    $scope.$parent.quitYesOrNo="show";
                    var unregister = $scope.$watch('$parent.quitYesOrNo', function () {
                    if($scope.$parent.quitYesOrNo=='yes'){
                            // console.log("yes clicked");
                            $scope.$parent.quitYesOrNo="hide";
                            $scope.$parent.showFullScreen=false;
                            chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:null});
                            getPotentials();
                            unregister();
                        }else if($scope.quitYesOrNo=='no'){
                            // console.log("no clicked");
                            $scope.$parent.quitYesOrNo="hide";
                            $("#menuUl").removeAttr('style');
                            $("#toggle").removeClass('on');
                            unregister();
                        }
                    });
                }else{
                    $scope.$parent.showFullScreen=false;
                    getPotentials();
                }
                $scope.safeApply();
            });  
        });
        
    }
    $scope.potentialsRetry=function(){
        $scope.$parent.showFullScreen=false;
        // console.log("potentials in menu clicked");
        getPotentials();
        
    }
    getPotentials=function(){
        console.log("getPotentials function executing");
        if(($scope.$parent.currentModule=='Lead'||$scope.$parent.currentModule=='Contact'||$scope.$parent.currentModule=='Extract') && $scope.mailOpened=="true"){
            chrome.extension.sendRequest({name:'',redirect:'updateMainPage',action:'updateMainPage',val:{'parentModule':$scope.$parent.currentModule}});
        }
        chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
            var url = "https://crm.zoho."+response.datacenterExt+"/crm/v2/Deals?per_page=20";
            if(response.status=="success"){
                var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
                var getPotentials_api=$http.get(url,config);
                getPotentials_api.success( function(resp, status, headers, config) {
                    if(status==200){
                        // console.log(status);
                        // console.log(resp);
                        chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'potentialsListFromMenu',value:resp},function(response){
                            if(response.resp=="success"){
                                chrome.extension.sendRequest({name:'html/potential.html',redirect:'toContent',action:''});
                            }
                        });
                    }else if(status==204){
                        // console.log(status);
                        // console.log(resp);
                        chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'potentialsListFromMenu',value:{'data':[]}},function(response){
                            if(response.resp=="success"){
                                chrome.extension.sendRequest({name:'html/potential.html',redirect:'toContent',action:''});
                            }
                        });
                    }else{
                        // console.log(status);
                        // console.log(resp);
                        chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'potentialsListFromMenu',value:{}},function(response){
                            if(response.resp=="success"){
                                chrome.extension.sendRequest({name:'html/potential.html',redirect:'toContent',action:''});
                            }
                        });
                    }
                });
                getPotentials_api.error( function(resp, status, headers, config) {
                    // console.log(status);
                    // console.log(resp);
                    chrome.extension.sendRequest({name:'',redirect:'toStore',action:'',key:'potentialsListFromMenu',value:{}},function(response){
                        if(response.resp=="success"){
                            chrome.extension.sendRequest({name:'html/potential.html',redirect:'toContent',action:''});
                        }
                    });
                });
            }
        });
    }

    $scope.settings=function(){
        $scope.todoStorage.mailOpened(function(data){ 
            $scope.mailOpened=data;
             $("#menuUl").css('display','none');
            // console.log("potentials in menu clicked");
            chrome.extension.sendRequest({name:'',redirect:'getInnerPage',action:'getInnerPage'},function(resp){
                // console.log('&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&');
                // console.log(resp);
                if(resp!=null){
                    $scope.$parent.quitYesOrNo="show";
                    var unregister = $scope.$watch('$parent.quitYesOrNo', function () {
                    if($scope.$parent.quitYesOrNo=='yes'){
                            // console.log("yes clicked");
                            $scope.$parent.quitYesOrNo="hide";
                            $scope.$parent.showFullScreen=false;
                            chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:null});
                            getSettings();
                            unregister();
                        }else if($scope.quitYesOrNo=='no'){
                            // console.log("no clicked");
                            $scope.$parent.quitYesOrNo="hide";
                            $("#menuUl").removeAttr('style');
                            $("#toggle").removeClass('on');
                            unregister();
                        }
                    });
                }else{
                    $scope.$parent.showFullScreen=false;
                    getSettings();
                }
                $scope.safeApply();
            });  
        });
        
    }

    getSettings=function(){
        // console.log("getPotentials function executing");
        if(($scope.$parent.currentModule=='Lead'||$scope.$parent.currentModule=='Contact'||$scope.$parent.currentModule=='Extract') && $scope.mailOpened=="true"){
            chrome.extension.sendRequest({name:'',redirect:'updateMainPage',action:'updateMainPage',val:{'parentModule':$scope.$parent.currentModule}});
        }
        chrome.extension.sendRequest({name:'html/settings.html',redirect:'toContent',action:''});
    }

    $scope.logoutFromZoho=function(){
        $scope.todoStorage.mailOpened(function(data){ 
            $scope.mailOpened=data;
            $("#menuUl").css('display','none');
            chrome.extension.sendRequest({name:'',redirect:'getInnerPage',action:'getInnerPage'},function(resp){
                // console.log('&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&');
                // console.log(resp);
                if(resp!=null){
                    $scope.$parent.quitYesOrNo="show";
                    var unregister = $scope.$watch('$parent.quitYesOrNo', function () {
                    if($scope.$parent.quitYesOrNo=='yes'){
                            // console.log("yes clicked");
                            $scope.$parent.quitYesOrNo="hide";
                            $scope.$parent.showSignoutLoading=true;
                            chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:null});
                            execLogoutFromZoho();
                            unregister();
                        }else if($scope.quitYesOrNo=='no'){
                            // console.log("no clicked");
                            $scope.$parent.quitYesOrNo="hide";
                            $("#menuUl").removeAttr('style');
                            $("#toggle").removeClass('on');
                            unregister();
                        }
                    });
                }else{
                    $scope.$parent.showSignoutLoading=true;
                    execLogoutFromZoho();
                }
                $scope.safeApply();
            });
        });  
    }
    execLogoutFromZoho=function(){
        if(($scope.$parent.currentModule=='Lead'||$scope.$parent.currentModule=='Contact'||$scope.$parent.currentModule=='Extract') && $scope.mailOpened=="true"){
            chrome.extension.sendRequest({name:'',redirect:'updateMainPage',action:'updateMainPage',val:null});
        }
        chrome.extension.sendRequest({name:'getGat'},function(response){  
            if(response.token!=null){
                chrome.storage.sync.get('zatAuthenticated', function(key) {
                    var url = "https://gadgets.zoho."+key.zatAuthenticated.datacenterExt+"/extension/chrome/auth?appId=ZCRMGME&gat="+response.token+"&revoke=true";
                    var logoutFromZoho_api=$http.get(url);
                    logoutFromZoho_api.success( function(resp, status, headers, config) {
                        if(status==200 && resp.status=="success"){
                            // console.log(status);
                            // console.log(resp);
                            chrome.storage.sync.remove('zatAuthenticated',function(resp){
                                chrome.extension.sendRequest({name:'html/auth.html',redirect:'toContent',action:''});
                            });
                        }else{
                            // console.log(status);
                            // console.log(resp);
                            chrome.storage.sync.remove('zatAuthenticated',function(resp){
                                chrome.extension.sendRequest({name:'html/auth.html',redirect:'toContent',action:''});
                            });
                        }
                    });
                    logoutFromZoho_api.error( function(resp, status, headers, config) {
                        // console.log(status);
                        // console.log(resp);
                        chrome.storage.sync.remove('zatAuthenticated',function(resp){
                            chrome.extension.sendRequest({name:'html/auth.html',redirect:'toContent',action:''});
                        });
                    });
                });
                var keyValObj={};
                keyValObj["allEnabled"]="false";
                chrome.storage.sync.set(keyValObj, function(){
                    var thisResp={resp:'success'};
                });
                // console.log(window.top.location.href);
                if(window.top.location.href.includes("inbox.google.com")||window.location.href.includes("mail.google.com")){
                    // console.log(window.top.location.href);
                    chrome.extension.sendRequest({name:'html/auth.html',redirect:'toContent',action:''});
                }else{
                    // console.log(window.top.location.href);
                    chrome.extension.sendRequest({name:'html/authGoogle.html',redirect:'toContent',action:''});
                }
            }
        });

    }
    $scope.closeFromMenu=function(){
        if(window.location.href.includes("inbox.google.com")||window.location.href.includes("mail.google.com")){
            chrome.extension.sendRequest({name:'toContentCloseExt',redirect:'toContentCloseExt',action:'closeExt'});
        }else{
            chrome.extension.sendRequest({name:'toContentCloseExt',redirect:'toContentCloseExt',action:'close'});
        }
        // chrome.extension.sendRequest({name:'toContentCloseExt',redirect:'toContentCloseExt',action:'closeExt'});
    }
    $scope.openHelpPage=function(){
        var website=chrome.extension.getURL('html/help.html');
        var website="https://forms.zohopublic.com/business344/form/ZohoCRMforGmail/formperma/53g5j0_Dj4037FCG4d46AM55B";
        chrome.extension.sendRequest({name:'',redirect:'openUrlInNewTab',action:'',url:website},function(response){});
    }
    $scope.openHelpDoc=function(){
        // console.log("version:"+chrome.runtime.getManifest().version);
        // console.log(navigator.userAgent);
        var website="https://help.zoho.com/portal/kb/articles/gmail-inbox-crm-integration?contentscript=zcrmgme";
        chrome.extension.sendRequest({name:'',redirect:'openUrlInNewTab',action:'',url:website},function(response){});
        // $("#menuUl").removeAttr('style');
        // $("#toggle").removeClass('on'); 
        // var website=chrome.extension.getURL('html/help.html');
        // chrome.extension.sendRequest({name:'',redirect:'showHelpDoc',action:'',url:website},function(response){});
    }
    $scope.backtomail=function(){
        chrome.extension.sendRequest({name:'',redirect:'getInnerPage',action:'getInnerPage'},function(resp){
            // console.log('&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&');
            // console.log(resp);
            if(resp!=null){
                $scope.$parent.quitYesOrNo="show";
                var unregister = $scope.$watch('$parent.quitYesOrNo', function () {
                if($scope.$parent.quitYesOrNo=='yes'){
                        // console.log("yes clicked");
                        $scope.$parent.quitYesOrNo="hide";
                        $scope.$parent.showSignoutLoading=true;
                        chrome.extension.sendRequest({name:'',redirect:'updateInnerPage',action:'updateInnerPage',val:null});
                        backToMailInfo();
                        unregister();
                    }else if($scope.quitYesOrNo=='no'){
                        // console.log("no clicked");
                        $scope.$parent.quitYesOrNo="hide";
                        $("#menuUl").removeAttr('style');
                            $("#toggle").removeClass('on');
                        unregister();
                    }
                });
            }else{
                $scope.$parent.showFullScreen=true;
                backToMailInfo();
            }
            $scope.safeApply();
        }); 
    }
    backToMailInfo=function(){
        // console.log($scope.mailOpened);
        chrome.extension.sendRequest({name:'',redirect:'getMainPage',action:'getMainPage'},function(resp){
            if(resp!=null){
                chrome.extension.sendRequest({name:'',redirect:'updateMainPage',action:'updateMainPage',val:null});
                if(resp.parentModule=="Contact"){
                    chrome.extension.sendRequest({name:'html/contact-info.html',redirect:'toContent',action:'Contacts'});
                }else if(resp.parentModule=="Lead"){
                    chrome.extension.sendRequest({name:'html/lead-info.html',redirect:'toContent',action:'Leads'});
                }else{
                    chrome.extension.sendRequest({name:'html/extract.html',redirect:'toContent',action:''});
                }
            }
        });
        
    }

});