mainApp.controller('welcomeDetails', function( $scope,$http,todoStorage ,$timeout){
  console.log(window.getSelection().toString());
  $scope.webpage ="Gmail";
  chrome.extension.sendRequest({name:'getwebpage'},function(resp){
    // console.log(resp);
    $scope.webpage=resp;
    $scope.safeApply();
  });
  $scope.safeApply = function(fn) {   /* used in todoStorage for data binding */
    var phase = this.$root.$$phase;
    if(phase == '$apply' || phase == '$digest') {
      if(fn && (typeof(fn) === 'function')) {
        fn();
      }
    } else {
      this.$apply(fn);
    }
  };
  $scope.todoStorage = todoStorage;   /* got from a mainApp service used to fetch data from chrome db */
  $scope.exti18n={};
  $scope.todoStorage.currentUserData(function(data){
    if(data!=null){
      $scope.currentUserData=data.users[0];
    }
    // console.log($scope.currentUserData);
    if($scope.currentUserData!=undefined && lang_i18n["lang_"+$scope.currentUserData.language]!=undefined){
      $scope.exti18n=lang_i18n["lang_"+$scope.currentUserData.language];
    }else{
      $scope.exti18n=lang_i18n["lang_en_US"];
    }
    
    $scope.safeApply($scope.exti18n);
  });
  // $scope.exti18nKeys=["menu","home","help","signout","feedback","support","welcome","welcomeMsg","createNew","add","save","cancel","modAdded","underMsg","deleteAlertMsg","yes","no","ok","edit","delete","magicMsg","summary","pinfo","sinfo","minfo","reset","ppw","addA","enter","note","title","contentMan","filter","fetchDet","noModFound","activites","probability","amount","closingdate","back","backtoEmailInfo","openinZCRM","by","unsavedMsg","signOutMsg","wegotyouMsg","letStartMsg","authenticate","googDiscMsg","almostThereMsg","addedSuc","search","noResultsMsg","updateMsg","oops","accNotMatch","networkError","retry","unFetchData","updatetoZohoCRM","lcDisabled","clickEnable","step","clicktoview","close","open","closed","all"];
  // for(var i=0;i<$scope.exti18nKeys.length;i++){
  //   $scope.exti18n[$scope.exti18nKeys[i]]=chrome.i18n.getMessage($scope.exti18nKeys[i]);
  // }
  // $scope.safeApply($scope.exti18n);
  // console.log($scope.exti18n);
  // console.log("welcome Starts");
  $scope.showFullScreen=false;
  $scope.showSignoutLoading=false;
  $scope.showNetworkError=false;
  $scope.modulesList={};
    $scope.quitYesOrNo='hide';
    $scope.currentModule='Home';
    $scope.mainpage=null;
    
    $scope.safeApply();
    chrome.extension.sendRequest({name:'',redirect:'getMainPage',action:'getMainPage'},function(resp){
      // console.log(resp);
      $scope.mainpage=resp;
      $scope.safeApply();
    });
    chrome.extension.onRequest.addListener(function(request, sender, sendResponse) {
      // console.log("received in iframe");
      var name = request.name; 
      var redirect =request.redirect;
      switch(redirect){
        case 'toIframe':
        // console.log("inside toIframe");
          $scope.mainpage=request.val;
          $scope.safeApply();
        break;
      }
    });
    $scope.todoStorage.modulesList(function(data){
      $scope.modulesList=data;
      if(!$scope.modulesList.hasOwnProperty("Leads")&& !$scope.modulesList.hasOwnProperty("Contacts")){
        chrome.extension.sendRequest({name:'html/lc-disabled.html',redirect:'toContent',action:''});
      }
      $scope.safeApply();
      // console.log($scope.modulesList);
    });
  chrome.extension.sendRequest({name:'checkZatTime'},function(response){  
    if(response.status=="success"){
      var config = {headers:  { 'Authorization': 'Zoho-oauthtoken '+response.zat ,'X-ZOHO-SERVICE':'gadgets','X-CRM-ORG':response.orgId}};
      var url = "https://crm.zoho."+response.datacenterExt+"/crm/v2/users?type=CurrentUser";
      var currentUserProfile_api=$http.get(url,config);
      currentUserProfile_api.success( function(response, status, headers, config) {
        // console.dir(response);
        // console.log(response.users[0].full_name);
        $scope.currentUsername = response.users[0].full_name; 
        $scope.currentUserInfo=response.users[0];
        $scope.showFullScreen=true;
      });
      currentUserProfile_api.error(function(response, status,headers,config){
        if(response!=null && response!=undefined && response.hasOwnProperty("code") && response.code=="NO_CRM_ACCOUNT"){
          $scope.showNetworkError=false;
          $scope.showFullScreen=false;
          chrome.extension.sendRequest({name:'html/no-crmacc.html?mode=no_acc',redirect:'toContent',action:''});
        }else if(response!=null && response!=undefined && response.hasOwnProperty("code") && response.code=="CRMPLUS_TRIAL_EXPIRED"){
          $scope.showNetworkError=false;
          $scope.showFullScreen=false;
          chrome.extension.sendRequest({name:'html/no-crmacc.html?mode=trail_expired',redirect:'toContent',action:''});
        }else if(response!=null && response!=undefined && response.hasOwnProperty("code") && response.code=="NO_PERMISSION"){
          $scope.showNetworkError=false;
          $scope.showFullScreen=false;
          chrome.extension.sendRequest({name:'html/no-crmacc.html?mode=no_perm',redirect:'toContent',action:''});
        }else{
          $scope.showNetworkError=true;
          $scope.showFullScreen=true;
        }
      });
    }
     $scope.safeApply();
  });
  $scope.networkRetry=function(){
    $scope.showFullScreen=false;
    $scope.showNetworkError=false;
    chrome.extension.sendRequest({name:'html/welcome.html',redirect:'toContent',action:'getMetadata'});
  }
  $scope.succErrorInit=function(succError,succErrorMsg){
        // console.log(succError+":::::"+succErrorMsg);
        $scope.succError=succError;
        $scope.succErrorMsg=succErrorMsg;
        if(succError!='loading'){
            $timeout(function(){
                $scope.succErrorReset();
            },3*1000);
        }
        $scope.safeApply();
    }
    $scope.succErrorReset=function(){
        $scope.succError='';
        $scope.succErrorMsg='';
        $scope.safeApply();
    }
});

mainApp.controller('welcomeButtons',function($scope, $element,$http,$timeout, todoStorage, sharedData){
  $scope.safeApply = function(fn) {   /* used in todoStorage for data binding */
    var phase = this.$root.$$phase;
    if(phase == '$apply' || phase == '$digest') {
      if(fn && (typeof(fn) === 'function')) {
        fn();
      }
    } else {
      this.$apply(fn);
    }
  };
  // console.log("in welcomeButtons");
  $scope.sharedData = sharedData.getScope();
  // console.log($scope.sharedData);
  $scope.todoStorage = todoStorage;
  $scope.windowPixelChanged=false;
  $scope.sharedData.data=null;
  $scope.todoStorage.leadsMetadata(function(data){
      // console.log("in todoStorage of leadsMetadata in extractDetails");
      var items=data.modules[0].layouts;
          // angular.forEach(items,function(item){
          //     if(item.name=="Standard"){
          //         $scope.layoutOfLead=item;
          //     }
          // });
          // if($scope.layoutOfLead==undefined && items.length>0){
          //        $scope.layoutOfLead=items[0];
          //   }
          // console.log($scope.currentUserData);
          for(var item in items){
              for (var profile in items[item].profiles) {
                  if (items[item].profiles[profile].id == $scope.currentUserData.profile.id && items[item].profiles[profile].default == true) {
                      $scope.layoutOfLead = items[item];
                      break;
                  }
              }
          }
          // console.log($scope.layoutOfLead);
    });
    $scope.todoStorage.contactsMetadata(function(data){
      // console.log("in todoStorage of contactsMetadata in extractDetails");
      var items=data.modules[0].layouts;
          // angular.forEach(items,function(item){
          //     if(item.name=="Standard"){
          //         $scope.layoutOfContact=item;
          //     }
          // });
          // if($scope.layoutOfContact==undefined && items.length>0){
          //        $scope.layoutOfContact=items[0];
          //   }
          for(var item in items){
            for (var profile in items[item].profiles) {
                if (items[item].profiles[profile].id == $scope.currentUserData.profile.id && items[item].profiles[profile].default == true) {
                    $scope.layoutOfContact = items[item];
                    break;
                }
            }
        }
    });
  $scope.safeApply();
  // $scope.todoStorage.potentialsListFromMenu(function(data){
  //     var result = [];
  //     $scope.moduleData=data;
  //     $scope.details=data.data;
  //     $scope.sharedData.data=data.data;
  //     // console.dir($scope.details);
  //     $scope.safeApply();
  // });
	$scope.createContact=function(item, event){
    if($scope.modulesList.Contacts!=null && $scope.modulesList.Contacts.creatable==false){
      $scope.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
      return;
    }
    if($scope.layoutOfContact.visible!=null && $scope.layoutOfContact.visible!=undefined && $scope.layoutOfContact.visible==false){
        $scope.succErrorInit('error',"***"+$scope.modulesList.Contacts.singular_label+" "+$scope.layoutOfContact.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
        return;
    }
      // // console.log("item:"+item);
      // // console.dir("event:"+event);
  //     // console.dir(item);
  //     // console.dir(event);
		// chrome.storage.local.set({createformVal: 'Contacts'});
  //  		chrome.extension.sendRequest({name:'html/create-form.html',redirect:'toContent',action:'Contacts'});

      // console.log("createContact clicked");
      var innerEl=document.createElement("iframe");
      innerEl.className="inner-form-iframe";
      innerEl.id="zc_innerIframePage";
      innerEl.name="zc_innerIframePage";
      innerEl.src=chrome.extension.getURL('html/quick-createform.html?');
      innerEl.setAttribute('frameborder','0');
      // console.dir(angular.element('#zc_innerIframeParentDiv'));
      angular.element('#zc_innerIframeParentDiv').empty();
      angular.element('#zc_innerIframeParentDiv').append(innerEl);
      // $scope.sharedData.id=id;
      $scope.sharedData.module="Contact";
      $scope.sharedData.moduleData=null;
      $scope.sharedData.action="create";
      $scope.safeApply();
      if($scope.windowPixelChanged==false){
          chrome.extension.sendRequest({name:'',redirect:'resetWinSize',action:'resetWinSize'},function(resp){});
          $scope.windowPixelChanged=true;
          $scope.safeApply();
        }
   };
   $scope.createLead=function(item, event){
    if($scope.modulesList.Leads!=null && $scope.modulesList.Leads.creatable==false){
      $scope.succErrorInit('error',$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
      return;
    }
    if($scope.layoutOfLead.visible!=null && $scope.layoutOfLead.visible!=undefined && $scope.layoutOfLead.visible==false){
        $scope.succErrorInit('error',"***"+$scope.modulesList.Leads.singular_label+" "+$scope.layoutOfLead.name+" Layout"+"*** "+$scope.exti18n.perDenied+", "+$scope.exti18n.pca);
        return;
    }
   		// chrome.storage.local.set({createformVal: 'Leads'});
   		// chrome.extension.sendRequest({name:'html/create-form.html',redirect:'toContent',action:'Leads'});
      // console.log("createLead clicked");
      var innerEl=document.createElement("iframe");
      innerEl.className="inner-form-iframe";
      innerEl.id="zc_innerIframePage";
      innerEl.name="zc_innerIframePage";
      innerEl.src=chrome.extension.getURL('html/quick-createform.html');
      innerEl.setAttribute('frameborder','0');
      // console.dir(angular.element('#zc_innerIframeParentDiv'));
      angular.element('#zc_innerIframeParentDiv').empty();
      angular.element('#zc_innerIframeParentDiv').append(innerEl);
      // $scope.sharedData.id=id;
      $scope.sharedData.module="Lead";
      $scope.sharedData.moduleData=null;
      $scope.sharedData.action="create";
      $scope.safeApply();
      if($scope.windowPixelChanged==false){
        chrome.extension.sendRequest({name:'',redirect:'resetWinSize',action:'resetWinSize'},function(resp){});
        $scope.windowPixelChanged=true;
        $scope.safeApply();
      }
   };
   $scope.sharedData.succErrorInit=function(succError,succErrorMsg){
        $scope.succErrorInit(succError,succErrorMsg);
    }
});

